INSERT INTO MIDAS_SNORT_Conf VALUES (0,'# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n# The following defines URLs for the references found in the rules\n#\n# config reference: system URL\n\nconfig reference: bugtraq   http://www.securityfocus.com/bid/ \nconfig reference: cve       http://cve.mitre.org/cgi-bin/cvename.cgi?name=\nconfig reference: arachNIDS http://www.whitehats.com/info/IDS\n\n# Note, this one needs a suffix as well.... lets add that in a bit.\nconfig reference: McAfee    http://vil.nai.com/vil/content/v_\nconfig reference: nessus    http://cgi.nessus.org/plugins/dump.php3?id=\nconfig reference: url       http://\n\n#--------------------------------------------------\n#   http://www.snort.org     Snort 1.9.1 Ruleset\n#     Contact: snort-sigs@lists.sourceforge.net\n#--------------------------------------------------\n# NOTE:This ruleset only works for 1.9.1 and later\n#--------------------------------------------------\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#\n###################################################\n# This file contains a sample snort configuration. \n# You can take the following steps to create your \n# own custom configuration:\n#\n#  1) Set the network variables for your network\n#  2) Configure preprocessors\n#  3) Configure output plugins\n#  4) Customize your rule set\n#\n###################################################\n# Step #1: Set the network variables:\n#\n# You must change the following variables to reflect\n# your local network. The variable is currently \n# setup for an RFC 1918 address space.\n#\n# You can specify it explicitly as: \n#\n# var HOME_NET 10.1.1.0/24\n#\n# or use global variable $<interfacename>_ADDRESS \n# which will be always initialized to IP address and \n# netmask of the network interface which you run\n# snort at.\n#\n# var HOME_NET $eth0_ADDRESS\n#\n# You can specify lists of IP addresses for HOME_NET\n# by separating the IPs with commas like this:\n#\n# var HOME_NET [10.1.1.0/24,192.168.1.0/24]\n#\n# MAKE SURE YOU DONT PLACE ANY SPACES IN YOUR LIST!\n#\n# or you can specify the variable to be any IP address\n# like this:\n\nvar HOME_NET any\n\n# Set up the external network addresses as well.  \n# A good start may be \"any\"\n\nvar EXTERNAL_NET any\n\n# Configure your server lists.  This allows snort to only look for attacks\n# to systems that have a service up.  Why look for HTTP attacks if you are\n# not running a web server?  This allows quick filtering based on IP addresses\n# These configurations MUST follow the same configuration scheme as defined\n# above for $HOME_NET.  \n\n# List of DNS servers on your network \nvar DNS_SERVERS $HOME_NET\n\n# List of SMTP servers on your network\nvar SMTP_SERVERS $HOME_NET\n\n# List of web servers on your network\nvar HTTP_SERVERS $HOME_NET\n\n# List of sql servers on your network \nvar SQL_SERVERS $HOME_NET\n\n# List of telnet servers on your network\nvar TELNET_SERVERS $HOME_NET\n\n# Configure your service ports.  This allows snort to look for attacks \n# destined to a specific application only on the ports that application\n# runs on.  For example, if you run a web server on port 8081, set your\n# HTTP_PORTS variable like this:\n#\n# var HTTP_PORTS 8081\n#\n# Port lists must either be continuous [eg 80:8080], or a single port [eg 80].\n# We will adding support for a real list of ports in the future.\n\n# Ports you run web servers on\nvar HTTP_PORTS 80\n\n# Ports you want to look for SHELLCODE on.\nvar SHELLCODE_PORTS !80\n\n# Ports you do oracle attacks on\nvar ORACLE_PORTS 1521\n\n# other variables\n# \n# AIM servers.  AOL has a habit of adding new AIM servers, so instead of \n# modifying the signatures when they do, we add them to this list of \n# servers.\nvar AIM_SERVERS [64.12.24.0/24,64.12.25.0/24,64.12.26.14/24,64.12.28.0/24,64.12.29.0/24,64.12.161.0/24,64.12.163.0/24,205.188.5.0/24,205.188.9.0/24]\n\n# Path to your rules files (this can be a relative path)\nvar RULE_PATH ../rules\n\n###################################################\n# Step #2: Configure preprocessors\n#\n# General configuration for preprocessors is of \n# the form\n# preprocessor <name_of_processor>: <configuration_options>\n\n# frag2: IP defragmentation support\n# -------------------------------\n# This preprocessor performs IP defragmentation.  This plugin will also detect\n# people launching fragmentation attacks (usually DoS) against hosts.  No\n# arguments loads the default configuration of the preprocessor, which is a \n# 60 second timeout and a 4MB fragment buffer. \n\n# The following (comma delimited) options are available for frag2\n#    timeout [seconds] - sets the number of [seconds] than an unfinished \n#                        fragment will be kept around waiting for completion,\n#                        if this time expires the fragment will be flushed\n#    memcap [bytes] - limit frag2 memory usage to [number] bytes\n#                      (default:  4194304)\n#\n#    min_ttl [number] - minimum ttl to accept\n# \n#    ttl_limit [number] - difference of ttl to accept without alerting\n#                         will cause false positves with router flap\n# \n# Frag2 uses Generator ID 113 and uses the following SIDS \n# for that GID:\n#  SID     Event description\n# -----   -------------------\n#   1       Oversized fragment (reassembled frag > 64k bytes)\n#   2       Teardrop-type attack\n\npreprocessor frag2\n\n# stream4: stateful inspection/stream reassembly for Snort\n#----------------------------------------------------------------------\n# Use in concert with the -z [all|est] command line switch to defeat \n# stick/snot against TCP rules.  Also performs full TCP stream \n# reassembly, stateful inspection of TCP streams, etc.  Can statefully\n# detect various portscan types, fingerprinting, ECN, etc.\n\n# stateful inspection directive\n# no arguments loads the defaults (timeout 30, memcap 8388608)\n# options (options are comma delimited):\n#   detect_scans - stream4 will detect stealth portscans and generate alerts\n#                  when it sees them when this option is set\n#   detect_state_problems - detect TCP state problems, this tends to be very\n#                           noisy because there are a lot of crappy ip stack\n#                           implementations out there\n#\n#   disable_evasion_alerts - turn off the possibly noisy mitigation of\n#                            overlapping sequences.\n#\n#   min_ttl - this option has been moved to config min_ttl: <int>\n#\n#   ttl_limit [number]     - differential of the initial ttl on a session versus\n#                             the normal that someone may be playing games.\n#                             Routing flap may cause lots of false positives.\n# \n#   keepstats [machine|binary] - keep session statistics, add \"machine\" to \n#                         get them in a flat format for machine reading, add\n#                         \"binary\" to get them in a unified binary output \n#                         format\n#   noinspect - turn off stateful inspection only\n#   timeout [number] - set the session timeout counter to [number] seconds,\n#                      default is 30 seconds\n#   memcap [number] - limit stream4 memory usage to [number] bytes\n#   log_flushed_streams - if an event is detected on a stream this option will\n#                         cause all packets that are stored in the stream4\n#                         packet buffers to be flushed to disk.  This only \n#                         works when logging in pcap mode!\n#\n# Stream4 uses Generator ID 111 and uses the following SIDS \n# for that GID:\n#  SID     Event description\n# -----   -------------------\n#   1       Stealth activity\n#   2       Evasive RST packet\n#   3       Evasive TCP packet retransmission\n#   4       TCP Window violation\n#   5       Data on SYN packet\n#   6       Stealth scan: full XMAS\n#   7       Stealth scan: SYN-ACK-PSH-URG\n#   8       Stealth scan: FIN scan\n#   9       Stealth scan: NULL scan\n#   10      Stealth scan: NMAP XMAS scan\n#   11      Stealth scan: Vecna scan\n#   12      Stealth scan: NMAP fingerprint scan stateful detect\n#   13      Stealth scan: SYN-FIN scan\n#   14      TCP forward overlap\n\npreprocessor stream4: detect_scans, disable_evasion_alerts\n\n# tcp stream reassembly directive\n# no arguments loads the default configuration \n#   Only reassemble the client,\n#   Only reassemble the default list of ports (See below),  \n#   Give alerts for \"bad\" streams\n#\n# Available options (comma delimited):\n#   clientonly - reassemble traffic for the client side of a connection only\n#   serveronly - reassemble traffic for the server side of a connection only\n#   both - reassemble both sides of a session\n#   noalerts - turn off alerts from the stream reassembly stage of stream4\n#   ports [list] - use the space separated list of ports in [list], \"all\" \n#                  will turn on reassembly for all ports, \"default\" will turn\n#                  on reassembly for ports 21, 23, 25, 53, 80, 143, 110, 111\n#                  and 513\n\npreprocessor stream4_reassemble\n\n# http_decode: normalize HTTP requests\n# ------------------------------------\n# http_decode normalizes HTTP requests from remote \n# machines by converting any %XX character \n# substitutions to their ASCII equivalent. This is\n# very useful for doing things like defeating hostile\n# attackers trying to stealth themselves from IDSs by\n# mixing these substitutions in with the request. \n# Specify the port numbers you want it to analyze as arguments.\n#\n# Major code cleanups thanks to rfp\n#\n# unicode          - normalize unicode\n# iis_alt_unicode  - %u encoding from iis \n# double_encode    - alert on possible double encodings\n# iis_flip_slash   - normalize \\ as /\n# full_whitespace  - treat \\t as whitespace ( for apache )\n#\n# for that GID:\n#  SID     Event description\n# -----   -------------------\n#   1       UNICODE attack\n#   2       NULL byte attack\n\npreprocessor http_decode: 80 unicode iis_alt_unicode double_encode iis_flip_slash full_whitespace\n\n# rpc_decode: normalize RPC traffic\n# ---------------------------------\n# RPC may be sent in alternate encodings besides the usual\n# 4-byte encoding that is used by default.  This preprocessor\n# normalized RPC traffic in much the same way as the http_decode\n# preprocessor.  This plugin takes the ports numbers that RPC \n# services are running on as arguments.\n# The RPC decode preprocessor uses generator ID 106\n#\n# arguments: space separated list\n# alert_fragments - alert on any rpc fragmented TCP data\n# no_alert_multiple_requests - dont alert when >1 rpc query is in a packet\n# no_alert_large_fragments - dont alert when the fragmented\n#                            sizes exceed the current packet size\n# no_alert_incomplete - dont alert when a single segment\n#                       exceeds the current packet size\n\npreprocessor rpc_decode: 111 32771\n\n# bo: Back Orifice detector\n# -------------------------\n# Detects Back Orifice traffic on the network.  This preprocessor\n# uses the Back Orifice \"encryption\" algorithm to search for \n# traffic conforming to the Back Orifice protocol (not BO2K).\n# This preprocessor can take two arguments.  The first is \"-nobrute\"\n# which turns off the plugins brute forcing routine (brute forces \n# the key space of the protocol to find BO traffic).  The second\n# argument that can be passed to the routine is a number to use\n# as the default key when trying to decrypt the traffic.  The \n# default value is 31337 (just like BO).  Be aware that turning on\n# the brute forcing option runs the risk of impacting the overall\n# performance of Snort, youve been warned...\n# \n# The Back Orifice detector uses Generator ID 105 and uses the \n# following SIDS for that GID:\n#  SID     Event description\n# -----   -------------------\n#   1       Back Orifice traffic detected\n\npreprocessor bo: -nobrute\n\n# telnet_decode: Telnet negotiation string normalizer\n# ---------------------------------------------------\n# This preprocessor \"normalizes\" telnet negotiation strings from\n# telnet and ftp traffic.  It works in much the same way as the \n# http_decode preprocessor, searching for traffic that breaks up\n# the normal data stream of a protocol and replacing it with \n# a normalized representation of that traffic so that the \"content\"\n# pattern matching keyword can work without requiring modifications.\n# This preprocessor requires no arguments.\n# Portscan uses Generator ID 109 and does not generate any SID currently.\n\npreprocessor telnet_decode\n\n# Portscan: detect a variety of portscans\n# ---------------------------------------\n# portscan preprocessor by Patrick Mullen <p_mullen@linuxrc.net>\n# This preprocessor detects UDP packets or TCP SYN packets going to\n# four different ports in less than three seconds. \"Stealth\" TCP\n# packets are always detected, regardless of these settings.\n# Portscan uses Generator ID 100 and uses the following SIDS for that GID:\n#  SID     Event description\n# -----   -------------------\n#   1       Portscan detect\n#   2       Inter-scan info\n#   3       Portscan End\n\n# preprocessor portscan: $HOME_NET 4 3 portscan.log\n\n# Use portscan-ignorehosts to ignore TCP SYN and UDP \"scans\" from\n# specific networks or hosts to reduce false alerts. It is typical\n# to see many false alerts from DNS servers so you may want to\n# add your DNS servers here. You can all multiple hosts/networks\n# in a whitespace-delimited list.\n#\n#preprocessor portscan-ignorehosts: 0.0.0.0\n\n# arpspoof\n#----------------------------------------\n# Experimental ARP detection code from Jeff Nathan, detects ARP attacks, \n# unicast ARP requests, and specific ARP mapping monitoring.  To make use\n# of this preprocessor you must specify the IP and hardware address of hosts on # the same layer 2 segment as you.  Specify one host IP MAC combo per line.\n# Also takes a \"-unicast\" option to turn on unicast ARP request detection. \n# Arpspoof uses Generator ID 112 and uses the following SIDS for that GID:\n#  SID     Event description\n# -----   -------------------\n#   1       Unicast ARP request\n#   2       Etherframe ARP mismatch (src)\n#   3       Etherframe ARP mismatch (dst)\n#   4       ARP cache overwrite attack\n\n#preprocessor arpspoof\n#preprocessor arpspoof_detect_host: 192.168.40.1 f0:0f:00:f0:0f:00\n\n# ASN1 Decode\n#-----------------------------------------\n# This is an experimental preprocessor.  ASN.1 decoder and analysis plugin \n# from Andrew R. Baker.  This preprocessor will detect abuses of the ASN.1 \n# protocol that higher level protocols (like SSL, SNMP, x.509, etc) rely on.\n# The ASN.1 decoder uses Generator ID 115 and uses the following SIDs for \n# that GID:\n#  SID     Event description\n# -----   -------------------\n#   1       Indefinite length\n#   2       Invalid length\n#   3       Oversized item\n#   4       ASN.1 specification violation\n#   5       Dataum bad length\n\n# preprocessor asn1_decode\n\n# Fnord \n#-----------------------------------------\n# This is an experimental preprocessor.  Polymorphic shellcode analyzer and\n# detector by Dragos Ruiu.  This preprocessor will watch traffic for \n# polymorphic NOP-type sleds to defeat tools like ADMutate.  The Fnord detector\n# uses Generator ID 114 and the following SIDs:\n#  SID     Event description\n# -----   -------------------\n#   1       NOP-sled detected \n\n# preprocessor fnord\n\n# Conversation\n#------------------------------------------\n# This preprocessor tracks conversations for tcp, udp and icmp traffic.  It\n# is a prerequisite for running portscan2.\n#\n# allowed_ip_protcols 1 6 17\n#      list of allowed ip protcols ( defaults to any )\n#\n# timeout [num]\n#      conversation timeout ( defaults to 60 )\n#\n#\n# max_conversations [num] \n#      number of conversations to support at once (defaults to 65335)\n#\n#\n# alert_odd_protocols\n#      alert on protocols not listed in allowed_ip_protocols\n\npreprocessor conversation: allowed_ip_protocols all, timeout 60, max_conversations 32000\n\n# Portscan2\n#-------------------------------------------\n# Portscan 2, detect portscans in a new and exciting way.\n#\n# Available options:\n#       scanners_max [num] \n#       targets_max [num]\n#       target_limit [num]\n#       port_limit [num]\n#       timeout [num]\n#       log [logdir]\n\n# preprocessor portscan2: scanners_max 3200, targets_max 5000, target_limit 5, port_limit 20, timeout 60\n\n# Experimental Perf stats\n# -----------------------\n# No docs. Highly subject to change.\n# \n# preprocessor perfmonitor: console flow events time 10\n\n####################################################################\n# Step #3: Configure output plugins\n#\n# Uncomment and configure the output plugins you decide to use.\n# General configuration for output plugins is of the form:\n#\n# output <name_of_plugin>: <configuration_options>\n#\n# alert_syslog: log alerts to syslog\n# ----------------------------------\n# Use one or more syslog facilities as arguments\n#\n# output alert_syslog: LOG_AUTH LOG_ALERT\n\n# log_tcpdump: log packets in binary tcpdump format\n# -------------------------------------------------\n# The only argument is the output file name.\n#\n# output log_tcpdump: tcpdump.log\n\n# database: log to a variety of databases\n# ---------------------------------------\n# See the README.database file for more information about configuring\n# and using this plugin.\n#\n# output database: log, mysql, user=root password=test dbname=db host=localhost\n# output database: alert, postgresql, user=snort dbname=snort\n# output database: log, unixodbc, user=snort dbname=snort\n# output database: log, mssql, dbname=snort user=snort password=test\n\n# xml: xml logging\n# ----------------\n# See the README.xml file for more information about configuring\n# and using this plugin.\n#\n# output xml: log, file=/var/log/snortxml\n\n# unified: Snort unified binary format alerting and logging\n# -------------------------------------------------------------\n# The unified output plugin provides two new formats for logging\n# and generating alerts from Snort, the \"unified\" format.  The\n# unified format is a straight binary format for logging data \n# out of Snort that is designed to be fast and efficient.  Used\n# with barnyard (the new alert/log processor), most of the overhead\n# for logging and alerting to various slow storage mechanisms\n# such as databases or the network can now be avoided.  \n#\n# Check out the spo_unified.h file for the data formats.\n#\n# Two arguments are supported.\n#    filename - base filename to write to (current time_t is appended)\n#    limit    - maximum size of spool file in MB (default: 128)\n#\n# output alert_unified: filename snort.alert, limit 128\n# output log_unified: filename snort.log, limit 128\n\n# trap_snmp: SNMP alerting for Snort\n# -------------------------------------------------------------\n# Read the README.SNMP file for more information on enabling and using this\n# plug-in.\n#\n#\n\n#The trap_snmp plugin accepts the following notification options\n# [c],[p[m|s]]\n# where,\n#     c : Generate compact notifications. (Saves on bandwidth by\n#         not reporting MOs for which values are unknown, not\n#         available or, not applicable). By default this option is reset.\n#     p : Generate a print of the invariant part of the offending packet. \n#         This can be used to track the packet across the Internet.\n#         By default this option is reset.\n#     m : Use the MD5 algorithm to generate the packet print.\n#         By default this algorithm is used.\n#     s : Use the SHA1 algorithm to generate the packet print.\n#\n# The trap_snmp plugin requires several parameters \n# The parameters depend on the SNMP version that is used (specified)\n# For the SNMPv2c case the parameters will be as follows\n#  alert, <sensorID>, [NotificationOptions] , {trap|inform} \n#         -v <SnmpVersion> [-p <portNumber>] -c <community> <hostName> \n#\n# For SNMPv2c traps to the standard snmpTrap port# 162 with \n# MD5-digest based packetPrint generation  \n#\n# output trap_snmp: alert, 7, cpm, trap -v 2c -c myCommunity myTrapListener \n#\n# For SNMPv2c informs with the compact notification option to port 999\n#\n# output trap_snmp: alert, 7, c, inform -v 2c -p 999 -c myCommunity myTrapListener \n#\n#\n# For SNMPv3 traps with \n# security name = snortUser \n# security level = authentication and privacy\n# authentication parameters :\n#           authentication protocol = SHA , \n#           authentication pass phrase = SnortAuthPassword\n# privacy (encryption) parameters \n#           privacy protocol = DES, \n#           privacy pass phrase = SnortPrivPassword\n#\n#output trap_snmp: alert, 7, trap -v 3 -u snortUser -l authPriv -a SHA -A SnortAuthPassword -x DES -X SnortPrivPassword myTrapListener\n#For SNMPv3 informs with authentication and encryption to myTrapListener \n#on port 999\n#output trap_snmp: alert, 7, inform -v 3 -p 999 -u snortUser -l authPriv -a SHA -A SnortAuthPassword -x DES -X SnortPrivPassword myTrapListener\n\n# You can optionally define new rule types and associate one or \n# more output plugins specifically to that type.\n#\n# This example will create a type that will log to just tcpdump.\n# ruletype suspicious\n# {\n#   type log\n#   output log_tcpdump: suspicious.log\n# }\n#\n# EXAMPLE RULE FOR SUSPICIOUS RULETYPE:\n# suspicious $HOME_NET any -> $HOME_NET 6667 (msg:\"Internal IRC Server\";)\n#\n# This example will create a rule type that will log to syslog\n# and a mysql database.\n# ruletype redalert\n# {\n#   type alert\n#   output alert_syslog: LOG_AUTH LOG_ALERT\n#   output database: log, mysql, user=snort dbname=snort host=localhost\n# }\n#\n# EXAMPLE RULE FOR REDALERT RULETYPE\n# redalert $HOME_NET any -> $EXTERNAL_NET 31337 (msg:\"Someone is being LEET\"; \\\n#   flags:A+;)\n\n#\n# Include classification & priority settings\n#\n\n#include classification.config\n\n#\n# Include reference systems\n#\n\n#include reference.config\n\n####################################################################\n# Step #4: Customize your rule set\n#\n# Up to date snort rules are available at http://www.snort.org\n#\n# The snort web site has documentation about how to write your own \n# custom snort rules.\n#\n# The rules included with this distribution generate alerts based on\n# on suspicious activity. Depending on your network environment, your\n# security policies, and what you consider to be suspicious, some of\n# these rules may either generate false positives ore may be detecting\n# activity you consider to be acceptable; therefore, you are\n# encouraged to comment out rules that are not applicable in your\n# environment.\n#\n# Note that using all of the rules at the same time may lead to\n# serious packet loss on slower machines. YMMV, use with caution,\n# standard disclaimers apply. :)\n#\n# The following individuals contributed many of rules in this\n# distribution.\n#\n# Credits:\n#   Ron Gula <rgula@securitywizards.com> of Network Security Wizards\n#   Max Vision <vision@whitehats.com>\n#   Martin Markgraf <martin@mail.du.gtn.com>\n#   Fyodor Yarochkin <fygrave@tigerteam.net>\n#   Nick Rogness <nick@rapidnet.com>\n#   Jim Forster <jforster@rapidnet.com>\n#   Scott McIntyre <scott@whoi.edu>\n#   Tom Vandepoel <Tom.Vandepoel@ubizen.com>\n#   Brian Caswell <bmc@snort.org>\n#   Zeno <admin@cgisecurity.com>\n#   Ryan Russell <ryan@securityfocus.com>\n# \n#=========================================\n# Include all relevant rulesets here \n# \n# shellcode, policy, info, backdoor, and virus rulesets are \n# disabled by default.  These require tuning and maintance.  \n# Please read the included specific file for more information.\n#=========================================\n\n#include $RULE_PATH/bad-traffic.rules\n#include $RULE_PATH/exploit.rules\n#include $RULE_PATH/scan.rules\n#include $RULE_PATH/finger.rules\n#include $RULE_PATH/ftp.rules\n#include $RULE_PATH/telnet.rules\n#include $RULE_PATH/rpc.rules\n#include $RULE_PATH/rservices.rules\n#include $RULE_PATH/dos.rules\n#include $RULE_PATH/ddos.rules\n#include $RULE_PATH/dns.rules\n#include $RULE_PATH/tftp.rules\n\n#include $RULE_PATH/web-cgi.rules\n#include $RULE_PATH/web-coldfusion.rules\n#include $RULE_PATH/web-iis.rules\n#include $RULE_PATH/web-frontpage.rules\n#include $RULE_PATH/web-misc.rules\n#include $RULE_PATH/web-client.rules\n#include $RULE_PATH/web-php.rules\n\n#include $RULE_PATH/sql.rules\n#include $RULE_PATH/x11.rules\n#include $RULE_PATH/icmp.rules\n#include $RULE_PATH/netbios.rules\n#include $RULE_PATH/misc.rules\n#include $RULE_PATH/attack-responses.rules\n#include $RULE_PATH/oracle.rules\n#include $RULE_PATH/mysql.rules\n#include $RULE_PATH/snmp.rules\n\n#include $RULE_PATH/smtp.rules\n#include $RULE_PATH/imap.rules\n#include $RULE_PATH/pop3.rules\n#include $RULE_PATH/pop2.rules\n\n#include $RULE_PATH/nntp.rules\n#include $RULE_PATH/other-ids.rules\n# include $RULE_PATH/web-attacks.rules\n# include $RULE_PATH/backdoor.rules\n# include $RULE_PATH/shellcode.rules\n# include $RULE_PATH/policy.rules\n# include $RULE_PATH/porn.rules\n# include $RULE_PATH/info.rules\n# include $RULE_PATH/icmp-info.rules\n# include $RULE_PATH/virus.rules\n# include $RULE_PATH/chat.rules\n# include $RULE_PATH/multimedia.rules\n# include $RULE_PATH/p2p.rules\n#include $RULE_PATH/experimental.rules\n#include $RULE_PATH/local.rules\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n# The following includes information for prioritizing rules\n# \n# Each classification includes a shortname, a description, and a default\n# priority for that classification.\n#\n# This allows alerts to be classified and prioritized.  You can specify\n# what priority each classification has.  Any rule can override the default\n# priority for that rule.\n#\n# Here are a few example rules:\n# \n#   alert TCP any any -> any 80 (msg: \"EXPLOIT ntpdx overflow\"; \n#	dsize: > 128; classtype:attempted-admin; priority:10;\n#\n#   alert TCP any any -> any 25 (msg:\"SMTP expn root\"; flags:A+; \\\n#	      content:\"expn root\"; nocase; classtype:attempted-recon;)\n#\n# The first rule will set its type to \"attempted-admin\" and override \n# the default priority for that type to 10.\n#\n# The second rule set its type to \"attempted-recon\" and set its\n# priority to the default for that type.\n# \n\n#\n# config classification:shortname,short description,priority\n#\n\nconfig classification: not-suspicious,Not Suspicious Traffic,3\nconfig classification: unknown,Unknown Traffic,3\nconfig classification: bad-unknown,Potentially Bad Traffic, 2\nconfig classification: attempted-recon,Attempted Information Leak,2\nconfig classification: successful-recon-limited,Information Leak,2\nconfig classification: successful-recon-largescale,Large Scale Information Leak,2\nconfig classification: attempted-dos,Attempted Denial of Service,2\nconfig classification: successful-dos,Denial of Service,2\nconfig classification: attempted-user,Attempted User Privilege Gain,1\nconfig classification: unsuccessful-user,Unsuccessful User Privilege Gain,1\nconfig classification: successful-user,Successful User Privilege Gain,1\nconfig classification: attempted-admin,Attempted Administrator Privilege Gain,1\nconfig classification: successful-admin,Successful Administrator Privilege Gain,1\n\n\n# NEW CLASSIFICATIONS\nconfig classification: rpc-portmap-decode,Decode of an RPC Query,2\nconfig classification: shellcode-detect,Executable code was detected,1\nconfig classification: string-detect,A suspicious string was detected,3\nconfig classification: suspicious-filename-detect,A suspicious filename was detected,2\nconfig classification: suspicious-login,An attempted login using a suspicious username was detected,2\nconfig classification: system-call-detect,A system call was detected,2\nconfig classification: tcp-connection,A TCP connection was detected,4\nconfig classification: trojan-activity,A Network Trojan was detected, 1\nconfig classification: unusual-client-port-connection,A client was using an unusual port,2\nconfig classification: network-scan,Detection of a Network Scan,3\nconfig classification: denial-of-service,Detection of a Denial of Service Attack,2\nconfig classification: non-standard-protocol,Detection of a non-standard protocol or event,2\nconfig classification: protocol-command-decode,Generic Protocol Command Decode,3\nconfig classification: web-application-activity,access to a potentially vulnerable web application,2\nconfig classification: web-application-attack,Web Application Attack,1\nconfig classification: misc-activity,Misc activity,3\nconfig classification: misc-attack,Misc Attack,2\nconfig classification: icmp-event,Generic ICMP event,3\nconfig classification: kickass-porn,SCORE! Get the lotion!,1\nconfig classification: policy-violation,Potential Corporate Privacy Violation,1\nconfig classification: default-login-attempt,Attempt to login by a default username and password,2\n','2003-04-05 22:29:16');

INSERT INTO MIDAS_SNORT_Rules VALUES (0,'local.rules','# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n# ----------------\n# LOCAL RULES\n# ----------------\n# This file intentionally does not come with signatures.  Put your local\n# additions here.\n','2003-04-05 22:29:16',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'info.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#-----------\n# INFO RULES\n#-----------\n\nalert tcp $EXTERNAL_NET 80 -> $HOME_NET any (msg:\"INFO Connection Closed MSG from Port 80\"; content:\"Connection closed by foreign host\"; nocase; flow:from_server,established; classtype:unknown; sid:488;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"INFO FTP No Password\"; content: \"PASS\"; nocase; offset:0; depth:4; content:\"|0a|\"; within:3; reference:arachnids,322; flow:from_client,established; classtype:unknown; sid:489; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"INFO battle-mail traffic\"; content:\"BattleMail\"; flow:to_server,established; classtype:unknown; sid:490;  rev:5;)\nalert tcp $HOME_NET 21 -> $EXTERNAL_NET any (msg:\"FTP Bad login\"; content:\"530 Login \"; nocase; flow:from_server,established; classtype:bad-unknown; sid:491; rev:5;)\nalert tcp $HOME_NET 23 -> $EXTERNAL_NET any (msg:\"TELNET Bad Login\"; content: \"Login failed\";  nocase; flow:from_server,established; classtype:bad-unknown; sid:492;  rev:5;)\nalert tcp $HOME_NET 23 -> $EXTERNAL_NET any (msg:\"TELNET Bad Login\"; content: \"Login incorrect\"; nocase; flow:from_server,established; classtype:bad-unknown; sid:1251;  rev:4;)\nalert tcp $HOME_NET any -> $EXTERNAL_NET any (msg:\"INFO psyBNC access\"; content:\"Welcome!psyBNC@lam3rz.de\"; flow:from_server,established; classtype:bad-unknown; sid:493;  rev:4;)\n','2003-04-05 22:29:16',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'imap.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#--------------\n# IMAP RULES\n#--------------\n\nalert tcp $EXTERNAL_NET any -> $HOME_NET 143 (msg:\"IMAP authenticate overflow attempt\"; flow:established,to_server; content:\" AUTHENTICATE \"; nocase; content:!\"|0a|\"; within:1024; reference:nessus,10292; reference:cve,CVE-1999-0042; classtype:misc-attack; sid:1844; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 143 (msg:\"IMAP list overflow attempt\"; flow:established,to_server; content:\" LIST |22 22| \"; nocase; content:!\"|0a|\"; within:1024; reference:nessus,10374; reference:cve,CAN-2000-0284; classtype:misc-attack; sid:1845; rev:5;)\n\nalert tcp $EXTERNAL_NET any -> $HOME_NET 143 (msg:\"IMAP login buffer overflow attempt\"; flow:established,to_server; content:\" LOGIN \"; content:!\"|0a|\"; within:100; reference:nessus,10125; reference:cve,CVE-1999-0005; classtype:attempted-user; sid:1842; rev:5;)\n\nalert tcp $EXTERNAL_NET any -> $HOME_NET 143 (msg:\"IMAP rename overflow attempt\"; flow:established,to_server; content:\" RENAME \"; nocase; content:!\"|0a|\"; within:1024; reference:nessus,10374; reference:cve,CAN-2000-0284; classtype:misc-attack; sid:1903; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 143 (msg:\"IMAP find overflow attempt\"; flow:established,to_server; content:\" FIND \"; nocase; content:!\"|0a|\"; within:1024; reference:nessus,10374; reference:cve,CAN-2000-0284; classtype:misc-attack; sid:1904; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 143 (msg:\"IMAP partial body buffer overflow attempt\"; flow:to_server,established; content:\" PARTIAL \"; content:\" BODY[\"; content:!\"]\"; within:1024; reference:bugtraq,4713; reference:cve,CAN-2002-0379; classtype:misc-attack; sid:1755; rev:9;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 143 (msg:\"IMAP EXPLOIT overflow\"; flow:to_server,established; content:\"|E8 C0FF FFFF|/bin/sh\"; classtype:attempted-admin; sid:293; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 143 (msg:\"IMAP EXPLOIT x86 linux overflow\"; flow:to_server,established; content:\"|89d8 40cd 80e8 c8ff ffff|/\";reference:bugtraq,130; reference:cve,CVE-1999-0005; classtype:attempted-admin; sid:295; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 143 (msg:\"IMAP EXPLOIT x86 linux overflow\"; flow:to_server,established; content:\"|eb34 5e8d 1E89 5e0b 31d2 8956 07|\";reference:bugtraq,130; reference:cve,CVE-1999-0005; classtype:attempted-admin; sid:296; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 143 (msg:\"IMAP EXPLOIT x86 linux overflow\"; flow:to_server,established; content:\"|eb35 5E80 4601 3080 4602 3080 4603 30|\";reference:bugtraq,130; reference:cve,CVE-1999-0005; classtype:attempted-admin; sid:297; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 143 (msg:\"IMAP EXPLOIT x86 linux overflow\"; flow:to_server,established; content:\"|eb38 5e89f389d880460120804602|\"; reference:bugtraq,130; reference:cve,CVE-1999-0005; classtype:attempted-admin; sid:298; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 143 (msg:\"IMAP EXPLOIT x86 linux overflow\"; flow:to_server,established; content:\"|eb58 5E31 db83 c308 83c3 0288 5e26|\"; reference:bugtraq,130; reference:cve, CVE-1999-0005; classtype:attempted-admin; sid:299; rev:4;)\n','2003-04-05 22:29:16',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'icmp.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#-----------\n# ICMP RULES\n#-----------\n#\n# Description:\n# These rules are potentially bad ICMP traffic.  They include most of the\n# ICMP scanning tools and other \"BAD\" ICMP traffic (Such as redirect host)\n#\n# Other ICMP rules are included in icmp-info.rules\n\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP ISS Pinger\"; content:\"|495353504e475251|\";itype:8;depth:32; reference:arachnids,158; classtype:attempted-recon; sid:465; rev:1;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP L3retriever Ping\"; content: \"ABCDEFGHIJKLMNOPQRSTUVWABCDEFGHI\"; itype: 8; icode: 0; depth: 32; reference:arachnids,311; classtype:attempted-recon; sid:466; rev:1;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Nemesis v1.1 Echo\"; dsize: 20; itype: 8; icmp_id: 0; icmp_seq: 0; content: \"|0000000000000000000000000000000000000000|\"; reference:arachnids,449; classtype:attempted-recon; sid:467; rev:1;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING NMAP\"; dsize: 0; itype: 8; reference:arachnids,162; classtype:attempted-recon; sid:469; rev:1;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP icmpenum v1.1.1\"; id: 666; dsize: 0; itype: 8; icmp_id: 666 ; icmp_seq: 0; reference:arachnids,450; classtype:attempted-recon; sid:471; rev:1;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP redirect host\";itype:5;icode:1; reference:arachnids,135; reference:cve,CVE-1999-0265; classtype:bad-unknown; sid:472; rev:1;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP redirect net\";itype:5;icode:0; reference:arachnids,199; reference:cve,CVE-1999-0265; classtype:bad-unknown; sid:473; rev:1;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP superscan echo\"; content:\"|0000000000000000|\"; itype: 8; dsize:8; classtype:attempted-recon; sid:474; rev:1;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP traceroute ipopts\"; ipopts: rr; itype: 0; reference:arachnids,238; classtype:attempted-recon; sid:475; rev:1;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP webtrends scanner\"; content: \"|00 00 00 00 45 45 45 45 45 45 45 45 45 45 45 45|\"; itype: 8; icode: 0; reference:arachnids,307; classtype:attempted-recon; sid:476; rev:1;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Source Quench\"; itype: 4; icode: 0; classtype:bad-unknown; sid:477; rev:1;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Broadscan Smurf Scanner\"; itype: 8; icmp_id: 0; icmp_seq: 0; dsize:4;  classtype:attempted-recon; sid:478; rev:1;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING speedera\"; content: \"|3839 3a3b 3c3d 3e3f|\"; depth: 100; itype: 8;  sid:480;  classtype:misc-activity; rev:2;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP TJPingPro1.1Build 2 Windows\"; content:\"|544a 5069 6e67 5072 6f20 6279 204a 696d|\";itype:8;depth:32; reference:arachnids,167; sid:481;  classtype:misc-activity; rev:2;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING WhatsupGold Windows\"; content:\"|5768 6174 7355 7020 2d20 4120 4e65 7477|\";itype:8;depth:32; reference:arachnids,168; sid:482;  classtype:misc-activity; rev:2;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING CyberKit 2.2 Windows\"; content:\"|aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa|\";itype:8;depth:32; reference:arachnids,154; sid:483;  classtype:misc-activity; rev:2;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING Sniffer Pro/NetXRay network scan\"; itype:8; content:\"|43696e636f204e6574776f726b2c20496e632e|\"; depth:32; sid:484;  classtype:misc-activity; rev:2;)\nalert icmp any any -> any any (msg:\"ICMP Destination Unreachable (Communication Administratively Prohibited)\"; itype: 3; icode: 13; sid:485;  classtype:misc-activity; rev:2;)\nalert icmp any any -> any any (msg:\"ICMP Destination Unreachable (Communication with Destination Host is Administratively Prohibited)\"; itype: 3; icode: 10; sid:486;  classtype:misc-activity; rev:2;)\nalert icmp any any -> any any (msg:\"ICMP Destination Unreachable (Communication with Destination Network is Administratively Prohibited)\"; itype: 3; icode: 9; sid:487;  classtype:misc-activity; rev:2;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP digital island bandwidth query\"; content:\"mailto\\:ops@digisle.com\"; offset:0; depth:22; classtype:misc-activity; sid:1813; rev:3;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Large ICMP Packet\"; dsize: >800; reference:arachnids,246; classtype:bad-unknown; sid:499; rev:3;)\n','2003-04-05 22:29:16',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'icmp-info.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#--------------\n# ICMP-INFO\n#--------------\n#\n# Description:\n# These rules are standard ICMP traffic.  They include OS pings, as well\n# as normal routing done by ICMP.  There are a number of \"catch all\" rules\n# that will alert on unknown ICMP types.\n#\n# Potentially \"BAD\" ICMP rules are included in icmp.rules\n\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP IRDP router advertisement\";itype:9; reference:bugtraq,578; reference:cve,CVE-1999-0875; reference:arachnids,173; sid:363;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP IRDP router selection\";itype:10; reference:bugtraq,578; reference:cve,CVE-1999-0875; reference:arachnids,174; sid:364;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING *NIX\"; content:\"|101112131415161718191a1b1c1d1e1f|\";itype:8;depth:32; sid:366;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING BSDtype\"; itype:8; content:\"|08 09 0a 0b 0c 0d 0e 0f 10 11 12 13 14 15 16 17|\"; depth:32; reference:arachnids,152; sid:368;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING BayRS Router\"; itype: 8; content:\"|0102030405060708090a0b0c0d0e0f|\"; depth:32; reference:arachnids,438; reference:arachnids,444; sid:369;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING BeOS4.x\"; content:\"|00000000000000000000000008090a0b|\";itype:8;depth:32; reference:arachnids,151; sid:370;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING Cisco Type.x\"; content:\"|abcdabcdabcdabcdabcdabcdabcdabcd|\";itype:8;depth:32; reference:arachnids,153; sid:371;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING Delphi-Piette Windows\"; content:\"|50696e67696e672066726f6d2044656c|\"; itype:8; depth:32; reference:arachnids,155; sid:372;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING Flowpoint2200 or Network Management Software\"; itype:8; content:\"|0102030405060708090a0b0c0d0e0f10|\"; depth:32; reference:arachnids,156; sid:373;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING IP NetMonitor Macintosh\"; content:\"|a9205375737461696e61626c6520536f|\"; itype:8; depth:32; reference:arachnids,157; sid:374;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING LINUX/*BSD\"; dsize:8; itype:8; id:13170; reference:arachnids,447; sid:375;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING Microsoft Windows\"; content:\"|303132333435363738396162636465666768696a6b6c6d6e6f70|\"; itype:8; depth:32; reference:arachnids,159; sid:376;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING Network Toolbox 3 Windows\"; content:\"|3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d3d|\";itype:8;depth:32; reference:arachnids,161; sid:377;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING Ping-O-MeterWindows\"; content:\"|4f4d 6574 6572 4f62 6573 6541 726d 6164|\"; itype:8; depth:32; reference:arachnids,164; sid:378;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING Pinger Windows\"; content:\"|44617461000000000000000000000000|\"; itype:8; depth:32; reference:arachnids,163; sid:379;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING Seer Windows\"; content:\"|88042020202020202020202020202020|\"; itype:8; depth:32; reference:arachnids,166; sid:380;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING Sun Solaris\"; dsize:8; itype:8; reference:arachnids,448; sid:381;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING Windows\"; content: \"|61 62 63 64 65 66 67 68 69 6A 6B 6C 6D 6E 6F 70|\"; itype: 8; depth: 16; reference:arachnids,169; sid:382;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING\"; itype: 8; icode: 0; sid:384;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP traceroute \";ttl:1;itype:8; reference:arachnids,118; classtype:attempted-recon; sid:385; rev:2;)\nalert icmp $HOME_NET any -> $EXTERNAL_NET any (msg:\"ICMP Address Mask Reply\"; itype: 18; icode: 0; sid:386;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Address Mask Reply (Undefined Code!)\"; itype: 18; sid:387;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Address Mask Request\"; itype: 17; icode: 0; sid:388;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Address Mask Request (Undefined Code!)\"; itype: 17; sid:389;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Alternate Host Address\"; itype: 6; icode: 0; sid:390;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Alternate Host Address (Undefined Code!)\"; itype: 6; sid:391;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Datagram Conversion Error\"; itype: 31; icode: 0; sid:392;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Datagram Conversion Error (Undefined Code!)\"; itype: 31; sid:393;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Destination Unreachable (Destination Host Unknown)\"; itype: 3; icode: 7; sid:394;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Destination Unreachable (Destination Network Unknown)\"; itype: 3; icode: 6; sid:395;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Destination Unreachable (Fragmentation Needed and DF bit was set)\"; itype: 3; icode:4; sid:396;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Destination Unreachable (Host Precedence Violation)\"; itype: 3; icode: 14; sid:397;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Destination Unreachable (Host Unreachable for Type of Service)\"; itype: 3; icode: 12; sid:398;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Destination Unreachable (Host Unreachable)\"; itype: 3; icode: 1; sid:399;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Destination Unreachable (Network Unreachable for Type of Service)\"; itype: 3; icode:11; sid:400;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Destination Unreachable (Network Unreachable)\"; itype: 3; icode: 0; sid:401;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Destination Unreachable (Port Unreachable)\"; itype: 3; icode: 3; sid:402;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Destination Unreachable (Precedence Cutoff in effect)\"; itype: 3; icode: 15; sid:403;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Destination Unreachable (Protocol Unreachable)\"; itype: 3; icode: 2; sid:404;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Destination Unreachable (Source Host Isolated)\"; itype: 3; icode: 8; sid:405;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Destination Unreachable (Source Route Failed)\"; itype: 3; icode: 5; sid:406;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Destination Unreachable (Undefined Code!)\"; itype: 3; sid:407;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Echo Reply\"; itype: 0; icode: 0; sid:408;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Echo Reply (Undefined Code!)\"; itype: 0; sid:409;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Fragment Reassembly Time Exceeded\"; itype: 11; icode: 1; sid:410;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP IPV6 I-Am-Here\"; itype: 34; icode: 0; sid:411;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP IPV6 I-Am-Here (Undefined Code!\"; itype: 34; sid:412;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP IPV6 Where-Are-You\"; itype: 33; icode: 0; sid:413;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP IPV6 Where-Are-You (Undefined Code!)\"; itype: 33; sid:414;  classtype:misc-activity; rev:4;)\nalert icmp $HOME_NET any -> $EXTERNAL_NET any (msg:\"ICMP Information Reply\"; itype: 16; icode: 0; sid:415;  classtype:misc-activity; rev:4;)\nalert icmp $HOME_NET any -> $EXTERNAL_NET any (msg:\"ICMP Information Reply (Undefined Code!)\"; itype: 16; sid:416;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Information Request\"; itype: 15; icode: 0; sid:417;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Information Request (Undefined Code!)\"; itype: 15; sid:418;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Mobile Host Redirect\"; itype: 32; icode: 0; sid:419;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Mobile Host Redirect (Undefined Code!)\"; itype: 32; sid:420;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Mobile Registration Reply\"; itype: 36; icode: 0; sid:421;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Mobile Registration Reply (Undefined Code!)\"; itype: 36; sid:422;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Mobile Registration Request\"; itype: 35; icode: 0; sid:423;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Mobile Registration Request (Undefined Code!\"; itype: 35; sid:424;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Parameter Problem (Bad Length)\"; itype: 12; icode: 2; sid:425;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Parameter Problem (Missing a Requiered Option)\"; itype: 12; icode: 1; sid:426;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Parameter Problem (Unspecified Error)\"; itype: 12; icode: 0; sid:427;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Parameter Problem (Undefined Code!)\"; itype: 12; sid:428;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Photuris (Reserved)\"; itype: 40; icode: 0; sid:429;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Photuris (Unknown Security Parameters Index)\"; itype: 40; icode: 1; sid:430;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Photuris (Valid Security Parameters, But Authentication Failed)\"; itype: 40; icode: 2; sid:431;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Photuris (Valid Security Parameters, But Decryption Failed)\"; itype: 40; icode: 3; sid:432;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Photuris (Undefined Code!)\"; itype: 40; sid:433;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Redirect (for TOS and Host)\"; itype: 5; icode: 3; sid:436;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Redirect (for TOS and Network)\"; itype: 5; icode: 2; sid:437;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Redirect (Undefined Code!)\"; itype: 5; sid:438;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Reserved for Security (Type 19)\"; itype: 19; icode: 0; sid:439;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Reserved for Security (Type 19) (Undefined Code!)\"; itype: 19; sid:440;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Router Advertisment\"; itype: 9; icode: 0; reference:arachnids,173; sid:441;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Router Selection\"; itype: 10; icode: 0; reference:arachnids,174; sid:443;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP SKIP\"; itype: 39; icode: 0; sid:445;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP SKIP (Undefined Code!\"; itype: 39; sid:446;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Source Quench (Undefined Code!)\"; itype: 4; sid:448;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Time-To-Live Exceeded in Transit\"; itype: 11; icode: 0; sid:449;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Time-To-Live Exceeded in Transit (Undefined Code!)\"; itype: 11; sid:450;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Timestamp Reply\"; itype: 14; icode: 0; sid:451;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Timestamp Reply (Undefined Code!)\"; itype: 14; sid:452;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Timestamp Request\"; itype: 13; icode: 0; sid:453;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Timestamp Request (Undefined Code!)\"; itype: 13; sid:454;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Traceroute ipopts\"; ipopts: rr; itype: 0; reference:arachnids,238; sid:455;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Traceroute\"; itype: 30; icode: 0; sid:456;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Traceroute (Undefined Code!)\"; itype: 30; sid:457;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Unassigned! (Type 1)\"; itype: 1; icode: 0; sid:458;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Unassigned! (Type 1) (Undefined Code)\"; itype: 1; sid:459;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Unassigned! (Type 2)\"; itype: 2; icode: 0; sid:460;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Unassigned! (Type 2) (Undefined Code)\"; itype: 2; sid:461;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Unassigned! (Type 7)\"; itype: 7; icode: 0; sid:462;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP Unassigned! (Type 7) (Undefined Code!)\"; itype: 7; sid:463;  classtype:misc-activity; rev:4;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"ICMP PING (Undefined Code!)\"; itype: 8; sid:365;  classtype:misc-activity; rev:4;)\n','2003-04-05 22:29:16',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'mysql.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#----------\n# MYSQL RULES\n#----------\n#\n# These signatures detect unusual and potentually malicous mysql traffic.\n#\n# These signatures are not enabled by default as they may generate false\n# positive alarms on networks that do mysql development.\n#\n\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 3306 (msg:\"MYSQL root login attempt\"; flow:to_server,established; content:\"|0A 00 00 01 85 04 00 00 80 72 6F 6F 74 00|\"; classtype:protocol-command-decode; sid:1775; rev:1;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 3306 (msg:\"MYSQL show databases attempt\"; flow:to_server,established; content:\"|0f 00 00 00 03|show databases\"; classtype:protocol-command-decode; sid:1776; rev:1;)\n','2003-04-05 22:29:16',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'multimedia.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#-------------\n# MULTIMEDIA RULES\n#-------------\n# These signatures look for people using streaming multimedia technologies.\n# Using streaming media may be a violation of corporate policies.\n\nalert tcp $HOME_NET any -> $EXTERNAL_NET 80 (msg:\"MULTIMEDIA Quicktime User Agent access\"; flow:to_server,established; content:\"User-Agent\\: Quicktime\"; classtype:policy-violation; sid:1436;  rev:2;)\nalert tcp $EXTERNAL_NET 80 -> $HOME_NET any (msg:\"MULTIMEDIA Windows Media audio download\"; flow:from_server,established; content:\"Content-type\\: audio/x-ms-wma\\r\\n\"; classtype:policy-violation; sid:1437;  rev:2;)\nalert tcp $EXTERNAL_NET 80 -> $HOME_NET any (msg:\"MULTIMEDIA Windows Media Video download\"; flow:from_server,established; content:\"Content-type\\: video/x-ms-asf\\r\\n\"; classtype:policy-violation; sid:1438;  rev:2;)\nalert tcp $EXTERNAL_NET 80 -> $HOME_NET any (msg:\"MULTIMEDIA Shoutcast playlist redirection\"; flow:from_server,established; content:\"Content-type\\: audio/x-scpls\\r\\n\"; classtype:policy-violation; sid:1439;  rev:2;)\nalert tcp $EXTERNAL_NET 80 -> $HOME_NET any (msg:\"MULTIMEDIA Icecast playlist redirection\"; flow:from_server,established; content:\"Content-type\\: audio/x-mpegurl\\r\\n\"; classtype:policy-violation; sid:1440;  rev:2;)\nalert tcp $HOME_NET any -> 64.245.58.0/23 any (msg:\"MULTIMEDIA audio galaxy keepalive\"; flow:established; content:\"|45 5F 00 03 05|\"; offset:0; depth:5; classtype:misc-activity; sid:1428; rev:3;)\n','2003-04-05 22:29:16',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'misc.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#-----------\n# MISC RULES\n#-----------\n\nalert ip $EXTERNAL_NET any -> $HOME_NET any (msg:\"MISC source route lssr\"; ipopts:lsrr; reference:bugtraq,646; reference:cve,CVE-1999-0909; reference:arachnids,418; classtype:bad-unknown; sid:500; rev:2;)\nalert ip $EXTERNAL_NET any -> $HOME_NET any (msg:\"MISC source route lssre\"; ipopts:lsrre; reference:bugtraq,646; reference:cve,CVE-1999-0909; reference:arachnids,420; classtype:bad-unknown; sid:501; rev:2;)\nalert ip $EXTERNAL_NET any -> $HOME_NET any (msg:\"MISC source route ssrr\"; ipopts: ssrr ;reference:arachnids,422; classtype:bad-unknown; sid:502; rev:1;)\nalert tcp $EXTERNAL_NET 20 -> $HOME_NET :1023 (msg:\"MISC Source Port 20 to <1024\"; flags:S; reference:arachnids,06; classtype:bad-unknown; sid:503; rev:2;)\nalert tcp $EXTERNAL_NET 53 -> $HOME_NET :1023 (msg:\"MISC source port 53 to <1024\"; flags:S; reference:arachnids,07; classtype:bad-unknown; sid:504; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 1417 (msg:\"MISC Insecure TIMBUKTU Password\"; content: \"|05 00 3E|\"; flow:to_server,established; depth:16; reference:arachnids,229; classtype:bad-unknown; sid:505;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 5631 (msg:\"MISC PCAnywhere Attempted Administrator Login\"; flow:to_server,established; content:\"ADMINISTRATOR\"; classtype:attempted-admin; sid:507;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 70 (msg:\"MISC gopher proxy\"; flow:to_server,established; content:\"ftp|3a|\"; nocase; content: \"@/\"; reference:arachnids,409; classtype:bad-unknown; sid:508;  rev:5;)\nalert tcp $HOME_NET 5631:5632 -> $EXTERNAL_NET any (msg:\"MISC PCAnywhere Failed Login\"; flow:from_server,established; content:\"Invalid login\"; depth: 16; reference:arachnids,240; classtype:unsuccessful-user; sid:512;  rev:3;)\nalert tcp $HOME_NET 7161 -> $EXTERNAL_NET any (msg:\"MISC Cisco Catalyst Remote Access\"; flags:SA; reference:arachnids,129; reference:cve,CVE-1999-0430; classtype:bad-unknown; sid:513; rev:3;)\nalert tcp $HOME_NET any -> $EXTERNAL_NET 27374 (msg:\"MISC ramen worm\"; flow:to_server,established; content:\"GET \"; depth:8; nocase; reference:arachnids,461; classtype:bad-unknown; sid:514;  rev:4;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 161 (msg:\"MISC SNMP NT UserList\"; content:\"|2b 06 10 40 14 d1 02 19|\"; classtype:attempted-recon; sid:516; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 177 (msg:\"MISC xdmcp query\"; content:\"|00 01 00 03 00 01 00|\"; reference:arachnids,476; classtype:attempted-recon; sid:517; rev:1;)\n\n# once we get response, check for content:\"|00 01 00|\"; offset:0; depth:3;\nalert udp $EXTERNAL_NET any -> $HOME_NET 177 (msg:\"MISC xdmcp info query\"; content:\"|00 01 00 02 00 01 00|\"; reference:nessus,10891; classtype:attempted-recon; sid:1867; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET any (msg:\"MISC Large UDP Packet\"; dsize: >4000; reference:arachnids,247; classtype:bad-unknown; sid:521; rev:1;)\nalert ip $EXTERNAL_NET any -> $HOME_NET any (msg:\"MISC Tiny Fragments\"; fragbits:M; dsize: < 25; classtype:bad-unknown; sid:522; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 1900 (msg:\"MISC UPNP malformed advertisement\"; content:\"NOTIFY * \"; nocase; classtype:misc-attack; reference:cve,CAN-2001-0876; reference:cve,CAN-2001-0877; sid:1384; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 1900 (msg:\"MISC UPNP Location overflow\"; content:\"|0d|Location|3a|\"; nocase; content:!\"|0a|\"; within:128; classtype:misc-attack; reference:cve,CAN-2001-0876; sid:1388; rev:3;)\nalert tcp $AIM_SERVERS any -> $HOME_NET any (msg:\"MISC AIM AddGame attempt\"; flow:to_client,established; content:\"aim\\:AddGame?\"; nocase; reference:url,www.w00w00.org/files/w00aimexp/; reference:bugtraq,3769; reference:cve,CAN-2002-0005; classtype:misc-attack; sid:1393; rev:9;)\nalert tcp $AIM_SERVERS any -> $HOME_NET any (msg:\"MISC AIM AddExternalApp attempt\"; flow:to_client,established; content:\"aim\\:AddExternalApp?\"; nocase; reference:url,www.w00w00.org/files/w00aimexp/; classtype:misc-attack; sid:1752; rev:3;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 7001 (msg:\"MISC AFS access\"; content:\"|00 00 03 e7 00 00 00 00 00 00 00 65 00 00 00 00 00 00 00 00 0d 05 00 00 00 00 00 00 00|\"; reference:nessus,10441; classtype:misc-activity; sid:1504; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 32000 (msg:\"MISC Xtramail Username overflow attempt\"; flow:to_server,established; dsize:>500; content:\"Username\\: \"; nocase; reference:cve,CAN-1999-1511; reference:bugtraq,791; classtype:attempted-admin; sid:1636; rev:3;)\n# alert udp $EXTERNAL_NET any -> $HOME_NET 500 (msg:\"MISC IPSec PGPNet connection attempt\"; content:\"|00 00 00 00 00 00 00 00 00 00 00 00 00 00 01 10 02 00 00 00 00 00 00 00 00 88 0D 00 00 5C 00 00 00 01 00 00 00 01 00 00 00 50 01 01 00 02 03 00 00 24 01 01 00 00 80 01 00 06 80 02 00 02 80 03 00 03 80 04 00 05 80 0B 00 01 00 0C 00 04 00 01 51 80 00 00 00 24 02 01 00 00 80 01 00 05 80 02 00 01 80 03 00 03 80 04 00 02 80 0B 00 01 00 0C 00 04 00 01 51 80 00 00 00 10|\"; classtype:protocol-command-decode; sid:1771; rev:3;)\n\n\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS 443 (msg:\"MISC OpenSSL Worm traffic\"; flow:to_server,established;  content:\"TERM=xterm\"; nocase; classtype:web-application-attack; reference:url,www.cert.org/advisories/CA-2002-27.html; sid:1887; rev:2;)\nalert udp $EXTERNAL_NET 2002 -> $HTTP_SERVERS 2002 (msg:\"MISC slapper worm admin traffic\"; content:\"|0000 4500 0045 0000 4000|\"; offset:0; depth:10; classtype:trojan-activity; reference:url,www.cert.org/advisories/CA-2002-27.html; reference:url,isc.incidents.org/analysis.html?id=167; sid:1889; rev:3;)\n\n\n# once we get response, check for content:\"|03|\"; offset:0; depth:1;\nalert tcp $EXTERNAL_NET any -> $HOME_NET 3389 (msg:\"MISC MS Terminal server request (RDP)\"; content:\"|03 00 00 0b 06 E0 00 00 00 00 00|\"; offset:0; depth:11; flow:to_server,established; reference:cve,CAN-2001-0540; classtype:protocol-command-decode; sid:1447; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 3389 (msg:\"MISC MS Terminal server request\"; content:\"|03 00 00|\"; offset:0; depth:3; content:\"|e0 00 00 00 00 00|\"; offset:5; depth:6; flow:to_server,established; reference:cve,CAN-2001-0540; classtype:protocol-command-decode; sid:1448; rev:4;)\n\nalert tcp $EXTERNAL_NET any -> $HOME_NET 2533 (msg:\"MISC Alcatel PABX 4400 connection attempt\"; flow:established,to_server; content:\"|000143|\"; offset:0; depth:3; classtype:misc-activity; reference:nessus,11019; sid:1819; rev:3;)\n\nalert udp $EXTERNAL_NET any -> $HOME_NET 27155 (msg:\"MISC GlobalSunTech Access Point Information Discolsure attempt\"; content:\"gstsearch\"; reference:bugtraq,6100; classtype:misc-activity; sid:1966; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 7100 (msg:\"MISC xfs overflow attempt\"; flow:to_server,established; content:\"|42 00 02|\"; depth:3; dsize:>512; reference:cve,CAN-2002-1317; reference:nessus,11188; classtype:misc-activity; sid:1987; rev:1;)\nalert tcp $HOME_NET 2401 -> $EXTERNAL_NET any (msg:\"MISC CVS invalid user authentication response\"; flow:from_server,established; content:\"E Fatal error, aborting.\"; content:\"\\: no such user\"; classtype:misc-attack; sid:2008; rev:2;)\nalert tcp $HOME_NET 2401 -> $EXTERNAL_NET any (msg:\"MISC CVS invalid repository response\"; flow:from_server,established; content:\"error \"; content:\"\\: no such repository\"; content:\"I HATE YOU\"; classtype:misc-attack; sid:2009; rev:1;)\nalert tcp $HOME_NET 2401 -> $EXTERNAL_NET any (msg:\"MISC CVS double free exploit attempt response\"; flow:from_server,established; content:\"free()\\: warning\\: chunk is already free\"; classtype:misc-attack; reference:cve,CAN-2003-0015; reference:bugtraq,6650; sid:2010; rev:1;)\nalert tcp $HOME_NET 2401 -> $EXTERNAL_NET any (msg:\"MISC CVS invalid directory response\"; flow:from_server,established; content:\"E protocol error\\: invalid directory syntax in\"; classtype:misc-attack; reference:cve,CAN-2003-0015; reference:bugtraq,6650; sid:2011; rev:1;)\nalert tcp $HOME_NET 2401 -> $EXTERNAL_NET any (msg:\"MISC CVS missing cvsroot response\"; flow:from_server,established; content:\"E protocol error\\: Root request missing\"; classtype:misc-attack; sid:2012; rev:1;)\nalert tcp $HOME_NET 2401 -> $EXTERNAL_NET any (msg:\"MISC CVS invalid module response\"; flow:from_server,established; content:\"cvs server\\: cannot find module\"; content:\"error\"; distance:1; classtype:misc-attack; sid:2013; rev:1;)\n','2003-04-05 22:29:16',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'nntp.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#----------\n# NNTP RULES\n#----------\n\nalert tcp $EXTERNAL_NET 119 -> $HOME_NET any (msg:\"NNTP return code buffer overflow attempt\"; flow:to_server,established,no_stream; content:\"200 \"; offset:0; depth:4; content:!\"|0a|\"; within:64; reference:bugtraq,4900; reference:cve,CAN-2002-0909; classtype:protocol-command-decode; sid:1792; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 119 (msg:\"NNTP AUTHINFO USER overflow attempt\"; flow:to_server,established; content:\"AUTHINFO USER \"; nocase; depth:14; content:!\"|0a|\"; within:500; reference:cve,CAN-2000-0341; reference:arachnids,274; classtype:attempted-admin; sid:1538; rev:5;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'netbios.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#--------------\n# NETBIOS RULES\n#--------------\n\nalert tcp $EXTERNAL_NET any -> $HOME_NET 139 (msg:\"NETBIOS nimda .eml\"; content:\"|00|.|00|E|00|M|00|L\"; flow:to_server,established; classtype:bad-unknown; reference:url,www.datafellows.com/v-descs/nimda.shtml; sid:1293; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 139 (msg:\"NETBIOS nimda .nws\"; content:\"|00|.|00|N|00|W|00|S\"; flow:to_server,established; classtype:bad-unknown; reference:url,www.datafellows.com/v-descs/nimda.shtml; sid:1294; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 139 (msg:\"NETBIOS nimda RICHED20.DLL\"; content:\"R|00|I|00|C|00|H|00|E|00|D|00|2|00|0\"; flow:to_server,established; classtype:bad-unknown; reference:url,www.datafellows.com/v-descs/nimda.shtml; sid:1295; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 139 (msg:\"NETBIOS DOS RFPoison\"; flow:to_server,established; content: \"|5C 00 5C 00 2A 00 53 00 4D 00 42 00 53 00 45 00 52 00 56 00 45 00 52 00 00 00 00 00 01 00 00 00 01 00 00 00 00 00 00 00 FF FF FF FF 00 00 00 00|\";reference:arachnids,454; classtype:attempted-dos; sid:529; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 139 (msg:\"NETBIOS NT NULL session\"; flow:to_server,established; content: \"|00 00 00 00 57 00 69 00 6E 00 64 00 6F 00 77 00 73 00 20 00 4E 00 54 00 20 00 31 00 33 00 38 00 31|\"; reference:bugtraq,1163; reference:cve,CVE-2000-0347; reference:arachnids,204; classtype:attempted-recon; sid:530; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 139 (msg:\"NETBIOS RFParalyze Attempt\"; flow:to_server,established; content:\"BEAVIS\"; content:\"yep yep\"; classtype:attempted-recon; sid:1239; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 139 (msg:\"NETBIOS SMB ADMIN$access\"; flow:to_server,established; content:\"\\\\ADMIN$|00 41 3a 00|\"; reference:arachnids,340; classtype:attempted-admin; sid:532;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 139 (msg:\"NETBIOS SMB C$ access\"; flow:to_server,established; content: \"|5c|C$|00 41 3a 00|\";reference:arachnids,339; classtype:attempted-recon; sid:533; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 139 (msg:\"NETBIOS SMB CD..\"; flow:to_server,established; content:\"\\\\..|2f 00 00 00|\"; reference:arachnids,338; classtype:attempted-recon; sid:534;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 139 (msg:\"NETBIOS SMB CD...\"; flow:to_server,established; content:\"\\\\...|00 00 00|\"; reference:arachnids,337; classtype:attempted-recon; sid:535;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 139 (msg:\"NETBIOS SMB D$access\"; flow:to_server,established; content:\"\\\\D$|00 41 3a 00|\"; reference:arachnids,336; classtype:attempted-recon; sid:536;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 139 (msg:\"NETBIOS SMB IPC$access\"; flow:to_server,established; content:\"\\\\IPC$|00 41 3a 00|\"; reference:arachnids,335; classtype:attempted-recon; sid:537;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 139 (msg:\"NETBIOS SMB IPC$access\"; flow:to_server,established; content:\"|5c00|I|00|P|00|C|00|$|000000|IPC|00|\"; reference:arachnids,334; classtype:attempted-recon; sid:538;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 139 (msg:\"NETBIOS Samba clientaccess\"; flow:to_server,established; content:\"|00|Unix|00|Samba\"; reference:arachnids,341; classtype:not-suspicious; sid:539;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 139 (msg:\"NETBIOS SMB SMB_COM_TRANSACTION Max Parameter of 0 DOS Attempt\"; flow:to_server,established; content:\"|00|\"; offset:0; depth:1; content:\"|FF 53 4D 42 25|\"; offset:4; depth:5; content:\"|00 00|\"; offset:43; depth:2; reference:cve,CAN-2002-0724; reference:url,www.microsoft.com/technet/security/bulletin/MS02-045.asp; reference:url,www.corest.com/common/showdoc.php?idx=262; classtype:denial-of-service; sid:2101; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 139 (msg:\"NETBIOS SMB SMB_COM_TRANSACTION Max Data Count of 0 DOS Attempt\"; flow:to_server,established; content:\"|00|\"; offset:0; depth:1; content:\"|FF 53 4D 42 25|\"; offset:4; depth:5; content:\"|00 00|\"; offset:45; depth:2; reference:cve,CAN-2002-0724; reference:url,www.microsoft.com/technet/security/bulletin/MS02-045.asp; reference:url,www.corest.com/common/showdoc.php?idx=262; classtype:denial-of-service; sid:2102; rev:1;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'policy.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#-------------\n# POLICY RULES\n#-------------\n#\n\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"POLICY FTP anonymous login attempt\"; content:\"USER\"; nocase; content:\" anonymous|0D0A|\"; nocase; flow:to_server,established; classtype:misc-activity; sid:553; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"POLICY FTP anonymous (ftp) login attempt\"; content:\"USER\"; nocase; content:\" ftp|0D0A|\"; nocase; flow:to_server,established; classtype:misc-activity; sid:1449; rev:3;)\nalert tcp $HOME_NET 23 -> $EXTERNAL_NET any (msg:\"POLICY WinGate telnet server response\"; content:\"WinGate>\"; flow:from_server,established; reference:arachnids,366; reference:cve,CAN-1999-0657; classtype:misc-activity; sid:555; rev:4;)\n\n\n# we have started to see multiple versions of this beyond 003.003, so we have\n# expanded this signature to take that into account.\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"POLICY VNC server response\"; flow:established; content:\"RFB 0\"; offset:0; depth:5; content:\".0\"; offset:7; depth:2; classtype:misc-activity; sid:560; rev:5;)\n\nalert udp $EXTERNAL_NET any -> $HOME_NET 5632 (msg:\"POLICY PCAnywhere server response\"; content:\"ST\"; depth: 2; reference:arachnids,239; classtype:misc-activity; sid:566; rev:3;)\nalert tcp $SMTP_SERVERS 25 -> $EXTERNAL_NET any (msg:\"POLICY SMTP relaying denied\"; flow:established,from_server; content: \"550 5.7.1\"; depth:70; reference:url,mail-abuse.org/tsi/ar-fix.html; reference:arachnids,249; classtype:misc-activity; sid:567; rev:9;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 9100 (msg:\"POLICY HP JetDirect LCD modification attempt\"; flow:to_server,established; content:\"@PJL RDYMSG DISPLAY =\"; classtype:misc-activity; reference:bugtraq,2245; reference:arachnids,302; sid:568; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 9000:9002 (msg:\"POLICY HP JetDirect LCD modification attempt\"; flow:to_server,established; content:\"@PJL RDYMSG DISPLAY =\"; classtype:misc-activity; reference:bugtraq,2245; reference:arachnids,302; sid:510; rev:6;)\nalert ip 63.251.224.177 any -> $HOME_NET any (msg:\"POLICY poll.gotomypc.com access\"; reference:url,www.gotomypc.com/help2.tmpl; classtype:misc-activity; sid:1429; rev:2;)\n\n# NOTES: This signature would be better off using uricontent, and having the\n# http decoder looking at 5800 and 5802, but that is on by default\nalert tcp $EXTERNAL_NET any -> $HOME_NET 5800:5802 (msg:\"POLICY vncviewer java applet download attempt\"; content:\"/vncviewer.jar\"; reference:nessus,10758; classtype:misc-activity; sid:1846; rev:2;)\n\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"POLICY FTP file_id.diz access possible warez site\";  flow:to_server,established; content:\"RETR\"; nocase; content:\"file_id.diz\"; nocase; distance:1; classtype:suspicious-filename-detect; sid:1445; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"POLICY FTP STOR 1MB possible warez site\"; flow:to_server,established; content:\"STOR\"; nocase; content:\"1MB\"; nocase; distance:1; classtype:misc-activity; sid:543; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"POLICY FTP RETR 1MB possible warez site\"; flow:to_server,established; content:\"RETR\"; nocase; content:\"1MB\"; nocase; distance:1; classtype:misc-activity; sid:544; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"POLICY FTP CWD   possible warez site\"; flow:to_server,established; content:\"CWD  \"; nocase; depth: 5; classtype:misc-activity; sid:546; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"POLICY FTP MKD   possible warez site\"; flow:to_Server,established; content:\"MKD  \"; nocase; depth: 5; classtype:misc-activity; sid:547; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"POLICY FTP MKD . possible warez site\"; flow:to_server,established; content:\"MKD .\"; nocase; depth: 5; classtype:misc-activity; sid:548; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"POLICY FTP CWD /  possible warez site\"; flow:to_server,established; content:\"CWD\"; nocase; content:\"/ \"; distance:1; classtype: misc-activity; sid:545; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"POLICY FTP MKD /  possible warez site\"; flow:to_server,established; content:\"MKD\"; nocase; content:\"/ \"; distance:1; classtype:misc-activity; sid:554; rev:6;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'p2p.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#-------------\n# P2P RULES\n#-------------\n# These signatures look for usage of P2P protocols, which are usually\n# against corporate policy\n\nalert tcp $HOME_NET any -> $EXTERNAL_NET 8888 (msg:\"P2P napster login\"; flow:to_server,established; content:\"|00 0200|\"; offset:1; depth:3; classtype:misc-activity; sid:549;  rev:5;)\nalert tcp $HOME_NET any -> $EXTERNAL_NET 8888 (msg:\"P2P napster new user login\"; flow:to_server,established; content:\"|00 0600|\"; offset:1; depth:3; classtype:misc-activity; sid:550;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 8888 (msg:\"P2P napster download attempt\"; flow:to_server,established; content:\"|00 cb00|\"; offset:1; depth:3; classtype:misc-activity; sid:551;  rev:4;)\nalert tcp $EXTERNAL_NET 8888 -> $HOME_NET any (msg:\"P2P napster upload request\"; flow:from_server,established; content:\"|00 5f02|\"; offset:1; depth:3; classtype:misc-activity; sid:552;  rev:4;)\nalert tcp $HOME_NET any -> $EXTERNAL_NET !80 (msg:\"P2P GNUTella GET\"; flow:to_server,established; content:\"GET \"; offset:0; depth:4; classtype:misc-activity; sid:1432;  rev:3;)\nalert tcp $HOME_NET any -> $EXTERNAL_NET any (msg:\"P2P Outbound GNUTella client request\"; flow:to_server,established; content:\"GNUTELLA CONNECT\"; depth:40; classtype:misc-activity; sid:556;  rev:4;)\nalert tcp $HOME_NET any -> $EXTERNAL_NET any (msg:\"P2P GNUTella client request\"; flow:to_server,established; content:\"GNUTELLA OK\"; depth:40; classtype:misc-activity; sid:557;  rev:5;)\nalert tcp $HOME_NET any <> $EXTERNAL_NET 6699 (msg:\"P2P Napster Client Data\"; flow:established; content:\".mp3\"; nocase; classtype:misc-activity; sid:561;  rev:5;)\nalert tcp $HOME_NET any <> $EXTERNAL_NET 7777 (msg:\"P2P Napster Client Data\"; flow:to_server,established; content:\".mp3\"; nocase; classtype:misc-activity; sid:562;  rev:4;)\nalert tcp $HOME_NET any <> $EXTERNAL_NET 6666 (msg:\"P2P Napster Client Data\"; flow:established; content:\".mp3\"; nocase; classtype:misc-activity; sid:563;  rev:5;)\nalert tcp $HOME_NET any <> $EXTERNAL_NET 5555 (msg:\"P2P Napster Client Data\"; flow:established; content:\".mp3\"; nocase; classtype:misc-activity; sid:564;  rev:5;)\nalert tcp $HOME_NET any <> $EXTERNAL_NET 8875 (msg:\"P2P Napster Server Login\"; flow:established; content:\"anon@napster.com\"; classtype:misc-activity; sid:565; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 1214 (msg:\"P2P Fastrack  (kazaa/morpheus) GET request\"; flow:to_server,established; content:\"GET \"; depth:4; reference:url,www.musiccity.com/technology.htm; reference:url,www.kazaa.com; classtype:protocol-command-decode; sid:1383;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 1214 (msg:\"P2P Fastrack (kazaa/morpheus) traffic\"; flow:to_server,established; content:\"X-Kazaa-Username\"; reference:url,www.kazaa.com; classtype:protocol-command-decode; sid:1699;  rev:2;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'other-ids.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n# ---------------\n# OTHER-IDS RULES\n# ---------------\n# These signatures look for uses of other IDSs.\n#\n# These signatures serve two purposes.\n#  1) If you are \"IDS GUY\" for a company, and someone else sets up an IDS\n#     without letting you know, thats bad.\n#  2) If you are \"pen-tester\", this is a good way to find out what IDSs\n#     your target is using after you have gained access to their network.\n#\n\n\nalert tcp $HOME_NET 902 -> $EXTERNAL_NET any (msg:\"OTHER-IDS ISS RealSecure 6 event collector connection attempt\"; flow:from_server,established; content:\"6ISS ECNRA Built-In Provider, Strong Encryption\"; nocase; offset:30; depth:70; classtype:successful-recon-limited; sid:1760; rev:2;)\nalert tcp $HOME_NET 2998 -> $EXTERNAL_NET any (msg:\"OTHER-IDS ISS RealSecure 6 daemon connection attempt\"; flow:from_server,established; content:\"6ISS ECNRA Built-In Provider, Strong Encryption\"; nocase; offset:30; depth:70; classtype:successful-recon-limited; sid:1761; rev:2;)\n\n# To limit false positives, limit to the default port of 975\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"OTHER-IDS SecureNetPro traffic\"; content: \"|00 67 00 01 00 03|\"; offset:0; depth:6; flow:established; classtype:bad-unknown; sid:1629; rev:3;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'oracle.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#----------\n# ORACLE RULES\n#----------\n#\n# These signatures detect unusual and potentually malicous oracle traffic.\n# These signatures are based from signatures written by Hank Leininger\n# <hlein@progressive-comp.com> for Enterasyss Dragon IDS that he released\n# publicly.\n#\n# These signatures are not enabled by default as they may generate false\n# positive alarms on networks that do oracle development.  If you use an\n# Oracle based web application, you should set the destination port to\n# 80 to catch attackers attempting to exploit your web application.\n#\n\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE EXECUTE_SYSTEM attempt\"; flow:to_server,established; content:\"EXECUTE_SYSTEM\"; nocase; classtype:system-call-detect; sid:1673; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE connect_data\\(command=version\\) attempt\"; flow:to_server,established; content:\"connect_data\\(command=version\\)\"; nocase; classtype:protocol-command-decode; sid:1674; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE misparsed login response\"; flow:from_server,established; content:\"description=\\(\"; nocase; content:!\"connect_data=\\(sid=\"; nocase; content:!\"address=\\(protocol=tcp\"; nocase; classtype:suspicious-login; sid:1675; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE select union attempt\"; flow:to_server,established; content:\"select \"; nocase; content:\" union \"; nocase; classtype:protocol-command-decode; sid:1676; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE select like % attempt\"; flow:to_server,established; content:\" where \"; nocase; content:\" like %\"; nocase; classtype:protocol-command-decode; sid:1677; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE select like \\\"%\\\" attempt\"; flow:to_server,established; content:\" where \"; nocase; content:\" like \\\"%\\\"\"; nocase; classtype:protocol-command-decode; sid:1678; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE describe attempt\";  flow:to_server,established; content:\"describe \"; nocase; classtype:protocol-command-decode; sid:1679; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE all_constraints access\"; flow:to_server,established; content:\"all_constraints\"; nocase; classtype:protocol-command-decode; sid:1680; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE all_views access\"; flow:to_server,established; content:\"all_views\"; nocase; classtype:protocol-command-decode; sid:1681; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE all_source access\"; flow:to_server,established; content:\"all_source\"; nocase; classtype:protocol-command-decode; sid:1682; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE all_tables access\"; flow:to_server,established; content:\"all_tables\"; nocase; classtype:protocol-command-decode; sid:1683; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE all_tab_columns access\"; flow:to_server,established; content:\"all_tab_columns\"; nocase; classtype:protocol-command-decode; sid:1684; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE all_tab_privs access\"; flow:to_server,established; content:\"all_tab_columns\"; nocase; classtype:protocol-command-decode; sid:1685; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE dba_tablespace access\"; flow:to_server,established; content:\"dba_tablespace\"; nocase; classtype:protocol-command-decode; sid:1686; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE dba_tables access\"; flow:to_server,established; content:\"dba_tables\"; nocase; classtype:protocol-command-decode; sid:1687; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE user_tablespace access\"; flow:to_server,established; content:\"user_tablespace\"; nocase; classtype:protocol-command-decode; sid:1688; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE sys.all_users access\"; flow:to_server,established; content:\"sys.all_users\"; nocase; classtype:protocol-command-decode; sid:1689; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE grant attempt\"; flow:to_server,established; content:\"grant \"; nocase; content:\" to \"; nocase; classtype:protocol-command-decode; sid:1690; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE ALTER USER attempt\"; flow:to_server,established; content:\"alter user\"; nocase; content:\" identified by \"; nocase; classtype:protocol-command-decode; sid:1691; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE drop table attempt\"; flow:to_server,established; content:\"drop table\"; nocase; classtype:protocol-command-decode; sid:1692; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE create table attempt\"; flow:to_server,established; content:\"create table\"; nocase; classtype:protocol-command-decode; sid:1693; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE alter table attempt\"; flow:to_server,established; content:\"alter table\"; nocase; classtype:protocol-command-decode; sid:1694; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE truncate table attempt\"; flow:to_server,established; content:\"truncate table\"; nocase; classtype:protocol-command-decode; sid:1695; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE create database attempt\"; flow:to_server,established; content:\"create database\"; nocase; classtype:protocol-command-decode; sid:1696; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS $ORACLE_PORTS (msg:\"ORACLE alter database attempt\"; flow:to_server,established; content:\"alter database\"; nocase; classtype:protocol-command-decode; sid:1697; rev:3;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'pop2.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#--------------\n# POP2 RULES\n#--------------\n\nalert tcp $EXTERNAL_NET any -> $HOME_NET 109 (msg:\"POP2 FOLD overflow attempt\"; flow:to_server,established; content:\"FOLD \"; content:!\"|0A|\"; within:256; reference:bugtraq,283; reference:cve,CVE-1999-0920; classtype:attempted-admin; sid:1934; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 109 (msg:\"POP2 FOLD arbitrary file attempt\"; flow:to_server,established; content:\"FOLD /\"; classtype:misc-attack; sid:1935; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 109 (msg:\"POP2 x86 linux overflow\"; flow:to_server,established; content:\"|eb2c 5b89 d980 c106 39d9 7c07 8001|\"; classtype:attempted-admin; sid:284; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 109 (msg:\"POP2 x86 linux overflow\"; flow:to_server,established; content:\"|ffff ff2f 4249 4e2f 5348 00|\"; classtype:attempted-admin; sid:285; rev:5;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'porn.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#-------------\n# PORN RULES\n#-------------\n#\n\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN alt.binaries.pictures.erotica\"; content:\"alt.binaries.pictures.erotica\"; nocase; flags:A+; classtype:kickass-porn; sid:1836; rev:1;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN alt.binaries.pictures.tinygirls\"; content:\"alt.binaries.pictures.tinygirls\"; nocase; flags:A+; classtype:kickass-porn; sid:1837; rev:1;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN free XXX\"; content:\"FREE XXX\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1310; rev:5;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN hardcore anal\"; content:\"hardcore anal\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1311; rev:5;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN nude cheerleader\"; content:\"nude cheerleader\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1312; rev:5;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN up skirt\"; content:\"up skirt\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1313; rev:5;)\n# alert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN young teen\"; content:\"young teen\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1314; rev:5;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN hot young sex\"; content:\"hot young sex\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1315; rev:5;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN fuck fuck fuck\"; content:\"fuck fuck fuck\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1316; rev:5;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN anal sex\"; content:\"anal sex\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1317; rev:5;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN hardcore rape\"; content:\"hardcore rape\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1318; rev:5;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN real snuff\"; content:\"real snuff\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1319; rev:5;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN fuck movies\"; content:\"fuck movies\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1320; rev:5;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN dildo\"; content:\"dildo\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1781; rev:1;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN nipple clamp\"; content:\"nipple\"; nocase; content:\"clamp\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1782; rev:1;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN oral sex\"; content:\"oral sex\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1783; rev:1;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN nude celeb\"; content:\"nude celeb\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1784; rev:1;)\n# alert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN voyeur\"; content:\"voyeur\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1785; rev:1;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN raw sex\"; content:\"raw sex\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1786; rev:1;)\n# alert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN fetish\"; content:\"fetish\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1793; rev:1;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN masturbation\"; content:\"masturbat\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1794; rev:1;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN ejaculation\"; content:\"ejaculat\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1795; rev:1;)\n# alert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN virgin\"; content:\"virgin \"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1796; rev:2;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN BDSM\"; content:\"BDSM\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1797; rev:1;)\n# alert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN erotica\"; content:\"erotic\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1798; rev:1;)\n# alert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN fisting\"; content:\"fisting\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1799; rev:1;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"PORN naked lesbians\"; content:\"naked lesbians\"; nocase; flow:to_client,established; classtype:kickass-porn; sid:1833; rev:1;)\n\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'pop3.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#--------------\n# POP3 RULES\n#--------------\n\nalert tcp $EXTERNAL_NET any -> $HOME_NET 110 (msg:\"POP3 USER overflow attempt\"; flow:to_server,established; content:\"USER \"; nocase; content:!\"|0a|\"; within:50; reference:bugtraq,789; reference:cve,CVE-1999-0494; reference:nessus,10311; classtype:attempted-admin; sid:1866; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 110 (msg:\"POP3 AUTH overflow attempt\"; flow:to_server,established; content:\"AUTH \"; nocase; content:!\"|0a|\"; within:50; classtype:attempted-admin; sid:1936; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 110 (msg:\"POP3 LIST overflow attempt\"; flow:to_server,established; content:\"LIST \"; nocase; content:!\"|0a|\"; within:50; reference:bugtraq,948; reference:cve,CAN-2000-0096; classtype:attempted-admin; sid:1937; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 110 (msg:\"POP3 XTND overflow attempt\"; flow:to_server,established; content:\"XTND \"; nocase; content:!\"|0a|\"; within:50; classtype:attempted-admin; sid:1938; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 110 (msg:\"POP3 PASS overflow attempt\"; flow:to_server,established; content:\"PASS \"; nocase; content:!\"|0a|\"; within:50; reference:cve,CAN-1999-1511; reference:nessus,10325; classtype:attempted-admin; sid:1634; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 110 (msg:\"POP3 APOP overflow attempt\"; flow:to_server,established; content:\"APOP \"; nocase; content:!\"|0a|\"; within:256; reference:cve,CAN-2000-0841; reference:bugtraq,1652; reference:nessus,10559; classtype:attempted-admin; sid:1635; rev:5;)\n\n\nalert tcp $EXTERNAL_NET any -> $HOME_NET 110 (msg:\"POP3 EXPLOIT x86 bsd overflow\"; flow:to_server,established; content:\"|5e0 e31c 0b03 b8d7 e0e8 9fa 89f9|\"; classtype:attempted-admin; sid:286; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 110 (msg:\"POP3 EXPLOIT x86 bsd overflow\"; flow:to_server,established; content:\"|685d 5eff d5ff d4ff f58b f590 6631|\"; classtype:attempted-admin; sid:287; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 110 (msg:\"POP3 EXPLOIT x86 linux overflow\"; flow:to_server,established; content:\"|d840 cd80 e8d9 ffff ff|/bin/sh\"; classtype:attempted-admin; sid:288; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 110 (msg:\"POP3 EXPLOIT x86 sco overflow\"; flow:to_server,established; content:\"|560e 31c0 b03b 8d7e 1289 f989 f9|\"; classtype:attempted-admin; sid:289; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 110 (msg:\"POP3 EXPLOIT qpopper overflow\"; flow:to_server,established; content:\"|E8 D9FF FFFF|/bin/sh\"; reference:bugtraq,830; reference:cve,CAN-1999-0822; classtype:attempted-admin; sid:290; rev:5;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'rpc.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#----------\n# RPC RULES\n#----------\n\nalert udp $EXTERNAL_NET any -> $HOME_NET 1024: (msg:\"RPC status GHBN format string attack\"; content:\"|00 01 86 B8|\"; content:\"|00 00 00 02|\"; distance:4; within:4; content:\"%x %x\"; distance:16; within:256; reference:bugtraq,1480; reference:cve,CVE-2000-0666; classtype:misc-attack; sid:1890; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 1024: (msg:\"RPC status GHBN format string attack\"; flow:to_server, established; content:\"|00 01 86 B8|\"; content:\"|00 00 00 02|\"; distance:4; within:4; content:\"%x %x\"; distance:16; within:256; reference:bugtraq,1480; reference: cve,CVE-2000-0666; classtype: misc-attack; sid:1891; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 634:1400 (msg:\"RPC AMD Overflow\"; flow:to_server,established; content: \"|80 00 04 2C 4C 15 75 5B 00 00 00 00 00 00 00 02|\"; depth:32; reference:cve,CVE-1999-0704; reference:arachnids,217; classtype:attempted-admin; sid:573;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap SET attempt TCP 111\"; flow:to_server,established; content:\"|00 01 86 A0|\"; content:\"|00 00 00 01|\"; distance:4; within:4; classtype:rpc-portmap-decode; sid:1949; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap SET attempt UDP 111\"; content:\"|00 01 86 A0|\"; content:\"|00 00 00 01|\"; distance:4; within:4; classtype:rpc-portmap-decode; sid:1950; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 32770:34000 (msg:\"RPC sadmind TCP PING\"; flow:to_server,established; content:\"|00 01 87 88|\"; content:\"|00 00 00 00|\"; distance:4; within:4; reference:bugtraq,866; classtype:attempted-admin; sid:1958; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"RPC mountd TCP export request\"; flow:to_server,established; content:\"|00 01 86 A5|\"; content:\"|00 00 00 05|\"; distance:4; within:4; reference:arachnids,26; classtype:attempted-recon; sid:574; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"RPC mountd TCP exportall request\"; flow:to_server,established; content:\"|00 01 86 A5|\"; content:\"|00 00 00 06|\"; distance:4; within:4; reference:arachnids,26; classtype:attempted-recon; sid:1925; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"RPC mountd TCP mount request\"; flow:to_server,established; content:\"|00 01 86 A5|\"; content:\"|00 00 00 01|\"; distance:4; within:4; classtype:attempted-recon; sid:1951; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 500: (msg:\"RPC AMD TCP pid request\"; flow:to_server,established; content:\"|00 04 93 F3|\"; content:\"|00 00 00 09|\"; distance:4; within:4; classtype:rpc-portmap-decode; sid:1953; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap TCP proxy attempt\"; flow:to_server,established; content:\"|00 01 86 A0|\"; content:\"|00 00 00 05|\"; distance:4; within:4; classtype:rpc-portmap-decode; sid:1922; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 500: (msg:\"RPC AMD TCP version request\"; flow:to_sever,established; content:\"|00 04 93 F3|\"; content:\"|00 00 00 08|\"; distance:4; within:4; classtype:rpc-portmap-decode; sid:1955; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 32770:34000 (msg:\"RPC sadmind UDP PING\"; content:\"|00 01 87 88|\"; content:\"|00 00 00 00|\"; distance:4; within:4; reference:bugtraq,866; classtype:attempted-admin; sid:1957; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET any (msg:\"RPC mountd UDP export request\"; content:\"|00 01 86 A5|\"; content:\"|00 00 00 01|\"; distance:4; within:4; classtype:attempted-recon; sid:1952; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET any (msg:\"RPC mountd UDP export request\"; content:\"|00 01 86 A5|\"; content:\"|00 00 00 05|\"; distance:4; within:4; reference:arachnids,26; classtype:attempted-recon; sid:1924; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET any (msg:\"RPC mountd UDP exportall request\"; content:\"|00 01 86 A5|\"; content:\"|00 00 00 06|\"; distance:4; within:4; reference:arachnids,26; classtype:attempted-recon; sid:1926; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 500: (msg:\"RPC AMD UDP pid request\"; content:\"|00 04 93 F3|\"; content:\"|00 00 00 09|\"; distance:4; within:4; classtype:rpc-portmap-decode; sid:1954; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap UDP proxy attempt\"; content:\"|00 01 86 A0|\"; content:\"|00 00 00 05|\"; distance:4; within:4; classtype:rpc-portmap-decode; sid:1923; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 500: (msg:\"RPC AMD UDP version request\"; content:\"|00 04 93 F3|\"; content:\"|00 00 00 08|\"; distance:4; within:4; classtype:rpc-portmap-decode; sid:1956; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC UDP cachefsd request\"; content:\"|01 87 8B 00 00|\"; offset:40; depth:8; reference:cve,CAN-2002-0084; reference:bugtraq,4674; classtype:rpc-portmap-decode; sid:1746; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC TCP cachefsd request\"; flow:to_server,established; content:\"|01 87 8B 00 00|\"; offset:40; depth:8; reference:cve,CAN-2002-0084; reference:bugtraq,4674; classtype:rpc-portmap-decode; sid:1747; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap listing TCP 111\"; flow:to_server,established; content:\"|00 01 86 A0|\"; content:\"|00 00 00 04|\"; distance:4; within:4; reference:arachnids,429; classtype:rpc-portmap-decode; sid:598; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 32771 (msg:\"RPC portmap listing TCP 32771\"; flow:to_server,established; content:\"|00 01 86 A0|\"; content:\"|00 00 00 04|\"; distance:4; within:4; reference:arachnids,429; classtype:rpc-portmap-decode; sid:599; rev:7;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap listing UDP 111\"; content:\"|00 01 86 A0|\"; content:\"|00 00 00 04|\"; distance:4; within:4; reference:arachnids,429; classtype:rpc-portmap-decode; sid:1280; rev:4;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 32771 (msg:\"RPC portmap listing UDP 32771\"; content: \"|00 01 86 A0|\"; content:\"|00 00 00 04|\"; distance:4; within:4; reference:arachnids,429; classtype:rpc-portmap-decode; sid:1281; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap listing\"; flow:to_server,established; rpc: 100000,*,*; reference:arachnids,429; classtype:rpc-portmap-decode; sid:596;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 32771 (msg:\"RPC portmap listing\"; flow:to_server,established; rpc: 100000,*,*; reference:arachnids,429; classtype:rpc-portmap-decode; sid:597;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"RPC snmpXdmi overflow attempt\"; flow:to_server,established; content:\"|0000 0f9c|\"; offset:0; depth:4; content:\"|00018799|\"; offset: 16; depth:4; reference:bugtraq,2417; reference:cve,CAN-2001-0236; reference:url,www.cert.org/advisories/CA-2001-05.html; classtype:attempted-admin; sid:569;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC tcp portmap request snmpXdmi\"; content:\"|01 87 99 00 00|\"; offset:40; depth:8; flow:to_server,established; reference:cve,CAN-2001-0236; reference:url,www.cert.org/advisories/CA-2001-05.html; reference:bugtraq,2417; classtype:rpc-portmap-decode; sid:593;  rev:8;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC udp portmap request snmpXdmi\"; content:\"|01 87 99 00 00|\"; offset:40; depth:8; reference:cve,CAN-2001-0236; reference:url,www.cert.org/advisories/CA-2001-05.html; reference:bugtraq,2417; classtype:rpc-portmap-decode; sid:1279; rev:4;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 32770: (msg:\"RPC rstatd query\"; content:\"|00 00 00 00 00 00 00 02 00 01 86 A1|\";offset:5; reference:arachnids,9;classtype:attempted-recon; sid:592; rev:3;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 32770: (msg:\"RPC rusers query\"; content:\"|0000000000000002000186A2|\"; offset:5; reference:cve,CVE-1999-0626; reference:arachnids,136; classtype:attempted-recon; sid:612; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 32770: (msg:\"RPC rstatd query\"; flow:to_server,established; content:\"|00 00 00 00 00 00 00 02 00 01 86 A1|\";offset:5; reference:arachnids,9;classtype:attempted-recon; sid:1278;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request NFS TCP\"; flow:to_server,established; content:\"|01 86 A3 00 00|\"; offset:40; depth:8; classtype:rpc-portmap-decode; sid:1960; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request NFS UDP\"; content:\"|01 86 A3 00 00|\"; offset:40;depth:8; classtype:rpc-portmap-decode; sid:1959; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request RQUOTA TCP\"; flow:to_server,established; content:\"|01 86 AB 00 00|\"; offset:40; depth:8; classtype:rpc-portmap-decode; sid:1962; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request RQUOTA UDP\"; content:\"|01 86 AB 00 00|\"; offset:40;depth:8; classtype:rpc-portmap-decode; sid:1961; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request admind\"; content:\"|01 86 F7 00 00|\";offset:40;depth:8; reference:arachnids,18; classtype:rpc-portmap-decode; sid:575; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request admind\"; flow:to_server,established; content:\"|01 86 F7 00 00|\";offset:40;depth:8; reference:arachnids,18; classtype:rpc-portmap-decode; sid:1262;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request amountd\"; content:\"|01 87 03 00 00|\";offset:40;depth:8; reference:arachnids,19; classtype:rpc-portmap-decode; flow:to_server,established; sid:1263;  rev:5;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request amountd\"; content:\"|01 87 03 00 00|\";offset:40;depth:8; reference:arachnids,19;classtype:rpc-portmap-decode; sid:576; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request bootparam\"; content:\"|01 86 BA 00 00|\";offset:40;depth:8; reference:cve,CAN-1999-0647; reference:arachnids,16; classtype:rpc-portmap-decode; flow:to_server,established; sid:1264;  rev:5;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request bootparam\"; content:\"|01 86 BA 00 00|\";offset:40;depth:8; reference:cve,CAN-1999-0647; reference:arachnids,16; classtype:rpc-portmap-decode; sid:577; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request cmsd\"; content:\"|01 86 E4 00 00|\";offset:40;depth:8; reference:arachnids,17; classtype:rpc-portmap-decode; flow:to_server,established; sid:1265;  rev:4;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request cmsd\"; content:\"|01 86 E4 00 00|\";offset:40;depth:8; reference:arachnids,17; classtype:rpc-portmap-decode; sid:578; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request espd\"; rpc:391029,*,*; flow:to_server,established; reference:cve,CAN-2001-0331; classtype:rpc-portmap-decode; sid:595;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request mountd\"; content:\"|01 86 A5 00 00|\";offset:40;depth:8; reference:arachnids,13; classtype:rpc-portmap-decode; flow:to_server,established; sid:1266; rev:4;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request mountd\"; content:\"|01 86 A5 00 00|\";offset:40;depth:8; reference:arachnids,13; classtype:rpc-portmap-decode; sid:579; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request nisd\"; content:\"|01 87 cc 00 00|\";offset:40;depth:8; reference:arachnids,21; classtype:rpc-portmap-decode; flow:to_server,established; sid:1267;  rev:4;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request nisd\"; content:\"|01 87 cc 00 00|\";offset:40;depth:8; reference:arachnids,21; classtype:rpc-portmap-decode; sid:580; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request pcnfsd\"; content:\"|02 49 f1 00 00|\";offset:40;depth:8; reference:arachnids,22; classtype:rpc-portmap-decode; flow:to_server,established; sid:1268;  rev:4;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request pcnfsd\"; content:\"|02 49 f1 00 00|\";offset:40;depth:8; reference:arachnids,22; classtype:rpc-portmap-decode; sid:581; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request rexd\";content:\"|01 86 B1 00 00|\";offset:40;depth:8; reference:arachnids,23; classtype:rpc-portmap-decode; flow:to_server,established; sid:1269;  rev:4;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request rexd\";content:\"|01 86 B1 00 00|\";offset:40;depth:8; reference:arachnids,23; classtype:rpc-portmap-decode; sid:582; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request rstatd\"; content: \"|01 86 A1 00 00|\"; reference:arachnids,10; classtype:rpc-portmap-decode; flow:to_server,established; sid:1270;  rev:5;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request rstatd\"; content: \"|01 86 A1 00 00|\"; reference:arachnids,10; classtype:rpc-portmap-decode; sid:583; rev:3;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request rusers\"; content:\"|01 86 A2 00 00|\"; offset:40; depth:8; reference:cve,CVE-1999-0626; reference:arachnids,133; classtype:rpc-portmap-decode; sid:584; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request rusers\"; content:\"|01 86 A2 00 00|\";offset:40;depth:8; reference:arachnids,133; reference:cve,CVE-1999-0626; classtype:rpc-portmap-decode; flow:to_server,established; sid:1271;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request sadmind\"; content:\"|01 87 88 00 00|\";offset:40;depth:8; reference:arachnids,20; classtype:rpc-portmap-decode; flow:to_server,established; sid:1272;  rev:4;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request sadmind\"; content:\"|01 87 88 00 00|\";offset:40;depth:8; reference:arachnids,20; classtype:rpc-portmap-decode; sid:585; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request selection_svc\"; content:\"|01 86 AF 00 00|\";offset:40;depth:8; reference:arachnids,25; classtype:rpc-portmap-decode; flow:to_server,established; sid:1273;  rev:4;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request selection_svc\"; content:\"|01 86 AF 00 00|\";offset:40;depth:8; reference:arachnids,25; classtype:rpc-portmap-decode; sid:586; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request status\"; content:\"|01 86 B8 00 00|\";offset:40;depth:8; reference:arachnids,15; classtype:rpc-portmap-decode; sid:587; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request tooltalk\"; flow:to_server,established; rpc:100083,*,*; reference:cve,CAN-2001-0717; reference:cve,CVE-1999-0003; reference:cve,CVE-1999-0687; reference:cve,CAN-1999-1075; reference:url,www.cert.org/advisories/CA-2001-05.html; classtype:rpc-portmap-decode; sid:1298;  rev:7;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request tooltalk\"; rpc:100083,*,*; reference:cve,CAN-2001-0717; reference:cve,CVE-1999-0003; reference:cve,CVE-1999-0687; reference:cve,CAN-1999-1075; reference:url,www.cert.org/advisories/CA-2001-05.html; classtype:rpc-portmap-decode; sid:1299; rev:5;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request ttdbserv\"; content:\"|01 86 F3 00 00|\"; offset:40;depth:8; reference:cve,CVE-1999-0003; reference:cve,CVE-1999-0687; reference:cve,CAN-1999-1075; reference:cve,CAN-2001-0717; reference:url,www.cert.org/advisories/CA-2001-05.html; reference:bugtraq,122; reference:arachnids,24; classtype:rpc-portmap-decode; sid:588; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request ttdbserv\"; content:\"|01 86 F3 00 00|\";offset:40;depth:8; reference:cve,CAN-2001-0717; reference:cve,CVE-1999-0003; reference:cve,CVE-1999-0687; reference:cve,CAN-1999-1075; reference:url,www.cert.org/advisories/CA-2001-05.html; reference:arachnids,24; classtype:rpc-portmap-decode; flow:to_server,established; sid:1274;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request yppasswd\"; content:\"|01 86 A9 00 00|\";offset:40;depth:8; reference:arachnids,14; classtype:rpc-portmap-decode; flow:to_server,established; sid:1275;  rev:4;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request yppasswd\"; content:\"|01 86 A9 00 00|\";offset:40;depth:8; reference:arachnids,14; classtype:rpc-portmap-decode; sid:589; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request yppasswdd\"; rpc:100009,*,*; flow:to_server,established; reference:bugtraq,2763; classtype:rpc-portmap-decode; sid:1297;  rev:6;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request yppasswdd\"; rpc:100009,*,*; reference:bugtraq,2763; classtype:rpc-portmap-decode; sid:1296; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request ypserv\"; content:\"|01 86 A4 00 00|\";offset:40;depth:8; reference:arachnids,12; classtype:rpc-portmap-decode; flow:to_server,established; sid:1276;  rev:4;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request ypserv\"; content:\"|01 86 A4 00 00|\";offset:40;depth:8; reference:arachnids,12; classtype:rpc-portmap-decode; sid:590; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request ypupdated\"; content:\"|01 86 BC 00 00|\";offset:40;depth:8; reference:arachnids,125; classtype:rpc-portmap-decode; sid:1277; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC portmap request ypupdated\"; flow:to_server,established; content:\"|01 86 BC 00 00|\";offset:40;depth:8; reference:arachnids,125; classtype:rpc-portmap-decode; sid:591;  rev:5;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC UDP rwalld request\"; content:\"|01 86 A8 00 00|\"; offset:40; depth:8; classtype:rpc-portmap-decode; sid:1732; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC TCP rwalld request\"; flow:to_server,established; content:\"|01 86 A8 00 00|\"; offset:40; depth:8; classtype:rpc-portmap-decode; sid:1733;  rev:3;)\nalert udp $EXTERNAL_NET any -> $HOME_NET any (msg:\"RPC EXPLOIT statdx\"; content: \"/bin|c74604|/sh\"; reference:arachnids,442; classtype:attempted-admin; sid:1282; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"RPC EXPLOIT statdx\"; flow:to_server,established; content: \"/bin|c74604|/sh\"; reference:arachnids,442; classtype:attempted-admin; sid:600; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 32771:34000 (msg:\"RPC EXPLOIT ttdbserv Solaris overflow\"; flow:to_server,established; dsize: >999; content: \"|00 01 86 F3 00 00 00 01 00 00 00 0F 00 00 00 01|\"; reference:url,www.cert.org/advisories/CA-2001-27.html; reference:bugtraq,122; reference:cve,CVE-1999-0003; reference:arachnids,242; classtype:attempted-admin; sid:571;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 32771:34000 (msg:\"RPC EXPLOIT ttdbserv solaris overflow\"; content: \"|C0 22 3F FC A2 02 20 09 C0 2C 7F FF E2 22 3F F4|\"; flow:to_server,established; dsize: >999; reference:url,www.cert.org/advisories/CA-2001-27.html; reference:bugtraq,122; reference:cve,CVE-1999-0003; reference:arachnids,242; classtype:attempted-admin; sid:570;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 32771:34000 (msg:\"RPC DOS ttdbserv solaris\"; flow:to_server,established; content: \"|00 01 86 F3 00 00 00 01 00 00 00 0F 00 00 00 01|\";offset: 16; depth: 32; reference:bugtraq,122; reference:arachnids,241; reference:cve,CVE-1999-0003; classtype:attempted-dos; sid:572;  rev:4;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC UDP kcms_server request\"; content:\"|01 87 7D 00 00|\"; offset:40; depth:8; reference:cve,CAN-2003-0027; reference:url,www.kb.cert.org/vuls/id/850785; classtype:rpc-portmap-decode; sid:2005; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 111 (msg:\"RPC TCP kcms_server request\"; flow:to_server,established; content:\"|01 87 7D 00 00|\"; offset:40; depth:8; reference:cve,CAN-2003-0027; reference:url,www.kb.cert.org/vuls/id/850785; classtype:rpc-portmap-decode; sid:2006; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 32771:34000 (msg:\"RPC kcms_server directory traversal attempt\"; flow:to_server,established; content:\"|00 01 87 7D|\"; offset: 16; content:\"/../\"; reference:cve,CAN-2003-0027; reference:url,www.kb.cert.org/vuls/id/850785; classtype:misc-attack; sid:2007; rev:1;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'rservices.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#----------------\n# RSERVICES RULES\n#----------------\n\nalert tcp $EXTERNAL_NET any -> $HOME_NET 513 (msg:\"RSERVICES rlogin LinuxNIS\"; flow:to_server,established; content:\"|3a3a 3a3a 3a3a 3a3a 003a 3a3a 3a3a 3a3a 3a|\"; classtype:bad-unknown; sid:601;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 513 (msg:\"RSERVICES rlogin bin\"; flow:to_server,established; content:\"bin|00|bin|00|\"; reference:arachnids,384; classtype:attempted-user; sid:602;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 513 (msg:\"RSERVICES rlogin echo++\"; flow:to_server,established; content:\"echo |22| + + |22|\"; reference:arachnids,385; classtype:bad-unknown; sid:603;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 513 (msg:\"RSERVICES rsh froot\"; flow:to_server,established; content:\"-froot|00|\"; reference:arachnids,387; classtype:attempted-admin; sid:604; rev:5;)\nalert tcp $HOME_NET 513 -> $EXTERNAL_NET any (msg:\"RSERVICES rlogin login failure\"; flow:from_server,established; content: \"|01|rlogind|3a| Permission denied.\"; reference:arachnids,392; classtype:unsuccessful-user; sid:611;  rev:5;)\nalert tcp $HOME_NET 513 -> $EXTERNAL_NET any (msg:\"RSERVICES rlogin login failure\"; flow:from_server,established; content:\"login incorrect\"; reference:arachnids,393; classtype:unsuccessful-user; sid:605;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 513 (msg:\"RSERVICES rlogin root\"; flow:to_server,established; content:\"root|00|root|00|\"; reference:arachnids,389; classtype:attempted-admin; sid:606;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 514 (msg:\"RSERVICES rsh bin\"; flow:to_server,established; content: \"bin|00|bin|00|\"; reference:arachnids,390; classtype:attempted-user; sid:607;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 514 (msg:\"RSERVICES rsh echo + +\"; flow:to_server,established; content: \"echo |22|+ +|22|\"; reference:arachnids,388; classtype:attempted-user; sid:608;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 514 (msg:\"RSERVICES rsh froot\"; flow:to_server,established; content:\"-froot|00|\"; reference:arachnids,387; classtype:attempted-admin; sid:609;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 514 (msg:\"RSERVICES rsh root\"; flow:to_server,established; content: \"root|00|root|00|\"; reference:arachnids,391; classtype:attempted-admin; sid:610;  rev:4;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'scan.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#-----------\n# SCAN RULES\n#-----------\n# These signatures are representitive of network scanners.  These include\n# port scanning, ip mapping, and various application scanners.\n#\n# NOTE: This does NOT include web scanners such as whisker.  Those are\n# in web*\n#\n\nalert tcp $EXTERNAL_NET 10101 -> $HOME_NET any (msg:\"SCAN myscan\"; ttl: >220; ack: 0; flags: S;reference:arachnids,439; classtype:attempted-recon; sid:613; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 113 (msg:\"SCAN ident version request\"; flow:to_server,established; content: \"VERSION|0A|\"; depth: 16;reference:arachnids,303; classtype:attempted-recon; sid:616; rev:3;)\n# alert tcp $EXTERNAL_NET any -> $HOME_NET 22 (msg:\"SCAN ssh-research-scanner\"; flow:to_server,established; content:\"|00 00 00 60 00 00 00 00 00 00 00 00 01 00 00 00|\"; classtype:attempted-recon; sid:617; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 80 (msg:\"SCAN cybercop os probe\"; flags: SF12; dsize: 0; reference:arachnids,146; classtype:attempted-recon; sid:619; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 3128 (msg:\"SCAN Squid Proxy attempt\"; flags:S; classtype:attempted-recon; sid:618; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 1080 (msg:\"SCAN SOCKS Proxy attempt\"; flags:S; reference:url,help.undernet.org/proxyscan/; classtype:attempted-recon; sid:615; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 8080 (msg:\"SCAN Proxy \\(8080\\) attempt\"; flags:S; classtype:attempted-recon; sid:620; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"SCAN FIN\"; flags: F; reference:arachnids,27; classtype:attempted-recon; sid:621; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"SCAN ipEye SYN scan\"; flags:S; seq:1958810375; reference:arachnids,236; classtype:attempted-recon; sid:622; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"SCAN NULL\";flags:0; seq:0; ack:0; reference:arachnids,4; classtype:attempted-recon; sid:623; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"SCAN SYN FIN\";flags:SF; reference:arachnids,198; classtype:attempted-recon; sid:624; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"SCAN XMAS\";flags:SRAFPU; reference:arachnids,144; classtype:attempted-recon; sid:625; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"SCAN nmap XMAS\";flags:FPU; reference:arachnids,30; classtype:attempted-recon; sid:1228; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"SCAN nmap TCP\";flags:A;ack:0; reference:arachnids,28; classtype:attempted-recon; sid:628; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"SCAN nmap fingerprint attempt\";flags:SFPU; reference:arachnids,05; classtype:attempted-recon; sid:629; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"SCAN synscan portscan\"; id: 39426; flags: SF;reference:arachnids,441; classtype:attempted-recon; sid:630; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"SCAN cybercop os PA12 attempt\"; content:\"AAAAAAAAAAAAAAAA\"; depth:16; flags:PA12; reference:arachnids,149; classtype:attempted-recon; sid:626; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"SCAN cybercop os SFU12 probe\"; content: \"AAAAAAAAAAAAAAAA\"; depth:16; flags: SFU12; ack: 0; reference:arachnids,150; classtype:attempted-recon; sid:627; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 10080:10081 (msg:\"SCAN Amanda client version request\"; content:\"Amanda\"; nocase; classtype:attempted-recon; sid:634; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 49 (msg:\"SCAN XTACACS logout\"; content: \"|8007 0000 0700 0004 0000 0000 00|\";reference:arachnids,408; classtype:bad-unknown; sid:635; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 7 (msg:\"SCAN cybercop udp bomb\"; content:\"cybercop\"; reference:arachnids,363; classtype:bad-unknown; sid:636; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET any (msg:\"SCAN Webtrends Scanner UDP Probe\"; content: \"|0A|help|0A|quite|0A|\"; reference:arachnids,308; classtype:attempted-recon; sid:637; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 22 (msg:\"SCAN SSH Version map attempt\"; flow:to_server,established; content:\"Version_Mapper\"; nocase;  classtype:network-scan; sid:1638; rev:4;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 1900 (msg:\"SCAN UPNP service discover attempt\"; content:\"M-SEARCH \"; offset:0; depth:9; content:\"ssdp\\:discover\"; classtype:network-scan; sid:1917; rev:3;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"SCAN SolarWinds IP scan attempt\"; content:\"SolarWinds.Net\"; itype:8; icode:0; classtype:network-scan; sid:1918; rev:3;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'snmp.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n# ---------------\n# SNMP RULES\n# ---------------\n#\nalert udp $EXTERNAL_NET any -> $HOME_NET 161 (msg:\"SNMP missing community string attempt\"; content:\"|04 00|\"; offset:5; depth:15; reference:cve,CAN-1999-0517; classtype:misc-attack; sid:1893; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 161 (msg:\"SNMP null community string attempt\"; content:\"|04 01 00|\"; offset:5; depth:15; reference:cve,CAN-1999-0517; classtype:misc-attack; sid:1892; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 161:162 (msg:\"SNMP community string buffer overflow attempt\"; content:\"|02 01 00 04 82 01 00|\"; offset:4; reference:url,www.cert.org/advisories/CA-2002-03.html; reference:cve,CAN-2002-0012; reference:cve,CAN-2002-0013; classtype:misc-attack; sid:1409; rev:3;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 161:162 (msg:\"SNMP community string buffer overflow attempt (with evasion)\"; content:\" | 04 82 01 00 |\"; offset: 7; depth: 5; reference:url,www.cert.org/advisories/CA-2002-03.html; reference:cve,CAN-2002-0012; reference:cve,CAN-2002-0013; classtype:misc-attack; sid:1422; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 161 (msg:\"SNMP public access udp\"; content:\"public\"; reference:cve,CAN-1999-0517; reference:cve,CAN-2002-0012; reference:cve,CAN-2002-0013; sid:1411; rev:3; classtype:attempted-recon;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 161 (msg:\"SNMP public access tcp\"; flow:to_server,established; content:\"public\"; reference:cve,CAN-1999-0517; reference:cve,CAN-2002-0012; reference:cve,CAN-2002-0013; sid:1412; classtype:attempted-recon; rev:5;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 161 (msg:\"SNMP private access udp\"; content:\"private\"; reference:cve,CAN-2002-0012; reference:cve,CAN-2002-0013; sid:1413; rev:2; classtype:attempted-recon;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 161 (msg:\"SNMP private access tcp\"; flow:to_server,established; content:\"private\"; reference:cve,CAN-2002-0012; reference:cve,CAN-2002-0013; sid:1414; classtype:attempted-recon; rev:4;)\nalert udp any any -> 255.255.255.255 161 (msg:\"SNMP Broadcast request\"; reference:cve,CAN-2002-0012; reference:cve,CAN-2002-0013; sid:1415; rev:2; classtype:attempted-recon;)\nalert udp any any -> 255.255.255.255 162 (msg:\"SNMP broadcast trap\"; reference:cve,CAN-2002-0012; reference:cve,CAN-2002-0013; sid:1416; rev:2; classtype:attempted-recon;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 161 (msg:\"SNMP request udp\"; reference:cve,CAN-2002-0012; reference:cve,CAN-2002-0013; sid:1417; rev:2; classtype:attempted-recon;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 161 (msg:\"SNMP request tcp\"; reference:cve,CAN-2002-0012; reference:cve,CAN-2002-0013; sid:1418; rev:2; classtype:attempted-recon;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 162 (msg:\"SNMP trap udp\"; reference:cve,CAN-2002-0012; reference:cve,CAN-2002-0013;  sid:1419; rev:2; classtype:attempted-recon;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 162 (msg:\"SNMP trap tcp\"; reference:cve,CAN-2002-0012; reference:cve,CAN-2002-0013; sid:1420; rev:2; classtype:attempted-recon;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 705 (msg:\"SNMP AgentX/tcp request\"; reference:cve,CAN-2002-0012; reference:cve,CAN-2002-0013; sid:1421; rev:2; classtype:attempted-recon;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 161 (msg:\"SNMP PROTOS test-suite-req-app attempt\"; content: \"|30 26 02 01 00 04 06 70 75 62 6C 69 63 A0 19 02 01 00 02 01 00 02 01 00 30 0E 30 0C 06 08 2B 06 01 02 01 01 05 00 05 00|\"; reference:url,www.ee.oulu.fi/research/ouspg/protos/testing/c06/snmpv1/index.html; classtype:misc-attack; sid:1426; rev:3;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 162 (msg:\"SNMP PROTOS test-suite-trap-app attempt\"; content:\"|30 38 02 01 00 04 06 70 75 62 6C 69 63 A4 2B 06|\"; reference:url,www.ee.oulu.fi/research/ouspg/protos/testing/c06/snmpv1/index.html; classtype:misc-attack; sid:1427; rev:3;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'smtp.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#-----------\n# SMTP RULES\n#-----------\n\n# alert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP RCPT TO overflow\"; flow:to_server,established; content:\"rcpt to|3a|\"; nocase; content:!\"|0a|\"; within:800; reference:cve,CAN-2001-0260; reference:bugtraq,2283; classtype:attempted-admin; sid:654; rev:7;)\n# alert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP chameleon overflow\"; flow:to_server,established,no_stream; content: \"HELP \"; nocase; depth:5; content:!\"|0a|\"; within:500; reference:bugtraq,2387; reference:arachnids,266; reference:cve,CAN-1999-0261; classtype:attempted-admin; sid:657; rev:7;)\nalert tcp $EXTERNAL_NET 113 -> $SMTP_SERVERS 25 (msg:\"SMTP sendmail 8.6.9 exploit\"; flow:to_server,established;  content:\"|0a|D/\"; reference:arachnids,140; reference:cve,CVE-1999-0204; classtype:attempted-admin; sid:655; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP EXPLOIT x86 windows CSMMail overflow\"; flow:to_server,established; content:\"|eb53 eb20 5bfc 33c9 b182 8bf3 802b|\"; reference:bugtraq,895; reference:cve,CVE-2000-0042; classtype:attempted-admin; sid:656; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP exchange mime DOS\"; flow:to_server,established; content:\"|63 68 61 72 73 65 74 20 3D 20 22 22|\"; classtype:attempted-dos; sid:658; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP expn decode\"; flow:to_server,established; content:\"expn decode\"; nocase; reference:arachnids,32; classtype:attempted-recon; sid:659; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP expn root\"; flow:to_server,established; content:\"expn root\"; nocase; reference:arachnids,31; classtype:attempted-recon; sid:660; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP expn *@\"; flow:to_server,established; content:\"expn *@\"; nocase; reference:cve,CAN-1999-1200; classtype:misc-attack; sid:1450; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP majordomo ifs\"; flow:to_server,established; content:\"eply-to|3a| a~.`/bin/\"; reference:cve,CVE-1999-0208; reference:arachnids,143; classtype:attempted-admin; sid:661; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP sendmail 5.5.5 exploit\"; flow:to_server,established; content:\"mail from|3a20227c|\"; nocase; reference:arachnids,119; classtype:attempted-admin; sid:662; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP sendmail 5.5.8 overflow\"; flow:to_server,established; content: \"|7c 73 65 64 20 2d 65 20 27 31 2c 2f 5e 24 2f 27|\";  reference:arachnids,172; reference:cve,CVE-1999-0095; classtype:attempted-admin; sid:663; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP RCPT TO decode attempt\"; flow:to_server,established; content:\"rcpt to|3a| decode\"; nocase; reference:arachnids,121; reference:cve,CVE-1999-0203; classtype:attempted-admin; sid:664; rev:7;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP sendmail 5.6.5 exploit\"; flow:to_server,established; content:\"MAIL FROM|3a207c|/usr/ucb/tail\"; nocase; reference:arachnids,122; classtype:attempted-user; sid:665; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP sendmail 8.4.1 exploit\"; flow:to_server,established; content:\"rcpt to|3a207c| sed 1,/^$/d|7c|\"; nocase;reference:arachnids,120; classtype:attempted-user; sid:666; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP sendmail 8.6.10 exploit\"; flow:to_server,established; content:\"Croot|0d0a|Mprog, P=/bin/\"; reference:arachnids,123; classtype:attempted-user; sid:667; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP sendmail 8.6.10 exploit\"; flow:to_server,established;  content:\"Croot|09090909090909|Mprog,P=/bin\"; reference:arachnids,124; classtype:attempted-user; sid:668; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP sendmail 8.6.9 exploit\"; flow:to_server,established; content:\"|0a|Croot|0a|Mprog\";reference:arachnids,142; reference:cve,CVE-1999-0204; classtype:attempted-user; sid:669; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP sendmail 8.6.9 exploit\"; flow:to_server,established; content:\"|0a|C|3a|daemon|0a|R\"; reference:cve,CVE-1999-0204; reference:arachnids,139; classtype:attempted-user; sid:670; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP sendmail 8.6.9c exploit\"; flow:to_server,established; content:\"|0a|Croot|0d0a|Mprog\"; reference:arachnids,141; reference:cve,CVE-1999-0204; classtype:attempted-user; sid:671; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP vrfy decode\"; flow:to_server,established; content:\"vrfy decode\"; nocase; reference:arachnids,373; classtype:attempted-recon; sid:672; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP vrfy root\"; flow:to_server,established; content:\"vrfy root\"; nocase; classtype:attempted-recon; sid:1446; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP ehlo cybercop attempt\"; flow:to_server,established; content:\"ehlo cybercop|0a|quit|0a|\"; reference:arachnids,372; classtype:protocol-command-decode; sid:631; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP expn cybercop attempt\"; flow:to_server,established; content:\"expn cybercop\"; reference:arachnids,371; classtype:protocol-command-decode; sid:632; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP HELO overflow attempt\"; flow:to_server,established; content:\"HELO \"; offset:0; depth:5; content:!\"|0a|\"; within:500; reference:cve,CVE-2000-0042; reference:nessus,10324; classtype:attempted-admin; sid:1549; rev:9;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP ETRN overflow attempt\"; flow:to_server,established; content:\"ETRN \"; offset:0; depth:5; content:!\"|0A|\"; within:500; reference:cve,CAN-2000-0490; classtype:attempted-admin; sid:1550; rev:6;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"SMTP From comment overflow attempt\"; flow:to_server,established; content:\"From\\:\"; content:\"<><><><><><><><><><><><><><><><><><><><><><>\"; distance:0; content:\"(\"; distance:1; content:\")\"; distance:1; reference:cve,CAN-2002-1337; reference:url,www.kb.cert.org/vuls/id/398025; classtype:attempted-admin; sid:2087; rev:2;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'shellcode.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n# ---------------\n# SHELLCODE RULES\n# ---------------\n# These signatures are based on shellcode that is common ammong multiple\n# publicly available exploits.\n#\n# Because these signatures check ALL traffic for shellcode, these signatures\n# are disabled by default.  There is a LARGE performance hit by enabling\n# these signatures.\n#\n\nalert ip $EXTERNAL_NET any -> $HOME_NET $SHELLCODE_PORTS (msg:\"SHELLCODE sparc setuid 0\"; content: \"|82102017 91d02008|\"; reference:arachnids,282; classtype:system-call-detect; sid:647; rev:3;)\nalert ip $EXTERNAL_NET any -> $HOME_NET $SHELLCODE_PORTS (msg:\"SHELLCODE x86 setgid 0\"; content: \"|b0b5 cd80|\"; reference:arachnids,284; classtype:system-call-detect; sid:649; rev:5;)\nalert ip $EXTERNAL_NET any -> $HOME_NET $SHELLCODE_PORTS (msg:\"SHELLCODE x86 setuid 0\"; content: \"|b017 cd80|\"; reference:arachnids,436; classtype:system-call-detect; sid:650; rev:5;)\nalert ip $EXTERNAL_NET any -> $HOME_NET $SHELLCODE_PORTS (msg:\"SHELLCODE SGI NOOP\"; content:\"|03e0 f825 03e0 f825 03e0 f825 03e0 f825|\"; reference:arachnids,356; classtype:shellcode-detect; sid:638; rev:3;)\nalert ip $EXTERNAL_NET any -> $HOME_NET $SHELLCODE_PORTS (msg:\"SHELLCODE SGI NOOP\"; content:\"|240f 1234 240f 1234 240f 1234 240f 1234|\"; reference:arachnids,357; classtype:shellcode-detect; sid:639; rev:3;)\nalert ip $EXTERNAL_NET any -> $HOME_NET $SHELLCODE_PORTS (msg:\"SHELLCODE aix NOOP\"; content:\"|4fff fb82 4fff fb82 4fff fb82 4fff fb82|\"; classtype:shellcode-detect; sid:640; rev:3;)\nalert ip $EXTERNAL_NET any -> $HOME_NET $SHELLCODE_PORTS (msg:\"SHELLCODE digital unix NOOP\"; content:\"|47 ff 04 1f 47 ff 04 1f 47 ff 04 1f 47 ff 04 1f|\"; reference:arachnids,352; classtype:shellcode-detect; sid:641; rev:3;)\nalert ip $EXTERNAL_NET any -> $HOME_NET $SHELLCODE_PORTS (msg:\"SHELLCODE hpux NOOP\"; content:\"|0821 0280 0821 0280 0821 0280 0821 0280|\"; reference:arachnids,358; classtype:shellcode-detect; sid:642; rev:3;)\nalert ip $EXTERNAL_NET any -> $HOME_NET $SHELLCODE_PORTS (msg:\"SHELLCODE hpux NOOP\"; content:\"|0b39 0280 0b39 0280 0b39 0280 0b39 0280|\";reference:arachnids,359; classtype:shellcode-detect; sid:643; rev:3;)\nalert ip $EXTERNAL_NET any -> $HOME_NET $SHELLCODE_PORTS (msg:\"SHELLCODE sparc NOOP\"; content:\"|13c0 1ca6 13c0 1ca6 13c0 1ca6 13c0 1ca6|\"; reference:arachnids,345; classtype:shellcode-detect; sid:644; rev:3;)\nalert ip $EXTERNAL_NET any -> $HOME_NET $SHELLCODE_PORTS (msg:\"SHELLCODE sparc NOOP\"; content:\"|801c 4011 801c 4011 801c 4011 801c 4011|\"; reference:arachnids,353; classtype:shellcode-detect; sid:645; rev:3;)\nalert ip $EXTERNAL_NET any -> $HOME_NET $SHELLCODE_PORTS (msg:\"SHELLCODE sparc NOOP\"; content:\"|a61c c013 a61c c013 a61c c013 a61c c013|\"; reference:arachnids,355; classtype:shellcode-detect; sid:646; rev:3;)\nalert ip $EXTERNAL_NET any -> $HOME_NET $SHELLCODE_PORTS (msg:\"SHELLCODE x86 NOOP\"; content: \"|90 90 90 90 90 90 90 90 90 90 90 90 90 90|\"; depth: 128; reference:arachnids,181; classtype:shellcode-detect; sid:648; rev:5;)\nalert ip $EXTERNAL_NET any -> $HOME_NET $SHELLCODE_PORTS (msg:\"SHELLCODE x86 stealth NOOP\";   content: \"|eb 02 eb 02 eb 02|\"; reference:arachnids,291; classtype:shellcode-detect; sid:651; rev:5;)\nalert ip $EXTERNAL_NET any -> $HOME_NET $SHELLCODE_PORTS (msg:\"SHELLCODE x86 unicode NOOP\"; content: \"|90009000900090009000|\"; classtype:shellcode-detect; sid:653; rev:5;)\nalert ip $EXTERNAL_NET any -> $HOME_NET $SHELLCODE_PORTS (msg:\"SHELLCODE linux shellcode\"; content:\"|90 90 90 e8 c0 ff ff ff|/bin/sh\";  reference:arachnids,343; classtype:shellcode-detect; sid:652; rev:5;)\nalert ip $EXTERNAL_NET any -> $HOME_NET $SHELLCODE_PORTS (msg:\"SHELLCODE x86 inc ebx NOOP\"; content:\"|43 43 43 43 43 43 43 43 43 43 43 43 43 43 43 43 43 43 43 43 43 43 43 43|\"; classtype:shellcode-detect; sid:1390; rev:3;)\nalert ip $EXTERNAL_NET any -> $HOME_NET $SHELLCODE_PORTS (msg:\"SHELLCODE x86 NOOP\"; content:\"|61 61 61 61 61 61 61 61 61 61 61 61 61 61 61 61 61 61 61 61 61|\"; classtype:shellcode-detect; sid:1394; rev:3;)\nalert ip $EXTERNAL_NET any -> $HOME_NET $SHELLCODE_PORTS (msg:\"SHELLCODE x86 EB OC NOOP\"; content:\"|EB 0C EB 0C EB 0C EB 0C EB 0C EB 0C EB 0C EB 0C|\"; classtype:shellcode-detect; sid:1424; rev:4;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'sql.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#----------\n# SQL RULES\n#----------\n\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 139 (msg:\"MS-SQL/SMB sp_start_job - program execution\"; content: \"s|00|p|00|_|00|s|00|t|00|a|00|r|00|t|00|_|00|j|00|o|00|b|00|\"; nocase; flow:to_server,established; offset: 32; depth: 32; classtype:attempted-user; sid:676; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 139 (msg:\"MS-SQL/SMB sp_password password change\"; content: \"s|00|p|00|_|00|p|00|a|00|s|00|s|00|w|00|o|00|r|00|d|00|\"; nocase; flow:to_server,established; classtype:attempted-user; sid:677; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 139 (msg:\"MS-SQL/SMB sp_delete_alert log file deletion\"; content: \"s|00|p|00|_|00|d|00|e|00|l|00|e|00|t|00|e|00|_|00|a|00|l|00|e|00|\"; nocase; flow:to_server,established; classtype:attempted-user; sid:678; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 139 (msg:\"MS-SQL/SMB sp_adduser database user creation\"; content: \"s|00|p|00|_|00|a|00|d|00|d|00|u|00|s|00|e|00|r|00|\"; nocase; flow:to_server,established; offset:32; depth:32; classtype:attempted-user; sid:679; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 139 (msg:\"MS-SQL/SMB xp_enumresultset possible buffer overflow\"; content: \"x|00|p|00|_|00|e|00|n|00|u|00|m|00|r|00|e|00|s|00|u|00|l|00|t|00|s|00|e|00|t|00|\"; nocase; flow:to_server,established; offset:32; reference:bugtraq,2031; reference:cve,CAN-2000-1082; classtype:attempted-user; sid:708; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 139 (msg:\"MS-SQL/SMB raiserror possible buffer overflow\"; content:\"r|00|a|00|i|00|s|00|e|00|r|00|r|00|o|00|r|00|\"; nocase; flow:to_server,established; offset: 32; reference:bugtraq,3733; classtype:attempted-user; sid:1386; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 139 (msg:\"MS-SQL/SMB xp_displayparamstmt possible buffer overflow\"; content: \"x|00|p|00|_|00|d|00|i|00|s|00|p|00|l|00|a|00|y|00|p|00|a|00|r|00|a|00|m|00|s|00|t|00|m|00|t|00|\"; nocase; flow:to_server,established; offset:32; reference:bugtraq,2030; reference:cve,CAN-2000-1081; classtype:attempted-user; sid:702; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 139 (msg:\"MS-SQL/SMB xp_setsqlsecurity possible buffer overflow\"; content: \"x|00|p|00|_|00|s|00|e|00|t|00|s|00|q|00|l|00|s|00|e|00|c|00|u|00|r|00|i|00|t|00|y|00|\"; nocase; flow:to_server,established; offset:32; classtype:attempted-user; reference:bugtraq,2043; sid:703; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 139 (msg:\"MS-SQL/SMB xp_cmdshell program execution\"; content: \"x|00|p|00|_|00|c|00|m|00|d|00|s|00|h|00|e|00|l|00|l|00|\"; nocase; flow:to_server,established; offset:32; classtype:attempted-user; sid:681; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 139 (msg:\"MS-SQL/SMB xp_reg* registry access\"; content: \"x|00|p|00|_|00|r|00|e|00|g|00|\"; nocase; flow:to_server,established; offset:32; depth:32; classtype:attempted-user; sid:689; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 139 (msg:\"MS-SQL/SMB xp_printstatements possible buffer overflow\"; content: \"x|00|p|00|_|00|p|00|r|00|i|00|n|00|t|00|s|00|t|00|a|00|t|00|e|00|m|00|e|00|n|00|t|00|s|00|\"; nocase; flow:to_server,established; offset:32; reference:bugtraq,2041; reference:cve,CAN-2000-1086; classtype:attempted-user; sid:690; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 139 (msg:\"MS-SQL/SMB shellcode attempt\"; content: \"|3920d0009201c200520055003920ec00|\"; flow:to_server,established; classtype:shellcode-detect; sid:692; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 139 (msg:\"MS-SQL/SMB shellcode attempt\"; content: \"|4800250078007700900090009000900090003300c000500068002e00|\"; flow:to_server,established; classtype:attempted-user; sid:694; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 139 (msg:\"MS-SQL/SMB xp_sprintf possible buffer overflow\"; content: \"x|00|p|00|_|00|s|00|p|00|r|00|i|00|n|00|t|00|f|00|\"; nocase; flow:to_server,established; offset: 32; reference:bugtraq,1204; classtype:attempted-user; sid:695; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 139 (msg:\"MS-SQL/SMB xp_showcolv possible buffer overflow\"; content: \"x|00|p|00|_|00|s|00|h|00|o|00|w|00|c|00|o|00|l|00|v|00|\"; nocase; flow:to_server,established; offset:32; reference:bugtraq,2038; classtype:attempted-user; sid:696; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 139 (msg:\"MS-SQL/SMB xp_peekqueue possible buffer overflow\"; content: \"x|00|p|00|_|00|p|00|e|00|e|00|k|00|q|00|u|00|e|00|u|00|e|00|\"; nocase; flow:to_server,established; offset:32; reference:bugtraq,2040; reference:cve,CAN-2000-1085; classtype:attempted-user; sid:697; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 139 (msg:\"MS-SQL/SMB xp_proxiedmetadata possible buffer overflow\"; content: \"x|00|p|00|_|00|p|00|r|00|o|00|x|00|i|00|e|00|d|00|m|00|e|00|t|00|a|00|d|00|a|00|t|00|a|00|\"; nocase; flow:to_server,established; offset:32; reference:bugtraq,2042; reference:cve,CAN-2000-1087; classtype:attempted-user; sid:698; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 139 (msg:\"MS-SQL/SMB xp_updatecolvbm possible buffer overflow\"; content: \"x|00|p|00|_|00|u|00|p|00|d|00|a|00|t|00|e|00|c|00|o|00|l|00|v|00|b|00|m|00|\"; nocase; flow:to_server,established; offset:32; reference:bugtraq,2039; reference:cve,CAN-2000-1084; classtype:attempted-user; sid:700; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 1433 (msg:\"MS-SQL sp_start_job - program execution\"; content: \"s|00|p|00|_|00|s|00|t|00|a|00|r|00|t|00|_|00|j|00|o|00|b|00|\"; nocase; flow:to_server,established; classtype:attempted-user; sid:673; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 1433 (msg:\"MS-SQL xp_displayparamstmt possible buffer overflow\"; content: \"x|00|p|00|_|00|d|00|i|00|s|00|p|00|l|00|a|00|y|00|p|00|a|00|r|00|a|00|m|00|s|00|t|00|m|00|t\"; nocase; flow:to_server,established; reference:bugtraq,2030; reference:cve,CAN-2000-1081; classtype:attempted-user; sid:674; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 1433 (msg:\"MS-SQL xp_setsqlsecurity possible buffer overflow\"; content: \"x|00|p|00|_|00|s|00|e|00|t|00|s|00|q|00|l|00|s|00|e|00|c|00|u|00|r|00|i|00|t|00|y|00|\"; nocase; flow:to_server,established; reference:bugtraq,2043; classtype:attempted-user; sid:675; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 1433 (msg:\"MS-SQL xp_enumresultset possible buffer overflow\"; content: \"x|00|p|00|_|00|e|00|n|00|u|00|m|00|r|00|e|00|s|00|u|00|l|00|t|00|s|00|e|00|t|00|\"; nocase; flow:to_server,established; classtype:attempted-user; sid:682; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 1433 (msg:\"MS-SQL sp_password - password change\"; content: \"s|00|p|00|_|00|p|00|a|00|s|00|s|00|w|00|o|00|r|00|d|00|\"; nocase; flow:to_server,established; classtype:attempted-user; sid:683; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 1433 (msg:\"MS-SQL sp_delete_alert log file deletion\"; content: \"s|00|p|00|_|00|d|00|e|00|l|00|e|00|t|00|e|00|_|00|a|00|l|00|e|00|r|00|t|00|\"; nocase; flow:to_server,established; classtype:attempted-user; sid:684; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 1433 (msg:\"MS-SQL sp_adduser - database user creation\"; content: \"s|00|p|00|_|00|a|00|d|00|d|00|u|00|s|00|e|00|r|00|\"; nocase; flow:to_server,established; classtype:attempted-user; sid:685; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 1433 (msg:\"MS-SQL xp_reg* - registry access\"; content: \"x|00|p|00|_|00|r|00|e|00|g|00|\"; nocase; flow:to_server,established; classtype:attempted-user; sid:686; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 1433 (msg:\"MS-SQL xp_cmdshell - program execution\"; content: \"x|00|p|00|_|00|c|00|m|00|d|00|s|00|h|00|e|00|l|00|l|00|\"; nocase; flow:to_server,established; classtype:attempted-user; sid:687; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 1433 (msg:\"MS-SQL shellcode attempt\"; content: \"|3920d0009201c200520055003920ec00|\"; flow:to_server,established; classtype:shellcode-detect; sid:691; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 1433 (msg:\"MS-SQL shellcode attempt\"; content: \"|4800250078007700900090009000900090003300c000500068002e00|\"; flow:to_server,established; classtype:shellcode-detect; sid:693; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 1433 (msg:\"MS-SQL xp_printstatements possible buffer overflow\"; content: \"x|00|p|00|_|00|p|00|r|00|i|00|n|00|t|00|s|00|t|00|a|00|t|00|e|00|m|00|e|00|n|00|t|00|s|00|\"; nocase; flow:to_server,established; reference:bugtraq,2041; reference:cve,CAN-2000-1086; classtype:attempted-user; sid:699; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 1433 (msg:\"MS-SQL xp_updatecolvbm possible buffer overflow\"; content: \"x|00|p|00|_|00|u|00|p|00|d|00|a|00|t|00|e|00|c|00|o|00|l|00|v|00|b|00|m|00|\"; nocase; flow:to_server,established; reference:bugtraq,2039; reference:cve,CAN-2000-1084; classtype:attempted-user; sid:701; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 1433 (msg:\"MS-SQL xp_sprintf possible buffer overflow\"; content: \"x|00|p|00|_|00|s|00|p|00|r|00|i|00|n|00|t|00|f|00|\"; nocase; flow:to_server,established; reference:bugtraq,1204; classtype:attempted-user; sid:704; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 1433 (msg:\"MS-SQL xp_showcolv possible buffer overflow\"; content: \"x|00|p|00|_|00|s|00|h|00|o|00|w|00|c|00|o|00|l|00|v|00|\"; nocase; flow:to_server,established; reference:bugtraq,2038; reference:cve,CAN-2000-1083; classtype:attempted-user; sid:705; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 1433 (msg:\"MS-SQL xp_peekqueue possible buffer overflow\"; content: \"x|00|p|00|_|00|p|00|e|00|e|00|k|00|q|00|u|00|e|00|u|00|e|00|\"; nocase; flow:to_server,established; reference:bugtraq,2040; reference:cve,CAN-2000-1085; classtype:attempted-user; sid:706; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 1433 (msg:\"MS-SQL xp_proxiedmetadata possible buffer overflow\"; content: \"x|00|p|00|_|00|p|00|r|00|o|00|x|00|i|00|e|00|d|00|m|00|e|00|t|00|a|00|d|00|a|00|t|00|a|00|\"; nocase; flow:to_server,established; reference:bugtraq,2024; reference:cve,CAN-2000-1087; classtype:attempted-user; sid:707; rev:5;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 1433 (msg:\"MS-SQL raiserror possible buffer overflow\"; content:\"r|00|a|00|i|00|s|00|e|00|r|00|r|00|o|00|r|00|\"; nocase; flow:to_server,established; reference:bugtraq,3733; classtype:attempted-user; sid:1387; rev:4;)\nalert tcp $EXTERNAL_NET any -> $SQL_SERVERS 445 (msg:\"MS-SQL xp_cmdshell program execution (445)\"; content: \"x|00|p|00|_|00|c|00|m|00|d|00|s|00|h|00|e|00|l|00|l|00|\"; nocase; flow:to_server,established; classtype:attempted-user; sid:1759; rev:2;)\nalert tcp $SQL_SERVERS 1433 -> $EXTERNAL_NET any (msg:\"MS-SQL sa login failed\"; content: \"Login failed for user |27|sa|27|\"; flow:from_server,established; classtype:unsuccessful-user; sid:688; rev:4;)\nalert tcp $SQL_SERVERS 139 -> $EXTERNAL_NET any (msg:\"MS-SQL/SMB sa login failed\"; content: \"Login failed for user |27|sa|27|\"; flow:from_server,established; offset:83; classtype:attempted-user; sid:680; rev:4;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 1434 (msg:\"MS-SQL Worm propagation attempt\"; content:\"|04|\"; depth:1; content:\"|81 F1 03 01 04 9B 81 F1 01|\"; content:\"sock\"; content:\"send\"; reference:bugtraq,5310; classtype:misc-attack; reference:bugtraq,5311; reference:url,vil.nai.com/vil/content/v_99992.htm; sid:2003; rev:2;)\nalert udp $HOME_NET any -> $EXTERNAL_NET 1434 (msg:\"MS-SQL Worm propagation attempt OUTBOUND\"; content:\"|04|\"; depth:1; content:\"|81 F1 03 01 04 9B 81 F1|\"; content:\"sock\"; content:\"send\"; reference:bugtraq,5310; classtype:misc-attack; reference:bugtraq,5311; reference:url,vil.nai.com/vil/content/v_99992.htm; sid:2004; rev:1;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'tftp.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#-----------\n# TFTP RULES\n#-----------\n#\n# These signatures are based on TFTP traffic.  These include malicious files\n# that are distrubted via TFTP.\n#\n# The last two signatures refer to generic GET and PUT via TFTP, which is\n# generally frowned upon on most networks, but may be used in some enviornments\n\nalert udp any any -> any 69 (msg:\"TFTP filename overflow attempt\"; content: \"|0001|\"; offset:0; depth:2; content:!\"|00|\"; within:100; reference:cve,CAN-2002-0813; reference:bugtraq,5328; classtype:bad-unknown; sid:1941; rev:2;)\nalert udp any any -> any 69 (msg:\"TFTP GET Admin.dll\"; content: \"|0001|\"; offset:0; depth:2; content:\"admin.dll\"; offset:2; nocase; classtype:successful-admin; reference:url,www.cert.org/advisories/CA-2001-26.html; sid:1289; rev:2;)\nalert udp any any -> any 69 (msg:\"TFTP GET nc.exe\"; content: \"|0001|\"; offset:0; depth:2; content:\"nc.exe\"; offset:2; nocase; classtype:successful-admin; sid:1441; rev:2;)\nalert udp any any -> any 69 (msg:\"TFTP GET shadow\"; content: \"|0001|\"; offset:0; depth:2; content:\"shadow\"; offset:2; nocase; classtype:successful-admin; sid:1442; rev:2;)\nalert udp any any -> any 69 (msg:\"TFTP GET passwd\"; content: \"|0001|\"; offset:0; depth:2; content:\"passwd\"; offset:2; nocase; classtype:successful-admin; sid:1443; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 69 (msg:\"TFTP parent directory\"; content:\"..\"; offset:2; reference:cve,CAN-2002-1209; reference:arachnids,137; reference:cve,CVE-1999-0183; classtype:bad-unknown; sid:519; rev:3;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 69 (msg:\"TFTP root directory\"; content:\"|0001|/\"; offset:0; depth:3; reference:arachnids,138; reference:cve,CVE-1999-0183; classtype:bad-unknown; sid:520; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 69 (msg:\"TFTP Put\"; content:\"|00 02|\"; offset:0; depth:2; reference:cve,CVE-1999-0183; reference:arachnids,148; classtype:bad-unknown; sid:518; rev:3;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 69 (msg:\"TFTP Get\"; content:\"|00 01|\"; offset:0; depth:2; classtype:bad-unknown; sid:1444; rev:2;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'telnet.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#-------------\n# TELNET RULES\n#-------------\n#\n# These signatures are based on various telnet exploits and unpassword\n# protected accounts.\n#\n\n\nalert tcp $EXTERNAL_NET any -> $TELNET_SERVERS 23 (msg:\"TELNET solaris memory mismanagement exploit attempt\"; flow:to_server,established; content:\"|A0 23 A0 10 AE 23 80 10 EE 23 BF EC 82 05 E0 D6 90 25 E0|\"; classtype:shellcode-detect; sid:1430; rev:5;)\nalert tcp $EXTERNAL_NET any -> $TELNET_SERVERS 23 (msg:\"TELNET SGI telnetd format bug\"; flow:to_server,established; content:\"_RLD\"; content:\"bin/sh\"; reference:arachnids,304; classtype:attempted-admin; sid:711; rev:5;)\nalert tcp $EXTERNAL_NET any -> $TELNET_SERVERS 23 (msg:\"TELNET ld_library_path\"; flow:to_server,established; content:\"ld_library_path\"; reference:cve,CVE-1999-0073; reference:arachnids,367; classtype:attempted-admin; sid:712; rev:5;)\nalert tcp $EXTERNAL_NET any -> $TELNET_SERVERS 23 (msg:\"TELNET livingston DOS\"; flow:to_server,established; content:\"|fff3 fff3 fff3 fff3 fff3|\"; reference:arachnids,370; classtype:attempted-dos; sid:713; rev:5;)\nalert tcp $EXTERNAL_NET any -> $TELNET_SERVERS 23 (msg:\"TELNET resolv_host_conf\"; flow:to_server,established; content:\"resolv_host_conf\"; reference:arachnids,369; classtype:attempted-admin; sid:714; rev:4;)\nalert tcp $TELNET_SERVERS 23 -> $EXTERNAL_NET any (msg:\"TELNET Attempted SU from wrong group\"; flow:from_server,established; content:\"to su root\"; nocase; classtype:attempted-admin; sid:715; rev:6;)\nalert tcp $TELNET_SERVERS 23 -> $EXTERNAL_NET any (msg:\"TELNET not on console\"; flow:from_server,established; content:\"not on system console\"; nocase; reference:arachnids,365; classtype:bad-unknown; sid:717; rev:6;)\nalert tcp $TELNET_SERVERS 23 -> $EXTERNAL_NET any (msg:\"TELNET login incorrect\"; content:\"Login incorrect\"; flow:from_server,established; reference:arachnids,127; classtype:bad-unknown; sid:718; rev:6;)\nalert tcp $TELNET_SERVERS 23 -> $EXTERNAL_NET any (msg:\"TELNET root login\"; content:\"login\\: root\"; flow:from_server,established; classtype:suspicious-login; sid:719; rev:5;)\nalert tcp $TELNET_SERVERS 23 -> $EXTERNAL_NET any (msg:\"TELNET bsd telnet exploit response\"; flow:from_server,established; content: \"|0D0A|[Yes]|0D0A FFFE 08FF FD26|\"; classtype: attempted-admin; sid:1252; rev:8; reference:bugtraq,3064; reference:cve,CAN-2001-0554;)\nalert tcp $EXTERNAL_NET any -> $TELNET_SERVERS 23 (msg:\"TELNET bsd exploit client finishing\"; flow:to_client,established; dsize:>200; content:\"|FF F6 FF F6 FF FB 08 FF F6|\"; offset:200; depth:50; classtype:successful-admin; sid:1253; reference:bugtraq,3064; reference:cve,CAN-2001-0554; rev:7;)\nalert tcp $EXTERNAL_NET any -> $TELNET_SERVERS 23 (msg:\"TELNET 4Dgifts SGI account attempt\"; flow:to_server,established; content:\"4Dgifts\"; reference:cve,CAN-1999-0501; classtype:suspicious-login; sid:709; rev:6;)\nalert tcp $EXTERNAL_NET any -> $TELNET_SERVERS 23 (msg:\"TELNET EZsetup account attempt\"; flow:to_server,established; content:\"OutOfBox\"; reference:cve,CAN-1999-0501; classtype:suspicious-login; sid:710; rev:6;)\nalert tcp $TELNET_SERVERS 23 -> $EXTERNAL_NET any (msg:\"TELNET access\"; flow:from_server,established; content:\"|FF FD 18 FF FD 1F FF FD 23 FF FD 27 FF FD 24|\"; reference:arachnids,08; reference:cve,CAN-1999-0619; classtype:not-suspicious; sid:716; rev:5;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'virus.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#------------\n# VIRUS RULES\n#------------\n#\n# NOTE: These rules are NOT being actively maintained.\n#\n#\n# If you would like to MAINTAIN these rules, e-mail\n# snort-sigs@lists.sourceforge.net\n#\n\nalert tcp any 110 -> any any (msg:\"Virus - SnowWhite Trojan Incoming\"; content:\"Suddlently\"; sid:720;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible pif Worm\"; content: \".pif\"; nocase; sid:721;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NAVIDAD Worm\"; content: \"NAVIDAD.EXE\"; nocase; sid:722;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible MyRomeo Worm\"; content: \"myromeo.exe\"; nocase; sid:723;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible MyRomeo Worm\"; content: \"myjuliet.chm\"; nocase; sid:724;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible MyRomeo Worm\"; content: \"ble bla\"; nocase; sid:725;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible MyRomeo Worm\"; content: \"I Love You\"; sid:726;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible MyRomeo Worm\"; content: \"Sorry... Hey you !\"; sid:727;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible MyRomeo Worm\"; content: \"my picture from shake-beer\"; sid:728;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible scr Worm\"; content: \".scr\"; nocase; sid:729;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible shs Worm\"; content: \".shs\"; nocase; sid:730;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible QAZ Worm\"; content: \"|71 61 7a 77 73 78 2e 68 73 71|\"; reference:MCAFEE,98775; sid:731;  classtype:misc-activity; rev:3;)\nalert tcp any any -> any 139 (msg:\"Virus - Possible QAZ Worm Infection\"; flags:A; content: \"|71 61 7a 77 73 78 2e 68 73 71|\"; reference:MCAFEE,98775; sid:732;  classtype:misc-activity; rev:3;)\nalert tcp any any -> any 25 (msg:\"Virus - Possible QAZ Worm Calling Home\"; content:\"nongmin_cn\"; reference:MCAFEE,98775; sid:733;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Matrix worm\"; content: \"Software provide by [MATRiX]\"; nocase;  sid:734;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible MyRomeo Worm\"; content: \"Matrix has you...\"; sid:735;  classtype:misc-activity; rev:3;)\nalert tcp any any -> any 25 (msg:\"Virus - Successful eurocalculator execution\"; flags:PA; content: \"funguscrack@hotmail.com\"; nocase; sid:736;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible eurocalculator.exe file\"; content: \"filename=\"; content:\"eurocalculator.exe\"; nocase; sid:737;  classtype:misc-activity; rev:3;)\nalert tcp any any -> any 110 (msg:\"Virus - Possible Pikachu Pokemon Virus\"; flags:PA; content:\"Pikachu Pokemon\"; reference:MCAFEE,98696; sid:738;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Triplesix Worm\"; content: \"filename=\\\"666TEST.VBS\\\"\"; nocase; reference:MCAFEE,10389; sid:739;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Tune.vbs\"; content: \"filename=\\\"tune.vbs\\\"\"; nocase; reference:MCAFEE,10497; sid:740;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NAIL Worm\"; content:\"|4D 61 72 6B 65 74 20 73 68 61 72 65 20 74 69 70 6F 66 66|\"; reference:MCAFEE,10109; sid:741;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NAIL Worm\"; content: \"|6E 61 6D 65 20 3D 22 57 57 49 49 49 21|\"; reference:MCAFEE,10109; sid:742;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NAIL Worm\"; content:\"|4E 65 77 20 44 65 76 65 6C 6F 70 6D 65 6E 74 73|\"; reference:MCAFEE,10109; sid:743;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NAIL Worm\"; content:\"|47 6F 6F 64 20 54 69 6D 65 73|\"; reference:MCAFEE,10109; sid:744;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Papa Worm\"; content: \"filename=\\\"XPASS.XLS\\\"\"; nocase; reference:MCAFEE,10145; sid:745;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Freelink Worm\"; content:\"|4C 49 4E 4B 53 2E 56 42 53|\"; reference:MCAFEE,10225; sid:746;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Simbiosis Worm\"; content: \"filename=\\\"SETUP.EXE\\\"\"; nocase; sid:747;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible BADASS Worm\"; content: \"|6E 61 6D 65 20 3D 22 42 41 44 41 53 53 2E 45 58 45 22|\"; reference:MCAFEE,10388; sid:748;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible ExploreZip.B Worm\"; content: \"|6E 61 6D 65 20 3D 22 46 69 6C 65 5F 7A 69 70 70 61 74 69 2E 65 78 65 22|\"; reference:MCAFEE,10471; sid:749;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible wscript.KakWorm\"; content: \"filename=\\\"KAK.HTA\\\"\"; nocase; reference:MCAFEE,10509; sid:751;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus Possible Suppl Worm\"; content: \"filename=\\\"Suppl.doc\\\"\"; nocase; reference:MCAFEE,10361; sid:752;  classtype:misc-activity; rev:4;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - theobbq.exe\"; content: \"filename=\\\"THEOBBQ.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:753;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Word Macro - VALE\"; content: \"filename=\\\"MONEY.DOC\\\"\"; nocase; reference:MCAFEE,10502; sid:754;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible IROK Worm\"; content: \"filename=\\\"irok.exe\\\"\"; nocase; reference:MCAFEE,98552; sid:755;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Fix2001 Worm\"; content: \"filename=\\\"Fix2001.exe\\\"\"; nocase; reference:MCAFEE,10355; sid:756;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Y2K Zelu Trojan\"; content: \"filename=\\\"Y2K.EXE\\\"\"; nocase; reference:MCAFEE,10505; sid:757;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible The_Fly Trojan\"; content: \"filename=\\\"THE_FLY.CHM\\\"\"; nocase; reference:MCAFEE,10478; sid:758;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Word Macro - VALE\"; content: \"filename=\\\"DINHEIRO.DOC\\\"\"; nocase; reference:MCAFEE,10502; sid:759;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Passion Worm\"; content: \"filename=\\\"ICQ_GREETINGS.EXE\\\"\"; nocase; reference:MCAFEE,10467; sid:760;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - cooler3.exe\"; content: \"filename=\\\"COOLER3.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:761;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - party.exe\"; content: \"filename=\\\"PARTY.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:762;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - hog.exe\"; content: \"filename=\\\"HOG.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:763;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - goal1.exe\"; content: \"filename=\\\"GOAL1.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:764;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - pirate.exe\"; content: \"filename=\\\"PIRATE.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:765;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - video.exe\"; content: \"filename=\\\"VIDEO.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:766;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - baby.exe\"; content: \"filename=\\\"BABY.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:767;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - cooler1.exe\"; content: \"filename=\\\"COOLER1.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:768;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - boss.exe\"; content: \"filename=\\\"BOSS.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:769;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - g-zilla.exe\"; content: \"filename=\\\"G-ZILLA.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:770;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible ToadieE-mail Trojan\"; content: \"filename=\\\"Toadie.exe\\\"\"; nocase; reference:MCAFEE,10540; sid:771;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible PrettyPark Trojan\"; content:\"\\\\CoolProgs\\\\\";offset:300;depth:750; reference:MCAFEE,10175; sid:772;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Happy99 Virus\"; content:\"X-Spanska\\:Yes\"; reference:MCAFEE,10144; sid:773;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible CheckThis Trojan\"; content:\"|6E 61 6D 65 20 3D 22 6C 69 6E 6B 73 2E 76 62 73 22|\"; sid:774;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Bubbleboy Worm\"; content:\"BubbleBoy is back!\"; reference:MCAFEE,10418; sid:775;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - copier.exe\"; content: \"filename=\\\"COPIER.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:776;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible MyPics Worm\"; content: \"|6E 61 6D 65 20 3D 22 70 69 63 73 34 79 6F 75 2E 65 78 65 22|\"; reference:MCAFEE,10467; sid:777;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Babylonia - X-MAS.exe\"; content: \"|6E 61 6D 65 20 3D 22 58 2D 4D 41 53 2E 45 58 45 22|\"; reference:MCAFEE,10461; sid:778;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - gadget.exe\"; content: \"filename=\\\"GADGET.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:779;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - irnglant.exe\"; content: \"filename=\\\"IRNGLANT.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:780;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - casper.exe\"; content: \"filename=\\\"CASPER.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:781;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - fborfw.exe\"; content: \"filename=\\\"FBORFW.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:782;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - saddam.exe\"; content: \"filename=\\\"SADDAM.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:783;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - bboy.exe\"; content: \"filename=\\\"BBOY.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:784;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - monica.exe\"; content: \"filename=\\\"MONICA.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:785;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - goal.exe\"; content: \"filename=\\\"GOAL.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:786;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - panther.exe\"; content: \"filename=\\\"PANTHER.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:787;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - chestburst.exe\"; content: \"filename=\\\"CHESTBURST.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:788;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - farter.exe\"; content: \"filename=\\\"FARTER.EXE\\\"\"; nocase; reference:MCAFEE,1054; sid:789;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Common Sense Worm\"; content: \"|6E 61 6D 65 20 3D 22 54 48 45 5F 46 4C 59 2E 43 48 4D 22|\"; sid:790;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible NewApt.Worm - cupid2.exe\"; content: \"filename=\\\"CUPID2.EXE\\\"\"; nocase; reference:MCAFEE,10540; sid:791;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Resume Worm\"; content: \"filename=\\\"RESUME1.DOC\\\"\"; nocase; reference:MCAFEE,98661; sid:792;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Mail .VBS\"; content:\"multipart\"; content:\"name=\"; content:\".vbs\"; nocase; sid:793;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Resume Worm\"; content: \"filename=\\\"Explorer.doc\\\"\"; nocase; reference:MCAFEE,98661; sid:794;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Worm -  txt.vbs file\"; content: \"filename=\"; content:\".txt.vbs\"; nocase; sid:795;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Worm - xls.vbs file\"; content: \"filename=\"; content:\".xls.vbs\"; nocase; sid:796;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Worm - jpg.vbs file\"; content: \"filename=\"; content:\".jpg.vbs\"; nocase; sid:797;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Worm -  gif.vbs file\"; content: \"filename=\"; content:\".gif.vbs\"; nocase; sid:798;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Timofonica Worm\"; content: \"filename=\\\"TIMOFONICA.TXT.vbs\\\"\"; nocase; reference:MCAFEE,98674; sid:799;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Resume Worm\"; content: \"filename=\\\"NORMAL.DOT\\\"\"; nocase; reference:MCAFEE,98661; sid:800;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possible Worm - doc.vbs file\"; content: \"filename=\"; content:\".doc.vbs\"; nocase; sid:801;  classtype:misc-activity; rev:3;)\nalert tcp any 110 -> any any (msg:\"Virus - Possbile Zipped Files Trojan\"; content:\"|6E 61 6D 65 20 3D 22 5A 69 70 70 65 64 5F 46 69 6C 65 73 2E 45 58 45 22|\"; reference:MCAFEE,10450; sid:802;  classtype:misc-activity; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"VIRUS Klez Incoming\"; flow:to_server,established; dsize:>120; content:\"MIME\"; content:\"VGhpcyBwcm9\"; classtype:misc-activity; sid:1800; rev:2;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'web-attacks.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n# ----------------\n# WEB ATTACKS\n# ----------------\n# These signatures are generic signatures that will catch common commands\n# used to exploit form variable vulnerabilities.  These signatures should\n# not false very often.\n#\n# Please email example PCAP log dumps to snort-sigs@lists.sourceforge.net\n# if you find one of these signatures to be too false possitive.\n\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS ps command attempt\"; flow:to_server,established; uricontent:\"/bin/ps\"; nocase; sid:1328; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS /bin/ps command attempt\"; flow:to_server,established; uricontent:\"ps%20\"; nocase; sid:1329; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS wget command attempt\"; flow:to_server,established; content:\"wget%20\";nocase; sid:1330; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS uname -a command attempt\"; flow:to_server,established; content:\"uname%20-a\";nocase; sid:1331; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS /usr/bin/id command attempt\"; flow:to_server,established; content:\"/usr/bin/id\";nocase; sid:1332; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS id command attempt\"; flow:to_server,established; content:\"\\;id\";nocase; sid:1333; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS echo command attempt\"; flow:to_server,established; content:\"/bin/echo\";nocase; sid:1334; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS kill command attempt\"; flow:to_server,established; content:\"/bin/kill\";nocase; sid:1335; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS chmod command attempt\"; flow:to_server,established; content:\"/bin/chmod\";nocase; sid:1336; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS chgrp command attempt\"; flow:to_server,established; content:\"/chgrp\";nocase; sid:1337; classtype:web-application-attack; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS chown command attempt\"; flow:to_server,established; content:\"/chown\";nocase; sid:1338; classtype:web-application-attack; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS chsh command attempt\"; flow:to_server,established; content:\"/usr/bin/chsh\";nocase; sid:1339; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS tftp command attempt\"; flow:to_server,established; content:\"tftp%20\";nocase; sid:1340; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS /usr/bin/gcc command attempt\"; flow:to_server,established; content:\"/usr/bin/gcc\";nocase; sid:1341; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS gcc command attempt\"; flow:to_server,established; content:\"gcc%20-o\";nocase; sid:1342; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS /usr/bin/cc command attempt\"; flow:to_server,established; content:\"/usr/bin/cc\";nocase; sid:1343; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS cc command attempt\"; flow:to_server,established; content:\"cc%20\";nocase; sid:1344; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS /usr/bin/cpp command attempt\"; flow:to_server,established; content:\"/usr/bin/cpp\";nocase; sid:1345; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS cpp command attempt\"; flow:to_server,established; content:\"cpp%20\";nocase; sid:1346; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS /usr/bin/g++ command attempt\"; flow:to_server,established; content:\"/usr/bin/g++\";nocase; sid:1347; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS g++ command attempt\"; flow:to_server,established; content:\"g++%20\";nocase; sid:1348; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS bin/python access attempt\"; flow:to_server,established; content:\"bin/python\";nocase; sid:1349; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS python access attempt\"; flow:to_server,established; content:\"python%20\";nocase; sid:1350; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS bin/tclsh execution attempt\"; flow:to_server,established; content:\"bin/tclsh\";nocase; sid:1351; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS tclsh execution attempt\"; flow:to_server,established; content:\"tclsh8%20\";nocase; sid:1352; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS bin/nasm command attempt\"; flow:to_server,established; content:\"bin/nasm\";nocase; sid:1353; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS nasm command attempt\"; flow:to_server,established; content:\"nasm%20\";nocase; sid:1354; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS /usr/bin/perl execution attempt\"; flow:to_server,established; content:\"/usr/bin/perl\";nocase; sid:1355; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS perl execution attempt\"; flow:to_server,established; content:\"perl%20\";nocase; sid:1356; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS nt admin addition attempt\"; flow:to_server,established; content:\"net localgroup administrators /add\";nocase; sid:1357; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS traceroute command attempt\"; flow:to_server,established; content:\"traceroute%20\";nocase; sid:1358; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS ping command attempt\"; flow:to_server,established; content:\"/bin/ping\";nocase; sid:1359; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS netcat command attempt\"; flow:to_server,established; content:\"nc%20\";nocase; sid:1360; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS nmap command attempt\"; flow:to_server,established; content:\"nmap%20\";nocase; sid:1361; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS xterm command attempt\"; flow:to_server,established; content:\"/usr/X11R6/bin/xterm\";nocase; sid:1362; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS X application to remote host attempt\"; flow:to_server,established; content:\"%20-display%20\";nocase; sid:1363; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS lsof command attempt\"; flow:to_server,established; content:\"lsof%20\";nocase; sid:1364; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS rm command attempt\"; flow:to_server,established; content:\"rm%20\";nocase; sid:1365; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS mail command attempt\"; flow:to_server,established; content:\"/bin/mail\";nocase; sid:1366; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS mail command attempt\"; flow:to_server,established; content:\"mail%20\";nocase; sid:1367; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS /bin/ls| command attempt\"; flow:to_server,established; uricontent:\"/bin/ls\\|\"; nocase; sid:1368; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS /bin/ls command attempt\"; flow:to_server,established; uricontent:\"/bin/ls\"; nocase; sid:1369; classtype:web-application-attack; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS /etc/inetd.conf access\"; flow:to_server,established; content:\"/etc/inetd.conf\";nocase; sid:1370; classtype:web-application-activity; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS /etc/motd access\"; flow:to_server,established; content:\"/etc/motd\";nocase; sid:1371; classtype:web-application-activity; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS /etc/shadow access\"; flow:to_server,established; content:\"/etc/shadow\";nocase; sid:1372; classtype:web-application-activity; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS conf/httpd.conf attempt\"; flow:to_server,established; content:\"conf/httpd.conf\";nocase; classtype:web-application-activity; sid:1373;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-ATTACKS .htgroup access\"; flow:to_server,established; uricontent:\".htgroup\"; nocase; sid:1374; classtype:web-application-activity; rev:4;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'web-frontpage.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#--------------------\n# WEB-FRONTPAGE RULES\n#--------------------\n\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE rad fp30reg.dll access\"; uricontent:\"/fp30reg.dll\"; nocase; flow:to_server,established; classtype:web-application-activity; reference:arachnids,555; reference:bugtraq,2906; reference:cve,CAN-2001-0341; reference:url,www.microsoft.com/technet/security/bulletin/MS01-035.asp; sid:1248;  rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE frontpage rad fp4areg.dll access\"; uricontent: \"/fp4areg.dll\"; nocase; flow:to_server,established; reference:cve,CAN-2001-0341; reference:bugtraq,2906; classtype:web-application-activity; sid:1249;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE _vti_rpc access\"; flow:to_server,established; uricontent:\"/_vti_rpc\"; nocase; reference:bugtraq,2144; classtype:web-application-activity; sid:937;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE posting\"; flow:to_server,established; content:\"POST\"; uricontent:\"/author.dll\"; nocase; classtype:web-application-activity; sid:939;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE shtml.dll access\"; uricontent: \"/_vti_bin/shtml.dll\"; nocase; flow:to_server,established; reference:arachnids,292; classtype:web-application-activity; sid:940;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE contents.htm access\";flow:to_server,established; uricontent:\"/admcgi/contents.htm\"; nocase; classtype:web-application-activity; sid:941;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE orders.htm access\";flow:to_server,established; uricontent:\"/_private/orders.htm\"; nocase; classtype:web-application-activity; sid:942;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE fpsrvadm.exe access\";flow:to_server,established; uricontent:\"/fpsrvadm.exe\"; nocase; classtype:web-application-activity; sid:943;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE fpremadm.exe access\";flow:to_server,established; uricontent:\"/fpremadm.exe\"; nocase; classtype:web-application-activity; sid:944;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE fpadmin.htm access\";flow:to_server,established; uricontent:\"/admisapi/fpadmin.htm\"; nocase; classtype:web-application-activity; sid:945;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE fpadmcgi.exe access\";flow:to_server,established; uricontent:\"/scripts/Fpadmcgi.exe\"; nocase; classtype:web-application-activity; sid:946;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE orders.txt access\";flow:to_server,established; uricontent:\"/_private/orders.txt\"; nocase; classtype:web-application-activity; sid:947;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE form_results access\";flow:to_server,established; uricontent:\"/_private/form_results.txt\"; nocase; classtype:web-application-activity; sid:948;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE registrations.htm access\";flow:to_server,established; uricontent:\"/_private/registrations.htm\"; nocase; classtype:web-application-activity; sid:949;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE cfgwiz.exe access\";flow:to_server,established; uricontent:\"/cfgwiz.exe\"; nocase; classtype:web-application-activity; sid:950;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE authors.pwd access\"; flow:to_server,established; uricontent:\"/authors.pwd\"; nocase; reference:cve,CVE-1999-0386; reference:nessus,10078; classtype:web-application-activity; sid:951; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE author.exe access\";flow:to_server,established; uricontent:\"/_vti_bin/_vti_aut/author.exe\"; nocase; classtype:web-application-activity; sid:952;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE administrators.pwd access\"; flow:to_server,established; uricontent:\"/administrators.pwd\"; nocase; reference:bugtraq,1205; classtype:web-application-activity; sid:953;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE form_results.htm access\";flow:to_server,established; uricontent:\"/_private/form_results.htm\"; nocase; classtype:web-application-activity; sid:954;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE access.cnf access\";flow:to_server,established; uricontent:\"/_vti_pvt/access.cnf\"; nocase; classtype:web-application-activity; sid:955;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE register.txt access\";flow:to_server,established; uricontent:\"/_private/register.txt\"; nocase; classtype:web-application-activity; sid:956;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE registrations.txt access\";flow:to_server,established; uricontent:\"/_private/registrations.txt\"; nocase; classtype:web-application-activity; sid:957;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE service.cnf access\";flow:to_server,established; uricontent:\"/_vti_pvt/service.cnf\"; nocase; classtype:web-application-activity; sid:958;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE service.pwd\";flow:to_server,established; uricontent:\"/service.pwd\"; nocase;reference:bugtraq,1205; classtype:web-application-activity; sid:959;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE service.stp access\";flow:to_server,established; uricontent:\"/_vti_pvt/service.stp\"; nocase; classtype:web-application-activity; sid:960;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE services.cnf access\";flow:to_server,established; uricontent:\"/_vti_pvt/services.cnf\"; nocase; classtype:web-application-activity; sid:961;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE shtml.exe access\"; flow:to_server,established; uricontent:\"/_vti_bin/shtml.exe\"; nocase; reference:nessus,10405; reference:cve,CAN-2000-0413; reference:cve,CAN-2000-0709; reference:bugtraq,1608; reference:bugtraq,1174; classtype:web-application-activity; sid:962; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE svcacl.cnf access\"; flow:to_server,established; uricontent:\"/_vti_pvt/svcacl.cnf\"; nocase; classtype:web-application-activity; sid:963;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE users.pwd access\"; flow:to_server,established; uricontent:\"/users.pwd\"; nocase; classtype:web-application-activity; sid:964;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE writeto.cnf access\";flow:to_server,established; uricontent:\"/_vti_pvt/writeto.cnf\"; nocase; classtype:web-application-activity; sid:965;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE fourdots request\"; flow:to_server,established; content: \"|2e 2e 2e 2e 2f|\"; nocase; reference:bugtraq,989; reference:cve,CAN-2000-0153; reference:arachnids,248; classtype:web-application-attack; sid:966;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE dvwssr.dll access\"; flow:to_server,established; uricontent: \"/dvwssr.dll\"; nocase; reference:bugtraq,1108; reference:cve,CVE-2000-0260; reference:arachnids,271; reference:url,www.microsoft.com/technet/security/bulletin/ms00-025.asp; classtype:web-application-activity; sid:967;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE register.htm access\";flow:to_server,established; uricontent:\"/_private/register.htm\"; nocase; classtype:web-application-activity; sid:968;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-FRONTPAGE /_vti_bin/ access\";flow:to_server,established; uricontent:\"/_vti_bin/\"; nocase; classtype:web-application-activity; sid:1288;  rev:5;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'web-coldfusion.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#---------------------\n# WEB-COLDFUSION RULES\n#---------------------\n#\n\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION cfcache.map access\";flow:to_server,established; uricontent:\"/cfcache.map\"; nocase; reference:bugtraq,917; reference:cve,CVE-2000-0057; classtype:attempted-recon; sid:903; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION exampleapp application.cfm\";flow:to_server,established; uricontent:\"/cfdocs/exampleapp/email/application.cfm\"; nocase;reference:bugtraq,1021; classtype:attempted-recon; sid:904; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION application.cfm access\";flow:to_server,established; uricontent:\"/cfdocs/exampleapp/publish/admin/application.cfm\"; nocase;reference:bugtraq,1021; classtype:attempted-recon; sid:905; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION getfile.cfm access\";flow:to_server,established; uricontent:\"/cfdocs/exampleapp/email/getfile.cfm\"; nocase;reference:bugtraq,229; classtype:attempted-recon; sid:906; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION addcontent.cfm access\";flow:to_server,established; uricontent:\"/cfdocs/exampleapp/publish/admin/addcontent.cfm\"; nocase; classtype:attempted-recon; sid:907; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION administrator access\"; uricontent:\"/cfide/administrator/index.cfm\"; nocase; flow:to_server,established; reference:cve,CVE-2000-0538; classtype:attempted-recon; sid:908; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION datasource username attempt\";flow:to_server,established; content:\"CF_SETDATASOURCEUSERNAME()\"; nocase; reference:bugtraq,550; classtype:web-application-attack; sid:909; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION fileexists.cfm access\";flow:to_server,established; uricontent:\"/cfdocs/snippets/fileexists.cfm\"; nocase; reference:bugtraq,550; classtype:attempted-recon; sid:910; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION exprcalc access\";flow:to_server,established; uricontent:\"/cfdocs/expeval/exprcalc.cfm\"; nocase; reference:cve,CVE-1999-0455; reference:bugtraq,550; classtype:attempted-recon; sid:911; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION parks access\"; flow:to_server,established; uricontent:\"/cfdocs/examples/parks/detail.cfm\"; nocase; reference:bugtraq,550; classtype:attempted-recon; sid:912; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION cfappman access\"; flow:to_server,established; uricontent:\"/cfappman/index.cfm\"; nocase; reference:bugtraq,550; classtype:attempted-recon; sid:913; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION beaninfo access\";flow:to_server,established; uricontent:\"/cfdocs/examples/cvbeans/beaninfo.cfm\"; nocase; reference:bugtraq,550; classtype:attempted-recon; sid:914; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION evaluate.cfm access\";flow:to_server,established; uricontent:\"/cfdocs/snippets/evaluate.cfm\"; nocase; reference:bugtraq,550; classtype:attempted-recon; sid:915; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION getodbcdsn access\";flow:to_server,established; content:\"CFUSION_GETODBCDSN()\"; nocase; reference:bugtraq,550; classtype:web-application-attack; sid:916; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION db connections flush attempt\";flow:to_server,established; content:\"CFUSION_DBCONNECTIONS_FLUSH()\"; nocase; reference:bugtraq,550; classtype:web-application-attack; sid:917; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION expeval access\";flow:to_server,established; uricontent:\"/cfdocs/expeval/\"; nocase; reference:bugtraq,550; reference:cve,CAN-1999-0477; classtype:attempted-user; sid:918; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION datasource passwordattempt\";flow:to_server,established; content:\"CF_SETDATASOURCEPASSWORD()\"; nocase; reference:bugtraq,550; classtype:web-application-attack; sid:919; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION datasource attempt\";flow:to_server,established; content:\"CF_ISCOLDFUSIONDATASOURCE()\"; nocase; reference:bugtraq,550; classtype:web-application-attack; sid:920; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION admin encrypt attempt\";flow:to_server,established; content:\"CFUSION_ENCRYPT()\"; nocase; reference:bugtraq,550; classtype:web-application-attack; sid:921; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION displayfile access\";flow:to_server,established; uricontent:\"/cfdocs/expeval/displayopenedfile.cfm\"; nocase; reference:bugtraq,550; classtype:web-application-attack; sid:922; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION getodbcin attempt\";flow:to_server,established; content:\"CFUSION_GETODBCINI()\"; nocase; reference:bugtraq,550; classtype:web-application-attack; sid:923; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION admin decrypt attempt\";flow:to_server,established; content:\"CFUSION_DECRYPT()\"; nocase; reference:bugtraq,550; classtype:web-application-attack; sid:924; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION mainframeset access\";flow:to_server,established; uricontent:\"/cfdocs/examples/mainframeset.cfm\"; nocase; reference:bugtraq,550; classtype:attempted-recon; sid:925; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION set odbc ini attempt\";flow:to_server,established; content:\"CFUSION_SETODBCINI()\"; nocase;reference:bugtraq,550; classtype:web-application-attack; sid:926; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION settings refresh attempt\";flow:to_server,established; content:\"CFUSION_SETTINGS_REFRESH()\"; nocase;reference:bugtraq,550; classtype:web-application-attack; sid:927; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION exampleapp access\";flow:to_server,established; uricontent:\"/cfdocs/exampleapp/\"; nocase; classtype:attempted-recon; sid:928; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION CFUSION_VERIFYMAIL access\";flow:to_server,established; content:\"CFUSION_VERIFYMAIL()\"; nocase; reference:bugtraq,550; classtype:attempted-user; sid:929; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION snippets attempt\"; flow:to_server,established; uricontent:\"/cfdocs/snippets/\"; nocase; reference:bugtraq,550; classtype:attempted-recon; sid:930; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION cfmlsyntaxcheck.cfm access\";flow:to_server,established; uricontent:\"/cfdocs/cfmlsyntaxcheck.cfm\"; nocase; reference:bugtraq,550; classtype:attempted-recon; sid:931; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION application.cfm access\"; flow:to_server,established; uricontent: \"/application.cfm\"; nocase; reference:bugtraq,550; reference:arachnids,268; reference:cve,CAN-2000-0189; classtype:attempted-recon; sid:932; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION onrequestend.cfm access\"; flow:to_server,established; uricontent: \"/onrequestend.cfm\"; nocase; reference:bugtraq,550; reference:arachnids,269; reference:cve,CAN-2000-0189; classtype:attempted-recon; sid:933; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION startstop DOS access\"; uricontent:\"/cfide/administrator/startstop.html\"; nocase; flow:to_server,established; reference:bugtraq,247; classtype:web-application-attack; sid:935; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION gettempdirectory.cfm access \";flow:to_server,established; uricontent:\"/cfdocs/snippets/gettempdirectory.cfm\"; nocase; reference:bugtraq,550; classtype:attempted-recon; sid:936; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION sendmail.cfm access\"; flow:to_server,established; uricontent:\"/sendmail.cfm\"; nocase; classtype:attempted-recon; sid:1659; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-COLDFUSION ?Mode=debug attempt\"; flow:to_server,established; uricontent:\"Mode=debug\"; nocase; classtype:web-application-activity; sid:1540; rev:5;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'web-client.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#---------------\n# WEB-CLIENT RULES\n#---------------\n#\n# These signatures look for two things:\n# * bad things coming from our users\n# * attacks against our web users\n\nalert tcp $HOME_NET any -> $EXTERNAL_NET $HTTP_PORTS (msg:\"WEB-CLIENT Outlook EML access\"; uricontent:\".eml\"; flow:from_client,established; classtype:attempted-admin; sid:1233; rev:7;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"WEB-CLIENT XMLHttpRequest attempt\"; flow:to_client,established; content:\"new XMLHttpRequest\\(\"; content:\"file\\://\"; nocase; classtype:web-application-attack; sid:1735; rev:3;)\nalert tcp $HOME_NET any -> $EXTERNAL_NET $HTTP_PORTS (msg:\"WEB-CLIENT readme.eml download attempt\"; flow:from_client,established; uricontent:\"/readme.eml\"; nocase; classtype:attempted-user; sid:1284; reference:url,www.cert.org/advisories/CA-2001-26.html; rev:9;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"WEB-CLIENT readme.eml autoload attempt\"; flow:to_client,established; content:\"window.open(\\\"readme.eml\\\"\"; nocase; classtype:attempted-user; sid:1290; reference:url,www.cert.org/advisories/CA-2001-26.html; rev:8;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"WEB-CLIENT javascript document.domain attempt\"; flow:to_client,established; content:\"document.domain(\"; nocase; classtype:attempted-user; reference:bugtraq,5346; sid:1840; rev:2;)\nalert tcp $EXTERNAL_NET $HTTP_PORTS -> $HOME_NET any (msg:\"WEB-CLIENT javascript URL host spoofing attempt\"; flow:to_client,established; content:\"javascript\\://\"; nocase; classtype:attempted-user; reference:bugtraq,5293; sid:1841; rev:2;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'web-cgi.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#--------------\n# WEB-CGI RULES\n#--------------\n#\n\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI HyperSeek hsx.cgi directory traversal attempt\"; uricontent:\"/hsx.cgi\"; content:\"../../\"; content:\"\"; flow:to_server,established; reference:bugtraq,2314; reference:cve,CAN-2001-0253; classtype:web-application-attack; sid:803;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI HyperSeek hsx.cgi access\"; uricontent:\"/hsx.cgi\"; flow:to_server,established; reference:bugtraq,2314; reference:cve,CAN-2001-0253; classtype:web-application-activity; sid:1607;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI SWSoft ASPSeek Overflow attempt\"; flow:to_server,established; uricontent:\"/s.cgi\"; nocase; content:\"tmpl=\"; reference:cve,CAN-2001-0476; reference:bugtraq,2492; classtype:web-application-attack; sid:804; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI webspeed access\"; flow:to_server,established; uricontent:\"/wsisa.dll/WService=\"; nocase; content:\"WSMadmin\"; nocase; reference:arachnids,467; reference:cve,CVE-2000-0127; reference:nessus,10304; classtype:attempted-user; sid:805; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI yabb.cgi directory traversal attempt\"; flow:to_server,established; uricontent:\"/YaBB.pl\"; nocase; content: \"../\"; reference:cve,CVE-2000-0853; reference:arachnids,462; reference:bugtraq,1668; classtype:attempted-recon; sid:806;  rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI yabb.cgi access\"; flow:to_server,established; uricontent:\"/YaBB.pl\"; nocase; reference:cve,CVE-2000-0853; reference:arachnids,462; reference:bugtraq,1668; classtype:attempted-recon; sid:1637;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI /wwwboard/passwd.txt access\"; flow:to_server,established; uricontent:\"/wwwboard/passwd.txt\"; nocase; reference:arachnids,463; reference:cve,CVE-1999-0953; reference:nessus,10321; reference:bugtraq,649; classtype:attempted-recon; sid:807; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI webdriver access\"; flow:to_server,established; uricontent: \"/webdriver\"; nocase; reference:arachnids,473; reference:bugtraq,2166; reference:nessus,10592; classtype:attempted-recon; sid:808; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI whois_raw.cgi arbitrary command execution attempt\"; flow:to_server,established; uricontent: \"/whois_raw.cgi?\"; content: \"|0a|\"; reference:cve,CAN-1999-1063; reference:arachnids,466; reference:nessus,10306; classtype:web-application-attack; sid:809; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI whois_raw.cgi access\"; flow:to_server,established; uricontent: \"/whois_raw.cgi\"; reference:cve,CAN-1999-1063; reference:arachnids,466; reference:nessus,10306; classtype:attempted-recon; sid:810; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI websitepro path access\"; flow:to_server,established; content: \" /HTTP/1.\"; nocase; reference:cve,CAN-2000-0066; reference:arachnids,468;classtype:attempted-recon; sid:811;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI webplus version access\"; flow:to_server,established; uricontent:\"/webplus?about\"; nocase; reference:cve,CVE-2000-0282; reference:arachnids,470; classtype:attempted-recon; sid:812;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI webplus directory traversal\"; flow:to_server,established; uricontent:\"/webplus?script\"; nocase; content:\"../\"; reference:cve,CVE-2000-0282; reference:arachnids,471; classtype:web-application-attack; sid:813;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI websendmail access\"; flow:to_server,established; uricontent:\"/websendmail\"; nocase; reference:cve,CVE-1999-0196; reference:arachnids,469; reference:bugtraq,2077; reference:nessus,10301; classtype:attempted-recon; sid:815; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI dcforum.cgi directory traversal attempt\"; flow:to_server,established; uricontent:\"/dcforum.cgi\"; content:\"forum=../..\"; reference:cve,CAN-2001-0436; classtype:web-application-attack; sid:1571;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI dcforum.cgi access\"; uricontent:\"/dcforum.cgi\"; flow:to_server,established; reference:bugtraq,2728; classtype:attempted-recon; sid:818;  rev:6;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI dcboard.cgi invalid user addition attempt\"; flow:to_server,established; uricontent:\"/dcboard.cgi\"; content:\"command=register\"; content:\"|admin\"; reference:bugtraq,2728; classtype:web-application-attack; sid:817;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI dcboard.cgi access\"; uricontent:\"/dcboard.cgi\"; flow:to_server,established; reference:bugtraq,2728; classtype:attempted-recon; sid:1410;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI mmstdod.cgi access\"; uricontent:\"/mmstdod.cgi\"; nocase; flow:to_server,established; reference:cve,CVE-2001-0021; classtype:attempted-recon; sid:819;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI anaconda directory transversal attempt\"; flow:to_server,established; uricontent:\"/apexec.pl\"; content:\"template=../\"; nocase; reference:cve,CVE-2000-0975; reference:bugtraq,2388; classtype:web-application-attack; sid:820;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI imagemap.exe overflow attempt\"; flow:to_server,established; uricontent:\"/imagemap.exe?\"; depth:32; nocase; reference:arachnids,412; reference:cve,CVE-1999-0951; classtype:web-application-attack; sid:821; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI imagemap.exe access\"; flow:to_server,established; uricontent:\"/imagemap.exe\"; nocase; reference:cve,CVE-1999-0951; reference:arachnids,412; classtype:web-application-activity; sid:1700;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI cvsweb.cgi access\"; flow:to_server,established; uricontent:\"/cvsweb.cgi\"; nocase; reference:cve,CVE-2000-0670; reference:bugtraq,1469;classtype:attempted-recon; sid:823;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI php.cgi access\";flow:to_server,established; uricontent:\"/php.cgi\"; nocase; reference:cve,CAN-1999-0238; reference:bugtraq,2250; reference:arachnids,232; classtype:attempted-recon; sid:824;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI glimpse access\"; flow:to_server,established; uricontent:\"/glimpse\"; nocase; reference:bugtraq,2026; classtype:attempted-recon; sid:825;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI htmlscript attempt\";flow:to_server,established; uricontent:\"/htmlscript?../..\"; nocase; reference:bugtraq,2001; reference:cve,CVE-1999-0264; classtype:web-application-attack; sid:1608;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI htmlscript access\";flow:to_server,established; uricontent:\"/htmlscript\"; nocase; reference:bugtraq,2001; reference:cve,CVE-1999-0264; classtype:attempted-recon; sid:826;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI info2www access\";flow:to_server,established; uricontent:\"/info2www\"; nocase; reference:bugtraq,1995; reference:cve,CVE-1999-0266; classtype:attempted-recon; sid:827;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI maillist.pl access\";flow:to_server,established; uricontent:\"/maillist.pl\"; nocase;classtype:attempted-recon; sid:828;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI nph-test-cgi access\"; flow:to_server,established; uricontent:\"/nph-test-cgi\"; nocase; reference:nessus,10165; reference:arachnids,224; reference:cve,CVE-1999-0045; reference:bugtraq,686; classtype:attempted-recon; sid:829; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI NPH-publish access\"; flow:to_server,established; uricontent:\"/nph-maillist.pl\"; nocase; reference:cve,CAN-2001-0400; classtype:attempted-recon; sid:1451;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI NPH-publish access\";flow:to_server,established; uricontent:\"/nph-publish\"; nocase; reference:cve,CAN-1999-1177; classtype:attempted-recon; sid:830;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI rguest.exe access\";flow:to_server,established; uricontent:\"/rguest.exe\"; nocase; reference:cve,CAN-1999-0467; reference:bugtraq,2024; classtype:attempted-recon; sid:833;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI rwwwshell.pl access\";flow:to_server,established; uricontent:\"/rwwwshell.pl\"; nocase; reference:url,www.itsecurity.com/papers/p37.htm; classtype:attempted-recon; sid:834;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI test-cgi attempt\"; flow:to_server,established; uricontent:\"/test-cgi/*?*\"; nocase; reference:nessus,10282; reference:cve,CVE-1999-0070; reference:arachnids,218; classtype:web-application-attack; sid:1644; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI test-cgi access\"; flow:to_server,established; uricontent:\"/test-cgi\"; nocase; reference:nessus,10282; reference:cve,CVE-1999-0070; reference:arachnids,218;classtype:attempted-recon; sid:835; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI testcgi access\"; flow:to_server,established; uricontent:\"/testcgi\"; nocase; classtype:web-application-activity; sid:1645;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI test.cgi access\"; flow:to_server,established; uricontent:\"/test.cgi\"; nocase; classtype:web-application-activity; sid:1646;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI textcounter.pl access\";flow:to_server,established; uricontent:\"/textcounter.pl\"; nocase; reference:cve,CAN-1999-1479; classtype:attempted-recon; sid:836;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI uploader.exe access\"; flow:to_server,established; uricontent:\"/uploader.exe\"; nocase; reference:cve,CVE-1999-0177; reference:nessus,10291; classtype:attempted-recon; sid:837; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI webgais access\"; flow:to_server,established; uricontent:\"/webgais\"; nocase; reference:arachnids,472; reference:bugtraq,2058; reference:cve,CVE-1999-0176; reference:nessus,10300; classtype:attempted-recon; sid:838; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI finger access\"; flow:to_server,established; uricontent:\"/finger\"; nocase; reference:arachnids,221; reference:cve,CVE-1999-0612; reference:nessus,10071; classtype:attempted-recon; sid:839; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI perlshop.cgi access\";flow:to_server,established; uricontent:\"/perlshop.cgi\"; nocase; reference:cve,CAN-1999-1374; classtype:attempted-recon; sid:840;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI pfdisplay.cgi access\";flow:to_server,established; uricontent:\"/pfdisplay.cgi\"; nocase; reference:bugtraq,64; reference:cve,CVE-1999-0270;classtype:attempted-recon; sid:841;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI aglimpse access\"; flow:to_server,established; uricontent:\"/aglimpse\"; nocase; reference:nessus,10095; reference:cve,CVE-1999-0147; reference:bugtraq,2026; classtype:attempted-recon; sid:842; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI anform2 access\";flow:to_server,established; uricontent:\"/AnForm2\"; nocase; reference:cve,CVE-1999-0066; reference:arachnids,225;classtype:attempted-recon; sid:843;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI args.bat access\";flow:to_server,established; uricontent:\"/args.bat\"; nocase; reference:cve,CAN-1999-1374; classtype:attempted-recon; sid:844;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI args.cmd access\";flow:to_server,established; uricontent:\"/args.cmd\"; nocase; reference:cve,CAN-1999-1374; classtype:attempted-recon; sid:1452;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI AT-admin.cgi access\";flow:to_server,established; uricontent:\"/AT-admin.cgi\"; nocase; reference:cve,CAN-1999-1072; classtype:attempted-recon; sid:845;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI AT-generated.cgi access\";flow:to_server,established; uricontent:\"/AT-generated.cgi\"; nocase; reference:cve,CAN-1999-1072; classtype:attempted-recon; sid:1453;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI bnbform.cgi access\";flow:to_server,established; uricontent:\"/bnbform.cgi\"; nocase; reference:cve,CVE-1999-0937; reference:bugtraq,1469; classtype:attempted-recon; sid:846;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI campas access\";flow:to_server,established; uricontent:\"/campas\"; nocase; reference:cve,CVE-1999-0146; reference:bugtraq,1975; classtype:attempted-recon; sid:847;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI view-source directory traversal\";flow:to_server,established; uricontent:\"/view-source\"; nocase; content:\"../\"; nocase; reference:cve,CVE-1999-0174;classtype:web-application-attack; sid:848;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI view-source access\";flow:to_server,established; uricontent:\"/view-source\"; nocase; reference:cve,CVE-1999-0174;classtype:attempted-recon; sid:849;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI wais.pl access\";flow:to_server,established; uricontent:\"/wais.pl\"; nocase; classtype:attempted-recon; sid:850;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI wwwwais access\";flow:to_server,established; uricontent:\"/wwwwais\"; nocase; reference:nessus,10597; reference:cve,CAN-2001-0223; classtype:attempted-recon; sid:1454; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI files.pl access\";flow:to_server,established; uricontent:\"/files.pl\"; nocase; reference:cve,CAN-1999-1081; classtype:attempted-recon; sid:851;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI wguest.exe access\";flow:to_server,established; uricontent:\"/wguest.exe\"; nocase; reference:cve,CAN-1999-0467; reference:bugtraq,2024; classtype:attempted-recon; sid:852;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI wrap access\"; flow:to_server,established; uricontent: \"/wrap\"; reference:nessus,10317; reference:bugtraq,373; reference:arachnids,234; reference:cve,CVE-1999-0149; classtype:attempted-recon; sid:853; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI classifieds.cgi access\";flow:to_server,established; uricontent:\"/classifieds.cgi\"; nocase; reference:bugtraq,2020; reference:cve,CVE-1999-0934;classtype:attempted-recon; sid:854;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI environ.cgi access\";flow:to_server,established; uricontent:\"/environ.cgi\"; nocase;classtype:attempted-recon; sid:856;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI faxsurvey attempt (full path)\"; flow:to_server,established; uricontent:\"/faxsurvey?/\"; nocase; reference:cve,CVE-1999-0262; reference:bugtraq,2056; reference:nessus,10067; classtype:web-application-attack; sid:1647; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI faxsurvey arbitrary file read attempt\"; flow:to_server,established; uricontent:\"/faxsurvey?cat \"; nocase; reference:nessus,10067; reference:cve,CVE-1999-0262; reference:bugtraq,2056; classtype:web-application-attack; sid:1609; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI faxsurvey access\"; flow:to_server,established; uricontent:\"/faxsurvey\"; nocase; reference:cve,CVE-1999-0262; reference:bugtraq,2056; reference:nessus,10067; classtype:web-application-activity; sid:857; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI filemail access\"; flow:to_server,established; uricontent:\"/filemail.pl\"; nocase; reference:cve,CAN-1999-1154; classtype:attempted-recon; sid:858;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI man.sh access\"; flow:to_server,established; uricontent:\"/man.sh\"; nocase; reference:cve,CAN-1999-1179; classtype:attempted-recon; sid:859;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI snork.bat access\";flow:to_server,established; uricontent:\"/snork.bat\"; nocase; reference:bugtraq,1053; reference:cve,CVE-2000-0169; reference:arachnids,220;classtype:attempted-recon; sid:860;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI w3-msql access\"; flow:to_server,established; uricontent:\"/w3-msql/\"; nocase; reference:bugtraq,591; reference:cve,CVE-1999-0276; reference:arachnids,210; reference:nessus,10296; reference:cve,CVE-2000-0012; classtype:attempted-recon; sid:861; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI day5datacopier.cgi access\";flow:to_server,established; uricontent:\"/day5datacopier.cgi\"; nocase; reference:cve,CAN-1999-1232; classtype:attempted-recon; sid:863;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI day5datanotifier.cgi access\"; flow:to_server,established; uricontent:\"/day5datanotifier.cgi\"; nocase; reference:cve,CAN-1999-1232; classtype:attempted-recon; sid:864;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI post-query access\"; flow:to_server,established; uricontent:\"/post-query\"; nocase; reference:cve,CAN-2001-0291; classtype:attempted-recon; sid:866;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI visadmin.exe access\"; flow:to_server,established; uricontent:\"/visadmin.exe\"; nocase; reference:bugtraq,1808; reference:cve,CAN-1999-1970; reference:nessus,10295; classtype:attempted-recon; sid:867; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI dumpenv.pl access\";flow:to_server,established; uricontent:\"/dumpenv.pl\"; nocase; reference:cve,CAN-1999-1178; classtype:attempted-recon; sid:869;  rev:5;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI calendar_admin.pl arbitrary command execution attempt\"; flow:to_server,established; uricontent:\"/calendar_admin.pl?config=|\"; classtype:web-application-attack; reference:cve,CVE-2000-0432; sid:1536;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI calendar_admin.pl access\"; flow:to_server,established; uricontent:\"/calendar_admin.pl\"; classtype:web-application-activity; reference:cve,CVE-2000-0432; sid:1537;  rev:4;)\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI calender_admin.pl access\"; flow:to_server,established; uricontent:\"/calender_admin.pl\"; nocase; reference:cve,CVE-2000-0432; classtype:attempted-recon; sid:1456;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI calendar-admin.pl access\"; flow:to_server,established; uricontent:\"/calendar-admin.pl\"; nocase; reference:bugtraq,1215; classtype:web-application-activity; sid:1701;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI calender.pl access\"; flow:to_server,established; uricontent:\"/calender.pl\"; nocase; reference:cve,CVE-2000-0432; classtype:attempted-recon; sid:1455;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI calendar access\";flow:to_server,established; uricontent:\"/calendar\"; nocase; classtype:attempted-recon; sid:882;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI user_update_admin.pl access\"; flow:to_server,established; uricontent:\"/user_update_admin.pl\"; nocase; reference:cve,CVE-2000-0627; classtype:attempted-recon; sid:1457;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI user_update_passwd.pl access\"; flow:to_server,established; uricontent:\"/user_update_passwd.pl\"; nocase; reference:cve,CVE-2000-0627; classtype:attempted-recon; sid:1458;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI snorkerz.cmd access\";flow:to_server,established; uricontent:\"/snorkerz.cmd\"; nocase;classtype:attempted-recon; sid:870;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI survey.cgi access\";flow:to_server,established; uricontent:\"/survey.cgi\"; nocase; reference:bugtraq,1817; reference:cve,CVE-1999-0936; classtype:attempted-recon; sid:871;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI scriptalias access\"; flow:to_server,established; uricontent: \"///\"; reference:cve,CVE-1999-0236; reference:bugtraq,2300; reference:arachnids,227; classtype:attempted-recon; sid:873;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI win-c-sample.exe access\"; flow:to_server,established; uricontent:\"/win-c-sample.exe\"; nocase; reference:bugtraq,2078; reference:arachnids,231; reference:cve,CVE-1999-0178; reference:nessus,10008; classtype:attempted-recon; sid:875; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI w3tvars.pm access\";flow:to_server,established; uricontent:\"/w3tvars.pm\"; nocase; classtype:attempted-recon; sid:878;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI admin.pl access\";flow:to_server,established; uricontent:\"/admin.pl\"; nocase; reference:url,online.securityfocus.com/archive/1/249355; reference:bugtraq,3839; classtype:attempted-recon; sid:879;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI LWGate access\";flow:to_server,established; uricontent:\"/LWGate\"; nocase; reference:url,www.netspace.org/~dwb/lwgate/lwgate-history.html; reference:url,www.wiretrip.net/rfp/p/doc.asp/i2/d6.htm; classtype:attempted-recon; sid:880;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI archie access\";flow:to_server,established; uricontent:\"/archie\"; nocase; classtype:attempted-recon; sid:881;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI flexform access\";flow:to_server,established; uricontent:\"/flexform\"; nocase; reference:url,www.wiretrip.net/rfp/p/doc.asp/i2/d6.htm; classtype:attempted-recon; sid:883;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI formmail arbitrary command execution attempt\"; flow:to_server,established; uricontent:\"/formmail\"; nocase; content:\"n\"; nocase; reference:nessus,10782; reference:nessus,10076; reference:bugtraq,1187; reference:cve,CVE-1999-0172; reference:arachnids,226; classtype:web-application-attack; sid:1610; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI formmail access\"; flow:to_server,established; uricontent:\"/formmail\"; nocase; reference:nessus,10782; reference:nessus,10076; reference:bugtraq,1187; reference:cve,CVE-1999-0172; reference:arachnids,226; classtype:web-application-activity; sid:884; rev:8;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI phf arbitrary command execution attempt\";flow:to_server,established; uricontent:\"/phf\"; nocase; content:\"QALIAS\"; nocase; content:\"n/\"; reference:bugtraq,629; reference:arachnids,128; reference:cve,CVE-1999-0067; classtype:web-application-attack; sid:1762; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI phf access\";flow:to_server,established; uricontent:\"/phf\"; nocase; reference:bugtraq,629; reference:arachnids,128; reference:cve,CVE-1999-0067;  classtype:web-application-activity; sid:886; rev:8;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI www-sql access\";flow:to_server,established; uricontent:\"/www-sql\"; nocase; reference:url,marc.theaimsgroup.com/?l=bugtraq&m=88704258804054&w=2; classtype:attempted-recon; sid:887;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI wwwadmin.pl access\";flow:to_server,established; uricontent:\"/wwwadmin.pl\"; nocase; classtype:attempted-recon; sid:888;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI ppdscgi.exe access\";flow:to_server,established; uricontent:\"/ppdscgi.exe\"; nocase; reference:bugtraq,491; reference:url,online.securityfocus.com/archive/1/16878; classtype:attempted-recon; sid:889;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI sendform.cgi access\";flow:to_server,established; uricontent:\"/sendform.cgi\"; nocase; reference:cve,CAN-2002-0710; reference:bugtraq,5286; reference:url,www.scn.org/help/sendform.txt; classtype:attempted-recon; sid:890; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI upload.pl access\";flow:to_server,established; uricontent:\"/upload.pl\"; nocase; classtype:attempted-recon; sid:891;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI AnyForm2 access\";flow:to_server,established; uricontent:\"/AnyForm2\"; nocase; reference:bugtraq,719; reference:cve,CVE-1999-0066; classtype:attempted-recon; sid:892;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI MachineInfo access\";flow:to_server,established; uricontent:\"/MachineInfo\"; nocase; reference:cve,CAN-1999-1067; classtype:attempted-recon; sid:893;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI bb-hist.sh attempt\"; flow:to_server,established; uricontent:\"/bb-hist.sh?HISTFILE=../..\"; nocase; reference:nessus,10025; reference:cve,CAN-1999-1462; reference:bugtraq,142; classtype:web-application-attack; sid:1531; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI bb-hist.sh access\"; flow:to_server,established; uricontent:\"/bb-hist.sh\"; nocase; reference:nessus,10025; reference:cve,CAN-1999-1462; reference:bugtraq,142; classtype:attempted-recon; sid:894; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI bb-histlog.sh access\";flow:to_server,established; uricontent:\"/bb-histlog.sh\"; nocase; reference:bugtraq,142; reference:cve,CAN-1999-1462; classtype:attempted-recon; sid:1459;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI bb-histsvc.sh access\";flow:to_server,established; uricontent:\"/bb-histsvc.sh\"; nocase; reference:bugtraq,142; reference:cve,CAN-1999-1462; classtype:attempted-recon; sid:1460;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI bb-hostscv.sh attempt\"; flow:to_server,established; uricontent:\"/bb-hostsvc.sh?HOSTSVC?../..\"; nocase; reference:nessus,10460; reference:cve,CVE-2000-0638; classtype:web-application-attack; sid:1532; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI bb-hostscv.sh access\"; flow:to_server,established; uricontent:\"/bb-hostsvc.sh\"; nocase; reference:nessus,10460; reference:cve,CVE-2000-0638; classtype:web-application-activity; sid:1533; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI bb-rep.sh access\";flow:to_server,established; uricontent:\"/bb-rep.sh\"; nocase; reference:bugtraq,142; reference:cve,CAN-1999-1462; classtype:attempted-recon; sid:1461;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI bb-replog.sh access\";flow:to_server,established; uricontent:\"/bb-replog.sh\"; nocase; reference:bugtraq,142; reference:cve,CAN-1999-1462; classtype:attempted-recon; sid:1462;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI redirect access\";flow:to_server,established; uricontent:\"/redirect\"; nocase;reference:bugtraq,1179; reference:cve,CVE-2000-0382; classtype:attempted-recon; sid:895;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI wayboard attempt\"; uricontent:\"/way-board/way-board.cgi\"; content:\"db=\"; content:\"../..\"; nocase; flow:to_server,established; reference:bugtraq,2370; reference:cve,CAN-2001-0214; classtype:web-application-attack; sid:1397;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI way-board access\"; uricontent:\"/way-board\"; nocase; flow:to_server,established; reference:bugtraq,2370;  reference:cve,CAN-2001-0214; reference:nessus,10610; classtype:web-application-activity; sid:896; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI pals-cgi arbitrary file access attempt\"; flow:to_server,established; uricontent:\"/pals-cgi\"; nocase; content:\"documentName=\"; classtype:web-application-attack; reference:cve,CAN-2001-0217; reference:bugtraq,2372; reference:nessus,10611; sid:1222; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI pals-cgi access\"; uricontent:\"/pals-cgi\"; nocase; flow:to_server,established; reference:cve,CAN-2001-0216; reference:cve,CAN-2001-0217; reference:bugtraq,2372; reference:nessus,10611; classtype:attempted-recon; sid:897; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI commerce.cgi arbitrary file access attempt\"; flow:to_server,established; uricontent:\"/commerce.cgi?page=../..\"; nocase; reference:nessus,10612; reference:bugtraq,2361; reference:cve,CAN-2001-0210; classtype:attempted-recon; sid:1572; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI commerce.cgi access\"; flow:to_server,established; uricontent:\"/commerce.cgi\"; nocase; reference:nessus,10612; reference:bugtraq,2361; reference:cve,CAN-2001-0210; classtype:attempted-recon; sid:898; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI Amaya templates sendtemp.pl directory traversal attempt\"; uricontent:\"/sendtemp.pl\"; nocase; content:\"templ=\"; nocase; flow:to_server,established; reference:bugtraq,2504; reference:cve,CAN-2001-0272; classtype:web-application-attack; sid:899;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI Amaya templates sendtemp.pl access\"; uricontent:\"/sendtemp.pl\"; nocase; flow:to_server,established; reference:bugtraq,2504; reference:cve,CAN-2001-0272; classtype:web-application-activity; sid:1702;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI webspirs.cgi directory traversal attempt\"; uricontent:\"/webspirs.cgi\"; nocase; content:\"../../\"; nocase; flow:to_server,established; reference:cve,CAN-2001-0211; reference:bugtraq,2362; reference:nessus,10616; classtype:web-application-attack; sid:900; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI webspirs.cgi access\"; uricontent:\"/webspirs.cgi\"; nocase; flow:to_server,established; reference:cve,CAN-2001-0211; reference:bugtraq,2362; reference:nessus,10616; classtype:attempted-recon; sid:901; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI tstisapi.dll access\"; uricontent:\"tstisapi.dll\"; nocase; flow:to_server,established; reference:cve,CAN-2001-0302; classtype:attempted-recon; sid:902;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI sendmessage.cgi access\"; uricontent:\"/sendmessage.cgi\"; nocase; flow:to_server,established; classtype:attempted-recon; sid:1308;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI lastlines.cgi access\"; uricontent:\"/lastlines.cgi\"; nocase; flow:to_server,established; reference:bugtraq,3755; reference:bugtraq,3754; classtype:attempted-recon; sid:1392;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI zml.cgi attempt\"; flow:to_server,established; uricontent:\"/zml.cgi\"; content:\"file=../\"; reference:cve,CAN-2001-1209; reference:bugtraq,3759; classtype:web-application-activity; sid:1395;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI zml.cgi access\"; flow:to_server,established; uricontent:\"/zml.cgi\"; reference:cve,CAN-2001-1209; reference:bugtraq,3759; classtype:web-application-activity; sid:1396;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI AHG search.cgi access\"; uricontent:\"/publisher/search.cgi\"; nocase; content:\"template=\"; nocase; flow:to_server,established; reference:bugtraq,3985; classtype:web-application-activity; sid:1405;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI agora.cgi attempt\"; flow:to_server,established; uricontent:\"/store/agora.cgi?cart_id=<SCRIPT>\"; nocase; reference:nessus,10836; reference:cve,CAN-2001-1199; reference:bugtraq,3976; classtype:web-application-attack; sid:1534; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI agora.cgi access\"; flow:to_server,established; uricontent:\"/store/agora.cgi\"; nocase; reference:nessus,10836; reference:cve,CAN-2001-1199; reference:bugtraq,3976; classtype:web-application-activity; sid:1406; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI rksh access\";flow:to_server,established; uricontent:\"/rksh\"; nocase; reference:url,www.cert.org/advisories/CA-1996-11.html; reference:cve,CAN-1999-0509; classtype:attempted-recon; sid:877;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI bash access\";flow:to_server,established; uricontent:\"/bash\"; nocase; reference:cve,CAN-1999-0509; reference:url,www.cert.org/advisories/CA-1996-11.html; classtype:web-application-activity; sid:885; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI perl.exe command attempt\"; flow:to_server,established; uricontent:\"/perl.exe?\"; nocase; reference:cve,CAN-1999-0509; reference:url,www.cert.org/advisories/CA-1996-11.html; reference:arachnids,219; reference:nessus,10173; classtype:attempted-recon; sid:1648; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI perl.exe access\"; flow:to_server,established; uricontent:\"/perl.exe\"; nocase; reference:cve,CAN-1999-0509; reference:url,www.cert.org/advisories/CA-1996-11.html; reference:arachnids,219; reference:nessus,10173; classtype:attempted-recon; sid:832; rev:8;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI perl command attempt\";flow:to_server,established; uricontent:\"/perl?\"; nocase; reference:cve,CAN-1999-0509; reference:url,www.cert.org/advisories/CA-1996-11.html; reference:arachnids,219; reference:nessus,10173; classtype:attempted-recon; sid:1649; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI zsh access\";flow:to_server,established; uricontent:\"/zsh\"; nocase; reference:url,www.cert.org/advisories/CA-1996-11.html; reference:cve,CAN-1999-0509; classtype:attempted-recon; sid:1309;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI csh access\";flow:to_server,established; uricontent:\"/csh\"; nocase; reference:url,www.cert.org/advisories/CA-1996-11.html; reference:cve,CAN-1999-0509;classtype:attempted-recon; sid:862;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI tcsh access\";flow:to_server,established; uricontent:\"/tcsh\"; nocase; reference:url,www.cert.org/advisories/CA-1996-11.html; reference:cve,CAN-1999-0509;classtype:attempted-recon; sid:872;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI rsh access\";flow:to_server,established; uricontent:\"/rsh\"; nocase; reference:cve,CAN-1999-0509; reference:url,www.cert.org/advisories/CA-1996-11.html; classtype:attempted-recon; sid:868;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI ksh access\";flow:to_server,established; uricontent:\"/ksh\"; nocase; reference:url,www.cert.org/advisories/CA-1996-11.html; reference:cve,CAN-1999-0509;classtype:attempted-recon; sid:865;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI auktion.cgi directory traversal attempt\"; flow:to_server,established; uricontent:\"/auktion.cgi\"; nocase; content:\"menue=../../\"; nocase; reference:nessus,10638; reference:bugtraq,2367; reference:cve,CAN-2001-0212; classtype:web-application-attack; sid:1703; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI auktion.cgi access\"; flow:to_server,established; uricontent:\"/auktion.cgi\"; nocase; reference:nessus,10638; reference:bugtraq,2367; reference:cve,CAN-2001-0212; classtype:web-application-activity; sid:1465; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI cgiforum.pl attempt\"; flow:to_server,established; uricontent:\"/cgiforum.pl?thesection=../..\"; nocase; reference:nessus,10552; reference:bugtraq,1963; reference:cve,CVE-2000-1171; classtype:web-application-attack; sid:1573; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI cgiforum.pl access\"; flow:to_server,established; uricontent:\"/cgiforum.pl\"; nocase; reference:nessus,10552; reference:bugtraq,1963; reference:cve,CVE-2000-1171; classtype:web-application-activity; sid:1466; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI directorypro.cgi attempt\"; flow:to_server,established; uricontent:\"/directorypro.cgi\"; content:\"show=../..\"; nocase; reference:cve,CAN-2001-0780; classtype:web-application-attack; sid:1574;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI directorypro.cgi access\"; flow:to_server,established; uricontent:\"/directorypro.cgi\"; nocase; reference:cve,CAN-2001-0780; classtype:web-application-activity; sid:1467;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI Web Shopper shopper.cgi attempt\"; flow:to_server,established; uricontent:\"/shopper.cgi\"; nocase; content:\"newpage=../\"; nocase; reference:cve,CVE-2000-0922; reference:bugtraq,1776; classtype:web-application-attack; sid:1468;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI Web Shopper shopper.cgi access\"; flow:to_server,established; uricontent:\"/shopper.cgi\"; nocase; reference:cve,CVE-2000-0922; reference:bugtraq,1776; classtype:attempted-recon; sid:1469;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI listrec.pl access\"; flow:to_server,established; uricontent:\"/listrec.pl\"; nocase; reference:cve,CAN-2001-0997; classtype:attempted-recon; sid:1470;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI mailnews.cgi access\"; flow:to_server,established; uricontent:\"/mailnews.cgi\"; nocase; reference:cve,CAN-2001-0271; classtype:attempted-recon; sid:1471;  rev:3;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI book.cgi arbitrary command execution attempt\"; flow:to_server,established; uricontent:\"/book.cgi\"; nocase; content:\"current=|\"; nocase; reference:cve,CVE-2001-1114; reference:bugtraq,3178; reference:nessus,10721; classtype:web-application-attack; sid:1879; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI book.cgi access\"; flow:to_server,established; uricontent:\"/book.cgi\"; nocase; reference:cve,CVE-2001-1114; reference:bugtraq,3178; reference:nessus,10721; classtype:web-application-activity; sid:1472; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI newsdesk.cgi access\"; flow:to_server,established; uricontent:\"/newsdesk.cgi\"; nocase; reference:cve,CAN-2001-0232; classtype:attempted-recon; sid:1473;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI cal_make.pl directory traversal attempt\"; flow:to_server,established; uricontent:\"/cal_make.pl\"; nocase; content:\"p0=../../\"; nocase; reference:cve,CVE-2001-0463; reference:bugtraq,2663; classtype:web-application-attack; sid:1704;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI cal_make.pl access\"; flow:to_server,established; uricontent:\"/cal_make.pl\"; nocase; reference:cve,CVE-2001-0463; reference:bugtraq,2663; classtype:web-application-activity; sid:1474;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI mailit.pl access\"; flow:to_server,established; uricontent:\"/mailit.pl\"; nocase; classtype:attempted-recon; sid:1475;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI sdbsearch.cgi access\"; flow:to_server,established; uricontent:\"/sdbsearch.cgi\"; nocase; reference:cve,CAN-2001-1130; classtype:attempted-recon; sid:1476;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI swc access\"; flow:to_server,established; uricontent:\"/swc\"; nocase; classtype:attempted-recon; sid:1478; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI ttawebtop.cgi arbitrary file attempt\"; flow:to_server,established; uricontent:\"/ttawebtop.cgi\"; nocase; content:\"pg=../\"; nocase; reference:cve,CVE-2001-0805; reference:bugtraq,2890; reference:nessus,10696; classtype:web-application-attack; sid:1479; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI ttawebtop.cgi access\"; flow:to_server,established; uricontent:\"/ttawebtop.cgi\"; nocase; reference:cve,CVE-2001-0805; reference:bugtraq,2890; reference:nessus,10696; reference:bugtraq,2890; classtype:attempted-recon; sid:1480; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI upload.cgi access\"; flow:to_server,established; uricontent:\"/upload.cgi\"; nocase; reference:nessus,10290; classtype:attempted-recon; sid:1481; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI view_source access\"; flow:to_server,established; uricontent:\"/view_source\"; nocase; reference:nessus,10294; classtype:attempted-recon; sid:1482; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI ustorekeeper.pl directory traversal attempt\"; flow:to_server,established; uricontent:\"/ustorekeeper.pl\"; nocase; content:\"file=../../\"; nocase; reference:cve,CAN-2001-0466; reference:nessus,10645; classtype:web-application-attack; sid:1730; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI ustorekeeper.pl access\"; flow:to_server,established; uricontent:\"/ustorekeeper.pl\"; nocase; reference:cve,CAN-2001-0466; reference:nessus,10646; classtype:web-application-activity; sid:1483; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI icat access\"; flow:to_server,established; uricontent:\"/icat\"; classtype:web-application-activity; reference:cve,CAN-1999-1069; sid:1606;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI Bugzilla doeditvotes.cgi access\"; flow:to_server,established; uricontent:\"/doeditvotes.cgi\"; classtype:web-application-activity; reference:cve,CAN-2002-0011; sid:1617;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI htsearch arbitrary configuration file attempt\"; flow:to_server,established; uricontent:\"/htsearch?-c\"; nocase; classtype:web-application-attack; reference:cve,CVE-2000-0208; sid:1600;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI htsearch arbitrary file read attempt\"; flow:to_server,established; uricontent:\"/htsearch?exclude=`\"; nocase; classtype:web-application-attack; reference:cve,CVE-2000-0208; sid:1601;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI htsearch access\"; flow:to_server,established; uricontent:\"/htsearch\"; nocase; classtype:web-application-activity; reference:cve,CVE-2000-0208; sid:1602;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI a1stats a1disp3.cgi directory traversal attempt\"; flow:to_server,established; uricontent:\"/a1disp3.cgi?/../../\"; reference:nessus,10669; reference:cve,CAN-2001-0561; classtype:web-application-attack; sid:1501; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI a1stats a1disp3.cgi access\"; flow:to_server,established; uricontent:\"/a1disp3.cgi\"; reference:nessus,10669; reference:cve,CAN-2001-0561; classtype:web-application-activity; sid:1502; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI a1stats access\"; flow:to_server,established; uricontent:\"/a1stats/\"; reference:nessus,10669; reference:cve,CAN-2001-0561; classtype:web-application-activity; sid:1731; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI admentor admin.asp access\"; flow:to_server,established; uricontent:\"/admentor/admin/admin.asp\"; reference:nessus,10880; reference:cve,CAN-2002-0308; reference:bugtraq,4152; reference:url,www.securiteam.com/windowsntfocus/5DP0N1F6AW.html; classtype:web-application-activity; sid:1503; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI alchemy http server PRN arbitrary command execution attempt\"; flow:to_server,established; uricontent:\"/PRN/../../\"; classtype:web-application-activity; reference:cve,CAN-2001-0871; sid:1505;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI alchemy http server NUL arbitrary command execution attempt\"; flow:to_server,established; uricontent:\"/NUL/../../\"; classtype:web-application-activity; reference:cve,CAN-2001-0871; sid:1506;  rev:4;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI alibaba.pl arbitrary command execution attempt\"; flow:to_server,established; uricontent:\"/alibaba.pl|\"; classtype:web-application-attack; reference:cve,CAN-1999-0885; sid:1507;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI alibaba.pl access\"; flow:to_server,established; uricontent:\"/alibaba.pl\"; classtype:web-application-activity; reference:cve ,CAN-1999-0885; sid:1508;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI AltaVista Intranet Search directory traversal attempt\"; flow:to_server,established; uricontent:\"/query?mss=..\"; classtype:web-application-attack; reference:cve,CVE-2000-0039; reference:nessus,10015; sid:1509; rev:5;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI test.bat arbitrary command execution attempt\"; flow:to_server,established; uricontent:\"/test.bat|\"; classtype:web-application-attack; reference:nessus,10016; reference:cve,CVE-1999-0947; sid:1510; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI test.bat access\"; flow:to_server,established; uricontent:\"/test.bat\"; classtype:web-application-activity; reference:nessus,10016; reference:cve,CVE-1999-0947; sid:1511; rev:6;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI input.bat arbitrary command execution attempt\"; flow:to_server,established; uricontent:\"/input.bat|\"; classtype:web-application-attack; reference:nessus,10016; reference:cve,CVE-1999-0947; sid:1512; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI input.bat access\"; flow:to_server,established; uricontent:\"/input.bat\"; classtype:web-application-activity; reference:nessus,10016; reference:cve,CVE-1999-0947; sid:1513; rev:6;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI input2.bat arbitrary command execution attempt\"; flow:to_server,established; uricontent:\"/input2.bat|\"; classtype:web-application-attack; reference:nessus,10016; reference:cve,CVE-1999-0947; sid:1514; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI input2.bat access\"; flow:to_server,established; uricontent:\"/input2.bat\"; classtype:web-application-activity; reference:nessus,10016; reference:cve,CVE-1999-0947; sid:1515; rev:6;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI envout.bat arbitrary command execution attempt\"; flow:to_server,established; uricontent:\"/envout.bat|\"; classtype:web-application-attack; reference:nessus,10016; reference:cve,CVE-1999-0947; sid:1516; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI envout.bat access\"; flow:to_server,established; uricontent:\"/envout.bat\"; classtype:web-application-activity; reference:nessus,10016; reference:cve,CVE-1999-0947; sid:1517; rev:6;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI echo.bat arbitrary command execution attempt\"; flow:to_server,established; uricontent:\"/echo.bat\"; content:\"&\"; reference:nessus,10246; reference:cve,CAN-2000-0213; classtype:web-application-attack; sid:1705; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI echo.bat access\"; flow:to_server,established; uricontent:\"/echo.bat\"; reference:nessus,10246; reference:cve,CAN-2000-0213; classtype:web-application-activity; sid:1706; rev:4;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI hello.bat arbitrary command execution attempt\"; flow:to_server,established; uricontent:\"/hello.bat\"; content:\"&\"; reference:nessus,10246; reference:cve,CAN-2000-0213; classtype:web-application-attack; sid:1707; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI hello.bat access\"; flow:to_server,established; uricontent:\"/hello.bat\"; reference:nessus,10246; reference:cve,CAN-2000-0213; classtype:web-application-activity; sid:1708; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI tst.bat access\"; flow:to_server,established; uricontent:\"/tst.bat\"; classtype:web-application-activity; reference:cve,CAN-1999-0885; reference:bugtraq,770; sid:1650;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI /cgi-bin/ls access\"; flow:to_server,established; uricontent:\"/cgi-bin/ls\"; nocase; reference:cve,CAN-2000-0079; reference:bugtraq,936; classtype:web-application-activity; sid:1539;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI cgimail access\"; flow:to_server,established; uricontent:\"/cgimail\"; nocase; reference:cve,CVE-2000-0726; classtype:web-application-activity; sid:1542;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI cgiwrap access\"; flow:to_server,established; uricontent:\"/cgiwrap\"; nocase; reference:nessus,10041; reference:cve,CVE-1999-1530; reference:cve,CVE-2000-0431; reference:cve,CVE-2001-0987; classtype:web-application-activity; sid:1543; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI csSearch.cgi arbitrary command execution attempt\"; flow:to_server,established; uricontent:\"/csSearch.cgi\"; content:\"setup=\"; content:\" `\"; reference:bugtraq,4368; reference:nessus,10924; reference:cve,CAN-2002-0495; classtype:web-application-attack; sid:1547; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI csSearch.cgi access\"; flow:to_server,established; uricontent:\"/csSearch.cgi\"; reference:bugtraq,4368; reference:nessus,10924; reference:cve,CAN-2002-0495; classtype:web-application-activity; sid:1548; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI /cart/cart.cgi access\"; flow:to_server,established; uricontent:\"/cart/cart.cgi\"; reference:cve,CVE-2000-0252; classtype:web-application-activity; sid:1553;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI dbman db.cgi access\"; flow:to_server,established; uricontent:\"/dbman/db.cgi\"; reference:cve,CVE-2000-0381; reference:nessus,10403; classtype:web-application-activity; sid:1554; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI DCShop access\"; flow:to_server,established; uricontent:\"/dcshop\"; nocase; reference:cve,CAN-2001-0821; classtype:web-application-activity; sid:1555;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI DCShop orders.txt access\"; flow:to_server,established; uricontent:\"/orders/orders.txt\"; nocase; reference:cve,CAN-2001-0821; classtype:web-application-activity; sid:1556;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI DCShop auth_user_file.txt access\"; flow:to_server,established; uricontent:\"/auth_data/auth_user_file.txt\"; nocase; reference:cve,CAN-2001-0821; classtype:web-application-activity; sid:1557;  rev:4;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI eshop.pl arbitrary commane execution attempt\"; flow:to_server,established; uricontent:\"/eshop.pl?seite=;\"; nocase; reference:cve,CAN-2001-1014; classtype:web-application-attack; sid:1565;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI eshop.pl access\"; flow:to_server,established; uricontent:\"/eshop.pl\"; nocase; reference:cve,CAN-2001-1014; classtype:web-application-activity; sid:1566;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI loadpage.cgi directory traversal attempt\"; flow:to_server,established; uricontent:\"/loadpage.cgi\"; content:\"file=../\"; nocase; classtype:web-application-attack; sid:1569;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI loadpage.cgi access\"; flow:to_server,established; uricontent:\"/loadpage.cgi\"; nocase; classtype:web-application-activity; sid:1570;  rev:4;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI faqmanager.cgi arbitrary file access attempt\"; flow:to_server,established; uricontent:\"/faqmanager.cgi?toc=\"; uricontent:\"\"; nocase; reference:nessus,10837; classtype:web-application-attack; reference:bugtraq,3810; sid:1590; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI faqmanager.cgi access\"; flow:to_server,established; uricontent:\"/faqmanager.cgi\"; nocase; classtype:web-application-activity; reference:nessus,10837; reference:bugtraq,3810; sid:1591; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI /fcgi-bin/echo.exe access\"; flow:to_server,established; uricontent:\"/fcgi-bin/echo.exe\"; nocase; reference:nessus,10838; classtype:web-application-activity; sid:1592; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI FormHandler.cgi directory traversal attempt attempt\"; flow:to_server,established; uricontent:\"/FormHandler.cgi\"; nocase; content:\"reply_message_attach=\"; nocase; content:\"/../\"; reference:nessus,10075; reference:cve,CAN-1999-1050; classtype:web-application-attack; sid:1628; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI FormHandler.cgi external site redirection attempt\"; flow:to_server,established; uricontent:\"/FormHandler.cgi\"; nocase; content:\"redirect=http\"; reference:nessus,10075; reference:cve,CAN-1999-1050; classtype:web-application-attack; sid:1593; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI FormHandler.cgi access\"; flow:to_server,established; uricontent:\"/FormHandler.cgi\"; nocase; classtype:web-application-activity; reference:nessus,10075; reference:cve,CAN-1999-1050; sid:1594; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI guestbook.cgi access\"; flow:to_server,established; uricontent:\"/guestbook.cgi\"; nocase; classtype:web-application-activity; reference:nessus,10098; reference:cve,CVE-1999-0237; sid:1597; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI Home Free search.cgi directory traversal attempt\"; flow:to_server,established; uricontent:\"/search.cgi\"; content:\"letter=../..\"; nocase; classtype:web-application-attack; reference:cve,CAN-2000-0054; reference:bugtraq,921; sid:1598;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI search.cgi access\"; flow:to_server,established; uricontent:\"/search.cgi\"; nocase; classtype:web-application-activity; reference:cve,CAN-2000-0054; reference:bugtraq,921; sid:1599;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI enivorn.pl access\"; flow:to_server,established; uricontent:\"/enivron.pl\"; nocase; classtype:web-application-activity; sid:1651;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI campus attempt\"; flow:to_server,established; uricontent:\"/campus?n\"; nocase; classtype:web-application-attack; sid:1652;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI campus access\"; flow:to_server,established; uricontent:\"/campus\"; nocase; classtype:web-application-activity; sid:1653;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI cart32.exe access\"; flow:to_server,established; uricontent:\"/cart32.exe\"; nocase; classtype:web-application-activity; sid:1654;  rev:3;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI pfdispaly.cgi arbitrary command execution attempt\"; flow:to_server,established; uricontent:\"/pfdispaly.cgi?\"; nocase; classtype:web-application-attack; sid:1655;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI pfdispaly.cgi access\"; flow:to_server,established; uricontent:\"/pfdispaly.cgi\"; nocase; classtype:web-application-activity; sid:1656;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI pagelog.cgi directory traversal attempt\"; flow:to_server,established; uricontent:\"/pagelog.cgi\"; nocase; content:\"name=../\"; nocase; reference:nessus,10591; reference:cve,CAN-2000-0940; reference:bugtraq,1864; classtype:web-application-activity; sid:1657; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI pagelog.cgi access\"; flow:to_server,established; uricontent:\"/pagelog.cgi\"; nocase; reference:cve,CAN-2000-0940; reference:bugtraq,1864; reference:nessus,10591; classtype:web-application-activity; sid:1658; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI ad.cgi access\"; flow:to_server,established; uricontent:\"/ad.cgi\"; nocase; classtype:web-application-activity; sid:1709;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI bbs_forum.cgi access\"; flow:to_server,established; uricontent:\"/bbs_forum.cgi\"; nocase; classtype:web-application-activity; sid:1710;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI bsguest.cgi access\"; flow:to_server,established; uricontent:\"/bsguest.cgi\"; nocase; classtype:web-application-activity; sid:1711;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI bslist.cgi access\"; flow:to_server,established; uricontent:\"/bslist.cgi\"; nocase; classtype:web-application-activity; sid:1712;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI cgforum.cgi access\"; flow:to_server,established; uricontent:\"/cgforum.cgi\"; nocase; classtype:web-application-activity; sid:1713;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI newdesk access\"; flow:to_server,established; uricontent:\"/newdesk\"; nocase; classtype:web-application-activity; sid:1714;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI register.cgi access\"; flow:to_server,established; uricontent:\"/register.cgi\"; nocase; classtype:web-application-activity; sid:1715;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI gbook.cgi access\"; flow:to_server,established; uricontent:\"/gbook.cgi\"; nocase; classtype:web-application-activity; sid:1716;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI simplestguest.cgi access\"; flow:to_server,established; uricontent:\"/simplestguest.cgi\"; nocase; classtype:web-application-activity; sid:1717;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI statusconfig.pl access\"; flow:to_server,established; uricontent:\"/statusconfig.pl\"; nocase; classtype:web-application-activity; sid:1718;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI talkback.cgi directory traversal attempt\"; flow:to_server,established; uricontent:\"/talkbalk.cgi\"; nocase; content:\"article=../../\"; nocase; classtype:web-application-attack; sid:1719;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI talkback.cgi access\"; flow:to_server,established; uricontent:\"/talkbalk.cgi\"; nocase; classtype:web-application-activity; sid:1720;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI adcycle access\"; flow:to_server,established; uricontent:\"/adcycle\"; nocase; classtype:web-application-activity; sid:1721;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI MachineInfo access\"; flow:to_server,established; uricontent:\"/MachineInfo\"; nocase; classtype:web-application-activity; sid:1722;  rev:3;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI emumail.cgi NULL attempt\"; flow:to_server,established; uricontent:\"/emumail.cgi\"; content:\"type=\"; nocase; content:\"\"; classtype:web-application-activity; sid:1723;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI emumail.cgi access\"; flow:to_server,established; uricontent:\"/emumail.cgi\"; nocase; classtype:web-application-activity; sid:1724;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI document.d2w access\"; flow:to_server,established; uricontent:\"/document.d2w\"; reference:cve,CAN-2000-1110; reference:bugtraq,2017; classtype:web-application-activity; sid:1642;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI db2www access\"; flow:to_server,established; uricontent:\"/db2www\"; reference:cve,CVE-2000-0677; classtype:web-application-activity; sid:1643;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI /cgi-bin/ access\"; flow:to_server,established; uricontent:\"/cgi-bin/\"; content:\"/cgi-bin/ HTTP\"; nocase; classtype:web-application-attack; sid:1668;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI /cgi-dos/ access\"; flow:to_server,established; uricontent:\"/cgi-dos/\"; content:\"/cgi-dos/ HTTP\"; nocase; classtype:web-application-attack; sid:1669;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI technote main.cgi file directory traversal attempt\"; flow:to_server,established; uricontent:\"/technote/main.cgi\"; nocase; content:\"filename=\"; nocase; content:\"../../\"; reference:cve,CVE-2001-0075; reference:bugtraq,2156; classtype:web-application-attack; sid:1051;  rev:7;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI technote print.cgi directory traversal attempt\"; flow:to_server,established; uricontent:\"/technote/print.cgi\"; nocase; content:\"board=\"; nocase; content:\"../../\"; content:\"\"; reference:cve,CAN-2001-0075; reference:bugtraq,2156; classtype:web-application-attack; sid:1052;  rev:6;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI ads.cgi command execution attempt\"; flow:to_server,established; uricontent:\"/ads.cgi\"; nocase; content:\"file=\"; nocase; content:\"../../\"; content:\"|\"; reference:cve,CAN-2001-0025; reference:bugtraq,2103; classtype:web-application-attack; sid:1053;  rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI eXtropia webstore directory traversal\"; flow:to_server,established; uricontent:\"/web_store.cgi\"; content:\"page=../\"; reference:bugtraq,1774; reference:cve,CVE-2000-1005; classtype:web-application-attack; sid:1088;  rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI eXtropia webstore access\"; flow:to_server,established; uricontent:\"/web_store.cgi\"; reference:bugtraq,1774; reference:cve,CVE-2000-1005; classtype:web-application-activity; sid:1611;  rev:3;)\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI webstore directory traversal\"; uricontent:\"/web_store.cgi?page=../..\"; flow:to_server,established; reference:bugtraq,1774; reference:cve,CVE-2000-1005; classtype:web-application-attack; sid:1094;  rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI shopping cart directory traversal\"; flow:to_server,established; uricontent:\"/shop.cgi\"; content:\"page=../\"; reference:bugtraq,1777; classtype:web-application-attack; sid:1089;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI Allaire Pro Web Shell attempt\"; flow:to_server,established; uricontent:\"/authenticate.cgi?PASSWORD\"; content:\"config.ini\"; classtype:web-application-attack; sid:1090;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI Armada Style Master Index directory traversal\"; flow:to_server,established; uricontent:\"/search.cgi?keys\"; content:\"catigory=../\"; classtype:web-application-attack; sid:1092;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI moreover shopping cart directory traversal\"; flow:to_server,established; uricontent:\"/cached_feed.cgi\"; content:\"../\"; reference:bugtraq,1762; classtype:web-application-attack; sid:1093;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI Talentsoft Web  exploit attempt\"; flow:to_server,established; uricontent:\"/webplus.cgi?Script=/webplus/webping/webping.wml\"; reference:bugtraq,1725; classtype:web-application-attack; sid:1097;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI Poll-it access\"; flow:to_server,established; uricontent:\"/pollit/Poll_It_SSI_v2.0.cgi\"; nocase; reference:cve,CAN-2000-0590; reference:bugtraq,1431; classtype:web-application-activity; sid:1106;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI count.cgi access\"; flow:to_server,established; uricontent:\"/count.cgi\"; nocase; reference:bugtraq,128; reference:cve,CVE-1999-0021; reference:nessus,10049; classtype:web-application-activity; sid:1149; rev:9;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI webdist.cgi arbitrary command attempt\"; flow:to_server,established; uricontent:\"/webdist.cgi\"; nocase; content:\"distloc=;\"; nocase; reference:bugtraq,374; reference:cve,CVE-1999-0039; reference:nessus,10299; classtype:web-application-attack; sid:1865; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI webdist.cgi access\"; uricontent:\"/webdist.cgi\"; nocase; flow:to_server,established; reference:bugtraq,374; reference:cve,CVE-1999-0039; reference:nessus,10299; classtype:web-application-activity; sid:1163; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI bigconf.cgi access\"; flow:to_server,established; uricontent:\"/bigconf.cgi\"; nocase; reference:nessus,10027; reference:bugtraq,778; reference:cve,CVE-1999-1550; classtype:web-application-activity; sid:1172; rev:8;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI /cgi-bin/jj access\"; uricontent:\"/cgi-bin/jj\"; nocase; flow:to_server,established; reference:bugtraq,2002; reference:cve,CVE-1999-0260; classtype:web-application-activity; sid:1174;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI bizdbsearch attempt\"; flow:to_server,established; uricontent:\"/bizdb1-search.cgi\"; nocase; content:\"mail\"; nocase; reference:cve,CAN-2000-0287;  reference:bugtraq,1104; classtype:web-application-attack; sid:1185;  rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI bizdbsearch access\"; flow:to_server,established; uricontent:\"/bizdb1-search.cgi\"; nocase; reference:cve,CAN-2000-0287; reference:bugtraq,1104; classtype:web-application-activity; sid:1535;  rev:4;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI sojourn.cgi File attempt\"; flow:to_server,established; uricontent:\"/sojourn.cgi?cat=\"; content:\"\"; nocase;reference:bugtraq,1052; reference:cve,CAN-2000-0180; classtype:web-application-attack; sid:1194;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI sojourn.cgi access\"; flow:to_server,established; uricontent:\"/sojourn.cgi\"; nocase; reference:bugtraq,1052; reference:cve,CAN-2000-0180; classtype:web-application-activity; sid:1195;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI SGI InfoSearch fname attempt\"; flow:to_server,established; uricontent:\"/infosrch.cgi?\"; content:\"fname=\"; nocase;reference:bugtraq,1031; reference:arachnids,290; reference:cve,CVE-2000-0207; classtype:web-application-attack; sid:1196;  rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI SGI InfoSearch fname access\"; flow:to_server,established; uricontent:\"/infosrch.cgi\"; reference:bugtraq,1031; reference:arachnids,290; reference:cve,CVE-2000-0207; classtype:web-application-activity; sid:1727;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI ax-admin.cgi access\"; flow:to_server,established; uricontent:\"/ax-admin.cgi\"; classtype:web-application-activity; sid:1204;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI axs.cgi access\"; flow:to_server,established; uricontent:\"/axs.cgi\"; classtype:web-application-activity; sid:1205;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI cachemgr.cgi access\"; flow:to_server,established; uricontent:\"/cachemgr.cgi\"; reference:cve,CVE-1999-0710; reference:nessus,10034; classtype:web-application-activity; sid:1206; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI responder.cgi access\"; flow:to_server,established; uricontent:\"/responder.cgi\"; classtype:web-application-activity; sid:1208;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI web-map.cgi access\"; flow:to_server,established; uricontent:\"/web-map.cgi\"; classtype:web-application-activity; sid:1211;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI ministats admin access\"; flow:to_server,established; uricontent:\"/ministats/admin.cgi\"; nocase; classtype:web-application-activity; sid:1215;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI dfire.cgi access\"; flow:to_server,established; uricontent:\"/dfire.cgi\"; nocase; reference:cve,CAN-1999-0913; classtype:web-application-activity; sid:1219;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI txt2html.cgi directory traversal attempt\"; flow:to_server,established; uricontent:\"/txt2html.cgi\"; nocase; content:\"/../../../../\"; classtype:web-application-attack; sid:1305;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI txt2html.cgi access\"; flow:to_server,established; uricontent:\"/txt2html.cgi\"; nocase; classtype:web-application-activity; sid:1304;  rev:6;)\n# do we really need two of these?\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI store.cgi product directory traversal attempt\"; flow:to_server,established; uricontent:\"/store.cgi\"; nocase; content:\"product=\"; content:\"../..\"; reference:bugtraq,2385; reference:cve,CAN-2001-0305; classtype:web-application-attack; sid:1306;  rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI store.cgi directory traversal attempt\"; flow:to_server,established; uricontent:\"/store.cgi\"; nocase; content:\"../\"; reference:nessus,10639; reference:bugtraq,2385; reference:cve,CAN-2001-0305; classtype:web-application-attack; sid:1488; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI store.cgi access\"; flow:to_server,established; uricontent:\"/store.cgi\"; nocase; reference:nessus,10639; reference:bugtraq,2385; reference:cve,CAN-2001-0305; classtype:web-application-activity; sid:1307; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI SIX webboard generate.cgi attempt\"; flow:to_server,established; uricontent:\"/generate.cgi\"; content:\"content=../\"; reference:cve,CAN-2001-1115; reference:bugtraq,3175; classtype:web-application-attack; sid:1494;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI SIX webboard generate.cgi access\"; flow:to_server,established; uricontent:\"/generate.cgi\"; reference:cve,CAN-2001-1115; reference:bugtraq,3175; classtype:web-application-activity; sid:1495;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI spin_client.cgi access\"; flow:to_server,established; uricontent:\"/spin_client.cgi\"; classtype:web-application-activity; sid:1496;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI csPassword.cgi access\"; flow:to_server,established; uricontent:\"/csPassword.cgi\"; reference:bugtraq,4885; reference:bugtraq,4886; reference:bugtraq,4887; reference:bugtraq,4889; classtype:web-application-activity; sid:1787; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI csPassword password.cgi.tmp access\"; flow:to_server,established; uricontent:\"/password.cgi.tmp\"; reference:bugtraq,4889; classtype:web-application-activity; sid:1788; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI Nortel Contivity cgiproc DOS attempt\"; flow:to_server,established; uricontent:\"/cgiproc?Nocfile=\"; reference:nessus,10160; reference:bugtraq,938; reference:cve,CVE-2000-0064; reference:cve,CVE-2000-0063; classtype:web-application-attack; sid:1763; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI Nortel Contivity cgiproc DOS attempt\"; flow:to_server,established; uricontent:\"/cgiproc?$\"; reference:nessus,10160; reference:bugtraq,938; reference:cve,CVE-2000-0064; reference:cve,CVE-2000-0063; classtype:web-application-attack; sid:1764; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI Nortel Contivity cgiproc access\"; flow:to_server,established; uricontent:\"/cgiproc\"; reference:nessus,10160; reference:bugtraq,938; reference:cve,CVE-2000-0064; reference:cve,CVE-2000-0063; classtype:web-application-activity; sid:1765; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI Oracle reports CGI access\"; uricontent:\"/rwcgi60\"; content:\"setauth=\"; flow:to_server,established; reference:bugtraq,4848; classtype:web-application-activity; sid:1805; rev:1;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI alienform.cgi directory traversal attempt\"; flow:established,to_server; uricontent:\"/alienform.cgi\"; content:\".|./.|.\"; reference:nessus,11027; reference:bugtraq,4983; classtype:web-application-attack; sid:1822; rev:3;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI AlienForm af.cgi directory traversal attempt\"; flow:established,to_server; uricontent:\"/af.cgi\"; content:\".|./.|.\"; reference:nessus,11027; reference:bugtraq,4983; classtype:web-application-attack; sid:1823; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI alienform.cgi access\"; flow:established,to_server; uricontent:\"/alienform.cgi\"; reference:nessus,11027; reference:bugtraq,4983; classtype:web-application-activity; sid:1824; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI AlienForm af.cgi access\"; flow:established,to_server; uricontent:\"/af.cgi\"; reference:nessus,11027; reference:bugtraq,4983; classtype:web-application-activity; sid:1825; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 8080 (msg:\"WEB-CGI story.pl arbitrary file read attempt\"; flow:to_server,established; uricontent:\"/story.pl\"; content:\"next=../\"; reference:nessus,10817; reference:cve,CVE-2001-0804; classtype:default-login-attempt; sid:1868; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 8080 (msg:\"WEB-CGI story.pl access\"; flow:to_server,established; uricontent:\"/story.pl\"; reference:nessus,10817; reference:cve,CVE-2001-0804; classtype:default-login-attempt; sid:1869; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI siteUserMod.cgi access\"; flow:to_server,established; uricontent:\"/.cobalt/siteUserMod/siteUserMod.cgi\"; reference:nessus,10253; reference:cve,CVE-2000-0117; classtype:web-application-activity; sid:1870; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI cgicso access\"; flow:to_server,established; uricontent:\"/cgicso\"; reference:nessus,10779; reference:nessus,10780; classtype:web-application-activity; sid:1875; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI nph-publish.cgi access\"; flow:to_server,established; uricontent:\"/nph-publish.cgi\"; reference:nessus,10164; reference:cve,CVE-1999-1177; classtype:web-application-activity; sid:1876; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI printenv access\"; flow:to_server,established; uricontent:\"/printenv\"; reference:nessus,10503; reference:cve,CVE-2000-0868; classtype:web-application-activity; sid:1877; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI sdbsearch.cgi access\"; flow:to_server,established; uricontent:\"/sdbsearch.cgi\"; reference:nessus,10503; reference:cve,CVE-2000-0868; classtype:web-application-activity; sid:1878; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI rpc-nlog.pl access\"; flow:to_server,established; uricontent:\"/rpc-nlog.pl\"; classtype:web-application-activity; reference:cve,CAN-1999-1278; sid:1931; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI rpc-smb.pl access\"; flow:to_server,established; uricontent:\"/rpc-smb.pl\"; classtype:web-application-activity; reference:cve,CAN-1999-1278; sid:1932; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI cart.cgi access\"; flow:to_server,established; uricontent:\"/cart.cgi\"; classtype:web-application-activity; sid:1933; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI vpasswd.cgi access\"; flow:to_server,established; uricontent:\"/vpasswd.cgi\"; reference:nessus,11165; classtype:web-application-activity; sid:1994; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI alya.cgi access\"; flow:to_server,established; uricontent:\"/alya.cgi\"; reference:nessus,11118;  classtype:web-application-activity; sid:1995; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI viralator.cgi access\"; flow:to_server,established; uricontent:\"/viralator.cgi\"; reference:nessus,11107; reference:cve,CAN-2001-0849; classtype:web-application-activity; sid:1996; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI smartsearch.cgi access\"; flow:to_server,established; uricontent:\"/smartsearch.cgi\"; classtype:web-application-activity; sid:2001; rev:1;)\n','2003-04-05 23:08:57',0,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'web-iis.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#--------------\n# WEB-IIS RULES\n#--------------\n\n\nalert tcp $EXTERNAL_NET any -> $HOME_NET $HTTP_PORTS (msg:\"WEB-IIS MDAC Content-Type overflow attempt\"; flow:to_server,established; uricontent:\"/msadcs.dll\"; content:\"Content-Type\\:\"; content:!\"|0A|\"; within:50; reference:cve,CAN-2002-1142; reference:url,www.foundstone.com/knowledge/randd-advisories-display.html?id=337; classtype:web-application-attack; sid:1970; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS repost.asp access\"; flow:to_server,established; uricontent:\"/scripts/repost.asp\"; nocase; reference:nessus,10372; classtype:web-application-activity; sid:1076; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS .htr Transfer-Encoding\\: chunked\"; flow:to_server,established; uricontent:\".htr\"; nocase; content:\"Transfer-Encoding\\:\"; nocase; content:\"chunked\"; nocase; classtype:web-application-attack; reference:bugtraq,5003; reference:cve,CAN-2002-0364; sid:1806; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS .asp Transfer-Encoding\\: chunked\"; flow:to_server,established; uricontent:\".asp\"; nocase; content:\"Transfer-Encoding\\:\"; nocase; content:\"chunked\"; nocase; classtype:web-application-attack; reference:bugtraq,4474; reference:cve,CAN-2002-0079; sid:1618; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS /StoreCSVS/InstantOrder.asmx request\"; flow:to_server,established; uricontent:\"/StoreCSVS/InstantOrder.asmx\"; nocase; classtype:web-application-activity; sid:1626; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS users.xml access\"; flow:to_server,established; uricontent:\"/users.xml\"; nocase; classtype:web-application-activity; sid:1750; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS as_web.exe access\"; flow:to_server,established; uricontent:\"/as_web.exe\"; nocase; reference:bugtraq,4670; classtype:web-application-activity; sid:1753; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS as_web4.exe access\"; flow:to_server,established; uricontent:\"/as_web4.exe\"; nocase; reference:bugtraq,4670; classtype:web-application-activity; sid:1754; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS NewsPro administration authentication attempt\"; flow:to_server,established; content:\"logged,true\"; classtype:web-application-activity; sid:1756; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS pbserver access\"; flow:to_server,established; uricontent:\"/pbserver/pbserver.dll\"; nocase; reference:url,www.microsoft.com/technet/security/bulletin/ms00-094.asp; classtype:web-application-activity; sid:1772; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS trace.axd access\"; flow:to_server,established; uricontent:\"/trace.axd\"; nocase; classtype:web-application-activity; sid:1660;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS /isapi/tstisapi.dll access\"; flow:to_server,established; uricontent:\"/isapi/tstisapi.dll\"; nocase; reference:cve,CAN-2001-0302; reference:bugtraq,2381; classtype:web-application-activity; sid:1484;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS mkilog.exe access\"; flow:to_server,established; uricontent:\"/mkilog.exe\"; nocase; classtype:web-application-activity; sid:1485;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS ctss.idc access\"; flow:to_server,established; uricontent:\"/ctss.idc\"; nocase; classtype:web-application-activity; sid:1486;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS /iisadmpwd/aexp2.htr access\"; flow:to_server,established; uricontent:\"/iisadmpwd/aexp2.htr\"; classtype:web-application-activity; sid:1487;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS webdav file lock attempt\"; flow:to_server,established; content:\"LOCK \"; offset:0; depth:5; reference:bugtraq,2736; classtype:web-application-activity; sid:969;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS ISAPI .printer access\"; uricontent:\".printer\"; nocase; flow:to_server,established; reference:cve,CAN-2001-0241; reference:arachnids,533; classtype:web-application-activity; sid:971;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS ISAPI .ida attempt\"; flow:to_server,established; uricontent:\".ida?\"; nocase; reference:arachnids,552; classtype:web-application-attack; reference:bugtraq,1065; reference:cve,CAN-2000-0071; sid:1243; rev:8;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS ISAPI .ida access\"; uricontent:\".ida\"; nocase; flow:to_server,established; reference:arachnids,552; classtype:web-application-activity; reference:cve,CAN-2000-0071; reference:bugtraq,1065; sid:1242;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS ISAPI .idq attempt\"; flow:to_server,established; uricontent:\".idq?\"; nocase; reference:arachnids,553; classtype:web-application-attack; reference:cve,CAN-2000-0071; reference:bugtraq,1065; sid:1244; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS ISAPI .idq access\"; uricontent:\".idq\"; nocase; flow:to_server,established; reference:arachnids,553; classtype:web-application-activity; reference:cve,CAN-2000-0071; reference:bugtraq,1065; sid:1245;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS %2E-asp access\";flow:to_server,established; uricontent:\"%2e.asp\"; nocase; reference:bugtraq,1814; reference:cve,CAN-1999-0253; classtype:web-application-activity; sid:972;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS *.idc attempt\";flow:to_server,established; uricontent:\"/*.idc\"; nocase; reference:bugtraq,1448; reference:cve,CVE-1999-0874; classtype:web-application-attack; sid:973;  rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS ..\\.. access\";flow:to_server,established; content:\"|2e2e5c2e2e|\"; reference:bugtraq,2218; reference:cve,CAN-1999-0229; classtype:web-application-attack; sid:974;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS .asp\\:\\:$DATA access\"; flow:to_server,established; uricontent:\".asp|3a3a|$DATA\"; nocase; reference:bugtraq,149; reference:url,support.microsoft.com/default.aspx?scid=kb\\;EN-US\\;q188806; reference:cve,CVE-1999-0278; reference:nessus,10362; classtype:web-application-attack; sid:975; rev:8;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS .bat? access\";flow:to_server,established; uricontent:\".bat?\"; nocase; reference:bugtraq,2023; reference:cve,CVE-1999-0233; reference:url,support.microsoft.com/support/kb/articles/Q148/1/88.asp; reference:url,support.microsoft.com/support/kb/articles/Q155/0/56.asp; classtype:web-application-activity; sid:976;  rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS .cnf access\"; uricontent:\".cnf\"; nocase; flow:to_server,established; classtype:web-application-activity; sid:977;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS ASP contents view\"; flow:to_server,established; content:\"%20\"; content:\"&CiRestriction=none\"; nocase; content:\"&CiHiliteType=Full\"; nocase; reference:cve,CAN-2000-0302; reference:bugtraq,1084; classtype:web-application-attack; sid:978;  rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS ASP contents view\"; flow:to_server,established; uricontent:\".htw?CiWebHitsFile\"; reference:bugtraq,1864; classtype:web-application-attack; sid:979;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS CGImail.exe access\";flow:to_server,established; uricontent:\"/scripts/CGImail.exe\"; nocase; reference:cve,CAN-2000-0726; reference:bugtraq,1623; classtype:web-application-activity; sid:980;  rev:5;)\n\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS unicode directory traversal attempt\"; flow:to_server,established; content:\"/..%c0%af../\"; nocase; classtype:web-application-attack; reference:cve,CVE-2000-0884; sid:981; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS unicode directory traversal attempt\"; flow:to_server,established; content:\"/..%c1%1c../\"; nocase; classtype:web-application-attack; reference:cve,CVE-2000-0884; sid:982; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS unicode directory traversal attempt\"; flow:to_server,established; content:\"/..%c1%9c../\"; nocase; classtype:web-application-attack; reference:cve,CVE-2000-0884; sid:983; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS unicode directory traversal attempt\"; flow:to_server,established; content:\"/..%255c..\"; nocase; classtype:web-application-attack; reference:cve,CVE-2000-0884; sid:1945; rev:1;)\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS JET VBA access\";flow:to_server,established; uricontent:\"/scripts/samples/ctguestb.idc\"; nocase; reference:bugtraq,307; reference:cve,CVE-1999-0874; classtype:web-application-activity; sid:984;  rev:6;)\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS JET VBA access\";flow:to_server,established; uricontent:\"/scripts/samples/details.idc\"; nocase; reference:bugtraq,286; reference:cve,CVE-1999-0874; classtype:web-application-activity; sid:985;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS MSProxy access\";flow:to_server,established; uricontent:\"/scripts/proxy/w3proxy.dll\"; nocase; classtype:web-application-activity; sid:986;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS +.htr code fragment attempt\"; flow:to_server,established; uricontent:\"+.htr\"; nocase; reference:cve,CVE-2000-0630; classtype:web-application-attack; sid:1725;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS .htr access\"; flow:to_server,established; uricontent:\".htr\"; nocase; reference:cve,CVE-2000-0630; classtype:web-application-activity; sid:987;  rev:9;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS SAM Attempt\";flow:to_server,established; content:\"sam._\"; nocase; reference:url,www.ciac.org/ciac/bulletins/h-45.shtml; classtype:web-application-attack; sid:988; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS Unicode2.pl script (File permission canonicalization)\"; uricontent:\"/sensepost.exe\"; flow:to_server,established; nocase; classtype:web-application-activity; sid:989;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS _vti_inf access\";flow:to_server,established; uricontent:\"_vti_inf.html\"; nocase; classtype:web-application-activity; sid:990;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS achg.htr access\";flow:to_server,established; uricontent:\"/iisadmpwd/achg.htr\"; nocase; reference:cve,CVE-1999-0407; reference:bugtraq,2110; classtype:web-application-activity; sid:991;  rev:6;)\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS adctest.asp access\";flow:to_server,established; uricontent:\"/msadc/samples/adctest.asp\"; nocase; classtype:web-application-activity; sid:992;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS /scripts/iisadmin/default.htm access\"; flow:to_server,established; uricontent:\"/scripts/iisadmin/default.htm\"; nocase; classtype:web-application-attack; sid:994;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS ism.dll access\";flow:to_server,established; uricontent:\"/scripts/iisadmin/ism.dll?http/dir\"; nocase; reference:cve,CVE-2000-0630; reference:bugtraq,189; classtype:web-application-attack; sid:995;  rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS anot.htr access\";flow:to_server,established; uricontent:\"/iisadmpwd/anot\"; nocase; reference:bugtraq,2110; reference:cve,CVE-1999-0407; classtype:web-application-activity; sid:996;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS asp-dot attempt\";flow:to_server,established; uricontent:\".asp.\"; nocase; classtype:web-application-attack; sid:997;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS asp-srch attempt\";flow:to_server,established; uricontent:\"#filename=*.asp\"; nocase; classtype:web-application-attack; sid:998;  rev:5;)\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS bdir access\";flow:to_server,established; uricontent:\"/scripts/iisadmin/bdir.htr\"; nocase; classtype:web-application-activity; sid:999;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS bdir.htr access\"; uricontent:\"/bdir.htr\"; nocase; flow:to_server,established; classtype:web-application-activity; sid:1000;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS cmd32.exe access\"; flow:to_server,established; content:\"cmd32.exe\"; nocase; classtype:web-application-attack; sid:1661;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS cmd.exe access\"; flow:to_server,established; content:\"cmd.exe\"; nocase; classtype:web-application-attack; sid:1002;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS cmd? access\";flow:to_server,established; content:\".cmd?&\"; nocase; classtype:web-application-attack; sid:1003;  rev:6;)\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS codebrowser Exair access\";flow:to_server,established; uricontent:\"/iissamples/exair/howitworks/codebrws.asp\"; nocase; reference:cve,CVE-1999-0499; classtype:web-application-activity; sid:1004;  rev:5;)\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS codebrowser SDK access\";flow:to_server,established; uricontent:\"/iissamples/sdk/asp/docs/codebrws.asp\"; nocase;reference:bugtraq,167; classtype:web-application-activity; sid:1005;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS cross-site scripting attempt\"; uricontent:\"/Form_JScript.asp\"; nocase; flow:to_server,established; classtype:web-application-attack; sid:1007;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS cross-site scripting attempt\"; uricontent:\"/Form_VBScript.asp\"; nocase; flow:to_server,established; classtype:web-application-attack; sid:1380;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS del attempt\";flow:to_server,established; content:\"&del+/s+c|3a|\\\\*.*\"; nocase; classtype:web-application-attack; sid:1008;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS directory listing\"; uricontent:\"/ServerVariables_Jscript.asp\"; nocase; flow:to_server,established; classtype:web-application-attack; sid:1009;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS encoding access\"; flow:to_server,established; content: \"|25 31 75|\";  reference:arachnids,200; classtype:web-application-activity; sid:1010;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS exec-src access\";flow:to_server,established; content:\"#filename=*.exe\"; nocase; classtype:web-application-activity; sid:1011;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS fpcount attempt\"; flow:to_server,established; uricontent:\"/fpcount.exe\"; content:\"Digits=\"; nocase; reference:bugtraq,2252; classtype:web-application-attack; sid:1012;  rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS fpcount access\";flow:to_server,established; uricontent:\"/fpcount.exe\"; nocase; reference:bugtraq,2252; classtype:web-application-activity; sid:1013;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS getdrvs.exe access\";flow:to_server,established; uricontent:\"/scripts/tools/getdrvs.exe\"; nocase; classtype:web-application-activity; sid:1015;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS global.asa access\"; flow:to_server,established; content:\"/global.asa\"; nocase; reference:nessus,10491; reference:cve,CVE-2000-0778; classtype:web-application-activity; sid:1016; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS idc-srch attempt\";flow:to_server,established; content:\"#filename=*.idc\"; nocase; reference:cve,CVE-1999-0874; classtype:web-application-attack; sid:1017;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS iisadmpwd attempt\";flow:to_server,established; uricontent:\"/iisadmpwd/aexp\"; nocase; reference:bugtraq,2110; reference:cve,CVE-2000-0304; classtype:web-application-attack; sid:1018; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS index server file sourcecode attempt\"; flow:to_server,established; content:\"?CiWebHitsFile=/\"; content:\"&CiRestriction=none&CiHiliteType=Full\"; classtype:web-application-attack; sid:1019;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS isc$data attempt\";flow:to_server,established; content:\".idc|3a3a|$data\"; nocase; reference:bugtraq,307; reference:cve,CVE-1999-0874; classtype:web-application-attack; sid:1020;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS ism.dll attempt\"; flow:to_server,established; content:\"%20%20%20%20%20.htr\"; nocase; reference:cve,CAN-2000-0457; reference:bugtraq,1193; classtype:web-application-attack; sid:1021;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS jet vba access\";flow:to_server,established; uricontent:\"/advworks/equipment/catalog_type.asp\"; nocase; reference:bugtraq,286; reference:cve,CVE-1999-0874; classtype:web-application-activity; sid:1022;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS msadcs.dll access\"; flow:to_server,established; uricontent:\"/msadcs.dll\"; nocase; reference:cve,CVE-1999-1011; reference:bugtraq,529; classtype:web-application-activity; sid:1023; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS newdsn.exe access\";flow:to_server,established; uricontent:\"/scripts/tools/newdsn.exe\"; nocase;reference:bugtraq,1818;reference:cve,CVE-1999-0191; classtype:web-application-activity; sid:1024;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS perl access\";flow:to_server,established; uricontent:\"/scripts/perl\"; nocase; classtype:web-application-activity; sid:1025;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS perl-browse0a attempt\";flow:to_server,established; content:\"%0a.pl\"; nocase; classtype:web-application-attack; sid:1026;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS perl-browse20 attempt\";flow:to_server,established; content:\"%20.pl\"; nocase; classtype:web-application-attack; sid:1027;  rev:5;)\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS query.asp access\";flow:to_server,established; uricontent:\"/issamples/query.asp\"; nocase; reference:bugtraq,193; reference:cve,CVE-1999-0449; classtype:web-application-activity; sid:1028;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS scripts-browse access\";flow:to_server,established; uricontent:\"/scripts/|20|\"; nocase; classtype:web-application-attack; sid:1029;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS search97.vts access\";flow:to_server,established; uricontent:\"/search97.vts\";reference:bugtraq,162; classtype:web-application-activity; sid:1030;  rev:6;)\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS /SiteServer/Publishing/viewcode.asp access\"; uricontent:\"/SiteServer/Publishing/viewcode.asp\"; nocase; flow:to_server,established; reference:nessus,10576; classtype:web-application-activity; sid:1031; rev:7;)\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS showcode access\"; uricontent:\"/Sites/Knowledge/Membership/Inspired/ViewCode.asp\"; nocase; flow:to_server,established; reference:nessus,10576; classtype:web-application-activity; sid:1032; rev:6;)\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS showcode access\"; uricontent:\"/Sites/Knowledge/Membership/Inspiredtutorial/ViewCode.asp\"; nocase; flow:to_server,established; reference:nessus,10576; classtype:web-application-activity; sid:1033; rev:6;)\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS showcode access\"; uricontent:\"/Sites/Samples/Knowledge/Membership/Inspiredtutorial/ViewCode.asp\"; nocase; flow:to_server,established; reference:nessus,10576; classtype:web-application-activity; sid:1034; rev:6;)\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS showcode access\"; uricontent:\"/Sites/Samples/Knowledge/Push/ViewCode.asp\"; nocase; flow:to_server,established; reference:nessus,10576; classtype:web-application-activity; sid:1035; rev:6;)\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS showcode access\"; uricontent:\"/Sites/Samples/Knowledge/Search/ViewCode.asp\"; flow:to_server,established; nocase; reference:nessus,10576; classtype:web-application-activity; sid:1036; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS showcode.asp access\"; flow:to_server,established; uricontent:\"/showcode.asp\"; nocase; reference:cve,CAN-1999-0736; reference:bugtraq,167; reference:nessus,10007; classtype:web-application-activity; sid:1037; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS site server config access\";flow:to_server,established; uricontent:\"/adsamples/config/site.csc\"; nocase;reference:bugtraq,256; classtype:web-application-activity; sid:1038;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS srch.htm access\";flow:to_server,established; uricontent:\"/samples/isapi/srch.htm\"; nocase; classtype:web-application-activity; sid:1039;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS srchadm access\";flow:to_server,established; uricontent:\"/srchadm\"; nocase; classtype:web-application-activity; sid:1040;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS uploadn.asp access\";flow:to_server,established; uricontent:\"/scripts/uploadn.asp\"; nocase; classtype:web-application-activity; sid:1041;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS view source via translate header\"; flow:to_server,established; content: \"Translate|3a| F\"; nocase; reference:arachnids,305; reference:bugtraq,1578; classtype:web-application-activity; sid:1042;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS viewcode.asp access\"; uricontent:\"/viewcode.asp\"; nocase; flow:to_server,established; reference:nessus,10576; classtype:web-application-activity; sid:1043; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS webhits access\"; flow:to_server,established; uricontent:\".htw\"; reference:arachnids,237; classtype:web-application-activity; sid:1044; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS doctodep.btr access\"; uricontent: \"doctodep.btr\"; flow:to_server,established; classtype:web-application-activity; sid:1726;  rev:3;)\n# alert tcp $HTTP_SERVERS $HTTP_PORTS -> $EXTERNAL_NET any (msg:\"WEB-IIS Unauthorized IP Access Attempt\"; flow:to_server,established; content:\"403\"; content:\"Forbidden\\:\"; classtype:web-application-attack; sid:1045;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS site/iisamples access\"; flow:to_server,established; uricontent:\"/site/iisamples\"; nocase; classtype:web-application-activity; sid:1046;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS CodeRed v2 root.exe access\"; flow:to_server,established; uricontent:\"/root.exe\"; nocase; classtype:web-application-attack; reference:url,www.cert.org/advisories/CA-2001-19.html; sid:1256;  rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS outlook web dos\"; flow:to_server,established; uricontent:\"/exchange/LogonFrm.asp?\"; nocase; content:\"mailbox=\"; nocase; content:\"|25 25 25|\"; classtype:web-application-attack; reference:bugtraq,3223; sid:1283;  rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS /scripts/samples/ access\"; uricontent:\"/scripts/samples/\"; nocase; flow:to_server,established; classtype:web-application-attack; sid:1400;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS /msadc/samples/ access\"; uricontent:\"/msadc/samples/\"; nocase; flow:to_server,established; classtype:web-application-attack; sid:1401;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS iissamples access\"; uricontent:\"/iissamples/\"; nocase; flow:to_server,established; classtype:web-application-attack; sid:1402;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS multiple decode attempt\"; flow:to_server,established; uricontent:\"%5c\"; uricontent:\"..\"; reference:cve,CAN-2001-0333; classtype:web-application-attack; sid:970;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS iisadmin access\";flow:to_server,established; uricontent:\"/iisadmin\"; nocase; classtype:web-application-attack; sid:993;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS msdac access\"; flow:to_server,established; uricontent:\"/msdac/\"; nocase; classtype:web-application-activity; sid:1285;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS _mem_bin access\"; flow:to_server,established; uricontent:\"/_mem_bin/\"; nocase; classtype:web-application-activity; sid:1286;  rev:5;)\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS scripts access\"; flow:to_server,established; uricontent:\"/scripts/\"; nocase; classtype:web-application-activity; sid:1287;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS htimage.exe access\"; flow:to_server,established; uricontent:\"/htimage.exe\"; nocase; classtype:web-application-activity; reference:nessus,10376; reference:cve,CAN-2000-0256; reference:cve,CAN-2000-0122; sid:1595; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS MS Site Server default login attempt\"; flow:to_server,established; uricontent:\"/SiteServer/Admin/knowledge/persmbr/\"; nocase; content:\"Authorization\\: Basic TERBUF9Bbm9ueW1vdXM6TGRhcFBhc3N3b3JkXzE=\"; classtype:web-application-attack; reference:nessus,11018; sid:1817; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS MS Site Server admin attempt\"; flow:to_server,established; uricontent:\"/Site Server/Admin/knowledge/persmbr/\"; nocase; reference:nessus,11018; classtype:web-application-attack; sid:1818; rev:3;)\n\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS .asa HTTP header buffer overflow attempt\"; flow:to_server,established; content:\"HTTP|2F|\"; nocase; uricontent:\".asa\"; nocase; content:\"|3A|\"; content:\"|0A|\"; content:\"|00|\"; reference:bugtraq,4476; classtype:web-application-attack; sid:1802; rev:4;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS .cer HTTP header buffer overflow attempt\"; flow:to_server,established; content:\"HTTP|2F|\"; nocase; uricontent:\".cer\"; nocase; content:\"|3A|\"; content:\"|0A|\"; content:\"|00|\"; reference:bugtraq,4476; classtype:web-application-attack; sid:1803; rev:4;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS .cdx HTTP header buffer overflow attempt\"; flow:to_server,established; content:\"HTTP|2F|\"; nocase; uricontent:\".cdx\"; nocase; content:\"|3A|\"; content:\"|0A|\"; content:\"|00|\"; reference:bugtraq,4476; classtype:web-application-attack; sid:1804; rev:4;)\n#alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS .asp HTTP header buffer overflow attempt\"; flow:to_server,established; content:\"HTTP|2F|\"; nocase; uricontent:\".asp\"; nocase; content:\"|3A|\"; content:\"|0A|\"; content:\"|00|\"; reference:bugtraq,4476; classtype:web-application-attack; sid:1801; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS WEBDAV exploit attempt\"; flow:to_server,established; content:\"HTTP/1.1|0a|Content-type|3a| text/xml|0a|HOST|3a|\"; content:\"Accept|3a| |2a|/|2a0a|Translate|3a| f|0a|Content-length|3a|5276|0a0a|\"; distance:1; reference:cve,CAN-2003-0109; reference:bugtraq,7716; sid:2090; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-IIS WEBDAV nessus safe scan attempt\"; flow:to_server,established; content:\"SEARCH / HTTP/1.1|0d0a|Host|3a|\"; content:\"|0d0a0d0a|\"; within:255; reference:cve,CAN-2003-0109; reference:bugtraq,7116; reference:nessus,11412; sid:2091; rev:1;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'web-php.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#--------------\n# WEB-PHP RULES\n#--------------\n\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP bb_smilies.php access\"; flow:to_server,established; uricontent:\"/bb_smilies.php\"; nocase; reference:url,www.securiteam.com/securitynews/Serious_security_hole_in_PHP-Nuke__bb_smilies_.html; classtype:web-application-activity; sid:1774; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP content-disposition memchr overlfow\"; flow:to_server,established; content:\"Content-Disposition\\:\"; content:\"name=\\\"|CC CC CC CC CC|\"; reference:bugtraq,4183; classtype:web-application-attack; sid:1423; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP content-disposition\"; flow:to_server,established; content:\"Content-Disposition\\:\"; content:\"form-data\\;\"; classtype:web-application-attack; reference:bugtraq,4183; sid:1425; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP squirrelmail spellcheck arbitrary command attempt\"; flow:to_server,established; uricontent:\"/squirrelspell/modules/check_me.mod.php\"; nocase; content: \"SQSPELL_APP[\"; nocase; reference:bugtraq,3952; classtype:web-application-attack; sid:1736; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP squirrelmail theme arbitrary command attempt\"; flow:to_server,established; uricontent:\"/left_main.php\"; nocase; content:\"cmdd=\"; reference:bugtraq,4385; classtype:web-application-attack; sid:1737; rev:3;)\n\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP DNSTools administror authentication bypass attempt\"; flow:to_server,established; uricontent:\"/dnstools.php\"; nocase; content:\"user_logged_in=true\"; nocase; content:\"user_dnstools_administrator=true\"; nocase; reference:bugtraq,4617; classtype:web-application-attack; sid:1739; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP DNSTools authentication bypass attempt\"; flow:to_server,established; uricontent:\"/dnstools.php\"; nocase; content:\"user_logged_in=true\"; reference:bugtraq,4617; classtype:web-application-attack; sid:1740; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP DNSTools access\"; flow:to_server,established; uricontent:\"/dnstools.php\"; nocase; reference:bugtraq,4617; classtype:web-application-activity; sid:1741; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP Blahz-DNS dostuff.php modify user attempt\"; flow:to_server,established; uricontent:\"/dostuff.php?action=modify_user\"; nocase; reference:bugtraq,4618; classtype:web-application-attack; sid:1742; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP Blahz-DNS dostuff.php access\"; flow:to_server,established; uricontent:\"/dostuff.php\"; nocase; reference:bugtraq,4618; classtype:web-application-activity; sid:1743; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP Messagerie supp_membre.php access\"; flow:to_server,established; uricontent:\"/supp_membre.php\"; nocase; reference:bugtraq,4635; classtype:web-application-activity; sid:1745; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP php.exe access\"; flow:to_server,established; uricontent:\"/php.exe\"; nocase; reference:url,www.securitytracker.com/alerts/2002/Jan/1003104.html; classtype:web-application-activity; sid:1773; rev:3;)\n\n\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP directory.php arbitrary command attempt\"; flow:to_server,established; uricontent:\"/directory.php\"; content:\"dir=\"; content:\"\\;\"; reference:bugtraq,4278; reference:cve,CAN-2002-0434; classtype:misc-attack; sid:1815; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP directory.php access\"; flow:to_server,established; uricontent:\"/directory.php\"; reference:bugtraq,4278; reference:cve,CAN-2002-0434; classtype:misc-attack; sid:1816; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP PHP-Wiki cross site scripting attempt\"; flow:established,to_server; uricontent:\"/modules.php?\"; uricontent:\"name=Wiki\"; nocase; uricontent:\"<script\"; nocase; reference:bugtraq,5254; classtype:web-application-attack; sid:1834; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP phpbb quick-reply.php arbitrary command attempt\"; flow:established,to_server; uricontent:\"/quick-reply.php\"; content:\"phpbb_root_path=\"; distance:1; reference:bugtraq,6173; classtype:web-application-attack; sid:1967; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP phpbb quick-reply.php access\"; flow:established,to_server; uricontent:\"/quick-reply.php\"; reference:bugtraq,6173; classtype:web-application-activity; sid:1968; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP read_body.php access attempt\"; flow:established,to_server; uricontent:\"/read_body.php\"; reference:bugtraq,6302; classtype:web-application-activity; sid:1997; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP calendar.php access\"; flow:established,to_server; uricontent:\"/calendar.php\"; reference:nessus,11179; reference:bugtraq,5820; classtype:web-application-activity; sid:1998; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP edit_image.php access\"; flow:established,to_server; uricontent:\"/edit_image.php\"; reference:nessus,11104; reference:cve,CVE-2001-1020; classtype:web-application-activity; sid:1999; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP readmsg.php access\"; flow:established,to_server; uricontent:\"/readmsg.php\"; reference:nessus,11073; classtype:web-application-activity; sid:2000; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-PHP external include path\"; flow:established,to_server; uricontent:\".php\"; content:\"path=http\\://\"; classtype:web-application-attack; sid:2002; rev:1;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'web-misc.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#---------------\n# WEB-MISC RULES\n#---------------\n\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC cross site scripting attempt\"; flow:to_server,established; content:\"<SCRIPT>\"; nocase; classtype:web-application-attack; sid:1497; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC cross site scripting \\(img src=javascript\\) attempt\"; flow:to_server,established; content:\"img src=javascript\"; nocase; classtype:web-application-attack; sid:1667; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Cisco IOS HTTP configuration attempt\"; uricontent:\"/level/*/exec/\"; regex; flow:to_server,established; classtype:web-application-attack; reference:bugtraq,2936; sid:1250;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Netscape Enterprise DOS\"; content:\"REVLOG / \"; offset:0; depth:9; flow:to_server,established; reference:cve,CAN-2001-0251; reference:bugtraq,2294; classtype:web-application-attack; sid:1047; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Netscape Enterprise directory listing attempt\"; content:\"INDEX \"; offset:0; depth:6; flow:to_server,established; reference:cve,CAN-2001-0250; reference:bugtraq,2285; classtype:web-application-attack; sid:1048;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC iPlanet GETPROPERTIES attempt\"; flow:to_server,established; content:\"GETPROPERTIES\"; offset:0; depth:13; classtype:web-application-attack; sid:1050;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC weblogic view source attempt\"; flow:to_server,established; uricontent:\".js%70\"; reference:bugtraq,2527; classtype:web-application-attack; sid:1054;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC tomcat directory traversal attempt\"; flow:to_server,established; uricontent:\"%00.jsp\"; reference:bugtraq,2518;  classtype:web-application-attack; sid:1055;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC tomcat view source attempt\"; flow:to_server,established; uricontent:\"%252ejsp\"; reference:bugtraq,2527; classtype:web-application-attack; sid:1056;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC ftp attempt\"; flow:to_server,established; content:\"ftp.exe\"; nocase; classtype:web-application-activity; sid:1057;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC enumdsn attempt\"; flow:to_server,established; content:\"xp_enumdsn\"; nocase; classtype:web-application-attack; sid:1058;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC filelist attempt\"; flow:to_server,established; content:\"xp_filelist\"; nocase; classtype:web-application-attack; sid:1059;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC availablemedia attempt\"; flow:to_server,established; content:\"xp_availablemedia\"; nocase; classtype:web-application-attack; sid:1060;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC cmdshell attempt\"; flow:to_server,established; content:\"xp_cmdshell\"; nocase; classtype:web-application-attack; sid:1061;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC nc.exe attempt\"; flow:to_server,established; content:\"nc.exe\"; nocase; classtype:web-application-activity; sid:1062;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC wsh attempt\"; flow:to_server,established; content:\"wsh.exe\"; nocase; classtype:web-application-activity; sid:1064;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC rcmd attempt\"; flow:to_server,established; content:\"rcmd.exe\"; nocase; classtype:web-application-activity; sid:1065;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC telnet attempt\"; flow:to_server,established; content:\"telnet.exe\"; nocase; classtype:web-application-activity; sid:1066;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC net attempt\"; flow:to_server,established; content:\"net.exe\"; nocase; classtype:web-application-activity; sid:1067;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC tftp attempt\"; flow:to_server,established; content:\"tftp.exe\"; nocase; classtype:web-application-activity; sid:1068;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC xp_regread attempt\"; flow:to_server,established; content:\"xp_regread\"; nocase; classtype:web-application-activity; sid:1069; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC xp_regwrite attempt\"; flow:to_server,established; content:\"xp_regwrite\"; nocase; classtype:web-application-activity; sid:1977; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC xp_regdeletekey attempt\"; flow:to_server,established; content:\"xp_regdeletekey\"; nocase; classtype:web-application-activity; sid:1978; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC webdav search access\"; flow:to_server,established; content: \"SEARCH \"; depth: 8; nocase;reference:arachnids,474; classtype:web-application-activity; sid:1070;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC .htpasswd access\"; flow:to_server,established; content:\".htpasswd\"; nocase; classtype:web-application-attack; sid:1071;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Lotus Domino directory traversal\"; uricontent:\".nsf/\"; uricontent:\"../\"; nocase; flow:to_server,established; reference:cve,CVE-2001-0009; reference:bugtraq,2173; classtype:web-application-attack; sid:1072;  rev:6;)\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC webhits.exe access\"; flow:to_server,established; uricontent:\"/scripts/samples/search/webhits.exe\"; nocase; classtype:web-application-activity; sid:1073;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC postinfo.asp access\"; flow:to_server,established; uricontent:\"/scripts/postinfo.asp\"; nocase; classtype:web-application-activity; sid:1075;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC queryhit.htm access\"; flow:to_server,established; uricontent:\"/samples/search/queryhit.htm\"; nocase; classtype:web-application-activity; sid:1077;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC counter.exe access\"; flow:to_server,established; uricontent:\"/scripts/counter.exe\"; nocase; reference:bugtraq,267; classtype:web-application-activity; sid:1078;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC webdav propfind access\"; content:\"<a\\:propfind\"; nocase; content:\"xmlns\\:a=\\\"DAV\\\">\"; nocase; flow:to_server,established; reference:bugtraq,1656; reference:cve,CVE-2000-0869; classtype:web-application-activity; sid:1079;  rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC unify eWave ServletExec upload\"; uricontent:\"/servlet/com.unify.servletexec.UploadServlet\"; nocase; flow:to_server,established; classtype:web-application-attack; sid:1080; reference:bugtraq,1868; reference:cve,CVE-2000-1024; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC netscape servers suite DOS\"; flow:to_server,established; uricontent:\"/dsgw/bin/search?context=\"; nocase; classtype:web-application-attack; sid:1081; reference:bugtraq,1868; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC amazon 1-click cookie theft\"; flow:to_server,established; content:\"ref%3Cscript%20language%3D%22Javascript\"; nocase; classtype:web-application-attack; sid:1082; reference:bugtraq,1194; reference:cve,CVE-2000-0439; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC unify eWave ServletExec DOS\"; flow:to_server,established; uricontent:\"/servlet/ServletExec\"; classtype:web-application-activity; sid:1083;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Allaire JRUN DOS attempt\"; flow:to_server,established; content:\"servlet/.......\"; nocase; classtype:web-application-attack; sid:1084; reference:bugtraq,2337; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC PHP strings overflow\"; flow:to_server,established; content: \"|ba49feffff f7d2 b9bfffffff f7d1|\"; reference:bugtraq,802; reference:arachnids,431; classtype:web-application-attack; sid:1085;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC PHP strings overflow\"; flow:to_server,established; content: \"?STRENGUR \";reference:arachnids,430; classtype:web-application-attack; sid:1086;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC ICQ Webfront HTTP DOS\"; flow:to_server,established; uricontent:\"??????????\"; classtype:web-application-attack; sid:1091;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Talentsoft Web+ Source Code view access\"; flow:to_server,established; uricontent:\"/webplus.exe?script=test.wml\";reference:bugtraq,1722; classtype:web-application-attack; sid:1095;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Talentsoft Web+ internal IP Address access\"; flow:to_server,established; uricontent:\"/webplus.exe?about\";reference:bugtraq,1720; classtype:web-application-activity; sid:1096;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC SmartWin CyberOffice Shopping Cart access\"; flow:to_server,established; uricontent:\"_private/shopping_cart.mdb\"; reference:bugtraq,1734; classtype:web-application-attack; sid:1098;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC cybercop scan\"; flow:to_server,established; uricontent:\"/cybercop\"; nocase; reference:arachnids,374; classtype:web-application-activity; sid:1099;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC L3retriever HTTP Probe\"; content: \"User-Agent|3a| Java1.2.1|0d0a|\"; flow:to_server,established; reference:arachnids,310; classtype:web-application-activity; sid:1100;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Webtrends HTTP probe\"; content: \"User-Agent|3a| Webtrends Security Analyzer|0d0a|\"; flow:to_server,established; reference:arachnids,309; classtype:web-application-activity; sid:1101;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Nessus 404 probe\"; flow:to_server,established; uricontent: \"/nessus_is_probing_you_\"; depth: 32;reference:arachnids,301; classtype:web-application-activity; sid:1102;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC netscape admin passwd\"; flow:to_server,established; uricontent:\"/admin-serv/config/admpw\"; nocase;reference:bugtraq,1579; classtype:web-application-attack; sid:1103;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC BigBrother access\"; flow:to_server,established; uricontent:\"/bb-hostsvc.sh?HOSTSVC\"; nocase; classtype:attempted-recon; sid:1105;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC ftp.pl attempt\"; flow:to_server,established; uricontent:\"/ftp.pl?dir=../..\"; nocase; reference:cve,CAN-2000-0674; reference:bugtraq,1471; reference:nessus,10467; classtype:web-application-attack; sid:1612; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC ftp.pl access\"; flow:to_server,established; uricontent:\"/ftp.pl\"; nocase; reference:cve,CAN-2000-0674; reference:bugtraq,1471; reference:nessus,10467; classtype:web-application-activity; sid:1107; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC tomcat server snoop access\"; flow:to_server,established; uricontent:\"/jsp/snp/*.snp\"; regex; reference:cve,CAN-2000-0760; reference:bugtraq,1532; classtype:attempted-recon; sid:1108;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC ROXEN directory list attempt\"; flow:to_server,established; uricontent:\"|2F 25 30 30|\"; reference:bugtraq,1510; reference:cve,CVE-2000-0671; classtype:attempted-recon; sid:1109;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC apache source.asp file access\"; flow:to_server,established; uricontent:\"/site/eg/source.asp\"; nocase;reference:bugtraq,1457; reference:cve,CVE-2000-0628; classtype:attempted-recon; sid:1110;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC tomcat server exploit access\"; flow:to_server,established; uricontent:\"/contextAdmin/contextAdmin.html\"; nocase; classtype:attempted-recon; sid:1111;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC http directory traversal\"; flow:to_server,established; content: \"..\\\\\";reference:arachnids,298; classtype:attempted-recon; sid:1112;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC ICQ webserver DOS\"; flow:to_server,established; uricontent:\".html/......\"; nocase; reference:cve,CVE-1999-0474; classtype:attempted-dos; sid:1115;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Lotus DelDoc attempt\"; flow:to_server,established; uricontent:\"?DeleteDocument\"; nocase; classtype:attempted-recon; sid:1116;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Lotus EditDoc attempt\"; flow:to_server,established; uricontent:\"?EditDocument\"; nocase; classtype:attempted-recon; reference:url,www.securiteam.com/exploits/5NP080A1RE.html; sid:1117;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC ls%20-l\"; flow:to_server,established; content:\"ls%20-l\"; nocase; classtype:attempted-recon; sid:1118;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC mlog.phtml access\"; flow:to_server,established; uricontent:\"/mlog.phtml\"; nocase; reference:bugtraq,713; reference:cve,CVE-1999-0346; classtype:attempted-recon; sid:1119;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC mylog.phtml access\"; flow:to_server,established; uricontent:\"/mylog.phtml\"; nocase; reference:bugtraq,713; reference:cve,CVE-1999-0346; classtype:attempted-recon; sid:1120;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC /etc/passwd\"; flow:to_server,established; content:\"/etc/passwd\"; nocase; classtype:attempted-recon; sid:1122;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC ?PageServices access\"; flow:to_server,established; uricontent:\"?PageServices\"; nocase; reference:bugtraq,1063; reference:cve,CVE-1999-0269; classtype:attempted-recon; sid:1123;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Ecommerce check.txt access\"; flow:to_server,established; uricontent:\"/config/check.txt\"; nocase; classtype:attempted-recon; sid:1124;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC webcart access\"; flow:to_server,established; uricontent:\"/webcart/\"; nocase; reference:nessus,10298; reference:cve,CAN-1999-0610; classtype:attempted-recon; sid:1125; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC AuthChangeUrl access\"; flow:to_server,established; uricontent:\"_AuthChangeUrl?\"; nocase; classtype:attempted-recon; sid:1126; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC convert.bas access\"; flow:to_server,established; uricontent:\"/scripts/convert.bas\"; nocase; reference:bugtraq,2025; reference:cve,CVE-1999-0175; classtype:attempted-recon; sid:1127;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC cpshost.dll access\"; flow:to_server,established; uricontent:\"/scripts/cpshost.dll\"; nocase; classtype:attempted-recon; sid:1128;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC .htaccess access\"; flow:to_server,established; content:\".htaccess\"; nocase; classtype:attempted-recon; sid:1129;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC .wwwacl access\"; flow:to_server,established; uricontent:\".wwwacl\"; nocase; classtype:attempted-recon; sid:1130;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC .wwwacl access\"; flow:to_server,established; uricontent:\".www_acl\"; nocase; classtype:attempted-recon; sid:1131;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"SCAN cybercop os probe\"; content: \"AAAAAAAAAAAAAAAA\"; flags:SFP; ack: 0; depth: 16;reference:arachnids,145; classtype:attempted-recon; sid:1133; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Phorum admin access\"; flow:to_server,established; uricontent:\"/admin.php3\"; nocase; reference:bugtraq,2271; reference:arachnids,205; classtype:attempted-recon; sid:1134;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC cd..\"; flow:to_server,established; content:\"cd..\"; nocase; classtype:attempted-recon; sid:1136;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Phorum auth access\"; flow:to_server,established; content:\"PHP_AUTH_USER=boogieman\"; nocase;  reference:bugtraq,2274; reference:arachnids,206; classtype:attempted-recon; sid:1137;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Cisco Web DOS attempt\"; flow:to_server,established; content: \"|20 2F 25 25|\"; depth: 16; reference:arachnids,275; classtype:attempted-dos; sid:1138;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC guestbook.pl access\"; flow:to_server,established; uricontent:\"/guestbook.pl\"; nocase; reference:nessus,10099; reference:bugtraq,776; reference:cve,CVE-1999-0237; reference:arachnids,228; classtype:attempted-recon; sid:1140; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC handler attempt\"; flow:to_server,established; uricontent:\"/handler\"; uricontent:\"\\|\"; nocase; reference:nessus,10100; reference:bugtraq,380; reference:arachnids,235; reference:cve,CVE-1999-0148; classtype:web-application-attack; sid:1613; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC handler access\"; flow:to_server,established; uricontent:\"/handler\"; nocase; reference:nessus,10100; reference:bugtraq,380; reference:arachnids,235; reference:cve,CVE-1999-0148; classtype:web-application-activity; sid:1141; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC /....\"; flow:to_server,established; content:\"|2f2e2e2e2e|\"; classtype:attempted-recon; sid:1142;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC ///cgi-bin\"; flow:to_server,established; uricontent:\"///cgi-bin\"; nocase; classtype:attempted-recon; sid:1143;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC /cgi-bin/// access\"; flow:to_server,established; uricontent:\"/cgi-bin///\"; nocase; classtype:attempted-recon; sid:1144;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC /~root access\"; flow:to_server,established; uricontent:\"/~root\"; nocase; classtype:attempted-recon; sid:1145;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC /~ftp access\"; flow:to_server,established; uricontent:\"/~ftp\"; nocase; classtype:attempted-recon; sid:1662;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Ecommerce import.txt access\"; flow:to_server,established; uricontent:\"/config/import.txt\"; nocase; classtype:attempted-recon; sid:1146;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC cat%20 access\"; flow:to_server,established; content:\"cat%20\"; nocase; reference:cve,CVE-1999-0039; reference:bugtraq,374; classtype:attempted-recon; sid:1147;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Ecommerce import.txt access\"; flow:to_server,established; uricontent:\"/orders/import.txt\"; nocase; classtype:attempted-recon; sid:1148;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Domino catalog.nsf access\"; flow:to_server,established; uricontent:\"/catalog.nsf\"; nocase; classtype:attempted-recon; sid:1150;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Domino domcfg.nsf access\"; flow:to_server,established; uricontent:\"/domcfg.nsf\"; nocase; classtype:attempted-recon; sid:1151;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Domino domlog.nsf access\"; flow:to_server,established; uricontent:\"/domlog.nsf\"; nocase; classtype:attempted-recon; sid:1152;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Domino log.nsf access\"; flow:to_server,established; uricontent:\"/log.nsf\"; nocase; classtype:attempted-recon; sid:1153;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Domino names.nsf access\"; flow:to_server,established; uricontent:\"/names.nsf\"; nocase; classtype:attempted-recon; sid:1154;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Domino mab.nsf access\"; flow:to_server,established; uricontent:\"/mab.nsf\"; nocase; classtype:attempted-recon; sid:1575;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Domino cersvr.nsf access\"; flow:to_server,established; uricontent:\"/cersvr.nsf\"; nocase; classtype:attempted-recon; sid:1576;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Domino setup.nsf access\"; flow:to_server,established; uricontent:\"/setup.nsf\"; nocase; classtype:attempted-recon; sid:1577;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Domino statrep.nsf access\"; flow:to_server,established; uricontent:\"/statrep.nsf\"; nocase; classtype:attempted-recon; sid:1578;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Domino webadmin.nsf access\"; flow:to_server,established; uricontent:\"/webadmin.nsf\"; nocase; classtype:attempted-recon; sid:1579;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Domino events4.nsf access\"; flow:to_server,established; uricontent:\"/events4.nsf\"; nocase; classtype:attempted-recon; sid:1580;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Domino ntsync4.nsf access\"; flow:to_server,established; uricontent:\"/ntsync4.nsf\"; nocase; classtype:attempted-recon; sid:1581;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Domino collect4.nsf access\"; flow:to_server,established; uricontent:\"/collect4.nsf\"; nocase; classtype:attempted-recon; sid:1582;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Domino mailw46.nsf access\"; flow:to_server,established; uricontent:\"/mailw46.nsf\"; nocase; classtype:attempted-recon; sid:1583;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Domino bookmark.nsf access\"; flow:to_server,established; uricontent:\"/bookmark.nsf\"; nocase; classtype:attempted-recon; sid:1584;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Domino agentrunner.nsf access\"; flow:to_server,established; uricontent:\"/agentrunner.nsf\"; nocase; classtype:attempted-recon; sid:1585;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Domino mail.box access\"; flow:to_server,established; uricontent:\"/mail.box\"; nocase; classtype:attempted-recon; sid:1586;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Ecommerce checks.txt access\"; flow:to_server,established; uricontent:\"/orders/checks.txt\"; nocase; classtype:attempted-recon; sid:1155;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC apache DOS attempt\"; flow:to_server,established; content:\"|2f2f2f2f2f2f2f2f|\"; classtype:attempted-dos; sid:1156;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC netscape PublishingXpert 2 Exploit\"; flow:to_server,established; uricontent:\"/PSUser/PSCOErrPage.htm?\"; nocase; reference:cve,CAN-2000-1196; classtype:attempted-recon; sid:1157;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC windmail.exe access\"; flow:to_server,established; uricontent:\"/windmail.exe\"; nocase; reference:cve,CAN-2000-0242; reference:bugtraq,1073; reference:arachnids,465; reference:nessus,10365; classtype:attempted-recon; sid:1158; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC webplus access\"; content:\"webplus?script\"; nocase; flow:to_server,established; reference:cve,CVE-2000-1005; reference:bugtraq,1174; reference:bugtraq,1720; reference:bugtraq,1722; reference:bugtraq,1725; classtype:attempted-recon; sid:1159;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC netscape dir index wp\"; flow:to_server,established; content: \"?wp-\"; nocase; reference:bugtraq,1063; reference:cve,CVE-2000-0236; reference:arachnids,270; classtype:attempted-recon; sid:1160;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC piranha passwd.php3 access\"; flow:to_server,established; uricontent: \"/passwd.php3\"; reference:bugtraq,1149; reference:cve,CVE-2000-0322; reference:arachnids,272; classtype:attempted-recon; sid:1161;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC cart 32 AdminPwd access\"; flow:to_server,established; uricontent:\"/c32web.exe/ChangeAdminPassword\"; nocase; reference:cve,CAN-2000-0429; reference:bugtraq,1153; classtype:attempted-recon; sid:1162;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC shopping cart access access\"; uricontent:\"/quikstore.cfg\"; nocase; flow:to_server,established; classtype:attempted-recon; sid:1164;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC novell groupwise gwweb.exe attempt\"; flow:to_server,established; content:\"/GWWEB.EXE?HELP=\"; nocase; reference:bugtraq,879; reference:cve,CAN-1999-1006; classtype:attempted-recon; sid:1614;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC novell groupwise gwweb.exe access\"; flow:to_server,established; content:\"/GWWEB.EXE\"; nocase; reference:bugtraq,879; reference:cve,CAN-1999-1006; classtype:attempted-recon; sid:1165;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC ws_ftp.ini access\"; uricontent:\"/ws_ftp.ini\"; nocase; flow:to_server,established; reference:cve,CAN-1999-1078; reference:bugtraq,547; classtype:attempted-recon; sid:1166;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC rpm_query access\"; flow:to_server,established; uricontent:\"/rpm_query\"; nocase; reference:cve,CVE-2000-0192; reference:bugtraq,1036; classtype:attempted-recon; sid:1167;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC mall log order access\"; uricontent:\"/mall_log_files/order.log\"; nocase; flow:to_server,established; classtype:attempted-recon; sid:1168;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC architext_query.pl access\"; uricontent:\"/ews/architext_query.pl\"; nocase; flow:to_server,established; classtype:attempted-recon; sid:1173;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC wwwboard.pl access\"; uricontent:\"/wwwboard.pl\"; nocase; flow:to_server,established; reference:bugtraq,649; reference:bugtraq,1795; reference:cve,CAN-1999-0930; classtype:attempted-recon; sid:1175;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC order.log access\"; uricontent:\"/admin_files/order.log\"; nocase; flow:to_server,established; classtype:attempted-recon; sid:1176;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Netscape Enterprise Server directory view\"; flow:to_server,established; uricontent:\"?wp-verify-link\";nocase;reference:bugtraq,1063; classtype:attempted-recon; sid:1177;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Phorum read access\"; flow:to_server,established; uricontent:\"/read.php3\"; nocase;  reference:arachnids,208; classtype:attempted-recon; sid:1178;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Phorum violation access\"; flow:to_server,established; uricontent:\"/violation.php3\"; nocase; reference:bugtraq,2272; reference:arachnids,209; classtype:attempted-recon; sid:1179;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC get32.exe access\"; flow:to_server,established; uricontent:\"/get32.exe\"; nocase; reference:bugtraq,1485; reference:arachnids,258; classtype:attempted-recon; sid:1180;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Annex Terminal DOS attempt\"; flow:to_server,established; uricontent:\"/ping?query=\"; reference:cve,CAN-1999-1070; reference:arachnids,260; classtype:attempted-dos; sid:1181; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC cgitest.exe attempt\"; flow:to_server,established; uricontent:\"/cgitest.exe|0d0a|user\"; nocase; reference:nessus,10623; reference:nessus,10040; reference:cve,CVE-2000-0521; reference:bugtraq,3885; reference:arachnids,265; classtype:web-application-attack; sid:1182; rev:11;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC cgitest.exe access\"; flow:to_server,established; uricontent:\"/cgitest.exe\"; nocase; reference:nessus,10623; reference:cve,CVE-2000-0521; reference:nessus,10040; reference:bugtraq,3885; reference:arachnids,265; classtype:web-application-activity; sid:1587; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Netscape Enterprise Server directory view\"; flow:to_server,established; uricontent:\"?wp-cs-dump\"; nocase; reference:cve,CVE-2000-0236; reference:bugtraq,1063; classtype:attempted-recon; sid:1183;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Netscape Enterprise Server directory view\"; flow:to_server,established; uricontent:\"?wp-ver-info\"; nocase; reference:bugtraq,1063; classtype:attempted-recon; sid:1184;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Netscape Enterprise Server directory view\"; flow:to_server,established; uricontent:\"?wp-ver-diff\"; nocase; reference:bugtraq,1063; classtype:attempted-recon; sid:1186;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC SalesLogix Eviewer web command attempt\"; flow:to_server,established; uricontent:\"/slxweb.dll/admin?command=\"; nocase; reference:bugtraq,1089; reference:cve,CAN-2000-0289; classtype:web-application-attack; sid:1187;  rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC SalesLogix Eviewer access\"; flow:to_server,established; uricontent:\"/slxweb.dll\"; nocase; reference:bugtraq,1089; reference:cve,CAN-2000-0289; classtype:web-application-activity; sid:1588;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Netscape Enterprise Server directory view\"; flow:to_server,established; uricontent:\"?wp-start-ver\";nocase;reference:bugtraq,1063; classtype:attempted-recon; sid:1188;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Netscape Enterprise Server directory view\"; flow:to_server,established; uricontent:\"?wp-stop-ver\"; nocase; reference:bugtraq,1063; classtype:attempted-recon; sid:1189;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Netscape Enterprise Server directory view\"; flow:to_server,established; uricontent:\"?wp-uncheckout\"; nocase; reference:bugtraq,1063; classtype:attempted-recon; sid:1190;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Netscape Enterprise Server directory view\"; flow:to_server,established; uricontent:\"?wp-html-rend\"; nocase; reference:bugtraq,1063; classtype:attempted-recon; sid:1191;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Trend Micro OfficeScan attempt\"; flow:to_server,established; uricontent:\"/officescan/cgi/jdkRqNotify.exe?\"; nocase; uricontent:\"domain=\"; nocase; uricontent:\"event=\"; nocase; reference:bugtraq,1057; classtype:attempted-recon; sid:1381;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Trend Micro OfficeScan access\"; flow:to_server,established; uricontent:\"/officescan/cgi/jdkRqNotify.exe\"; nocase; reference:bugtraq,1057; classtype:attempted-recon; sid:1192;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC oracle web arbitrary command execution attempt\"; flow:to_server,established; uricontent:\"/ows-bin/\"; nocase; uricontent:\"?&\"; reference:cve,CVE-2000-0169; reference:bugtraq,1053; reference:nessus,10348; classtype:web-application-attack; sid:1193; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC oracle web application server access\"; flow:to_server,established; uricontent:\"/ows-bin/\"; nocase; reference:cve,CVE-2000-0169; reference:bugtraq,1053; reference:nessus,10348; classtype:web-application-activity; sid:1880; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Phorum code access\"; flow:to_server,established; uricontent:\"/code.php3\"; nocase;  reference:arachnids,207; classtype:attempted-recon; sid:1197;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Netscape Enterprise Server directory view\"; flow:to_server,established; uricontent:\"?wp-usr-prop\"; nocase;reference:bugtraq,1063; classtype:web-application-attack; sid:1198;  rev:6;)\n\n\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC search.vts access\"; flow:to_server,established; uricontent:\"/search.vts\"; classtype:attempted-recon; sid:1202;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC htgrep attempt\"; flow:to_server,established; uricontent:\"/htgrep\"; content:\"hdr=/\"; classtype:web-application-attack; reference:cve,CAN-2000-0832; sid:1615;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC htgrep access\"; flow:to_server,established; uricontent:\"/htgrep\"; classtype:web-application-activity; reference:cve,CAN-2000-0832; sid:1207;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC .nsconfig access\"; flow:to_server,established; uricontent:\"/.nsconfig\"; classtype:attempted-recon; sid:1209;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Admin_files access\"; flow:to_server,established; uricontent:\"/admin_files\"; nocase; classtype:attempted-recon; sid:1212;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC backup access\"; flow:to_server,established; uricontent:\"/backup\"; nocase; classtype:attempted-recon; sid:1213;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC intranet access\"; flow:to_server,established; uricontent:\"/intranet/\"; nocase; classtype:attempted-recon; sid:1214;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC filemail access\"; flow:to_server,established; uricontent:\"/filemail\"; nocase; classtype:attempted-recon; sid:1216;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC plusmail access\"; flow:to_server,established; uricontent:\"/plusmail\"; nocase; classtype:attempted-recon; sid:1217;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC adminlogin access\"; flow:to_server,established; uricontent:\"/adminlogin\"; nocase; classtype:attempted-recon; sid:1218;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC ultraboard access\"; flow:to_server,established; uricontent:\"/ultraboard\"; nocase; classtype:attempted-recon; sid:1220;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC musicat empower attempt\"; flow:to_server,established; uricontent:\"/empower?DB=\"; nocase; classtype:web-application-attack; sid:1589;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC musicat empower access\"; flow:to_server,established; uricontent:\"/empower\"; nocase; classtype:web-application-activity; sid:1221;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC ROADS search.pl attempt\"; flow:to_server,established; uricontent:\"/ROADS/cgi-bin/search.pl\"; content:\"form=\"; nocase; reference:cve,CAN-2001-0215; reference:bugtraq,2371; reference:nessus,10627; classtype:attempted-recon; sid:1224; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC VirusWall FtpSave access\"; flow:to_server,established; uricontent:\"/FtpSave.dll\"; nocase; reference:bugtraq,2808; reference:cve,CAN-2001-0432; reference:nessus,10733; classtype:attempted-recon; sid:1230; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC VirusWall FtpSaveCSP access\"; flow:to_server,established; uricontent:\"/FtpSaveCSP.dll\"; nocase; reference:bugtraq,2808; reference:cve,CAN-2001-0432; reference:nessus,10733; classtype:attempted-recon; sid:1234; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC VirusWall FtpSaveCVP access\"; flow:to_server,established; uricontent:\"/FtpSaveCVP.dll\"; nocase; reference:bugtraq,2808; reference:cve,CAN-2001-0432; reference:nessus,10733; classtype:attempted-recon; sid:1235; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Tomcat sourcode view\"; flow:to_server,established; uricontent:\".js%2570\"; nocase; classtype:attempted-recon; sid:1236;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Tomcat sourcode view\"; flow:to_server,established; uricontent:\".j%2573p\"; nocase; classtype:attempted-recon; sid:1237;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Tomcat sourcode view\"; flow:to_server,established; uricontent:\".%256Asp\"; nocase; classtype:attempted-recon; sid:1238;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC SWEditServlet directory traversal attempt\"; uricontent:\"/SWEditServlet\"; content:\"template=../../../\"; flow:to_server,established; classtype:attempted-user; sid:1241;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC SWEditServlet access\"; uricontent:\"/SWEditServlet\"; flow:to_server,established; classtype:attempted-recon; sid:1259;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC whisker HEAD/./\"; flow:to_server,established; content:\"HEAD/./\"; classtype:attempted-recon; reference:url,www.wiretrip.net/rfp/pages/whitepapers/whiskerids.html; sid:1139;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC PHPLIB remote command attempt\"; flow:to_server,established; content:\"_PHPLIB[libdir]\"; reference:bugtraq,3079; classtype:attempted-user; sid:1254;  rev:5;)\nalert tcp $HTTP_SERVERS any -> $EXTERNAL_NET $HTTP_PORTS (msg:\"WEB-MISC PHPLIB remote command attempt\"; flow:to_server,established; uricontent:\"/db_mysql.inc\"; reference:bugtraq,3079; classtype:attempted-user; sid:1255;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC HP Openview Manager DOS\"; flow:to_server,established; uricontent:\"/OvCgi/OpenView5.exe?Context=Snmp&Action=Snmp&Host=&Oid=\"; nocase; reference:bugtraq,2845; sid:1258;  classtype:misc-activity; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC long basic authorization string\"; flow:to_server,established; content:\"Authorization\\: Basic \"; nocase; content:!\"|0A|\"; within:512; classtype:attempted-dos; reference:bugtraq,3230; sid:1260; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC sml3com access\"; flow:to_server,established; uricontent:\"/graphics/sml3com\"; classtype:web-application-activity; reference:bugtraq,2721; sid:1291;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC carbo.dll access\"; flow:to_server,established; uricontent:\"/carbo.dll\"; content:\"icatcommand=\"; nocase; reference:cve,CAN-1999-1069; reference:bugtraq,2126; classtype:attempted-recon; sid:1001;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC admin.php file upload attempt\"; flow:to_server,established; uricontent:\"/admin.php\"; nocase; content:\"file_name=\"; reference:bugtraq,3361; classtype:attempted-admin; sid:1300;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC admin.php access\"; flow:to_server,established; uricontent:\"/admin.php\"; nocase; reference:bugtraq,3361; classtype:attempted-recon; sid:1301;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC console.exe access\"; flow:to_server,established; uricontent:\"/cgi-bin/console.exe\"; nocase; reference:bugtraq,3375; classtype:attempted-recon; sid:1302;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC cs.exe access\"; flow:to_server,established; uricontent:\"/cgi-bin/cs.exe\"; nocase; reference:bugtraq,3375; classtype:attempted-recon; sid:1303;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC http directory traversal\"; flow:to_server,established; content: \"../\"; reference:arachnids,297; classtype:attempted-recon; sid:1113;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC sadmind worm access\"; flow:to_server,established; content:\"GET x HTTP/1.0\"; offset:0; depth:15; classtype:attempted-recon; reference:url,www.cert.org/advisories/CA-2001-11.html; sid:1375;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC jrun directory browse attempt\"; flow:to_server,established; uricontent:\"/%3f.jsp\"; classtype:web-application-attack; sid:1376;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC mod-plsql administration access\"; flow:to_server,established; uricontent:\"/admin_/\"; reference:nessus,10849; reference:bugtraq,3726; reference:bugtraq,3727; classtype:web-application-activity; sid:1385; rev:7;)\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC viewcode.jse access\"; flow:to_server,established; uricontent:\"/viewcode.jse\"; reference:bugtraq,3715; classtype:web-application-activity; sid:1389;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Phorecast remote code execution attempt\"; flow:to_server,established; content:\"includedir=\"; reference:bugtraq,3388; classtype:web-application-attack; sid:1391;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC viewcode access\"; flow:to_server,established; uricontent:\"/viewcode\"; classtype:web-application-attack; sid:1403;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC showcode access\"; flow:to_server,established; uricontent:\"/showcode\"; classtype:web-application-attack; sid:1404;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC smssend.php access\"; flow:to_server,established; uricontent:\"/smssend.php\"; classtype:web-application-activity; reference:bugtraq,3982; sid:1407;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC PHP-Nuke remote file include attempt\"; flow:to_server,established; uricontent:\"index.php\"; nocase; content:\"file=http\\://\"; nocase; reference:bugtraq,3889; classtype:web-application-attack; sid:1399;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC .history access\"; flow:to_server,established; uricontent:\"/.history\"; classtype:web-application-attack; sid:1433;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC .bash_history access\"; flow:to_server,established; uricontent:\"/.bash_history\"; classtype:web-application-attack; sid:1434;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC /~nobody access\"; flow:to_server,established; uricontent:\"/~nobody\"; classtype:web-application-attack; sid:1489;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC phorum /support/common.php attempt\"; flow:to_server,established; uricontent:\"/support/common.php\"; content:\"ForumLang=../\"; classtype:web-application-attack; sid:1490;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC phorum /support/common.php access\"; flow:to_server,established; uricontent:\"/support/common.php\"; classtype:web-application-attack; sid:1491;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC RBS ISP /newuser  directory traversal attempt\"; flow:to_server,established; uricontent:\"/newuser?Image=../..\"; classtype:web-application-attack; sid:1492;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC RBS ISP /newuser access\"; flow:to_server,established; uricontent:\"/newuser\"; classtype:web-application-activity; sid:1493;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC *%0a.pl access\"; flow:to_server,established; uricontent:\"/*%0a.pl\"; nocase; classtype:web-application-attack; sid:1663;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC mkplog.exe access\"; flow:to_server,established; uricontent:\"/mkplog.exe\"; nocase; classtype:web-application-activity; sid:1664;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC mkilog.exe access\"; flow:to_server,established; uricontent:\"/mkilog.exe\"; nocase; classtype:web-application-activity; sid:1665;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC PCCS mysql database admin tool access\"; flow:to_server,established; content:\"pccsmysqladm/incs/dbconnect.inc\"; nocase; depth:36; reference:arachnids,300; classtype:web-application-attack; sid:509;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC .DS_Store access\"; flow:to_server,established; uricontent:\"/.DS_Store\"; classtype:web-application-activity; reference:url,www.macintouch.com/mosxreaderreports46.html; sid:1769; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC .FBCIndex access\"; flow:to_server,established; uricontent:\"/.FBCIndex\"; classtype:web-application-activity; reference:url,www.securiteam.com/securitynews/5LP0O005FS.html; sid:1770; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC ExAir access\"; flow:to_server,established; uricontent:\"/exair/search/\"; reference:cve,CVE-1999-0449; classtype:web-application-activity; sid:1500; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC apache ?M=D directory list attempt\"; flow:to_server,established; uricontent:\"/?M=D\"; classtype:web-application-activity; reference:cve,CVE-2001-0731; reference:bugtraq,3009; sid:1519; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC server-info access\"; flow:to_server,established; uricontent:\"/server-info\"; classtype:web-application-activity; sid:1520; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC server-status access\"; flow:to_server,established; uricontent:\"/server-status\"; classtype:web-application-activity; sid:1521; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC ans.pl attempt\"; flow:to_server,established; uricontent:\"/ans.pl?p=../../\"; classtype:web-application-attack; reference:cve,CAN-2002-0307; reference:nessus,10875; reference:bugtraq,4147; reference:bugtraq,4149; sid:1522; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC ans.pl access\"; flow:to_server,established; uricontent:\"/ans.pl\"; classtype:web-application-activity; reference:cve,CAN-2002-0307; reference:nessus,10875; reference:bugtraq,4147; reference:bugtraq,4149; sid:1523; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC AxisStorpoint CD attempt\"; flow:to_server,established; uricontent:\"/cd/../config/html/cnf_gi.htm\"; classtype:web-application-attack; reference:cve,CAN-2000-0191; sid:1524; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Axis Storpoint CD access\"; flow:to_server,established; uricontent:\"/config/html/cnf_gi.htm\"; classtype:web-application-activity; reference:cve,CAN-2000-0191; sid:1525; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC basilix sendmail.inc access\"; flow:to_server,established; uricontent:\"/inc/sendmail.inc\"; reference:nessus,10601; reference:cve,CAN-2001-1044; classtype:web-application-activity; sid:1526; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC basilix mysql.class access\"; flow:to_server,established; uricontent:\"/class/mysql.class\"; reference:nessus,10601; reference:cve,CAN-2001-1044; classtype:web-application-activity; sid:1527; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC BBoard access\"; flow:to_server,established; uricontent:\"/servlet/sunexamples.BBoardServlet\"; classtype:web-application-activity; reference:nessus,10507; reference:cve,CAN-2000-0629; sid:1528; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Cisco Catalyst command execution attempt\"; flow:to_server,established; uricontent:\"/exec/show/config/cr\"; nocase; reference:cve,CAN-2000-0945; classtype:web-application-activity; sid:1544; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC cisco /%% DOS attempt\"; flow:to_server,established; uricontent:\"/%%\"; classtype:web-application-attack; sid:1546; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC /CVS/Entries access\"; flow:to_server,established; uricontent:\"/CVS/Entries\"; classtype:web-application-activity; sid:1551; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC cvsweb version access\"; flow:to_server,established; uricontent:\"/cvsweb/version\"; reference:cve,CAN-2000-0670; classtype:web-application-activity; sid:1552; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC /doc/packages access\"; flow:to_server,established; uricontent:\"/doc/packages\"; nocase; classtype:web-application-activity; sid:1559; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC /doc/ access\"; flow:to_server,established; uricontent:\"/doc/\"; nocase; reference:cve,CVE-1999-0678; reference:bugtraq,318; classtype:web-application-activity; sid:1560; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC ?open access\"; flow:to_server,established; uricontent:\"?open\"; nocase; classtype:web-application-activity; sid:1561; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC login.htm attempt\"; flow:to_server,established; uricontent:\"/login.htm?password=\"; nocase; reference:cve,CAN-1999-1533; classtype:web-application-activity; sid:1563; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC login.htm access\"; flow:to_server,established; uricontent:\"/login.htm\"; nocase; reference:cve,CAN-1999-1533; classtype:web-application-activity; sid:1564; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC /exchange/root.asp attempt\"; flow:to_server,established; uricontent:\"/exchange/root.asp?acs=anon\"; nocase; classtype:web-application-attack; sid:1567; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC /exchange/root.asp access\"; flow:to_server,established; uricontent:\"/exchange/root.asp\"; nocase; classtype:web-application-activity; sid:1568; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC DELETE attempt\"; flow:to_server,established; content:\"DELETE \"; offset:0; depth:7; nocase; classtype:web-application-activity; sid:1603; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC /home/ftp access\"; flow:to_server,established; uricontent:\"/home/ftp\"; nocase; classtype:web-application-activity; sid:1670; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC /home/www access\"; flow:to_server,established; uricontent:\"/home/www\"; nocase; classtype:web-application-activity; sid:1671; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC global.inc access\"; flow:to_server,established; uricontent:\"/global.inc\"; nocase; reference:bugtraq,4612; classtype:web-application-attack; sid:1738; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC SecureSite authentication bypass attempt\"; flow:to_server,established; content:\"secure_site, ok\"; nocase; reference:bugtraq,4621; classtype:web-application-attack; sid:1744; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC b2 arbitrary command execution attempt\"; flow:to_server,established; uricontent:\"/b2/b2-include/\"; content:\"b2inc\"; content:\"http\\://\"; classtype:web-application-attack; sid:1757; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC b2 access\"; flow:to_server,established; uricontent:\"/b2/b2-include/\"; content:\"b2inc\"; content:\"http\\://\"; classtype:web-application-attack; sid:1758; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC search.dll directory listing attempt\"; flow:to_server,established; uricontent:\"/search.dll\"; content:\"query=%00\"; reference:cve,CAN-2000-0835; reference:nessus,10514; classtype:web-application-attack; sid:1766; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC search.dll access\"; flow:to_server,established; uricontent:\"/search.dll\"; reference:nessus,10514; reference:cve,CAN-2000-0835; classtype:web-application-activity; sid:1767; rev:3;)\n\n\n# The following signatures are for non-standard ports.  When ports lists work, then these will be converted to use HTTP_PORTS & HTTP_SERVERS\nalert tcp $EXTERNAL_NET any -> $HOME_NET 8181 (msg:\"WEB-MISC PIX firewall manager directory traversal attempt\"; flow:to_server,established; uricontent:\"/../../\"; classtype:web-application-attack; sid:1498; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 4080 (msg:\"WEB-MISC iChat directory traversal attempt\"; flow:to_server,established; uricontent:\"/../../\"; classtype:web-application-activity; reference:cve,CAN-1999-0897; sid:1604;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 8080 (msg:\"WEB-MISC Delegate whois overflow attempt\"; flow:to_server,established; content:\"whois\\://\"; nocase; reference:cve,CVE-2000-0165; classtype:web-application-activity; sid:1558; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 8000 (msg:\"WEB-MISC nstelemetry.adp access\"; flow:to_server,established; uricontent:\"/nstelemetry.adp\"; classtype:web-application-activity; sid:1518; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 457 (msg:\"WEB-MISC netscape unixware overflow\"; content: \"|eb 5f 9a ff ff ff ff 07 ff c3 5e 31 c0 89 46 9d|\"; flow:to_server,established; reference:arachnids,180; classtype:attempted-recon; sid:1132;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 2301 (msg:\"WEB-MISC Compaq Insight directory traversal\"; flow:to_server,established; uricontent: \"../\"; reference:bugtraq,282; reference:arachnids,244; reference:cve,CVE-1999-0771; classtype:web-application-attack; sid:1199;  rev:7;)\n\n\n# when we get real ports list, we will merge these sigs.  so for now, keep the\n# message the same.\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC VirusWall catinfo access\"; flow:to_server,established; uricontent:\"/catinfo\"; nocase; reference:bugtraq,2808; reference:bugtraq,2579; reference:nessus,10650; reference:cve,CAN-2001-0432; classtype:attempted-recon; sid:1231; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 1812 (msg:\"WEB-MISC VirusWall catinfo access\"; flow:to_server,established; uricontent:\"/catinfo\"; nocase; reference:bugtraq,2808; reference:bugtraq,2579; reference:nessus,10650; reference:cve,CAN-2001-0432; classtype:attempted-recon; sid:1232; rev:4;)\n\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Apache Chunked-Encoding worm attempt\"; flow:to_server,established; content:\"CCCCCCC\\: AAAAAAAAAAAAAAAAAAA\"; nocase; classtype:web-application-attack; reference:bugtraq,4474; reference:cve,CAN-2002-0079;reference:bugtraq,5033; reference:cve,CAN-2002-0392; sid:1809; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Transfer-Encoding\\: chunked\"; flow:to_server,established; content:\"Transfer-Encoding\\:\"; nocase; content:\"chunked\"; nocase; classtype:web-application-attack; reference:bugtraq,4474; reference:cve,CAN-2002-0079; reference:bugtraq,5033; reference:cve,CAN-2002-0392; sid:1807; rev:1;)\n\n\n\n\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC CISCO VoIP DOS ATTEMPT\"; flow:to_server,established; uricontent:\"/StreamingStatistics\"; reference:bugtraq,4794; classtype:misc-attack; sid:1814; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC IBM Net.Commerce orderdspc.d2w access\"; flow:established,to_server; uricontent:\"/ncommerce3/ExecMacro/orderdspc.d2w\"; reference:cve,CVE-2001-0319; reference:nessus,11020; classtype:web-application-activity; sid:1820; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC WEB-INF access\"; flow:established,to_server; uricontent:\"/WEB-INF\"; nocase; reference:nessus,11037; classtype:web-application-activity; sid:1826; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC tomcat servlet mapping cross site scripting attempt\"; flow:established,to_server; uricontent:\"/servlet/\"; uricontent:\"/org.apache.\"; reference:nessus,11041; reference:bugtraq,5193; classtype:web-application-attack; sid:1827; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC iPlanet Search directory traversal attempt\"; flow:established,to_server; uricontent:\"/search\"; content:\"NS-query-pat=\"; content:\"../../\"; reference:nessus,11043; reference:bugtraq,5191; classtype:web-application-attack; sid:1828; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC tomcat TroubleShooter servlet access\"; flow:established,to_server; uricontent:\"/examples/servlet/TroubleShooter\"; reference:nessus,11046; reference:bugtraq,4575; classtype:web-application-activity; sid:1829; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC tomcat SnoopServlet servlet access\"; flow:established,to_server; uricontent:\"/examples/servlet/SnoopServlet\"; reference:nessus,11046; reference:bugtraq,4575; classtype:web-application-activity; sid:1830; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC jigsaw dos attempt\"; flow:established,to_server; uricontent:\"/servlet/con\"; reference:nessus,11047; classtype:web-application-attack; sid:1831; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Macromedia SiteSpring cross site scripting attempt\"; flow:established,to_server; uricontent:\"/error/500error.jsp\"; nocase; uricontent:\"et=\"; uricontent:\"<script\"; nocase; reference:bugtraq,5249; classtype:web-application-attack; sid:1835; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC mailman cross site scripting attempt\"; flow:established,to_server; uricontent:\"/mailman/\"; nocase; uricontent:\"?\"; uricontent:\"info=\"; uricontent:\"<script\"; nocase; reference:bugtraq,5298; classtype:web-application-attack; sid:1839; rev:2;)\n\n\n\n# NOTES: this signature looks for access to common webalizer output directories.\n# Webalizer is a http server log reporting program.  By allowing anyone on the\n# internet to view the web access logs, attackers can gain information about\n# your customers that probably should not be made public.  webalizer had cross\n# site scripting bugs prior to version 2.01-09.\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC webalizer access\"; flow:established,to_server; uricontent:\"/webalizer/\"; nocase; reference:nessus,10816; reference:cve,CAN-1999-0643; classtype:web-application-activity; sid:1847; rev:3;)\n\n\n# NOTES: this signature looks for someone accessing the directory webcart-lite.\n# webcart-lite allows users to access world readable plain text customer\n# information databases.  To correct this issue, users should make the\n# data directories and databases not world readable, move the files outside of\n# WEBROOT if possile, and verify that a compromise of customer information has\n# not occured.\n# SIMILAR RULES: sid:1125\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC webcart-lite access\"; flow:to_server,established; uricontent:\"/webcart-lite/\"; nocase; reference:cve,CAN-1999-0610; reference:nessus,10298; classtype:web-application-activity; sid:1848; rev:2;)\n\n\n# NOTES: this signature looks for someone accessing the web application\n# \"webfind.exe\".  This application has a buffer overflow in the keywords\n# arguement.  An attacker can use this vulnerability to execute arbitrary\n# code on the web server.\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC webfind.exe access\"; flow:to_server,established; uricontent:\"/webfind.exe\"; nocase; reference:cve,CAN-2000-0622; reference:nessus,10475; classtype:web-application-activity; sid:1849; rev:2;)\n\n\n# NOTES: this signature looks for someone accessing the web application\n# \"way-board.cgi\".  This application allows attackers to view arbitrary\n# files that are readable with the privilages of the web server.\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC way-board.cgi access\"; flow:to_server,established; uricontent:\"/way-board.cgi\"; nocase; reference:nessus,10610; classtype:web-application-activity; sid:1850; rev:2;)\n\n# NOTES: this signature looks for someone accessing the file \"active.log\" via\n# a web server.  By allowing anyone on the internet to view the web access\n# logs, attackers can gain information about your customers that probably\n# should not be made public.\n#\n# This logfile is made available from the WebActive webserver.  This webserver\n# is no longer maintained and should be replaced with an activily maintained\n# webserver.  If converting to another webserver is not possible, remove read\n# access to this file.\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC active.log access\"; flow:to_server,established; uricontent:\"/active.log\"; nocase; reference:nessus,10470; reference:cve,CAN-2000-0642; classtype:web-application-activity; sid:1851; rev:2;)\n\n\n\n# NOTES: this signature looks for someone accessing the file \"robots.txt\" via\n# web server.  This file is used to make web spider agents (including search\n# engines) more efficent.  robots.txt is often used to inform a web spider\n# which directories that the spider should ignore because the content may be\n# dynamic or restricted.  An attacker can use this information to gain insite\n# into directories that may have been deemed sensitive.\n#\n# Verify that the robots.txt does not include any sensitive information.\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC robots.txt access\"; flow:to_server,established; uricontent:\"/robots.txt\"; nocase; reference:nessus,10302; classtype:web-application-activity; sid:1852; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC robot.txt access\"; flow:to_server,established; uricontent:\"/robot.txt\"; nocase; reference:nessus,10302; classtype:web-application-activity; sid:1857; rev:3;)\n\n\nalert tcp $EXTERNAL_NET any -> $HOME_NET 8181 (msg:\"WEB-MISC CISCO PIX Firewall Manager directory traversal attempt\"; flow:to_server,established; uricontent:\"/pixfir~1/how_to_login.html\"; reference:bugtraq,691; reference:nessus,10819; classtype:misc-attack; sid:1858; rev:2;)\n\n\nalert tcp $EXTERNAL_NET any -> $HOME_NET 9090 (msg:\"WEB-MISC Sun JavaServer default password login attempt\"; flow:to_server,established; uricontent:\"/servlet/admin\"; content:\"ae9f86d6beaa3f9ecb9a5b7e072a4138\"; reference:nessus,10995; classtype:default-login-attempt; sid:1859; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 8080 (msg:\"WEB-MISC Linksys router default password login attempt \\(\\:admin\\)\"; flow:to_server,established; content:\"Authorization\\: Basic OmFkbWlu\"; reference:nessus,10999; classtype:default-login-attempt; sid:1860; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 8080 (msg:\"EXPERIMENTAL WEB-MISC Linksys router default password login attempt \\(admin\\:admin\\)\";  flow:to_server,established; content:\"Authorization\\: \"; nocase; content:\" Basic \"; nocase; content:\"YWRtaW46YWRtaW4\"; reference:nessus,10999; classtype:default-login-attempt; sid:1861; rev:3;)\n\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI mrtg.cgi directory traversal attempt\"; flow:to_server,established; uricontent:\"/mrtg.cgi\"; content:\"cfg=/../\"; reference:nessus,11001; classtype:web-application-attack; sid:1862; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-CGI mrtg.cgi access\"; flow:to_server,established; uricontent:\"/mrtg.cgi\"; reference:nessus,11001; classtype:web-application-activity; sid:1863; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Oracle XSQLConfig.xml access\"; flow:to_server,established; uricontent:\"/XSQLConfig.xml\"; reference:nessus,10855; reference:cve,CAN-2002-0568; classtype:web-application-activity; sid:1871; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Oracle Dynamic Monitoring Services (dms) access\"; flow:to_server,established; uricontent:\"/dms0\"; reference:nessus,10848; classtype:web-application-activity; sid:1872; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC globals.jsa access\"; flow:to_server,established; uricontent:\"/globals.jsa\"; reference:nessus,10850; reference:cve,CAN-2002-0562; classtype:web-application-activity; sid:1873; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC Oracle Java Process Manager access\"; flow:to_server,established; uricontent:\"/oprocmgr-status\"; reference:nessus,10851; classtype:web-application-activity; sid:1874; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC bad HTTP/1.1 request, Potentially worm attack\"; flow:to_server,established; content:\"GET / HTTP/1.1|0d 0a 0d 0a|\";  offset:0; depth:18; reference:url,securityresponse.symantec.com/avcenter/security/Content/2002.09.13.html; classtype:web-application-activity; sid:1881; rev:4;)\n# alert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC whisker HEAD with large datagram\"; content:\"HEAD\"; offset: 0; depth: 4; nocase; dsize:>512; flow:to_server,established,no_stream; classtype:attempted-recon; reference:url,www.wiretrip.net/rfp/pages/whitepapers/whiskerids.html; sid:1171; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC whisker space splice attack\"; content:\"|20|\"; flow:to_server,established; dsize:1; reference:arachnids,296; classtype:attempted-recon; reference:url,www.wiretrip.net/rfp/pages/whitepapers/whiskerids.html; sid:1104;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC whisker tab splice attack\"; dsize: <5; flow:to_server,established; content: \"|09|\"; reference:arachnids,415; classtype:attempted-recon; reference:url,www.wiretrip.net/rfp/pages/whitepapers/whiskerids.html; sid:1087; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC apache chunked encoding memory corruption exploit attempt\"; flow:established,to_server; content:\"|C0 50 52 89 E1 50 51 52 50 B8 3B 00 00 00 CD 80|\"; reference:bugtraq,5033; reference:cve,CAN-2002-0392; classtype:web-application-activity; sid:1808; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC /Carello/add.exe access\"; flow:to_server,established; uricontent:\"/Carello/add.exe\"; nocase; reference:cve,CVE-2000-0396; reference:bugtraq,1245; classtype:web-application-activity; sid:1943; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC /ecscripts/ecware.exe access\"; flow:to_server,established; uricontent:\"/ecscripts/ecware.exe\"; nocase; classtype:web-application-activity; sid:1944; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS $HTTP_PORTS (msg:\"WEB-MISC ion-p access\"; flow:to_server,established; uricontent:\"/ion-p\"; nocase; reference:bugtraq,6091; classtype:web-application-activity; sid:1969; rev:1;)\n\nalert tcp $EXTERNAL_NET any -> $HOME_NET 8888 (msg:\"WEB-MISC SiteScope Service access\"; flow:to_server,established; uricontent:\"/SiteScope/cgi/go.exe/SiteScope\"; reference:nessus,10778; classtype:web-application-activity; sid:1499; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 8888 (msg:\"WEB-MISC answerbook2 admin attempt\"; flow:to_server,established; content:\"/cgi-bin/admin/admin\"; classtype:web-application-activity; sid:1946; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 8888 (msg:\"WEB-MISC answerbook2 arbitrary command execution attempt\"; flow:to_server,established; content:\"/ab2/\"; content:\"\\;\"; distance:1; classtype:web-application-attack; sid:1947; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET $HTTP_PORTS (msg:\"WEB-MISC perl post attempt\"; flow:to_server,established; content:\"POST\"; offset:0; depth:4; uricontent:\"/perl/\"; reference:bugtraq,5520; reference:nessus,11158; classtype:web-application-attack; sid:1979; rev:1;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'attack-responses.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n# ----------------\n# ATTACK RESPONSES\n# ----------------\n# These signatures are those when they happen, its usually because a machine\n# has been compromised.  These should not false that often and almost always\n# mean a compromise.\n\nalert tcp $HTTP_SERVERS $HTTP_PORTS -> $EXTERNAL_NET any (msg:\"ATTACK RESPONSES http dir listing\"; content: \"Volume Serial Number\"; flow:from_server,established; classtype:bad-unknown; sid:1292; rev:4;)\nalert tcp $HTTP_SERVERS $HTTP_PORTS -> $EXTERNAL_NET any (msg:\"ATTACK RESPONSES command completed\"; content:\"Command completed\"; nocase; flow:from_server,established; classtype:bad-unknown; sid:494; rev:5;)\nalert tcp $HTTP_SERVERS $HTTP_PORTS -> $EXTERNAL_NET any (msg:\"ATTACK RESPONSES command error\"; content:\"Bad command or filename\"; nocase; flow:from_server,established; classtype:bad-unknown; sid:495; rev:5;)\nalert tcp $HTTP_SERVERS $HTTP_PORTS -> $EXTERNAL_NET any (msg:\"ATTACK RESPONSES file copied ok\"; content:\"1 file(s) copied\"; nocase; flow:from_server,established; classtype:bad-unknown; sid:497; rev:5;)\nalert tcp $HTTP_SERVERS $HTTP_PORTS -> $EXTERNAL_NET any (msg:\"ATTACK RESPONSES Invalid URL\"; content:\"Invalid URL\"; nocase; flow:from_server,established; reference:url,www.microsoft.com/technet/security/bulletin/MS00-063.asp; classtype:attempted-recon; sid:1200; rev:7;)\nalert tcp $HTTP_SERVERS $HTTP_PORTS -> $EXTERNAL_NET any (msg:\"ATTACK RESPONSES index of /cgi-bin/ response\"; flow:from_server,established; content:\"Index of /cgi-bin/\"; nocase; classtype:bad-unknown; sid:1666; rev:3;)\nalert tcp $HTTP_SERVERS $HTTP_PORTS -> $EXTERNAL_NET any (msg:\"ATTACK RESPONSES 403 Forbidden\"; flow:from_server,established; content:\"HTTP/1.1 403\"; depth:12; classtype:attempted-recon; sid:1201; rev:6;)\nalert ip any any -> any any (msg:\"ATTACK RESPONSES id check returned root\"; content: \"uid=0(root)\"; classtype:bad-unknown; sid:498; rev:3;)\nalert tcp $HOME_NET 8002 -> $EXTERNAL_NET any (msg:\"ATTACK RESPONSES oracle one hour install\"; flow:from_server,established; content:\"Oracle Applications One-Hour Install\"; classtype:bad-unknown; sid:1464; rev:2;)\nalert tcp $HTTP_SERVERS $HTTP_PORTS -> $EXTERNAL_NET any (msg:\"ATTACK RESPONSES id check returned www\"; flow:from_server,established; content:\"uid=\"; content:\"(www)\"; classtype:bad-unknown; sid:1882; rev:2;)\nalert tcp $HTTP_SERVERS $HTTP_PORTS -> $EXTERNAL_NET any (msg:\"ATTACK RESPONSES id check returned nobody\"; flow:from_server,established; content:\"uid=\"; content:\"(nobody)\"; classtype:bad-unknown; sid:1883; rev:2;)\nalert tcp $HTTP_SERVERS $HTTP_PORTS -> $EXTERNAL_NET any (msg:\"ATTACK RESPONSES id check returned web\"; flow:from_server,established; content:\"uid=\"; content:\"(web)\"; classtype:bad-unknown; sid:1884; rev:2;)\nalert tcp $HTTP_SERVERS $HTTP_PORTS -> $EXTERNAL_NET any (msg:\"ATTACK RESPONSES id check returned http\"; flow:from_server,established; content:\"uid=\"; content:\"(http)\"; classtype:bad-unknown; sid:1885; rev:2;)\nalert tcp $HTTP_SERVERS $HTTP_PORTS -> $EXTERNAL_NET any (msg:\"ATTACK RESPONSES id check returned apache\"; flow:from_server,established; content:\"uid=\"; content:\"(apache)\"; classtype:bad-unknown; sid:1886; rev:2;)\nalert tcp $HOME_NET 749 -> $EXTERNAL_NET any (msg:\"ATTACK-RESPONSE successful kadmind bufferflow attempt\"; flow:established,from_server; content:\"*GOBBLE*\"; depth:8; reference:cve,CAN-2002-1235; reference:url,www.kb.cert.org/vuls/id/875073; classtype:successful-admin; sid:1900; rev:1;)\nalert tcp $HOME_NET 751 -> $EXTERNAL_NET any (msg:\"ATTACK-RESPONSE successful kadmind bufferflow attempt\"; flow:established,from_server; content:\"*GOBBLE*\"; depth:8; reference:cve,CAN-2002-1235; reference:url,www.kb.cert.org/vuls/id/875073; classtype:successful-admin; sid:1901; rev:1;)\nalert tcp $HOME_NET 22 -> $EXTERNAL_NET any (msg:\"ATTACK-RESPONSE successful gobbles ssh exploit (GOBBLE)\"; flow:from_server,established; content:\"|2a|GOBBLE|2a|\"; reference:bugtraq,5093; classtype:successful-admin; sid:1810; rev:2;)\nalert tcp $HOME_NET 22 -> $EXTERNAL_NET any (msg:\"ATTACK-RESPONSE successful gobbles ssh exploit (uname)\"; flow:from_server,established; content:\"uname\"; reference:bugtraq,5093; classtype:misc-attack; sid:1811; rev:2;)\n','2003-04-05 22:29:15',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'ftp.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#----------\n# FTP RULES\n#----------\n\n\n# protocol verification\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP CEL overflow attempt\";flow:to_server,established; content:\"CEL \"; nocase; content:!\"|0a|\"; within:100; reference:bugtraq,679; reference:cve,CVE-1999-0789; reference:arachnids,257; classtype:attempted-admin; sid:337; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP CWD overflow attempt\"; flow:to_server,established; content:\"CWD \"; nocase; content:!\"|0a|\"; within:100; reference:cve,CAN-2000-1035; reference:cve,CAN-2000-1194; reference:cve,CAN-2002-0126; classtype:attempted-admin; sid:1919; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP CMD overflow attempt\"; flow:to_server,established; content:\"CMD \"; nocase; content:!\"|0a|\"; within:100; classtype:attempted-admin; sid:1621; rev:8;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP STAT overflow attempt\"; flow:to_server,established; content:\"STAT \"; nocase; content:!\"|0a|\"; within:100; reference:url,labs.defcom.com/adv/2001/def-2001-31.txt; classtype:attempted-admin; sid:1379; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP SITE CHOWN overflow attempt\"; flow:to_server,established; content:\"SITE \"; nocase; content:\" CHOWN \"; nocase; content:!\"|0a|\"; within:100; reference:cve,CAN-2001-0065; classtype:attempted-admin; sid:1562; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP SITE NEWER overflow attempt\"; flow:to_server,established; content:\"SITE \"; nocase; content:\" NEWER \"; nocase; content:!\"|0a|\"; within:100; reference:cve,CVE-1999-0800; classtype:attempted-admin; sid:1920; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP SITE CPWD overflow attempt\"; flow:established,to_server; content:\"SITE \"; nocase; content:\" CPWD \"; nocase; content:!\"|0a|\"; within:100; reference:bugtraq,5427; reference:cve,CAN-2002-0826; classtype:misc-attack; sid:1888; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP SITE EXEC format string attempt\"; flow:to_server,established; content:\"SITE\"; nocase; content:\"EXEC \"; nocase; distance:0; content:\"%\"; distance:1; content:\"%\"; distance:1; classtype:bad-unknown; sid:1971; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP SITE overflow attempt\"; flow:to_server,established; content:\"SITE \"; nocase; content:!\"|0a|\"; within:100; reference:cve,CAN-2001-0755; reference:cve,CAN-2001-0770; reference:cve,CVE-1999-0838; classtype:attempted-admin; sid:1529; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP USER overflow attempt\"; flow:to_server,established,no_stream;  content:\"USER \"; nocase; content:!\"|0a|\"; within:100; reference:bugtraq,4638; reference:cve,CAN-2000-0479; reference:cve,CAN-2000-0656; reference:cve,CAN-2000-1035; reference:cve,CAN-2000-1194; reference:cve,CAN-2001-0794; reference:cve,CAN-2001-0826; reference:cve,CAN-2002-0126; reference:cve,CVE-2000-0943; classtype:attempted-admin; sid:1734; rev:7;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP PASS overflow attempt\"; flow:to_server,established,no_stream;  content:\"PASS \"; nocase; content:!\"|0a|\"; within:100; reference:cve,CAN-2000-1035; reference:cve,CAN-2002-0126; classtype:attempted-admin; sid:1972; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP RMDIR overflow attempt\"; flow:to_server,established;  content:\"RMDIR \"; nocase; content:!\"|0a|\"; within:100; classtype:attempted-admin; sid:1942; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP MKD overflow attempt\";flow:to_server,established; content:\"MKD \"; nocase; content:!\"|0a|\"; within:100; reference:cve,CAN-1999-0911; reference:bugtraq,612; classtype:attempted-admin; sid:1973; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP REST overflow attempt\";flow:to_server,established; content:\"REST \"; nocase; content:!\"|0a|\"; within:100; reference:cve,CAN-2001-0826; classtype:attempted-admin; sid:1974; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP DELE overflow attempt\";flow:to_server,established; content:\"DELE \"; nocase; content:!\"|0a|\"; within:100; reference:cve,CAN-2001-0826; classtype:attempted-admin; sid:1975; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP RMD overflow attempt\"; flow:to_server,established;  content:\"RMD \"; nocase; content:!\"|0a|\"; within:100;reference:cve,CAN-2001-0826; classtype:attempted-admin; sid:1976; rev:1;)\n\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP invalid MODE\"; flow:to_server,established; content:\"MODE \"; nocase; content:!\" B\"; nocase; content:!\" A\"; nocase; content:!\" S\"; nocase; content:!\" C\"; nocase; classtype:protocol-command-decode; sid:1623; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP large PWD command\"; flow:to_server,established; content:\"PWD\"; nocase; dsize:10; classtype:protocol-command-decode; sid:1624; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP large SYST command\"; flow:to_server,established; content:\"SYST\"; nocase; dsize:10; classtype:protocol-command-decode; sid:1625; rev:3;)\n\n\n\n\n\n# bad ftp commands\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP SITE ZIPCHK attempt\"; flow:to_server,established; content:\"SITE \"; nocase; content:\" ZIPCHK \"; nocase; content:!\"|0a|\"; within:100; reference:cve,CVE-2000-0040; classtype:attempted-admin; sid:1921; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP SITE NEWER attempt\"; flow:to_server,established; content:\"SITE \"; nocase; content:\" NEWER \"; nocase; reference:cve,CVE-1999-0880; reference:nessus,10319; classtype:attempted-dos; sid:1864; rev:2;)\n\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP site exec\"; flow:to_server,established; content:\"SITE \"; nocase; content:\"EXEC \"; distance:0; nocase; reference:bugtraq,2241; reference:arachnids,317; classtype:bad-unknown; sid:361;  rev:7;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP EXPLOIT STAT * dos attempt\"; flow:to_server,established; content:\"STAT \"; nocase; content:\"*\"; reference:bugtraq,4482; classtype:attempted-dos; sid:1777; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP EXPLOIT STAT ? dos attempt\"; flow:to_server,established; content:\"STAT \"; nocase; content:\"?\"; reference:bugtraq,4482; classtype:attempted-dos; sid:1778; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP tar parameters\"; flow:to_server,established; content:\" --use-compress-program\" ; nocase; reference:bugtraq,2240; reference:arachnids,134; reference:cve,CVE-1999-0202; classtype:bad-unknown; sid:362; rev:7;)\n\n# bad directories\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP CWD ~root attempt\"; content:\"CWD \"; content:\" ~root\"; nocase; flow:to_server,established; reference:cve,CVE-1999-0082; reference:arachnids,318; classtype:bad-unknown; sid:336;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP CWD ...\"; flow:to_server,established; content:\"CWD \"; content:\" ...\"; classtype:bad-unknown; sid:1229;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP CWD ~<NEWLINE> attempt\"; content:\"CWD \"; content:\" ~|0A|\"; flow:to_server,established; reference:cve,CAN-2001-0421; reference:bugtraq,2601; classtype:denial-of-service; sid:1672;  rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP CWD ~<CR><NEWLINE> attempt\"; content:\"CWD \"; content:\" ~|0D0A|\"; flow:to_server,established; reference:cve,CAN-2001-0421; reference:bugtraq,2601; classtype:denial-of-service; sid:1728;  rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP CWD .... attempt\"; content:\"CWD \"; content:\" ....\"; flow:to_server,established; reference:bugtraq,4884; classtype:denial-of-service; sid:1779; rev:1;)\n\n\n\n# vulnerabilities against specific implementations of ftp\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP serv-u directory transversal\"; flow:to_server,established; content: \".%20.\"; nocase; reference:bugtraq,2025; reference:cve,CVE-2001-0054; classtype:bad-unknown; sid:360;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP wu-ftp bad file completion attempt [\"; flow:to_server,established; content:\"~\"; content:\"[\"; distance:1;reference:cve,CVE-2001-0550; reference:cve,CAN-2001-0886; reference:bugtraq,3581; classtype:misc-attack; sid:1377; rev:10;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP wu-ftp bad file completion attempt {\"; flow:to_server,established; content:\"~\"; content:\"{\"; distance:1; reference:cve,CVE-2001-0550; reference:cve,CAN-2001-0886; reference:bugtraq,3581; classtype:misc-attack; sid:1378; rev:10;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP format string attempt\"; flow:to_server,established; content:\"%p\"; nocase; classtype:attempted-admin; sid:1530; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP RNFR ././ attempt\"; flow:to_server,established; content:\"RNFR \"; nocase; content:\" ././\"; nocase; classtype:misc-attack; sid:1622; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP command overflow attempt\"; flow:to_server,established,no_stream; dsize:>100; reference:bugtraq,4638; classtype:protocol-command-decode; sid:1748; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP LIST directory traversal attempt\"; content:\"LIST\"; content:\"..\"; distance:1; content:\"..\"; distance:1; reference:cve,CVE-2001-0680; reference:bugtraq,2618; reference:nessus,11112; classtype:protocol-command-decode; sid:1992; rev:1;)\n\n\n# BAD FILES\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP .forward\"; content: \".forward\"; flow:to_server,established; reference:arachnids,319; classtype:suspicious-filename-detect; sid:334;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP .rhosts\"; flow:to_server,established; content:\".rhosts\"; reference:arachnids,328; classtype:suspicious-filename-detect; sid:335;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP authorized_keys\"; flow:to_server,established; content:\"authorized_keys\"; classtype:suspicious-filename-detect; sid:1927; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP passwd retreval attempt\"; flow:to_server,established; content:\"RETR\"; nocase; content:\"passwd\"; reference:arachnids,213; classtype:suspicious-filename-detect; sid:356;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP shadow retreval attempt\"; flow:to_server,established; content:\"RETR\"; nocase; content:\"shadow\"; classtype:suspicious-filename-detect; sid:1928; rev:2;)\n\n# suspicious login attempts\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP ADMw0rm ftp login attempt\"; flow:to_server,established; content:\"USER w0rm|0D0A|\"; reference:arachnids,01; sid:144; classtype:suspicious-login;  rev:6;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP adm scan\"; flow:to_server,established; content:\"PASS ddd@|0a|\"; reference:arachnids,332; classtype:suspicious-login; sid:353;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP iss scan\"; flow:to_server,established; content:\"pass -iss@iss\"; reference:arachnids,331; classtype:suspicious-login; sid:354;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP pass wh00t\"; flow:to_server,established; content:\"pass wh00t\"; nocase; reference:arachnids,324; classtype:suspicious-login; sid:355;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP piss scan\"; flow:to_server,established; content:\"pass -cklaus\"; classtype:suspicious-login; sid:357;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP saint scan\"; flow:to_server,established; content:\"pass -saint\"; reference:arachnids,330; classtype:suspicious-login; sid:358;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 21 (msg:\"FTP satan scan\"; flow:to_server,established; content:\"pass -satan\"; reference:arachnids,329; classtype:suspicious-login; sid:359;  rev:4;)\n','2003-04-05 22:29:16',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'finger.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#-------------\n# FINGER RULES\n#-------------\n#\n\nalert tcp $EXTERNAL_NET any -> $HOME_NET 79 (msg:\"FINGER cmd_rootsh backdoor attempt\"; flow:to_server,established; content:\"cmd_rootsh\"; classtype:attempted-admin; reference:nessus,10070; reference:cve,CAN-1999-0660; reference:url,www.sans.org/y2k/TFN_toolkit.htm; reference:url,www.sans.org/y2k/fingerd.htm; sid:320; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 79 (msg:\"FINGER account enumeration attempt\"; flow:to_server,established; content:\"a b c d e f\"; nocase; reference:nessus,10788; classtype:attempted-recon; sid:321; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 79 (msg:\"FINGER search query\"; flow:to_server,established; content:\"search\"; reference:cve,CVE-1999-0259; reference:arachnids,375; classtype:attempted-recon; sid:322;  rev:7;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 79 (msg:\"FINGER root query\"; flow:to_server,established;  content:\"root\"; reference:arachnids,376; classtype:attempted-recon; sid:323;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 79 (msg:\"FINGER null request\"; flow:to_server,established; content:\"|00|\"; reference:arachnids,377; classtype:attempted-recon; sid:324;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 79 (msg:\"FINGER remote command \\; execution attempt\"; flow:to_server,established; content:\"|3b|\"; reference:cve,CVE-1999-0150; reference:bugtraq,974; reference:arachnids,379; classtype:attempted-user; sid:326;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 79 (msg:\"FINGER remote command pipe execution attempt\"; flow:to_server,established; content:\"|7c|\"; reference:cve,CVE-1999-0152; reference:bugtraq,2220; reference:arachnids,380; classtype:attempted-user; sid:327;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 79 (msg:\"FINGER bomb attempt\"; flow:to_server,established; content:\"@@\"; reference:arachnids,381; reference:cve,CAN-1999-0106; classtype:attempted-dos; sid:328;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 79 (msg:\"FINGER redirection attempt\"; flow:to_server,established; content:\"@\"; reference:nessus,10073; reference:arachnids,251; reference:cve,CAN-1999-0105; classtype:attempted-recon; sid:330; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 79 (msg:\"FINGER cybercop query\"; content: \"|0A|     \"; flow:to_server,established; depth:10; reference:arachnids,132; reference:cve,CVE-1999-0612; classtype:attempted-recon; sid:331; rev:6;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 79 (msg:\"FINGER 0 query\"; flow:to_server,established; content:\"0\"; reference:nessus,10069; reference:arachnids,378; reference:arachnids,131; reference:cve,CAN-1999-0197; classtype:attempted-recon; sid:332; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 79 (msg:\"FINGER . query\"; flow:to_server,established; content:\".\"; reference:nessus,10072; reference:arachnids,130; reference:cve,CAN-1999-0198; classtype:attempted-recon; sid:333; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 79 (msg:\"FINGER version query\"; flow:to_server,established; content:\"version\"; classtype:attempted-recon; sid:1541; rev:4;)\n','2003-04-05 22:29:16',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'exploit.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#--------------\n# EXPLOIT RULES\n#--------------\n\nalert tcp $EXTERNAL_NET any -> $HOME_NET 22 (msg:\"EXPLOIT ssh CRC32 overflow /bin/sh\"; flow:to_server,established; content:\"/bin/sh\"; reference:bugtraq,2347; reference:cve,CVE-2001-0144; classtype:shellcode-detect; sid:1324;  rev:3;)\n#alert tcp $EXTERNAL_NET any -> $HOME_NET 22 (msg:\"EXPLOIT ssh CRC32 overflow filler\"; flow:to_server,established; content:\"|00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00|\"; reference:bugtraq,2347; reference:cve,CVE-2001-0144; classtype:shellcode-detect; sid:1325;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 22 (msg:\"EXPLOIT ssh CRC32 overflow NOOP\"; flow:to_server,established; content:\"|90 90 90 90 90 90 90 90 90 90 90 90 90 90 90 90|\"; reference:bugtraq,2347; reference:cve,CVE-2001-0144; classtype:shellcode-detect; sid:1326;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 22 (msg:\"EXPLOIT ssh CRC32 overflow\"; flow:to_server,established; content:\"|00 01 57 00 00 00 18|\"; offset:0; depth:7; content:\"|FF FF FF FF 00 00|\"; offset:8; depth:14; reference:bugtraq,2347; reference:cve,CVE-2001-0144; classtype:shellcode-detect; sid:1327;  rev:3;)\nalert tcp $EXTERNAL_NET 80 -> $HOME_NET any (msg:\"EXPLOIT netscape 4.7 client overflow\"; flow:to_client,established; content: \"|33 C9 B1 10 3F E9 06 51 3C FA 47 33 C0 50 F7 D0 50|\"; reference:cve,CVE-2000-1187; reference:bugtraq,822; reference:arachnids,215; classtype:attempted-user; sid:283;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 139 (msg:\"EXPLOIT x86 linux samba overflow\"; flow:to_server,established; content:\"|eb2f 5feb 4a5e 89fb 893e 89f2|\"; reference:bugtraq,1816; reference:cve,CVE-1999-0811; reference:cve,CVE-1999-0182; classtype:attempted-admin; sid:292;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 2766 (msg:\"EXPLOIT nlps x86 solaris overflow\"; flow:to_server,established; content:\"|eb23 5e33 c088 46fa 8946 f589 36|\"; classtype:attempted-admin; sid:300; reference:bugtraq,2319; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 515 (msg:\"EXPLOIT LPRng overflow\"; flow:to_server,established; content: \"|43 07 89 5B 08 8D 4B 08 89 43 0C B0 0B CD 80 31 C0 FE C0 CD 80 E8 94 FF FF FF 2F 62 69 6E 2F 73 68 0A|\"; reference:cve,CVE-2000-0917; reference:bugtraq,1712; classtype:attempted-admin; sid:301;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 515 (msg:\"EXPLOIT redhat 7.0 lprd overflow\"; flow:to_server,established; content:\"|58 58 58 58 25 2E 31 37 32 75 25 33 30 30 24 6E|\"; classtype:attempted-admin; sid:302;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 6373 (msg:\"EXPLOIT sco calserver overflow\"; flow:to_server,established; content:\"|eb7f 5d55 fe4d 98fe 4d9b|\"; reference:cve,CVE-2000-0306; reference:bugtraq,2353; classtype:attempted-admin; sid:304;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 8080 (msg:\"EXPLOIT delegate proxy overflow\"; flow:to_server,established; content: \"whois|3a|//\"; nocase; dsize: >1000; reference:arachnids,267; classtype:attempted-admin; sid:305; reference:bugtraq,808; reference:cve,CVE-2000-0165; rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 9090 (msg:\"EXPLOIT VQServer admin\"; flow:to_server,established; content:\"GET / HTTP/1.1\"; nocase; reference:bugtraq,1610; reference:url,www.vqsoft.com/vq/server/docs/other/control.html; reference:cve,CAN-2000-0766; classtype:attempted-admin; sid:306; rev:5;)\nalert tcp $EXTERNAL_NET 21 -> $HOME_NET any (msg:\"EXPLOIT NextFTP client overflow\"; flow:to_client,established; content:\"|b420 b421 8bcc 83e9 048b 1933 c966 b910|\"; reference:bugtraq,572; reference:cve,CVE-1999-0671; classtype:attempted-user; sid:308; rev:6;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"EXPLOIT sniffit overflow\"; flags: A+; content:\"from|3A 90 90 90 90 90 90 90 90 90 90 90|\"; nocase; dsize: >512; reference:bugtraq,1158; reference:cve,CAN-2000-0343; reference:arachnids,273; classtype:attempted-admin; sid:309; rev:3;)\nalert tcp $EXTERNAL_NET any -> $SMTP_SERVERS 25 (msg:\"EXPLOIT x86 windows MailMax overflow\"; flow:to_server,established; content:\"|eb45 eb20 5bfc 33c9 b182 8bf3 802b|\"; reference:bugtraq,2312; reference:cve,CVE-1999-0404; classtype:attempted-admin; sid:310;  rev:5;)\nalert tcp $HOME_NET any -> $EXTERNAL_NET 80 (msg:\"EXPLOIT netscape 4.7 unsucessful overflow\"; content: \"|33 C9 B1 10 3F E9 06 51 3C FA 47 33 C0 50 F7 D0 50|\"; flow:to_server,established; reference:cve,CVE-2000-1187; reference:bugtraq,822; reference:arachnids,214; classtype:unsuccessful-user; sid:311;  rev:5;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 123 (msg:\"EXPLOIT ntpdx overflow attempt\"; dsize: >128; reference:arachnids,492; reference:bugtraq,2540; classtype:attempted-admin; sid:312; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 518 (msg:\"EXPLOIT ntalkd x86 linux overflow\"; content:\"|0103 0000 0000 0001 0002 02e8|\"; reference:bugtraq,210; classtype:attempted-admin; sid:313; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 635 (msg:\"EXPLOIT x86 linux mountd overflow\"; content:\"|5eb0 0289 06fe c889 4604 b006 8946|\"; reference:cve,CVE-1999-0002; reference:bugtraq,121; classtype:attempted-admin; sid:315; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 635 (msg:\"EXPLOIT x86 linux mountd overflow\"; content:\"|eb56 5E56 5656 31d2 8856 0b88 561e|\"; reference:cve,CVE-1999-0002; reference:bugtraq,121; classtype:attempted-admin; sid:316; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 635 (msg:\"EXPLOIT x86 linux mountd overflow\"; content:\"|eb40 5E31 c040 8946 0489 c340 8906|\";reference:cve,CVE-1999-0002; reference:bugtraq,121; classtype:attempted-admin; sid:317; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 2224 (msg:\"EXPLOIT MDBMS overflow\"; flow:to_server,established; content:\"|0131 DBCD 80E8 5BFF FFFF|\"; reference:bugtraq,1252; reference:cve,CVE-2000-0446; classtype:attempted-admin; sid:1240; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 4242 (msg:\"EXPLOIT aix pdnsd overflow\"; flow:to_server,established; content:\"|7FFF FB78 7FFF FB78 7FFF FB78 7FFF FB78|\"; content:\"|408A FFC8 4082 FFD8 3B36 FE03 3B76 FE02|\"; dsize:>1000; reference:cve,CVE-1999-0745; reference:bugtraq,3237; classtype:attempted-user; sid:1261;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 4321 (msg:\"EXPLOIT rwhoisd format string attempt\"; flow:to_server,established; content:\"-soa %p\"; reference:cve,CAN-2001-0838; reference:bugtraq,3474; classtype:misc-attack; sid:1323;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 6112 (msg:\"EXPLOIT CDE dtspcd exploit attempt\"; flow:to_server,established; content:\"1\"; offset:10; depth:1; content:!\"000\"; offset:11; depth:3; reference:cve,CAN-2001-0803; reference:url,www.cert.org/advisories/CA-2002-01.html; classtype:misc-attack; sid:1398;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 32772:34000 (msg:\"EXPLOIT cachefsd buffer overflow attempt\"; flow:to_server,established; dsize:>720; content:\"|00 01 87 86 00 00 00 01 00 00 00 05|\"; classtype:misc-attack; reference:cve,CAN-2002-0084; reference:bugtraq,4631; sid:1751; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 749 (msg:\"EXPLOIT kadmind buffer overflow attempt\"; flow:established,to_server; content:\"|00 C0 05 08 00 C0 05 08 00 C0 05 08 00 C0 05 08|\"; reference:cve,CAN-2002-1235; reference:url,www.kb.cert.org/vuls/id/875073; classtype:shellcode-detect; sid:1894; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 751 (msg:\"EXPLOIT kadmind buffer overflow attempt\"; flow:established,to_server; content:\"|00 C0 05 08 00 C0 05 08 00 C0 05 08 00 C0 05 08|\"; reference:cve,CAN-2002-1235; reference:url,www.kb.cert.org/vuls/id/875073; classtype:shellcode-detect; sid:1895; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 749 (msg:\"EXPLOIT kadmind buffer overflow attempt\"; flow:established,to_server; content:\"|ff ff 4b 41 44 4d 30 2e 30 41 00 00 fb 03|\"; reference:cve,CAN-2002-1235; reference:url,www.kb.cert.org/vuls/id/875073; classtype:shellcode-detect; sid:1896; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 751 (msg:\"EXPLOIT kadmind buffer overflow attempt\"; flow:established,to_server; content:\"|ff ff 4b 41 44 4d 30 2e 30 41 00 00 fb 03|\"; reference:cve,CAN-2002-1235; reference:url,www.kb.cert.org/vuls/id/875073; classtype:shellcode-detect; sid:1897; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 749 (msg:\"EXPLOIT kadmind buffer overflow attempt\"; flow:established,to_server; content:\"|2F 73 68 68 2F 2F 62 69|\"; reference:cve,CAN-2002-1235; reference:url,www.kb.cert.org/vuls/id/875073; classtype:shellcode-detect; sid:1898; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 751 (msg:\"EXPLOIT kadmind buffer overflow attempt\"; flow:established,to_server; content:\"|2F 73 68 68 2F 2F 62 69|\"; reference:cve,CAN-2002-1235; reference:url,www.kb.cert.org/vuls/id/875073; classtype:shellcode-detect; sid:1899; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 22 (msg:\"EXPLOIT gobbles SSH exploit attempt\"; flow:to_server,established; content:\"GOBBLES\"; reference:bugtraq,5093; classtype:misc-attack; sid:1812; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 515 (msg:\"EXPLOIT LPD dvips remote command execution attempt\"; flow:to_server,established; content:\"psfile=|2260|\"; reference:cve,CVE-2001-1002; reference:nessus,11023; classtype:system-call-detect; sid:1821; rev:3;)\n\nalert tcp $EXTERNAL_NET 22 -> $HOME_NET any (msg:\"EXPLOIT SSH server banner overflow\"; flow:established,from_server; content:\"SSH-\"; offset:0; depth:4; content:!\"|0a|\"; within:600; reference:bugtraq,5287; classtype:misc-attack; sid:1838; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 6666:7000 (msg:\"EXPLOIT CHAT IRC topic overflow\"; flow:to_client,established; content:\"|eb 4b 5b 53 32 e4 83 c3 0b 4b 88 23 b8 50 77|\"; reference:cve,CVE-1999-0672; reference:bugtraq,573; classtype:attempted-user; sid:307; rev:6;)\nalert tcp any any -> any 6666:7000 (msg:\"EXPLOIT CHAT IRC Ettercap parse overflow attempt\"; flow:to_server,established; content:\"PRIVMSG nickserv IDENTIFY\"; nocase; offset:0; content:!\"|0a|\"; within:150; reference:url,www.bugtraq.org/dev/GOBBLES-12.txt; classtype:misc-attack; sid:1382; rev:7;)\n\n','2003-04-05 22:29:16',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'experimental.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n# ---------------\n# EXPERIMENTAL RULES\n# ---------------\n# These signatures are experimental, new and may trigger way too often.\n#\n# Be forwarned, this is our testing ground.  We put new signatures here for\n# testing before incorporating them into the default signature set.  This is\n# for bleeding edge stuff only.\n#\n\n\n','2003-04-05 22:29:16',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'dos.rules','# (C) Copyright 2001, Martin Roesch, Brian Caswell, et al.  All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#----------\n# DOS RULES\n#----------\n\nalert ip $EXTERNAL_NET any -> $HOME_NET any (msg:\"DOS Jolt attack\"; fragbits: M; dsize:408; reference:cve,CAN-1999-0345; classtype:attempted-dos; sid:268; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"DOS Land attack\"; id:3868; seq: 3868; flags:S; reference:cve,CVE-1999-0016; classtype:attempted-dos; sid:269; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET any (msg:\"DOS Teardrop attack\"; id:242; fragbits:M; reference:cve,CAN-1999-0015; reference:url,www.cert.org/advisories/CA-1997-28.html; reference:bugtraq,124; classtype:attempted-dos; sid:270; rev:2;)\nalert udp any 19 <> any 7 (msg:\"DOS UDP echo+chargen bomb\"; reference:cve,CAN-1999-0635; reference:cve,CVE-1999-0103; classtype:attempted-dos; sid:271; rev:3;)\nalert ip $EXTERNAL_NET any -> $HOME_NET any (msg:\"DOS IGMP dos attack\"; content:\"|02 00|\"; depth: 2; ip_proto: 2; fragbits: M+; reference:cve,CVE-1999-0918; classtype:attempted-dos; sid:272; rev:2;)\nalert ip $EXTERNAL_NET any -> $HOME_NET any (msg:\"DOS IGMP dos attack\"; content:\"|00 00|\"; depth:2; ip_proto:2; fragbits:M+; reference:cve,CVE-1999-0918; classtype:attempted-dos; sid:273; rev:2;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"DOS ath\"; content:\"+++ath\"; nocase; itype: 8; reference:cve,CAN-1999-1228; reference:arachnids,264; classtype:attempted-dos; sid:274; rev:2;)\nalert tcp $EXTERNAL_NET any <> $HOME_NET any (msg:\"DOS NAPTHA\"; flags:S; seq: 6060842; id: 413; reference:cve,CAN-2000-1039; reference:url,www.microsoft.com/technet/security/bulletin/MS00-091.asp; reference:url,www.cert.org/advisories/CA-2000-21.html; reference:url,razor.bindview.com/publish/advisories/adv_NAPTHA.html; reference:bugtraq,2022; classtype:attempted-dos; sid:275; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 7070 (msg:\"DOS Real Audio Server\"; flow:to_server,established; content: \"|fff4 fffd 06|\"; reference:bugtraq,1288; reference:cve,CVE-2000-0474; reference:arachnids,411; classtype:attempted-dos; sid:276; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 7070 (msg:\"DOS Real Server template.html\"; flow:to_server,established; content:\"/viewsource/template.html?\"; nocase; reference:cve,CVE-2000-0474; reference:bugtraq,1288; classtype:attempted-dos; sid:277; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 8080 (msg:\"DOS Real Server template.html\"; flow:to_server,established; content:\"/viewsource/template.html?\"; nocase; reference:cve,CVE-2000-0474; reference:bugtraq,1288; classtype:attempted-dos; sid:278; rev:3;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 161 (msg:\"DOS Bay/Nortel Nautica Marlin\"; dsize:0; reference:bugtraq,1009; reference:cve,CVE-2000-0221; classtype:attempted-dos; sid:279; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 9 (msg:\"DOS Ascend Route\"; content: \"|4e 41 4d 45 4e 41 4d 45|\"; offset: 25; depth: 50; reference:bugtraq,714; reference:cve,CVE-1999-0060; reference:arachnids,262; classtype:attempted-dos; sid:281; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 617 (msg:\"DOS arkiea backup\"; flow:to_server,established; dsize:>1445; reference:bugtraq,662; reference:cve,CVE-1999-0788; reference:arachnids,261; classtype:attempted-dos; sid:282; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 135:139 (msg: \"DOS Winnuke attack\"; flags: U+; reference: bugtraq,2010; reference:cve,CVE-1999-0153; classtype: attempted-dos; sid:1257; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 3372 (msg:\"DOS MSDTC attempt\"; flow:to_server,established; dsize:>1023; reference:bugtraq,4006; classtype:attempted-dos; sid:1408;  rev:5;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 6004 (msg:\"DOS iParty DOS attempt\"; flow:to_server,established; content:\"|FF FF FF FF FF FF|\"; offset:0; classtype:misc-attack; reference:cve,CAN-1999-1566; sid:1605; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 6789:6790 (msg:\"DOS DB2 dos attempt\"; flow:to_server,established; dsize:1; classtype:denial-of-service; sid:1641; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HTTP_SERVERS 80 (msg:\"DOS cisco attempt\"; flow:to_server,established; content:\"|13|\"; dsize:1; classtype:web-application-attack; sid:1545; rev:4;)\n','2003-04-05 22:29:16',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'dns.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#----------\n# DNS RULES\n#----------\n\n\nalert tcp $EXTERNAL_NET any -> $DNS_SERVERS 53 (msg:\"DNS zone transfer TCP\"; flow:to_server,established; content: \"|00 00 FC|\"; offset:14; reference:cve,CAN-1999-0532; reference:arachnids,212; classtype:attempted-recon; sid:255; rev:7;)\nalert udp $EXTERNAL_NET any -> $DNS_SERVERS 53 (msg:\"DNS zone transfer UDP\"; content: \"|00 00 FC|\"; offset:14; reference:cve,CAN-1999-0532; reference:arachnids,212; classtype:attempted-recon; sid:1948; rev:1;)\n\n\n\nalert tcp $EXTERNAL_NET any -> $DNS_SERVERS 53 (msg:\"DNS named authors attempt\"; flow:to_server,established; content:\"|07|authors\"; nocase; offset:12; content:\"|04|bind\"; nocase; offset: 12; reference:nessus,10728; reference:arachnids,480; classtype:attempted-recon; sid:1435; rev:4;)\nalert udp $EXTERNAL_NET any -> $DNS_SERVERS 53 (msg:\"DNS named authors attempt\"; content:\"|07|authors\"; nocase; offset:12; content:\"|04|bind\"; nocase; offset: 12; reference:nessus,10728; reference:arachnids,480; classtype:attempted-recon; sid:256; rev:3;)\nalert tcp $EXTERNAL_NET any -> $DNS_SERVERS 53 (msg:\"DNS named version attempt\"; flow:to_server,established; content:\"|07|version\"; nocase; offset:12; content:\"|04|bind\"; nocase; nocase; offset:12; reference:nessus,10028; reference:arachnids,278; classtype:attempted-recon; sid:257; rev:6;)\nalert udp $EXTERNAL_NET any -> $DNS_SERVERS 53 (msg:\"DNS named version attempt\"; content:\"|07|version\"; nocase; offset:12; content:\"|04|bind\"; nocase; offset: 12; reference:nessus,10028; reference:arachnids,278; classtype:attempted-recon; sid:1616; rev:4;)\n\n\n\nalert udp $EXTERNAL_NET 53 -> $HOME_NET any (msg:\"DNS SPOOF query response PTR with TTL\\: 1 min. and no authority\"; content:\"|85800001000100000000|\"; content:\"|c00c000c00010000003c000f|\"; classtype:bad-unknown; sid:253; rev:2;)\nalert udp $EXTERNAL_NET 53 -> $HOME_NET any (msg:\"DNS SPOOF query response with ttl\\: 1 min. and no authority\"; content:\"|81 80 00 01 00 01 00 00 00 00|\"; content:\"|c0 0c 00 01 00 01 00 00 00 3c 00 04|\"; classtype:bad-unknown; sid:254; rev:2;)\n\nalert tcp $EXTERNAL_NET any -> $DNS_SERVERS 53 (msg:\"DNS EXPLOIT named 8.2->8.2.1\"; flow:to_server,established; content:\"../../../\"; reference:cve,CVE-1999-0833; reference:bugtraq,788; classtype:attempted-admin; sid:258;  rev:4;)\n\n\n\nalert tcp $EXTERNAL_NET any -> $DNS_SERVERS 53 (msg:\"DNS EXPLOIT named tsig overflow attempt\"; flow:to_server,established; content:\"|AB CD 09 80 00 00 00 01 00 00 00 00 00 00 01 00 01 20 20 20 20 02 61|\"; reference:cve,CVE-2001-0010; reference:bugtraq,2302; reference:arachnids,482; classtype:attempted-admin; sid:303; rev:8;)\nalert udp $EXTERNAL_NET any -> $DNS_SERVERS 53 (msg:\"DNS EXPLOIT named tsig overflow attempt\"; content:\"|80 00 07 00 00 00 00 00 01 3F 00 01 02|\"; classtype:attempted-admin; sid:314; rev:6; reference:cve,CVE-2001-0010; reference:bugtraq,2303;)\nalert tcp $EXTERNAL_NET any -> $DNS_SERVERS 53 (msg:\"DNS EXPLOIT named overflow (ADM)\"; flow:to_server,established; content:\"thisissometempspaceforthesockinaddrinyeahyeahiknowthisislamebutanywaywhocareshorizongotitworkingsoalliscool\"; reference:cve,CVE-1999-0833; reference:bugtraq,788; classtype:attempted-admin; sid:259;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $DNS_SERVERS 53 (msg:\"DNS EXPLOIT named overflow (ADMROCKS)\"; flow:to_server,established; content:\"ADMROCKS\"; reference:cve,CVE-1999-0833; reference:url,www.cert.org/advisories/CA-1999-14.html; reference:bugtraq,788; classtype:attempted-admin; sid:260; rev:5;)\nalert tcp $EXTERNAL_NET any -> $DNS_SERVERS 53 (msg:\"DNS EXPLOIT named overflow attempt\"; flow:to_server,established; content:\"|CD80 E8D7 FFFF FF|/bin/sh\"; reference:url,www.cert.org/advisories/CA-1998-05.html; classtype:attempted-admin; sid:261;  rev:4;)\nalert tcp $EXTERNAL_NET any -> $DNS_SERVERS 53 (msg:\"DNS EXPLOIT x86 linux overflow attempt\"; flow:to_server,established; content:\"|31c0 b03f 31db b3ff 31c9 cd80 31c0|\"; classtype:attempted-admin; sid:262;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $DNS_SERVERS 53 (msg:\"DNS EXPLOIT x86 linux overflow attempt\"; flow:to_server,established; content:\"|31 c0 b0 02 cd 80 85 c0 75 4c eb 4c 5e b0|\"; classtype:attempted-admin; sid:264;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $DNS_SERVERS 53 (msg:\"DNS EXPLOIT x86 linux overflow attempt (ADMv2)\"; flow:to_server,established; content:\"|89f7 29c7 89f3 89f9 89f2 ac3c fe|\"; classtype:attempted-admin; sid:265;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $DNS_SERVERS 53 (msg:\"DNS EXPLOIT x86 freebsd overflow attempt\"; flow:to_server,established; content:\"|eb6e 5ec6 069a 31c9 894e 01c6 4605|\"; classtype:attempted-admin; sid:266;  rev:3;)\nalert tcp $EXTERNAL_NET any -> $DNS_SERVERS 53 (msg:\"DNS EXPLOIT sparc overflow attempt\"; flow:to_server,established; content:\"|90 1a c0 0f 90 02 20 08 92 02 20 0f d0 23 bf f8|\"; classtype:attempted-admin; sid:267;  rev:3;)\n','2003-04-05 22:29:16',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'ddos.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#-----------\n# DDOS RULES\n#-----------\n\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"DDOS TFN Probe\"; id: 678; itype: 8; content: \"1234\";reference:arachnids,443; classtype:attempted-recon; sid:221; rev:1;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"DDOS tfn2k icmp possible communication\"; itype: 0; icmp_id: 0; content: \"AAAAAAAAAA\"; reference:arachnids,425; classtype:attempted-dos; sid:222; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 31335 (msg:\"DDOS Trin00\\:DaemontoMaster(PONGdetected)\"; content:\"PONG\";reference:arachnids,187; classtype:attempted-recon; sid:223; rev:1;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"DDOS TFN client command BE\"; itype: 0; icmp_id: 456; icmp_seq: 0; reference:arachnids,184; classtype:attempted-dos; sid:228; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 20432 (msg:\"DDOS shaft client to handler\"; flags: A+; reference:arachnids,254; classtype:attempted-dos; sid:230; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 31335 (msg:\"DDOS Trin00\\:DaemontoMaster(messagedetected)\"; content:\"l44\";reference:arachnids,186; classtype:attempted-dos; sid:231; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 31335 (msg:\"DDOS Trin00\\:DaemontoMaster(*HELLO*detected)\"; content:\"*HELLO*\"; reference:arachnids,185; reference:url,www.sans.org/newlook/resources/IDFAQ/trinoo.htm; classtype:attempted-dos; sid:232; rev:2;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 27665 (msg:\"DDOS Trin00\\:Attacker to Master default startup password\";flags: A+; content:\"betaalmostdone\"; reference:arachnids,197; classtype:attempted-dos; sid:233; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 27665 (msg:\"DDOS Trin00 Attacker to Master default password\";flags: A+; content:\"gOrave\"; classtype:attempted-dos; sid:234; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 27665 (msg:\"DDOS Trin00 Attacker to Master default mdie password\";flags: A+; content:\"killme\"; classtype:bad-unknown; sid:235; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 27444 (msg:\"DDOS Trin00\\:MastertoDaemon(defaultpassdetected!)\"; content:\"l44adsl\"; reference:arachnids,197; classtype:attempted-dos; sid:237; rev:1;)\nalert icmp $HOME_NET any -> $EXTERNAL_NET any (msg:\"DDOS TFN server response\"; itype:0; icmp_id:123; icmp_seq:0; content: \"|73 68 65 6C 6C 20 62 6F 75 6E 64 20 74 6F 20 70 6F 72 74|\"; reference:arachnids,182; classtype:attempted-dos; sid:238; rev:3;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 18753 (msg:\"DDOS shaft handler to agent\"; content: \"alive tijgu\";  reference:arachnids,255; classtype:attempted-dos; sid:239; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 20433 (msg:\"DDOS shaft agent to handler\"; content: \"alive\"; reference:arachnids,256; classtype:attempted-dos; sid:240; rev:1;)\nalert tcp $HOME_NET any <> $EXTERNAL_NET any (msg:\"DDOS shaft synflood\"; flags: S; seq: 674711609; reference:arachnids,253; classtype:attempted-dos; sid:241; rev:2;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 6838 (msg:\"DDOS mstream agent to handler\"; content: \"newserver\";  classtype:attempted-dos; sid:243; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 10498 (msg:\"DDOS mstream handler to agent\"; content: \"stream/\"; reference:cve,CAN-2000-0138; classtype:attempted-dos; sid:244; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 10498 (msg:\"DDOS mstream handler ping to agent\" ; content: \"ping\"; reference:cve,CAN-2000-0138; classtype:attempted-dos; sid:245; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 10498 (msg:\"DDOS mstream agent pong to handler\" ; content: \"pong\"; classtype:attempted-dos; sid:246; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 12754 (msg:\"DDOS mstream client to handler\"; content: \">\"; flags: A+; reference:cve,CAN-2000-0138; classtype:attempted-dos; sid:247; rev:1;)\nalert tcp $HOME_NET 12754 -> $EXTERNAL_NET any (msg:\"DDOS mstream handler to client\"; content: \">\"; flags: A+;reference:cve,CAN-2000-0138; classtype:attempted-dos; sid:248; rev:1;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 15104 (msg:\"DDOS mstream client to handler\"; flags: S; reference:arachnids,111; reference:cve,CAN-2000-0138; classtype:attempted-dos; sid:249; rev:1;)\nalert tcp $HOME_NET 15104 -> $EXTERNAL_NET any (msg:\"DDOS mstream handler to client\"; content: \">\"; flags: A+; reference:cve,CAN-2000-0138; classtype:attempted-dos; sid:250; rev:1;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"DDOS - TFN client command LE\"; itype: 0; icmp_id: 51201; icmp_seq: 0; reference:arachnids,183; classtype:attempted-dos; sid:251; rev:1;)\n\n\nalert icmp 3.3.3.3/32 any -> $EXTERNAL_NET any (msg:\"DDOS Stacheldraht server-spoof\"; itype: 0; icmp_id: 666; reference:arachnids,193; classtype:attempted-dos; sid:224; rev:1;)\nalert icmp $HOME_NET any -> $EXTERNAL_NET any (msg:\"DDOS Stacheldraht server-response-gag\"; content: \"|73 69 63 6B 65 6E|\"; itype: 0; icmp_id: 669; reference:arachnids,195; classtype:attempted-dos; sid:225; rev:1;)\nalert icmp $HOME_NET any -> $EXTERNAL_NET any (msg:\"DDOS Stacheldraht server-response\"; content: \"|66 69 63 6B 65 6E|\"; itype: 0; icmp_id: 667; reference:arachnids,191; classtype:attempted-dos; sid:226; rev:1;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"DDOS Stacheldraht client-spoofworks\"; content: \"|73 70 6F 6F 66 77 6F 72 6B 73|\"; itype: 0; icmp_id: 1000; reference:arachnids,192; classtype:attempted-dos; sid:227; rev:1;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"DDOS Stacheldraht client-check-gag\"; content: \"|67 65 73 75 6E 64 68 65 69 74 21|\"; itype: 0; icmp_id: 668; reference:arachnids,194; classtype:attempted-dos; sid:236; rev:1;)\nalert icmp $EXTERNAL_NET any -> $HOME_NET any (msg:\"DDOS Stacheldraht client-check\"; content: \"|73 6B 69 6C 6C 7A|\"; itype: 0; icmp_id: 666; reference:arachnids,190; classtype:attempted-dos; sid:229; rev:1;)\nalert icmp $EXTERNAL_NET any <> $HOME_NET any (msg:\"DDOS Stacheldraht handler->agent (niggahbitch)\"; content:\"niggahbitch\"; itype:0; icmp_id:9015; reference:url,staff.washington.edu/dittrich/misc/stacheldraht.analysis; classtype:attempted-dos; sid:1854; rev:2;)\nalert icmp $EXTERNAL_NET any <> $HOME_NET any (msg:\"DDOS Stacheldraht agent->handler (skillz)\"; content:\"skillz\"; itype:0; icmp_id:6666; reference:url,staff.washington.edu/dittrich/misc/stacheldraht.analysis; classtype:attempted-dos; sid:1855; rev:2;)\nalert icmp $EXTERNAL_NET any <> $HOME_NET any (msg:\"DDOS Stacheldraht handler->agent (ficken)\"; content:\"ficken\"; itype:0; icmp_id:6667; reference:url,staff.washington.edu/dittrich/misc/stacheldraht.analysis; classtype:attempted-dos; sid:1856; rev:2;)\n','2003-04-05 22:29:16',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'chat.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#-------------\n# CHAT RULES\n#-------------\n# These signatures look for people using various types of chat programs (for\n# example: AIM, ICQ, and IRC) which may be against corporate policy\n\nalert tcp $HOME_NET any -> $EXTERNAL_NET any (msg:\"CHAT ICQ access\"; flow:to_server,established; content: \"User-Agent\\:ICQ\"; classtype:misc-activity; sid:541;  rev:6;)\nalert tcp $EXTERNAL_NET 80 -> $HOME_NET any (msg:\"CHAT ICQ forced user addition\"; flow:established,to_client; content:\"Content-Type\\: application/x-icq\"; content:\"[ICQ User]\"; reference:bugtraq,3226; reference:cve,CAN-2001-1305; classtype:misc-activity; sid:1832; rev:3;)\n\nalert tcp $HOME_NET any <> $EXTERNAL_NET 1863 (msg:\"CHAT MSN message\"; flow:established; content:\"MSG \"; depth:4; content:\"Content-Type\\:\"; content:\"text/plain\"; distance:1; classtype:misc-activity; sid:540; rev:8;)\nalert tcp $HOME_NET any <> $EXTERNAL_NET 1863 (msg:\"CHAT MSN file transfer request\"; flow:established; content:\"MSG \"; depth:4; content:\"Content-Type\\:\"; nocase; distance:0; content:\"text/x-msmsgsinvite\"; nocase; distance:0; content:\"Application-Name\\:\"; content:\"File Transfer\"; nocase; distance:0; classtype:policy-violation; sid:1986; rev:1;)\nalert tcp $HOME_NET any <> $EXTERNAL_NET 1863 (msg:\"CHAT MSN file transfer accept\"; flow:established; content:\"MSG \"; depth:4; content:\"Content-Type\\:\"; content:\"text/x-msmsgsinvite\"; distance:0; content:\"Invitation-Command\\:\"; content:\"ACCEPT\"; distance:1; classtype:policy-violation; sid:1988; rev:1;)\nalert tcp $HOME_NET any <> $EXTERNAL_NET 1863 (msg:\"CHAT MSN file transfer reject\"; flow:established; content:\"MSG \"; depth:4; content:\"Content-Type\\:\"; content:\"text/x-msmsgsinvite\"; distance:0; content:\"Invitation-Command\\:\"; content:\"CANCEL\"; distance:0; content:\"Cancel-Code\\:\"; nocase; content:\"REJECT\"; nocase; distance:0; classtype:policy-violation; sid:1989; rev:1;)\nalert tcp $HOME_NET any -> $EXTERNAL_NET 1863 (msg:\"CHAT MSN user search\"; flow:to_server,established; content:\"CAL \"; depth:4; nocase; classtype:policy-violation; sid:1990; rev:1;)\nalert tcp $HOME_NET any -> $EXTERNAL_NET 1863 (msg:\"CHAT MSN login attempt\"; flow:to_server,established; content:\"USR \"; depth:4; nocase; content:\" TWN \"; distance:1; nocase; classtype:policy-violation; sid:1991; rev:1;)\n\nalert tcp $HOME_NET any -> $EXTERNAL_NET 6666:7000 (msg:\"CHAT IRC nick change\"; flow:to_server,established; content: \"NICK \"; offset:0; classtype:misc-activity; sid:542;  rev:8;)\nalert tcp $HOME_NET any -> $EXTERNAL_NET 6666:7000 (msg:\"CHAT IRC DCC file transfer request\"; flow:to_server,established; content:\"PRIVMSG \"; nocase; offset:0; content:\" \\:.DCC SEND\"; nocase; classtype:misc-activity; sid:1639;  rev:3;)\nalert tcp $HOME_NET any -> $EXTERNAL_NET 6666:7000 (msg:\"CHAT IRC DCC chat request\"; flow:to_server,established; content:\"PRIVMSG \"; nocase; offset:0; content:\" \\:.DCC CHAT chat\"; nocase; classtype:misc-activity; sid:1640;  rev:3;)\nalert tcp $HOME_NET any -> $EXTERNAL_NET 6666:7000 (msg:\"CHAT IRC channel join\"; flow:to_server,established; content:\"JOIN \\: \\#\"; nocase; offset:0; classtype:misc-activity; sid:1729;  rev:2;)\nalert tcp $HOME_NET any -> $EXTERNAL_NET 6666:7000 (msg:\"CHAT IRC message\"; flow:to_server,established; content:\"PRIVMSG \"; nocase; offset:0; classtype:misc-activity; sid:1463;  rev:3;)\nalert tcp $HOME_NET any -> $EXTERNAL_NET 6666:7000 (msg:\"CHAT IRC dns request\"; flow:to_server,established; content:\"USERHOST \"; nocase; offset:0; classtype:misc-activity; sid:1789; rev:1;)\nalert tcp $EXTERNAL_NET 6666:7000 -> $HOME_NET any (msg:\"CHAT IRC dns response\"; flow:to_client,established; content:\"\\:\"; offset:0; content:\" 302 \"; content:\"=+\"; classtype:misc-activity; sid:1790; rev:2;)\n\nalert tcp $HOME_NET any -> $AIM_SERVERS any (msg:\"CHAT AIM login\"; flow:to_server,established; content:\"|2a 01|\"; offset:0; depth:2; classtype:policy-violation; sid:1631; rev:4;)\nalert tcp $HOME_NET any -> $AIM_SERVERS any (msg:\"CHAT AIM send message\"; flow:to_server,established; content:\"|2a 02|\"; offset:0; depth:2; content:\"|00 04 00 06|\"; offset:6; depth:4; classtype:policy-violation; sid:1632; rev:4;)\nalert tcp $AIM_SERVERS any -> $HOME_NET any (msg:\"CHAT AIM recieve message\"; flow:to_client; content:\"|2a 02|\"; offset:0; depth:2; content:\"|00 04 00 07|\"; offset:6; depth:4; classtype:policy-violation; sid:1633; rev:3;)\n','2003-04-05 22:29:16',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'bad-traffic.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#------------------\n# BAD TRAFFIC RULES\n#------------------\n# These signatures are representitive of traffic that should never be seen on\n# any network.  None of these signatures include datagram content checking\n# and are extremely quick signatures\n#\n\nalert tcp $EXTERNAL_NET any <> $HOME_NET 0 (msg:\"BAD TRAFFIC tcp port 0 traffic\"; classtype:misc-activity; sid:524; rev:5;)\nalert udp $EXTERNAL_NET any <> $HOME_NET 0 (msg:\"BAD TRAFFIC udp port 0 traffic\"; reference:cve,CVE-1999-0675; reference:nessus,10074; classtype:misc-activity; sid:525; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET any (msg:\"BAD TRAFFIC data in TCP SYN packet\"; flags:S; dsize:>6; reference:url,www.cert.org/incident_notes/IN-99-07.html; sid:526;  classtype:misc-activity; rev:4;)\nalert ip any any <> 127.0.0.0/8 any (msg:\"BAD TRAFFIC loopback traffic\"; classtype:bad-unknown; reference:url,rr.sans.org/firewall/egress.php; sid:528; rev:3;)\nalert ip any any -> any any (msg:\"BAD TRAFFIC same SRC/DST\"; sameip; reference:cve,CVE-1999-0016; reference:url,www.cert.org/advisories/CA-1997-28.html; classtype:bad-unknown; sid:527; rev:3;)\nalert ip $EXTERNAL_NET any -> $HOME_NET any (msg:\"BAD TRAFFIC ip reserved bit set\"; fragbits:R; sid:523;  classtype:misc-activity; rev:3;)\nalert ip $EXTERNAL_NET any -> $HOME_NET any (msg:\"BAD TRAFFIC 0 ttl\"; ttl:0; reference:url,www.isi.edu/in-notes/rfc1122.txt; reference:url,support.microsoft.com/default.aspx?scid=kb\\;EN-US\\;q138268; sid:1321; classtype:misc-activity; rev:5;)\nalert ip $EXTERNAL_NET any -> $HOME_NET any (msg:\"BAD TRAFFIC bad frag bits\"; fragbits:MD; sid:1322; classtype:misc-activity; rev:4;)\nalert ip $EXTERNAL_NET any -> $HOME_NET any (msg:\"BAD TRAFFIC Unassigned/Reserved IP protocol\"; ip_proto:>134; classtype:non-standard-protocol; sid:1627; rev:1;)\nalert tcp any any -> [232.0.0.0/8,233.0.0.0/8,239.0.0.0/8] any (msg:\"BAD TRAFFIC syn to multicast address\"; flags:S+; classtype:bad-unknown; sid:1431; rev:4;)\n','2003-04-05 22:29:16',1,0);
INSERT INTO MIDAS_SNORT_Rules VALUES (0,'backdoor.rules','# (C) Copyright 2001,2002, Martin Roesch, Brian Caswell, et al.\n#    All rights reserved.\n# $Id: DefaultSnortRules.sql,v 1.2 2003/12/02 20:53:19 tcashmore Exp $\n#---------------\n# BACKDOOR RULES\n#---------------\n#\n\nalert tcp $EXTERNAL_NET 27374 -> $HOME_NET any (msg:\"BACKDOOR subseven 22\"; flow:to_server,established; content:\"|0d0a5b52504c5d3030320d0a|\"; reference:arachnids,485; reference:url,www.hackfix.org/subseven/; classtype:misc-activity; sid:103; rev:5;)\n alert tcp $HOME_NET 16959 -> $EXTERNAL_NET any (msg:\"BACKDOOR subseven DEFCON8 2.1 access\"; flow:from_server,established; content:\"PWD\"; classtype:trojan-activity; sid:107; rev:6;)\n\n\nalert tcp $HOME_NET 12345:12346 -> $EXTERNAL_NET any (msg:\"BACKDOOR netbus active\"; flow:from_server,established; content:\"NetBus\"; reference:arachnids,401; classtype:misc-activity;  sid:109; rev:4;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 12345:12346 (msg:\"BACKDOOR netbus getinfo\"; flow:to_server,established; content:\"GetInfo|0d|\"; reference:arachnids,403; classtype:misc-activity; sid:110; rev:3;)\nalert tcp $HOME_NET 20034 -> $EXTERNAL_NET any (msg:\"BACKDOOR netbus active\"; flow:to_server,established; content:\"NetBus\";  reference:arachnids,401; classtype:misc-activity; sid:115; rev:4;)\n\n# 3150, 4120\nalert udp $EXTERNAL_NET any -> $HOME_NET 2140 (msg:\"BACKDOOR DeepThroat 3.1 Connection attempt\"; content:\"00\"; depth:2; classtype:misc-activity; sid:1980; rev:1;)\nalert udp $HOME_NET 2140 -> $EXTERNAL_NET any (msg:\"BACKDOOR DeepThroat 3.1 Server Response\"; content:\"Ahhhh My Mouth Is Open\"; reference:arachnids,106; sid:195;  classtype:misc-activity; rev:4;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 3150 (msg:\"BACKDOOR DeepThroat 3.1 Connection attempt [3150]\"; content:\"00\"; depth:2; classtype:misc-activity; sid:1981; rev:1;)\nalert udp $HOME_NET 3150 -> $EXTERNAL_NET any (msg:\"BACKDOOR DeepThroat 3.1 Server Response [3150]\"; content:\"Ahhhh My Mouth Is Open\"; reference:arachnids,106; classtype:misc-activity; sid:1982; rev:1;)\nalert udp $EXTERNAL_NET any -> $HOME_NET 4120 (msg:\"BACKDOOR DeepThroat 3.1 Connection attempt [4120]\"; content:\"00\"; depth:2; classtype:misc-activity; sid:1983; rev:1;)\nalert udp $HOME_NET 4120 -> $EXTERNAL_NET any (msg:\"BACKDOOR DeepThroat 3.1 Server Response [4120]\"; content:\"Ahhhh My Mouth Is Open\"; reference:arachnids,106; classtype:misc-activity; sid:1984; rev:1;)\n\n\nalert tcp $HOME_NET 6789 -> $EXTERNAL_NET any (msg:\"BACKDOOR Doly 2.0 access\"; content: \"|57 74 7a 75 70 20 55 73 65|\"; flags: A+; depth: 32;  reference:arachnids,312; sid:119;  classtype:misc-activity; rev:3;)\nalert tcp $HOME_NET any -> $EXTERNAL_NET 1094 (msg:\"BACKDOOR Doly 1.5 server response\"; flow:from_server,established; content:\"Connected.\"; classtype:trojan-activity; sid:1985; rev:1;)\n\n\nalert tcp $EXTERNAL_NET 1024: -> $HOME_NET 2589 (msg:\"BACKDOOR - Dagger_1.4.0_client_connect\"; flags: A+; content: \"|0b 00 00 00 07 00 00 00|Connect\"; depth: 16; reference:url,www.tlsecurity.net/backdoor/Dagger.1.4.html; reference:arachnids,483; sid:104;  classtype:misc-activity; rev:4;)\nalert tcp $HOME_NET 2589 -> $EXTERNAL_NET 1024: (msg:\"BACKDOOR - Dagger_1.4.0\"; flags: A+; content: \"|3200000006000000|Drives|2400|\"; depth: 16; reference:arachnids,484; reference:url,www.tlsecurity.net/backdoor/Dagger.1.4.html; sid:105;  classtype:misc-activity; rev:4;)\nalert tcp $EXTERNAL_NET 80 -> $HOME_NET 1054 (msg:\"BACKDOOR ACKcmdC trojan scan\"; seq: 101058054; ack: 101058054; flags: A;reference:arachnids,445; sid:106;  classtype:misc-activity; rev:3;)\nalert tcp $EXTERNAL_NET any -> $HOME_NET 7597 (msg:\"BACKDOOR QAZ Worm Client Login access\"; flags: A+; content:\"|71 61 7a 77 73 78 2e 68 73 71|\"; reference:MCAFEE,98775; sid:108;  classtype:misc-activity; rev:3;)\n\n\nalert tcp $HOME_NET 146 -> $EXTERNAL_NET 1024: (msg:\"BACKDOOR Infector.1.x\"; content: \"WHATISIT\"; flags: A+; reference:arachnids,315; sid:117;  classtype:misc-activity; rev:3;)\nalert tcp $HOME_NET 666 -> $EXTERNAL_NET 1024: (msg:\"BACKDOOR SatansBackdoor.2.0.Beta\"; content: \"Remote|3A| You are connected to me.\"; flags:A+;  reference:arachnids,316; sid:118;  classtype:misc-activity; rev:3;)\nalert tcp $HOME_NET 146 -> $EXTERNAL_NET 1000:1300 (msg:\"BACKDOOR Infector 1.6 Server to Client\"; content:\"|57 48 41 54 49 53 49 54|\"; flags:A+; sid:120;  classtype:misc-activity; rev:3;)\nalert tcp $EXTERNAL_NET 1000:1300 -> $HOME_NET 146 (msg:\"BACKDOOR Infector 1.6 Client to Server Connection Request\"; content:\"|46 43 20|\"; flags:A+; sid:121;  classtype:misc-activity; rev:3;)\n\nalert tcp $HOME_NET 31785 -> $EXTERNAL_NET any (msg:\"BACKDOOR HackAttack 1.20 Connect\"; flags: A+; content:\"host\"; sid:141;  classtype:misc-activity; rev:3;)\n\nalert tcp $EXTERNAL_NET !80 -> $HOME_NET 21554 (msg:\"BACKDOOR GirlFriendaccess\"; flags: A+; content:\"Girl\"; reference:arachnids,98; sid:145;  classtype:misc-activity; rev:3;)\nalert tcp $HOME_NET 30100 -> $EXTERNAL_NET any (msg:\"BACKDOOR NetSphere access\"; flags: A+; content:\"NetSphere\"; reference:arachnids,76; sid:146;  classtype:misc-activity; rev:3;)\nalert tcp $HOME_NET 6969 -> $EXTERNAL_NET any (msg:\"BACKDOOR GateCrasher\"; flags: A+; content:\"GateCrasher\";reference:arachnids,99; sid:147;  classtype:misc-activity; rev:3;)\nalert 