/******************************************************************************
* Copyright (c) 2003 Tom Cashmore
*
* Permission is hereby granted, free of charge, to any person obtaining a copy
* of this software and associated documentation files (the "Software"), to
* deal in the Software without restriction, including without limitation the
* rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
* sell copies of the Software, and to permit persons to whom the Software is
* furnished to do so, subject to the following conditions:
*
* The above copyright notice and this permission notice shall be included in
* all copies or substantial portions of the Software.

* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
* FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
* IN THE SOFTWARE.
*
*       Applisation : MIDAS
*       Filename : DString.h
* 		Function defines for DString.c
*
*       Updated :
*               11/10/2003 - Added function and header comments.
*
******************************************************************************/
#include <stdarg.h>

char * dstrstr(char * instr, char * findstr);
char * dstrcat(char * instr, char * addstr);
char * dfree(char * instr);
char * drealloc(char * instr, unsigned size);
char * dstrcpy(char * instr, char * newstr);
char * dstrncpy(char * instr, char * newstr, int len);
size_t dstrlen(char * instr);

char * dfiletostring(FILE * fp);

unsigned valen(char * format, va_list arg_list);
char * dsprintf(char *instr, char *format, ...);

char * dstrclean(char * instr);
char * dsubstrreplace(char * hay, char * needle, char * replace);
unsigned dcountsubstring(char * hay, char * needle);

char * dstradvance(char * instr, unsigned advance);

char * dstrtoupper(char * instr);
char * dstrtolower(char * instr);
