/******************************************************************************
* Copyright (c) 2003 Tom Cashmore
*
* Permission is hereby granted, free of charge, to any person obtaining a copy
* of this software and associated documentation files (the "Software"), to
* deal in the Software without restriction, including without limitation the
* rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
* sell copies of the Software, and to permit persons to whom the Software is
* furnished to do so, subject to the following conditions:
*
* The above copyright notice and this permission notice shall be included in
* all copies or substantial portions of the Software.

* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
* FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
* IN THE SOFTWARE.
*
*       Applisation : MIDAS
*       Filename : strsep.c 
*		 Provides the strsep function to systems that do not support it.
*
*       Updated :
*               11/11/2003 - Added function and header comments.
*
******************************************************************************/
#include <stdlib.h>
#include <stdio.h>
#include <strings.h>

/******************************************************************************
*       char * strsep(char **string, char *delim)
*		Provides the strsep function to systems that do not support it.
*		Function supports multiple byte deleminators.
*
*	Args :
*		char **string	String pointer to search on.
*		char *delim	String to deleminate on.
*
*       Updated :
******************************************************************************/
char * strsep(char **string, char *delim)
{
	char * start = 0;
	char * pos = 0;
	int i;
		
	start = *string;
	
	if(*string && delim)
	{
		if(strstr(*string, delim))
		{
			pos = (char *) strstr(*string, delim);
			*pos = 0;
			for(i=0;i<strlen(delim);i++)
			{
				*pos++;
			}
			
			*string = pos;
			return(start);
		} else {
			return(0);
		}
	}
	return(0);
}
