
/********************************************************************
Copyright (c) 2003 Jason Sessler

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
********************************************************************/

/*************************************************************************
   file:	js/module_support.js
   date:	09/09/2003
   Author:	jsessler
   build:	09092003
   
   CHANGES:
				  
   TODO:

 *************************************************************************/

function addModule()
{
	var unreg = document.module_support.unregistered_modules;
	var reg   = document.module_support.registered_modules;
	var x, y=0, size = unreg.options.length;

	// Moving modules to registered list
	for(x=0;x<size;x++) {
		if(unreg.options[y].selected) {
			reg.options[reg.options.length] = new Option(unreg.options[y].text, unreg.options[y].value);
			unreg.options[y] = null;
			y--;
		}
		y++;
	}

	// Sorting reg/unreg select items by text
	sortSelect(reg, compareText);
	sortSelect(unreg, compareText);
}

function removeModule()
{
	var unreg = document.module_support.unregistered_modules;
	var reg   = document.module_support.registered_modules;
	var x, y=0, size = reg.options.length;

	// Moving modules to registered list
	for(x=0;x<size;x++) {
		if(reg.options[y].selected) {
			unreg.options[unreg.options.length] = new Option(reg.options[y].text, reg.options[y].value);
			reg.options[y] = null;
			y--;
		}
		y++;
	}

	// Sorting reg/unreg select items by text
	sortSelect(unreg, compareText);
	sortSelect(reg, compareText);
}

function selectAllReg()
{
	var reg = document.module_support.registered_modules;
	var x;
	for(x=0;x<reg.options.length;x++) {
		reg.options[x].selected = true;
	}
}

function sortSelect (select, compareFunction)
{
	if (!compareFunction)
		compareFunction = compareText;

	var options = new Array (select.options.length);

	for (var i = 0; i < options.length; i++) {
		options[i] = new Option (select.options[i].text,select.options[i].value);
	}

	options.sort(compareFunction);

	select.options.length = 0;

	for (var i = 0; i < options.length; i++)
		select.options[i] = options[i];
}

function compareText (option1, option2)
{
	return option1.text < option2.text ? -1 : option1.text > option2.text ? 1 : 0;
}

function compareValue (option1, option2)
{
	return option1.value < option2.value ? -1 : option1.value > option2.value ? 1 : 0;
}

