<?
/********************************************************************
Copyright (c) 2003 Jason Sessler

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
********************************************************************/

/*************************************************************************
   file:	inc/mysql.inc.php
   date:	02/23/2003
   Author:	jsessler
   build:	11192003
   
   CHANGES:
   11/19/2003   - Cleaned up the add_select_item() function. (JS)
   
   10/16/2003   - Added mysql_query to run_query() if there is no database
                  defined. (JS)

   09/26/2003   - Added ability to add SQL COMMANDS into queries. (JS)
   
   09/07/2003   - Bug in clear_res() function when running multiple queries
                  through the same pointer. Arrays were not reset correctly.
				- Typo in compile_query() function. When compiling for UPDATE
				  the SELECT test was actually running clear_res() on the
				  actual UPDATE pointer. $this->clear_res() instead of
				  $test->clear_res()

   09/05/2003	- Removed obsolete code and moved over to CLASSes
				  completely (JS)
				  
   TODO:
                * Add ability to send front end mySQL functions to the SQL
				  query statements. (I.e. DISTINCT/DISTINCTROW) (JS)
				* Custom function to build a clean mysql_error()
			  	  window.
				* User activity/action log
				* Clean up the add_select_item DONE (JS)
 *************************************************************************/

CLASS conn_mySQL
{
	var $server;
	var $user;
	var $passwd;
	var $db;

	var $dbc;
	
	var $query;
	var $rows;
	
	var $table;
	var $select_item;
	var $index;
	var $data;
	var $clause;
	var $extra;
	
	var $sqlResults;
	var $res;
	
	var $CMD;
	
	Function conn_mySQL($credentials = FALSE)
	{
		$this->server = $credentials['mySQL']['server'];
		$this->user   = $credentials['mySQL']['user'];
		$this->passwd = $credentials['mySQL']['passwd'];
		$this->db     = $credentials['mySQL']['db'];
		
		// Building SQL COMMAND list
		$this->CMD[] = "MD5";
		$this->CMD[] = "PASSWORD";
        $this->CMD[] = "ASCII";
        $this->CMD[] = "CHAR";
        $this->CMD[] = "ENCRYPT";
        $this->CMD[] = "RAND";
        $this->CMD[] = "LAST_INSERT_ID";
        $this->CMD[] = "COUNT";
        $this->CMD[] = "AVG";
        $this->CMD[] = "SUM";
        $this->CMD[] = "SOUNDEX";
        $this->CMD[] = "LCASE";
        $this->CMD[] = "UCASE";
        $this->CMD[] = "NOW";
        $this->CMD[] = "CURDATE";
        $this->CMD[] = "CURTIME";
        $this->CMD[] = "FROM_DAYS";
        $this->CMD[] = "FROM_UNIXTIME";
        $this->CMD[] = "PERIOD_ADD";
        $this->CMD[] = "PERIOD_DIFF";
        $this->CMD[] = "TO_DAYS";
        $this->CMD[] = "UNIX_TIMESTAMP";
        $this->CMD[] = "USER";
        $this->CMD[] = "WEEKDAY";
        $this->CMD[] = "CONCAT";
	}
	
	Function db_new_conn()
	{
		$this->dbc = @mysql_connect($this->server, $this->user, $this->passwd) or
			die(sprintf("Unable to connect to SQL server: %s", mysql_error()));
	}
	
	Function db_use_conn($dbc,$db)
	{
		$this->dbc = $dbc;
		$this->db  = $db;
	}
	
	Function run_query($query = FALSE)
	{
		if($query) {
			if($this->db) {
				$this->sqlResults = @mysql_db_query($this->db, $query, $this->dbc) or
					die(sprintf("Can't perform action: %s\n<br><br>\n%s", mysql_error(), $query));
			} else {
				$this->sqlResults = @mysql_query($query, $this->dbc) or
					die(sprintf("Can't perform action: %s\n<br><br>\n%s", mysql_error(), $query));
			}
		} else {
			if($this->db) {
				$this->sqlResults = @mysql_db_query($this->db, $this->query, $this->dbc) or
					die(sprintf("Can't perform action: %s\n<br><br>\n%s", mysql_error(), $this->query));
			} else {
				$this->sqlResults = @mysql_query($this->query, $this->dbc) or
					die(sprintf("Can't perform action: %s\n<br><br>\n%s", mysql_error(), $this->query));
			}
		}
		$this->rows = @mysql_num_rows($this->sqlResults);
	}
	
	Function step()
	{
		$res = @mysql_fetch_array($this->sqlResults);

		$i = 0;
		while ($i < @mysql_num_fields($this->sqlResults)) {
			$tRes = @mysql_fetch_field($this->sqlResults, $i);
			$this->res[$tRes->name] = stripslashes($res[$tRes->name]);
			$i++;
		}
	}

	Function list_db()
	{
		$this->res = @mysql_list_dbs($this->dbc);
	}
	
	Function list_tables()
	{
		$this->res = @mysql_list_tables($this->db, $this->dbc);
	}
	
	Function getfields($table)
	{
		$this->res = FALSE;
		$this->sqlResults = @mysql_list_fields($this->db, $table, $this->dbc);
		$this->rows = @mysql_num_fields($this->sqlResults);
		for($x=0;$x<$this->rows;$x++) {
			$this->res[$x] = @mysql_field_name($this->sqlResults, $x);
		}
	}
	
	Function getfieldlen($field)
	{
		$this->res = FALSE;
		$this->sqlResults = @mysql_list_fields($this->db, $table, $this->dbc);
		$this->rows = @mysql_num_fields($this->sqlResults);
		for($x=0;$x<$this->rows;$x++) {
			if(@mysql_field_name($list, $x) == $field)
				$this->res = @mysql_field_len($list, $x);
		}
	}
	
	Function getGlobalFieldInfo($table = FALSE)
	{
		$this->res = FALSE;
		if($table) {
			$this->sqlResults = @mysql_list_fields($this->db, $table, $this->dbc);
			$this->rows = @mysql_num_fields($this->sqlResults);
			for($x=0;$x<$this->rows;$x++) {
				$this->res[@mysql_field_name($this->sqlResults, $x)]['length'] = @mysql_field_len($this->sqlResults, $x);
				$this->res[@mysql_field_name($this->sqlResults, $x)]['type'] = @mysql_field_type($this->sqlResults, $x);
			}
		} else {
			$size = sizeof($this->table);
			for($x=0;$x<$size;$x++) {
				$this->sqlResults = @mysql_list_fields($this->db, $this->table[$x], $this->dbc);
				$this->rows = @mysql_num_fields($this->sqlResults);
				for($y=0;$y<$this->rows;$y++) {
					$this->res[@mysql_field_name($this->sqlResults, $x)]['length'] = @mysql_field_len($this->sqlResults, $x);
					$this->res[@mysql_field_name($this->sqlResults, $x)]['type'] = @mysql_field_type($this->sqlResults, $x);
				}
			}
		}
	}
	
	Function getPrimary($table = FALSE)
	{
		$primary = null;
		if($table) {
			$this->run_query("SHOW KEYS FROM $table");
		} else {
			$this->run_query(sprintf("SHOW KEYS FROM %s", implode(",", $this->table)));
		}
		for($x=0;$x<$this->rows;$x++) {
				$this->step();
				if($this->res['Key_name'] == "PRIMARY") {
					$primary[$x] = $this->res['Column_name'];
				}
		}
		$this->rows = sizeof($primary);
		$this->res = $primary;
	}
	
	Function add_table($table)
	{
		if(is_array($table)) {
			foreach($table as $value) {
				$this->table[] = $value;
			}
		} else
			$this->table[] = $table;
	}
	
	Function add_select_item($item)
	{
		if(is_array($item)) {
			foreach($item as $key => $L1) {
				if(is_numeric($key))
					$this->select_item[] = $L1;
				else {
					if(is_array($L1)) {
						foreach($L1 as $subkey => $L2) {
							if(is_numeric($subkey))
							    $this->select_item[] = sprintf("%s.%s", $key, $L2);
							else {
								if(is_array($L2)) {
									foreach($L2 as $L3) {
										$this->select_item[] = sprintf("%s.%s.%s", $key, $subkey, $L3);
									}
								} else {
									$this->select_item[] = sprintf("%s.%s", $key, $L2);
								}
							}
						}
					} else {
						$this->select_item[] = sprintf("%s.%s", $key, $L1);
					}
				}
			}
		} else
			$this->select_item[] = $item;
	}
	
	Function add_data($field, $value, $slashes = TRUE)
	{
		if($slashes)
			$this->data[$field] = addslashes($value);
		else
		    $this->data[$field] = $value;
	}
	
	Function add_index($index)
	{
		if(is_array($index)) {
			foreach($index as $value) {
				$this->index[] = $value;
			}
		} else
			$this->index[] = $index;
	}
	
	Function add_clause($clause)
	{
		$this->clause = $clause;
	}
	
	Function add_extra($extra)
	{
		if(is_array($extra)) {
			foreach($extra as $value) {
				$this->extra[] = $value;
			}
		} else
			$this->extra[] = $extra;
	}
	
	Function compile_query($action)
	{
		$action = strtoupper($action);
		switch($action) {
			case "DELETE":
				$action_syntax = "DELETE FROM ";
				$action_syntax .= sprintf("%s ", implode(",", $this->table));
				if($this->clause)
					$action_syntax .= $this->clause . " ";
				if(sizeof($this->extra) > 0)
					$action_syntax .= sprintf("%s", implode(" ", $this->extra));
				break;
			case "INSERT":
				$test = new conn_mySQL();
				$test->db_use_conn($this->dbc, $this->db);
				$test->add_table($this->table);
				$test->getPrimary();
				if($test->rows > 0) {
					for($x=0;$x<$test->rows;$x++) {
						$clause[$x] = sprintf("%s=\"%s\"", $test->res[$x], addslashes($this->data[$test->res[$x]]));
					}
					$test->add_select_item($test->res);
					$test->clause = sprintf("where %s", implode(" AND ", $clause));
					$ret = $test->compile_query("SELECT");
					if($ret['return'])
						$test->run_query();
					if($test->rows > 0) {
						return array("return" => FALSE, "errmsg" => "Duplicate Item Found. Cannot Add to database",
									 "debug"  =>
									   sprintf("TABLE:\t[%s]<br>\nDATA:\t[%s]<br>\nCLAUSE:\t[%s]<br>\nEXTRA:\t[%s]<br>\n",
										@implode(",", $this->table), @implode(",", $this->data), $this->clause, @implode(",", $this->extra)));
					}
				}
				$test->clear_res();
				
				$action_syntax = "INSERT INTO ";
				$action_syntax .= sprintf("%s ", implode(",", $this->table));
				if(is_array($this->data)) {
					foreach($this->data as $key => $value) {
						$fieldName[] = $key;
						if($this->sqlCmd($value))
	                        $data[] = sprintf("%s", $value);
						else
							$data[] = sprintf("\"%s\"", addslashes(stripslashes($value)));
					}
				}
				$action_syntax .= sprintf("(%s) VALUES (%s)", implode(",", $fieldName), implode(",", $data));
				break;
			case "SELECT":
				$action_syntax = "SELECT ";
				if(sizeof($this->select_item) > 0)
					$action_syntax .= sprintf("%s ", implode(",", $this->select_item));
				else
					$action_syntax .= "* ";
				$action_syntax .= sprintf("FROM %s ", implode(",", $this->table));
				if($this->clause)
					$action_syntax .= $this->clause ." ";
				if(sizeof($this->extra) > 0)
					$action_syntax .= sprintf("%s", implode(" ", $this->extra));
				break;
			case "UPDATE":
				$test = new conn_mySQL();
				$test->db_use_conn($this->dbc, $this->db);
				for($x=0;$x<sizeof($this->table);$x++)
					$test->add_table($this->table[$x]);
				$test->getPrimary();
				if(sizeof($test->res) > 0) {
					$test->add_select_item($test->res);
					if($this->clause)
						$test->clause = $this->clause;
					$ret = $test->compile_query("SELECT");
					if($ret['return'])
						$test->run_query();
					if($test->rows == 0) {
						return array("return" => FALSE, "errmsg" => "Item Not Found. Cannot Update record in database",
									 "debug"  =>
									   sprintf("TABLE:\t[%s]<br>\nDATA:\t[%s]<br>\nCLAUSE:\t[%s]<br>\nEXTRA:\t[%s]<br>\n",
										@implode(",", $this->table), @implode(",", $this->data), $this->clause, @implode(",", $this->extra)));
					}
				}
				$test->clear_res();
				
				$action_syntax = "UPDATE ";
				$action_syntax .= sprintf("%s SET ", implode(",", $this->table));
				if(is_array($this->data)) {
					foreach($this->data as $key => $value) {
						if($this->sqlCmd($value))
	                        $data[] = sprintf("%s=%s", $key, $value);
						else
							$data[] = sprintf("%s=\"%s\"", $key, addslashes(stripslashes($value)));
					}
				}
				$action_syntax .= sprintf("%s ", @implode(",", $data));
				if($this->clause)
					$action_syntax .= $this->clause . " ";
				if(sizeof($this->extra) > 0)
					$action_syntax .= sprintf("%s", implode(" ", $this->extra));
				break;
			default:
				return array("return" => FALSE, "errmsg" => "Unknown SQL action: [$action]",
							 "debug"  => 
							   sprintf("TABLE:\t[%s]<br>\nDATA:\t[%s]<br>\nCLAUSE:\t[%s]<br>\nEXTRA:\t[%s]<br>\n",
							    implode(" ", $this->table), implode(" ", $this->data), implode(" ", $this->clause), implode(" ", $this->extra)));
		}
		$this->query = $action_syntax;
		return array("return" => TRUE, "msg" => "SQL statement compiled successfully",
					 "debug"  => sprintf("QUERY: [%s]",$this->query));
	}
	
	Function sqlCmd($data)
	{
		foreach($this->CMD as $testValue) {
			if($start = strpos(substr($data, 0, strlen($testValue)), $testValue) !== FALSE) {
				if($point = strpos($data, "('", $start) !== FALSE) {
					if(strpos($data, "')", $point) !== FALSE) {
						return TRUE;
					}
				}
			}
		}
		return FALSE;
	}

	Function clear_res()
	{
		$this->query       = NULL;
		$this->rows        = FALSE;
		$this->table       = NULL;
		$this->select_item = NULL;
		$this->index       = NULL;
		$this->data        = NULL;
		$this->clause      = NULL;
		$this->extra       = NULL;
		$this->sqlResults  = NULL;
		$this->res         = NULL;
	}
	
	Function db_close()
	{
		$this->clear_res();
		@mysql_close($this->dbc);
	}
	
	Function my_error($sql_error)
	{
		return $sql_error;
	}
}

?>
