<?
/********************************************************************
Copyright (c) 2003 Jason Sessler

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
********************************************************************/

/*************************************************************************
   file:	lib/tree.inc.php
   date:	09/12/2003
   Author:	jsessler
   build:	09132003

	CHANGES:

	TODO:

 *************************************************************************/

class qview
{
	var $menu;
	var $default_links;             // unused varable. Possible future feature
	
	var $js_code;
	var $menu_code;

	function qview($name)
	{
		global $color;
		$this->menu['name'] = $name;

		// Default Javascript Code
		$this->js_code  = sprintf("<LINK rel=stylesheet href='%s' type=text/css>\n", $color['qview']);
		$this->js_code .= "<SCRIPT>\n<!--\n";
		$this->js_code .= "openicon       = new Image();\n";
		$this->js_code .= "openicon.src   = 'images/qview/open.gif';\n";
		$this->js_code .= "unopenicon     = new Image();\n";
		$this->js_code .= "unopenicon.src = 'images/qview/unopen.gif';\n";
		$this->js_code .= "var ns4 = (document.layers);\n";
		$this->js_code .= "var ie4 = (document.all && !document.getElementById);\n";
		$this->js_code .= "var ie5 = (document.all && document.getElementById);\n";
		$this->js_code .= "var ns6 = (!document.all && document.getElementById);\n";
		$this->js_code .= "// -->\n</SCRIPT>\n";
		$this->js_code .= "<SCRIPT language='Javascript' src='js/quickview.js'></SCRIPT>\n";
	}
	
	function add_MenuLink($id, $link, $menu = "ROOT")
	{
		$loc = explode("/", $menu);
		$p = "this->menu";

		for($x=0;$x<sizeof($loc);$x++) {
			$p = $p . "['" . $loc[$x] . "']['menu']";
		}
		$info[$id]['name'] = $link['name'];
		$info[$id]['link'] = ($link['link']) ? $link['link'] : "javascript:";
		$info[$id]['alt']  = ($link['alt']) ? $link['alt'] : NULL;
		$info[$id]['img']  = $link['img'];
		$info[$id]['SEC']  = $link['SEC'];

		eval("\$$p = array_merge_recursive(\$$p,\$info);");
	}

	function add_MenuItem($id, $item, $menu = "ROOT")
	{
		$loc = explode("/", $menu);
		$p = "this->menu";

		for($x=0;$x<sizeof($loc);$x++) {
			$p = $p . "['" . $loc[$x] . "']['menu']";
		}
		$info[$id]['name'] = $item['name'];
		$info[$id]['link'] = ($item['link']) ? $item['link'] : "javascript:";
		$info[$id]['img']  = $item['img'];
		$info[$id]['alt']  = ($item['alt'])  ? $item['alt'] : FALSE;
		$info[$id]['SEC']  = ($item['SEC'])  ? $item['SEC'] : _USER;
		

		
		eval("\$$p = array_merge_recursive(\$$p,\$info);");
	}
	
	function create_MenuCode($start = FALSE, $loc = null)
	{
		global $session, $color;
		// Building menu

		$menu = "";
		$item=1;

		if($start) {
			$p = $start['menu'];				// Using previous pointer
			$info = $start;						// menu configuration array
		} else {
			$p = $this->menu['ROOT']['menu'];	// Using root menu
			$info = $this->menu['ROOT'];		// menu configuration array

			// Default menu header
			$menu  = "<DIV class=qview>\n";
			$menu .= sprintf("<DIV class=top><IMG id='img_qvmenu' src='images/qview/unopen.gif' alt='Click to Expand' onClick=\"move('qvmenu');\">%s&nbsp;&nbsp;&nbsp;(<A HREF='javascript:window.location.reload()'>reload</A>)</DIV>\n", $this->menu['name']);
			$loc  .= "qvmenu";
		}

		$menu .= sprintf("<DIV class=menu id='%s' style='display: none'>\n", $loc);

		if(is_array($p)) {
			foreach($p as $key => $value) {
				if($session->checkAccessLevel($value['SEC'])) {
					if($value['menu']) {
						$menu .= "<DIV class=item>\n";
						$menu .= sprintf("<IMG id='img_%s' src='images/qview/unopen.gif' alt='Click to Expand' onClick=\"move('%s');\">", $key, $key);
						if($value['img'])
							$menu .= sprintf("<A HREF='%s' target='main' title='%s'><IMG src='%s'>%s</A>\n", $value['link'], $value['alt'], $value['img'], $value['name']);
						else
						    $menu .= sprintf("<A HREF='%s' target='main' title='%s'>%s</A>\n", $value['link'], $value['alt'], $value['name']);
						$menu .= $this->create_MenuCode($value, $key);
						$item++;
					} else {
						$menu .= "<DIV class=item>\n";
						if($value['img'])
							$menu .= sprintf("<A HREF='%s' target='main' title='%s'><IMG id='img_%s' src='%s'>%s</A>\n", $value['link'], $value['alt'], $key, $value['img'], $value['name']);
						else
						    $menu .= sprintf("<A HREF='%s' target='main' title='%s'><IMG src='images/qview/dot.gif' alt=''>%s</A>\n", $value['link'], $value['alt'], $value['name']);
						$menu .= "</DIV>\n";
						$item++;
					}
				}
			}
		}
		$menu .= "<DIV><IMG src='images/qview/bottom.gif' style='vertical-align: top; horizontal-align: middle;'></DIV>\n";
		$menu .= "</DIV>\n";
		$menu .= "</DIV>\n";

		return $menu;
	}
}

// External Program Functions
function add_QVLink($id, $name, $link, $img = FALSE, $alt = FALSE, $SEC = _USER, $menu = "ROOT")
{
	global $_QUICKVIEW;

	if(isset($_QUICKVIEW)) {
		$link = Array("name" => $name, "link" => $link, "img" => $img, "alt" => $alt, "SEC" => $SEC);
		$_QUICKVIEW->add_MenuLink($id, $link, $menu);
	}
}

function add_QVItem($id, $name, $link, $img, $alt, $SEC = _USER, $menu)
{
	global $_QUICKVIEW;

	if(isset($_QUICKVIEW)) {
		$item = Array("name" => $name, "link" => $link, "img" => $img, "alt" => $alt, "SEC" => $SEC);
		$_QUICKVIEW->add_MenuItem($id, $item, $menu);
	}
}

$_QUICKVIEW = new qview("Quick View");
?>
