<?
/********************************************************************
Copyright (c) 2003 Jason Sessler

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
********************************************************************/

include "inc/common.php";
include _ABS_ROOT . "/lib/mysql.inc.php";
include _ABS_ROOT . "/lib/authentication.inc.php";
include _ABS_ROOT . "/inc/check_auth.php";

include _ABS_ROOT . "/lib/html.inc.php";
include _ABS_ROOT . "/themes/plain_blue.php";
include _ABS_ROOT . "/lib/menu.inc.php";
include _ABS_ROOT . "/lib/module.inc.php";
include _ABS_ROOT . "/inc/midas.inc.php";

printf("<HTML>\n");
printf("<HEAD>\n");
printf("<META HTTP-EQUIV='CACHE-CONTROL' CONTENT='NO-CACHE'>\n");
printf("<META HTTP-EQUIV='PRAGMAS' CONTENT='NO-CACHE'>\n");
printf("<TITLE>%s</TITLE>\n", _APPNAME);
printf("</HEAD>\n");
printf("<LINK rel=stylesheet href=%s type=text/css>\n", $color['css']);
printf("<SCRIPT language='Javascript' src='js/module_support.js'></SCRIPT>\n");

printf("<BODY bgcolor=%s topmargin=0 leftmargin=0>\n", $color[4]);

if($_POST['action'] == "Update") {
    $_MODULES->reset_registered_modules($_POST['registered_modules']);
} else if ($_POST['action'] == "Get Info") {
	$array = @array_merge_recursive($_POST['registered_modules'], $_POST['unregistered_modules']);
	echo html_tag("TABLE",
	        html_tag("TR",
	            html_tag("TD", sprintf("<b>%s Module Support</b>\n", _APPNAME),
				$color[4], "width=100% align=center valign=top"),
	        "", ""),
    $color[10], "cellspacing=0 cellpadding=1 width=100% border=0");

	$size = sizeof($array);

	for($x=0;$x<$size;$x++) {
		$info = $_MODULES->get_module_info($array[$x]);
		echo html_tag("TABLE",
		        html_tag("TR",
		            html_tag("TD", sprintf("<b>NAME:</b> %s (%s) <br>\n", $info['NAME'], $info['VERSION']),
					$color[0], "width=100% align=left valign=top"),
		        "", "") .
		        html_tag("TR",
		            html_tag("TD", sprintf("<b>CONFIG:</b> %s <br>\n<b>INCLUDE:</b> %s <br>\n<b>MODULE_INIT_FUNCTION:</b> %s() <br>\n", $info['CONFIG'], $info['INCLUDE'], $info['INIT']),
					$color[4], "width=100% align=left valign=top"),
		        "", "") .
		        html_tag("TR",
		            html_tag("TD", sprintf("<b>DESC:</b> %s\n", $info['DESC']),
					$color[4], "width=100% align=left valign=top"),
		        "", ""),
        $color[10], "cellspacing=1 align=center cellpadding=2 width=90% border=0");
        printf("<br>\n");
    }
    printf("<center><input type=button value='Close' onClick='window.close()'</center>\n");
	exit;
}

$_MODULES->list_modules();

$unreg_form_data = "<select name='unregistered_modules[]' id='unregistered_modules' size=15 multiple>\n";
$reg_form_data   = "<select name='registered_modules[]' id='registered_modules' size=15 multiple>\n";

while($key = @key($_MODULES->module_details['unregistered'])) {
	$unreg_form_data .= sprintf("<option value='%s'>%s (%s)</option>\n",
		$_MODULES->module_details['unregistered'][$key]['CONFIG'], $key, $_MODULES->module_details['unregistered'][$key]['VERSION']);
	@next($_MODULES->module_details['unregistered']);
}

while($key = @key($_MODULES->module_details['registered'])) {
	$reg_form_data .= sprintf("<option value='%s'>%s (%s)</option>\n",
		$_MODULES->module_details['registered'][$key]['CONFIG'], $key, $_MODULES->module_details['registered'][$key]['VERSION']);
	@next($_MODULES->module_details['registered']);
}

$unreg_form_data .= "</select>\n";
$reg_form_data   .= "</select>\n";

echo html_tag("TABLE",
        html_tag("TR",
            html_tag("TD", sprintf("<SPAN class='titlelarge'>%s Module Support</SPAN>\n", _APPNAME),
			$color[4], "width=100% align=center valign=top"),
        "", "") .
		(($_POST['action'] == Update) ? html_tag("TR", html_tag("TD", "<b>NOTE: <i>a refresh may be required to start some/all updated modules</i></b>\n", $color[4], "align=center"), "", "") : "") .
        html_tag("TR",
            html_tag("TD",
                html_tag("TABLE",
                    html_tag("TR",
                        html_tag("TD", "Unregistered Modules", $color[0], "width=45% class='blackmid'") .
                        html_tag("TD", "&nbsp;", $color[0], "width=10% class='blackmid'") .
                        html_tag("TD", "Registered Modules", $color[0], "width=45% class='blackmid'"),
					"", "") .
					html_tag("TR",
						"<FORM name='module_support' method='post' action='module_support.php'>\n" .
					    html_tag("TD", $unreg_form_data, $color[4], "align=center") .
					    html_tag("TD",
							"<input type=button value='>>' onClick='javascript:addModule();'><br><br>\n" .
							"<input type=button value='<<' onClick='javascript:removeModule();'>\n",
						$color[4], "align=center valign=center") .
					    html_tag("TD", $reg_form_data, $color[4], "align=center"),
					"", "") .
					html_tag("TR",
					    html_tag("TD",
							"<input type=submit name=action value='Get Info' onClick=\"javascript:void window.open('','Module_Info','width=400,height=200,scrollbars=yes');javascript:document.module_support.target='Module_Info';\">&nbsp;&nbsp;&nbsp;\n" .
							"<input type=submit name=action value='Update' onClick=\"javascript:selectAllReg();javascript:document.module_support.target='_self';\">&nbsp;&nbsp;&nbsp;\n" .
							"<input type=reset value='Reset'>\n",
						$color[4], "colspan=3 align=center valign=center") . "</FORM>\n",
					"", ""),
				$color[10], "width=80% cellspacing=1 cellpadding=1 border=0"),
			$color[4], "align=center valign=top"),
		"", ""),
    $color[4], "width=100% height=100% border=0");
	
$_MODULES->clear_res();

printf("</BODY>\n");
printf("</HTML>\n");
?>
