<?
/********************************************************************
Copyright (c) 2003 Jason Sessler

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
********************************************************************/

@include _ABS_ROOT . "/modules/alertconfig/alert.inc.php";

$db = new conn_mySQL($credentials);
$db->db_new_conn();
	
if($LOC == "a_groups") {
	if($action == "edit") {
		$db->add_table(_TABLE_ALERT_GROUPS);
		$db->clause = "where AGID='$AGID'";
		$ret = $db->compile_query("SELECT");
		if($ret['return']) {
			$db->run_query();
			$db->step();
			edit_alert_group($db->res);
        } else {
			$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
		}
		$db->clear_res();
	} else if($action == "Save" && $session->checkAccessLevel(_GROUP_WRITE)) {
		$values = Array("Name" => $Name, "Descr" => $Descr);
		$a_required = buildRequiredList($required, $req_title);
		$msg = check_required($a_required, $values);
		if($msg['return']) {
			if($AGID) {
				$db->add_table(_TABLE_ALERT_GROUPS);
				$db->add_data("Name", $Name);
				$db->add_data("Descr", $Descr);
				$db->clause = "where AGID='$AGID'";
				$ret = $db->compile_query("UPDATE");
				if($ret['return']) {
					$db->run_query();
					$info = sprintf("Update Successful (<i>%s</i>)\n", $Name);
				} else {
					$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
				}
			} else {
				$db->add_table(_TABLE_ALERT_GROUPS);
				$db->add_data("AGID", null);
				$db->add_data("Name", $Name);
				$db->add_data("Descr", $Descr);
				$ret = $db->compile_query("INSERT");
				if($ret['return']) {
					$db->run_query();
					$info = sprintf("Add Successful (%s)\n", $Name);
				} else {
					$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
				}
			}
			$db->clear_res();
		} else {
			edit_group($values, $msg['msg']);
		}
	} else if($action == "delete" && $session->checkAccessLevel(_GROUP_WRITE)) {
		if($confirm == "Yes") {
			$db->run_query(sprintf("SELECT AGID FROM %s where AGID='$AGID'", _TABLE_ALERT_CONTACT_GROUPS));
			$db->step();
			if($db->rows > 0) {
				$info = sprintf("<SPAN class='errmsg'>ERROR: Alert Group not empty, cannot delete (<i>%s</i>)</SPAN> <br>\n", $Name);
			} else {
				$db->clear_res();
				$db->add_table(_TABLE_ALERT_GROUPS);
				$db->clause = "where AGID='$AGID'";
				$ret = $db->compile_query("DELETE");
				if($ret['return']) {
					$db->run_query();
					$info = sprintf("Alert Group Deleted Successfully (<i>%s</i>)\n", $Name);
				} else {
					$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
				}
			}
		} else if ($confirm == "No") {
			$info = sprintf("<SPAN class='errmsg'>Deletion Aborted</SPAN> (<i>%s</i>)\n", $Name);
		} else {
			$db->add_table(_TABLE_ALERT_GROUPS);
			$db->add_select_item(Array("Name", "Descr"));
			$db->clause = "where AGID='$AGID'";
			$ret = $db->compile_query("SELECT");
			if($ret['return']) {
				$db->run_query();
				$db->step();
				printf("<FORM name=delete_AGID method=post action=configure.php>\n");
				printf(" <input type=hidden name=LOC value='%s'>\n", $LOC);
				printf(" <input type=hidden name=action value='%s'>\n", $action);
				printf(" <input type=hidden name=AGID value='%s'>\n", $AGID);
				printf(" <input type=hidden name=Name value='%s'>\n", $db->res['Name']);
				echo html_tag("TABLE",
						    html_tag("TR",
						        html_tag("TD", "Delete Alert Group Confirmation\n", $color[0], "colspan=2 class='blackmid' align=center valign=top"),
							"", "") .
							html_tag("TR",
							    html_tag("TD", "<A HREF='configure.php?LOC=a_groups'>[back]</A>\n", $color[4], "colspan=2 class='bodysmall' align='center' valign='top'"),
							"", "") .
							html_tag("TR",
							    html_tag("TD", "Name\n", $color[5], "class='bodysmall' align='left' valign='top'") .
							    html_tag("TD", "Description\n", $color[5], "class='bodysmall' align='left' valign='top'"),
							"", "") .
							html_tag("TR",
							    html_tag("TD", $db->res['Name'], $color[4], "class='blacksmall' align='center' valign='top'") .
							    html_tag("TD", $db->res['Descr'], $color[4], "class='blacksmall' align='left' valign='top'"),
							"", "") .
							html_tag("TR",
						        html_tag("TD", "<input type=submit name=confirm value=Yes>&nbsp;&nbsp;&nbsp;<input type=submit name=confirm value=No>\n", $color[4], "colspan=2 class='blackmid' align=center valign=top"),
							"", ""),
						$color[10], "width=70% cellspacing=2 cellpadding=3 align=center");
				printf("</FORM>\n");
				exit;
			} else {
				$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
			}
		}
		$db->clear_res();
	} else if($action == "add") {
		edit_alert_group(null);
	}

	$db->add_table(_TABLE_ALERT_GROUPS);
	$db->add_extra("ORDER by Name");
	$ret = $db->compile_query("SELECT");
	if($ret['return']) {
		$db->run_query();
	}
	$list = null;
	for($x=0;$x<$db->rows;$x++) {
		$db->step();
		$list .= html_tag("TR",
			     	 html_tag("TD", sprintf("%s\n", $db->res['Name']), $color[4], "class='blacksmall' align='left' valign='top'") .
					 html_tag("TD", sprintf("%s\n", $db->res['Descr']), $color[4], "class='blacksmall' align='left' valign='top'") .
			     	 html_tag("TD", sprintf("<A HREF='configure.php?LOC=a_groups&action=edit&AGID=%s'>[edit]</A>&nbsp;&nbsp;&nbsp;<A HREF='configure.php?LOC=a_groups&action=delete&AGID=%s'>[delete]</A>\n", $db->res['AGID'], $db->res['AGID']),
					  	 $color[4], "class='blacksmall' align='center' valign='top'"),
			 	 "", "");
	}

	echo html_tag("TABLE",
		     html_tag("TR",
		         html_tag("TD", "Alert Group Configuration\n", $color[0], "colspan=3 class='blackmid' align=center valign=top"),
			 "", "") . (($info) ?
			 html_tag("TR",
				 html_tag("TD", "$info\n", $color[4], "colspan=3 class='bodysmall' align='center' valign='top'"),
			 "", "") : "") .
			 html_tag("TR",
				 html_tag("TD", "<A HREF='configure.php?LOC=a_groups&action=add'>[Add an Alert Group]</A>&nbsp;&nbsp;&nbsp;<A HREF='configure.php'>[back]</A>\n", $color[4], "colspan=3 class='bodysmall' align='center' valign='top'"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD", "<nobr>Alert Group Name</nobr>\n", $color[5], "class='bodysmall' align='left' valign='top'") .
			     html_tag("TD", "<nobr>Description</nobr>\n", $color[5], "class='bodysmall' align='left' valign='top'") .
			     html_tag("TD", "Action\n", $color[5], "class='bodysmall' align='left' valign='top'"),
			 "", "") . $list,
		 $color[10], "width=70% cellspacing=2 cellpadding=3 align=center");
	$db->clear_res();
	$db->db_close();
	$db = NULL;
} else if($LOC == "a_contacts") {
	if($action == "edit") {
		$db->add_table(_TABLE_ALERT_CONTACTS);
		$db->clause = "where ACID='$ACID'";
		$ret = $db->compile_query("SELECT");
		if($ret['return']) {
			$db->run_query();
			$db->step();
			$info = $db->res;

			$db->clear_res();
			$db->add_table(_TABLE_ALERT_CONTACT_GROUPS);
			$db->add_select_item("AGID");
			$db->clause = "where ACID='$ACID'";
			$ret = $db->compile_query("SELECT");
			if($ret['return']) {
				$db->run_query();
				for($x=0;$x<$db->rows;$x++) {
					$db->step();
					$a_AGID[$x] = $db->res['AGID'];
				}
				$info['a_AGID'] = $a_AGID;

				edit_alert_contact($info);
			} else {
				edit_alert_contact($info, "<SPAN class='errmsg'>ERROR: Could not retrieve Alert Groups</SPAN>");
			}
        } else {
			$msg = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
		}
		$db->clear_res();
	} else if($action == "Save" && $session->checkAccessLevel(_GROUP_WRITE)) {
		$info = Array("Name" => $Name,
					  "Descr" => $Descr,
					  "AlertType" => $AlertType,
					  "AlertOption" => $AlertOption,
					  "OnTime" => $OnTime,
					  "OffTime" => $OffTime,
					  "a_AGID" => $a_AGID);
		$a_required = buildRequiredList($required, $req_title);
		$msg = check_required($a_required, $info);
		if($msg['return']) {
			if($ACID) {
				$db->add_table(_TABLE_ALERT_CONTACTS);
				$db->add_data("Name", $Name);
				$db->add_data("Descr", $Descr);
				$db->add_data("AlertType", $AlertType);
				$db->add_data("AlertOption", $AlertOption);
				$db->add_data("OnTime", $OnTime);
				$db->add_data("OffTime", $OffTime);
				$db->clause = "where ACID='$ACID'";
				$ret = $db->compile_query("UPDATE");
				if($ret['return']) {
					$db->run_query();
					$msg = sprintf("Update Successful (<i>%s</i>) <br>\n", $Name);

					$db->clear_res();
					$db->add_table(_TABLE_ALERT_CONTACT_GROUPS);
					$db->clause = "where ACID=$ACID";
					$ret = $db->compile_query("DELETE");
					if($ret['return']) {
						$db->run_query();
						for($x=0;$x<sizeof($a_AGID);$x++) {
							$db->clear_res();
							$db->add_table(_TABLE_ALERT_CONTACT_GROUPS);
							$db->add_data("AGID", $a_AGID[$x]);
							$db->add_data("ACID", $ACID);
							$ret = $db->compile_query("INSERT");
							if($ret['return']) {
								$db->run_query();
							} else {
								$msg .= sprintf("<SPAN class='errmsg'>ERROR: Alert Groups did not update correctly(<i>%s</i></SPAN>)\n", $Name);
							}
						}
					} else {
						$msg .= sprintf("<SPAN class='errmsg'>ERROR: Alert Groups did not update correctly(<i>%s</i>)</SPAN>\n", $Name);
					}
				} else {
					$msg = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
				}
			} else {
				$db->clear_res();

				$db->add_table(_TABLE_ALERT_CONTACTS);
				$db->add_data("ACID", null);
				$db->add_data("Name", $Name);
				$db->add_data("Descr", $Descr);
				$db->add_data("AlertType", $AlertType);
				$db->add_data("AlertOption", $AlertOption);
				$db->add_data("OnTime", $OnTime);
				$db->add_data("OffTime", $OffTime);
				$ret = $db->compile_query("INSERT");
				if($ret['return']) {
					$db->run_query();
					$msg = sprintf("Add Successful (%s)\n", $Name);
					$db->clear_res();

					$db->add_table(_TABLE_ALERT_CONTACTS);
					$db->add_select_item("ACID");
					$db->clause = "where Name='$Name' and Descr='$Descr'";
					$ret = $db->compile_query("SELECT");
					if($ret['return']) {
						$db->run_query();
						$db->step();
						$ACID = $db->res['ACID'];

						for($x=0;$x<sizeof($a_AGID);$x++) {
							$db->clear_res();
							$db->add_table(_TABLE_ALERT_CONTACT_GROUPS);
							$db->add_data("AGID", $a_AGID[$x]);
							$db->add_data("ACID", $ACID);
							$ret = $db->compile_query("INSERT");
							if($ret['return']) {
								$db->run_query();
							} else {
								$msg .= sprintf("<SPAN class='errmsg'>ERROR: Alert Groups did not insert correctly(<i>%s</i></SPAN>)\n", $Name);
							}
						}
					} else {
						$msg .= sprintf("<SPAN class='errmsg'>ERROR: Alert Groups did not insert correctly(<i>%s</i></SPAN>)\n", $Name);
					}
				} else {
					$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
				}
			}
			$db->clear_res();
		} else {
			edit_alert_contact($info, $msg['msg']);
		}
	} else if($action == "delete" && $session->checkAccessLevel(_GROUP_WRITE)) {
		if($confirm == "Yes") {
			$db->add_table(_TABLE_ALERT_CONTACT_GROUPS);
			$db->clause = "where ACID='$ACID'";
			$ret = $db->compile_query("DELETE");
			if($ret['return']) {
				$db->run_query();
				$db->clear_res();

    			$db->add_table(_TABLE_ALERT_CONTACTS);
    			$db->clause = "where ACID='$ACID'";
    			$ret = $db->compile_query("DELETE");
    			if($ret['return']) {
    				$db->run_query();
					$msg = sprintf("Alert Contact Deleted Successfully (<i>%s</i>)\n", $Name);
				} else {
					$msg = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
				}
			} else {
				$msg = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
			}
		} else if ($confirm == "No") {
			$msg = sprintf("<SPAN class='errmsg'>Deletion Aborted</SPAN> (<i>%s</i>)\n", $Name);
		} else {
			$db->add_table(_TABLE_ALERT_CONTACTS);
			$db->add_select_item(Array("Name", "Descr"));
			$db->clause = "where ACID='$ACID'";
			$ret = $db->compile_query("SELECT");
			if($ret['return']) {
				$db->run_query();
				$db->step();
				printf("<FORM name=delete_ACID method=post action=configure.php>\n");
				printf(" <input type=hidden name=LOC value='%s'>\n", $LOC);
				printf(" <input type=hidden name=action value='%s'>\n", $action);
				printf(" <input type=hidden name=ACID value='%s'>\n", $ACID);
				printf(" <input type=hidden name=Name value='%s'>\n", $db->res['Name']);
				echo html_tag("TABLE",
						    html_tag("TR",
						        html_tag("TD", "Delete Alert Contact Confirmation\n", $color[0], "colspan=2 class='blackmid' align=center valign=top"),
							"", "") .
							html_tag("TR",
							    html_tag("TD", "<A HREF='configure.php?LOC=a_groups'>[back]</A>\n", $color[4], "colspan=2 class='bodysmall' align='center' valign='top'"),
							"", "") .
							html_tag("TR",
							    html_tag("TD", "Name\n", $color[5], "class='bodysmall' align='left' valign='top'") .
							    html_tag("TD", "Description\n", $color[5], "class='bodysmall' align='left' valign='top'"),
							"", "") .
							html_tag("TR",
							    html_tag("TD", $db->res['Name'], $color[4], "class='blacksmall' align='center' valign='top'") .
							    html_tag("TD", $db->res['Descr'], $color[4], "class='blacksmall' align='left' valign='top'"),
							"", "") .
							html_tag("TR",
						        html_tag("TD", "<input type=submit name=confirm value=Yes>&nbsp;&nbsp;&nbsp;<input type=submit name=confirm value=No>\n", $color[4], "colspan=2 class='blackmid' align=center valign=top"),
							"", ""),
						$color[10], "width=70% cellspacing=2 cellpadding=3 align=center");
				printf("</FORM>\n");
				exit;
			} else {
				$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
			}
		}
		$db->clear_res();
	} else if($action == "add") {
		edit_alert_contact(null);
	}

	$db->add_table(_TABLE_ALERT_CONTACTS);
	$db->add_select_item(Array("ACID", "Name", "Descr"));
	$db->add_extra("ORDER by Name");
	$ret = $db->compile_query("SELECT");
	if($ret['return']) {
		$db->run_query();
		for($x=0;$x<$db->rows;$x++) {
			$db->step();
			$list .= html_tag("TR",
			     	 	 html_tag("TD", sprintf("%s\n", $db->res['Name']), $color[4], "class='blacksmall' align='left' valign='top'") .
					 	 html_tag("TD", sprintf("%s\n", $db->res['Descr']), $color[4], "class='blacksmall' align='left' valign='top'") .
			     	 	 html_tag("TD", sprintf("<A HREF='configure.php?LOC=a_contacts&action=edit&ACID=%s'>[edit]</A>&nbsp;&nbsp;&nbsp;<A HREF='configure.php?LOC=a_contacts&action=delete&ACID=%s'>[delete]</A>\n", $db->res['ACID'], $db->res['ACID']),
					  	 	 $color[4], "class='blacksmall' align='center' valign='top'"),
			 	 	 "", "");
		}
	}
	
	echo html_tag("TABLE",
		     html_tag("TR",
		         html_tag("TD", "Alert Contact Configuration\n", $color[0], "colspan=4 class='blackmid' align=center valign=top"),
			 "", "") . (($msg) ?
			 html_tag("TR",
				 html_tag("TD", "$msg\n", $color[4], "colspan=4 class='bodysmall' align='center' valign='top'"),
			 "", "") : "") .
			 html_tag("TR",
				 html_tag("TD", "<A HREF='configure.php?LOC=a_contacts&action=add'>[Add an Alert Contact]</A>&nbsp;&nbsp;&nbsp;<A HREF='configure.php'>[back]</A>\n", $color[4], "colspan=4 class='bodysmall' align='center' valign='top'"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD", "<nobr>Alert Contact Name</nobr>\n", $color[5], "class='bodysmall' align='left' valign='top'") .
			     html_tag("TD", "<nobr>Description</nobr>\n", $color[5], "class='bodysmall' align='left' valign='top'") .
			     html_tag("TD", "Action\n", $color[5], "class='bodysmall' align='left' valign='top'"),
			 "", "") . $list,
		 $color[10], "width=70% cellspacing=2 cellpadding=3 align=center");
	$db->clear_res();
	$db->db_close();
	$db = NULL;
}

?>
