<?
/********************************************************************
Copyright (c) 2003 Jason Sessler

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
********************************************************************/

function load_event_history()
{
	if(@function_exists("addModuleAction")) {
		addModuleAction(_SUMMARY_BODY_LOWER, "Monitor Event History", "event_history");
		addModuleAction(_VIEWHOST_MODULES, "Monitor Event History", "event_history_module");
	}

	return TRUE;
}

function event_history()
{
	echo build_event_history("95%");
	return TRUE;
}

function event_history_module()
{
	global $showEventHistory, $args, $_SERVER;
	if($showEventHistory) {
		return Array('link' => sprintf("<A HREF='%s'>Hide\n",
					 	buildURL($_SERVER['PHP_SELF'], array_merge($args, Array("showEventHistory" => null)))),
 		 			 'output' => build_event_history("100%"));
	} else {
		return Array('link' => sprintf("<A HREF='%s'>Show</A>\n",
						buildURL($_SERVER['PHP_SELF'], array_merge($args, Array("showEventHistory" => 1)))));
	}
}

function build_event_history($tableSize)
{
	global $db, $eventHistoryShow, $eventHistoryStart, $checkStatus, $color, $HID, $TID, $CID, $_SERVER;

	if($db->dbc) {
		$mon = new conn_mySQL();
		$mon->db_use_conn($db->dbc, $db->db);
		$closeit = FALSE;
	} else {
		global $credentials;
		$mon = new conn_mySQL($credentials);
		$mon->db_new_conn();
		$closeit = TRUE;
	}

	if(is_null($eventHistoryShow))
		$eventHistoryShow = 5;
	if(is_null($eventHistoryStart))
	    $eventHistoryStart = 0;

	if(isset($HID))
	    $where[] = sprintf("%s.HID='$HID'", _TABLE_CHECK_EVENTS);
	if(isset($TID))
	    $where[] = sprintf("%s.TID='$TID'", _TABLE_CHECK_EVENTS);
   	if(isset($CID))
	    $where[] = sprintf("%s.CID='$CID'", _TABLE_CHECK_EVENTS);

    $mon->add_table(_TABLE_CHECK_EVENTS);
    $mon->add_select_item("count(EID) as num");

	if(sizeof($where) > 0)
		$mon->clause .= " where " . implode(" AND ", $where);

	$ret = $mon->compile_query("SELECT");
	if($ret['return']) {
		$mon->run_query();
		$mon->step();
		$totalSize = $mon->res['num'];
	}
	
	$mon->clear_res();

	$mon->add_table(_TABLE_CHECK_EVENTS);
	$mon->add_select_item(Array(_TABLE_CHECK_EVENTS => Array("HID", "CID", "Status", "Response", "TimeStamp"),
						        _TABLE_CHECKS => "Name",
						        _TABLE_HOSTS  => "HostName"));
	$mon->clause = sprintf("LEFT JOIN %s on (%s.HID=%s.HID) LEFT JOIN %s on (%s.CID=%s.CID)",
		 _TABLE_HOSTS, _TABLE_CHECK_EVENTS, _TABLE_HOSTS, _TABLE_CHECKS, _TABLE_CHECK_EVENTS, _TABLE_CHECKS);

	if(sizeof($where) > 0)
		$mon->clause .= " where " . implode(" AND ", $where);

	$mon->add_extra("Order by TimeStamp DESC");
	$mon->add_extra("LIMIT $eventHistoryStart, $eventHistoryShow");
	$ret = $mon->compile_query("SELECT");
	if($ret['return']) {
		$mon->run_query();
		for($x=0;$x<$mon->rows;$x++) {
			$mon->step();
			$items .= html_tag("TR",
			              html_tag("TD", $mon->res['TimeStamp'], $color[12], "align=center valign=top class=blacksmall") .
			              html_tag("TD", $checkStatus[$mon->res['Status']], $color[12], "align=center valign=top class=blacksmall") .
			              html_tag("TD", $mon->res['HostName'], $color[12], "align=center valign=top class=blacksmall") .
			              html_tag("TD", $mon->res['Name'], $color[12], "align=center valign=top class=blacksmall") .
			              html_tag("TD", str_replace(Array("\r","\n"), Array("", "<br>\n"), $mon->res['Response']), $color[12], "align=left valign=top class=blacksmall"),
					  "", "");
		}
	} else {
		$items = html_tag("TR",
		             html_tag("TD", $ret['errmsg'], $color[3], "colspan=5 align=center class=errmsg"),
				 "", "");
	}
	$showList = Array("1"   => 1, "5"   => 5, "10"  => 10, "20"  => 20,
					  "30"  => 30, "40"  => 40, "50"  => 50, "100" => 100);

	if($items) {
		$table = html_tag("TABLE",
				 	 html_tag("TR",
				     	 html_tag("TD", "<b>Monitor Events History</b>\n", $color[9], "class=blacksmall align=center"),
				 	 "", "") .
				 	 html_tag("TR",
				     	 html_tag("TD",
				         	 sprintf("<FORM method=get action='%s'>\n", $_SERVER['PHP_SELF']) .
						 	 sprintf("<SPAN class='blacksmall'><b>Show Last %s Event(s)</b></SPAN>&nbsp;&nbsp;<input type=submit value='Go'>\n",
							 	 build_select("eventHistoryShow", $showList, $eventHistoryShow)) .
						 	 buildHiddenValues("eventHistoryShow") .
						 	 sprintf("</FORM>\n"),
					 	 $color[3], "colspan=5 class=blacksmall align=center"),
				 	 "", "") .
				 	 html_tag("TR",
				 	 	 html_tag("TD",
					     	 html_tag("TABLE",
						     	 html_tag("TR",
							     	 html_tag("TD", "<nobr><b>Last Checked</b></nobr>\n", $color[0], "class='blacksmall' align=center") .
								 	 html_tag("TD", "<nobr><b>Status</b></nobr>\n", $color[0], "class='blacksmall' align=center") .
								 	 html_tag("TD", "<nobr><b>HostName</nobr>\n", $color[0], "class='blacksmall' align=center") .
								 	 html_tag("TD", "<nobr><b>Service</b></nobr>\n", $color[0], "class='blacksmall' align=center") .
								 	 html_tag("TD", "<nobr><b>Service Response Returned</b></nobr>\n", $color[0], "class='blacksmall' align=center"),
							 	 "", "") .
							 	 $items,
						 	 $color[10], "width=100% cellspacing=1 cellpadding=3"),
					 	 $color[3], ""),
				 	 "", "") .
				 	 html_tag("TR",
				 	 	 html_tag("TD",
						   	 pageinate($_SERVER['PHP_SELF'], $totalSize, Array("Start" => Array("eventHistoryStart" => $eventHistoryStart), "Size" => Array("eventHistoryShow" => $eventHistoryShow))),
						 $color[3], ""),
					 "", ""),
			 	 $color[10], "width=$tableSize, cellspacing=1 cellpadding=1 align=center");
	} else { 
		$table = html_tag("TABLE",
				 	 html_tag("TR",
				     	 html_tag("TD", "<b>Monitor Events History</b>\n", $color[9], "class=blacksmall align=center"),
				 	 "", "") .
				 	 html_tag("TR",
				 	 	 html_tag("TD", "No Events Found\n", $color[3], "class=blacksmall align=center"),
				 	 "", ""),
			 	 $color[10], "width=$tableSize, cellspacing=1 cellpadding=1 align=center");
	}

	$mon->clear_res();
	if($closeit)
	    $mon->db_close();

	$mon = null;
	return $table;
}

?>
