<?
/********************************************************************
Copyright (c) 2003 Jason Sessler

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
********************************************************************/

@require_once "eventstatus.inc.php";

function load_event_status()
{
	if(@function_exists("addModuleAction")) {
		addModuleAction(_VIEWHOST_MODULES, "Event Statistics", "showStats");
	}
	
	return TRUE;
}

function showStats()
{
	global $showStats, $SHOW_EVENT_STATS, $color, $HID, $TID, $CID, $args;

	$statusPercent = null;
	$statusAverage = null;
	if($showStats == "YES") {
		// Formatting Up/Down Percent Tables
		$stamp = date("Y-m-d H:00:00");

        @set_time_limit(0);
		$day = getTimeLineEvents(date("Y-m-d H:00:00", strtotime($stamp) - (24*3600)), $stamp,$HID, $TID, $CID);
		$week = getTimeLineEvents(date("Y-m-d H:00:00", strtotime($stamp) - (7 * (24*3600))), $stamp,$HID, $TID, $CID);
		$month = getTimeLineEvents(date("Y-m-d H:00:00", strtotime($stamp) - (12 * (7 * (24*3600)))), $stamp,$HID, $TID, $CID);

		$dayStatusTable = buildTimeLineTablePercent($day);
		$weekStatusTable = buildTimeLineTablePercent($week);
		$monthStatusTable = buildTimeLineTablePercent($month);

		$statusPercent = html_tag("TABLE",
					  		 html_tag("TR",
					      		 html_tag("TD", "<b>Event Status Percentages</b>", $color[0], "colspan=3 class=blacksmall align=center"),
					  		 "", "") .
		              		 html_tag("TR",
		                  		 html_tag("TD", "<b>Last 24 Hours</b>\n", $color[12], "class=blacksmall align=center") .
		                  		 html_tag("TD", "<b>Last 7 Days</b>\n", $color[12], "class=blacksmall align=center") .
		                  		 html_tag("TD", "<b>Last 3 Months</b>\n", $color[12], "class=blacksmall align=center"),
					  		 "", "") .
		              		 html_tag("TR",
		                  		 html_tag("TD", $dayStatusTable, $color[12], "align=center") .
		                  		 html_tag("TD", $weekStatusTable, $color[12], "align=center") .
		                  		 html_tag("TD", $monthStatusTable, $color[12], "align=center"),
					  		 "", "") .
					  		 html_tag("TR",
					      		 html_tag("TD", sprintf("<nobr>Up: %d%%&nbsp;&nbsp;&nbsp;Alert: %d%%&nbsp;&nbsp;&nbsp;Warning: %d%%</nobr>",
						  	  		 $day['GREEN'], $day['RED'], $day['YELLOW']),
						  		 $color[12], "class=blacksmall align=center") .
					      		 html_tag("TD", sprintf("<nobr>Up: %d%%&nbsp;&nbsp;&nbsp;Alert: %d%%&nbsp;&nbsp;&nbsp;Warning: %d%%</nobr>",
						  	  		 $week['GREEN'], $week['RED'], $week['YELLOW']),
						  		 $color[12], "class=blacksmall align=center") .
					      		 html_tag("TD", sprintf("<nobr>Up: %d%%&nbsp;&nbsp;&nbsp;Alert: %d%%&nbsp;&nbsp;&nbsp;Warning: %d%%</nobr>",
						  	  		 $month['GREEN'], $month['RED'], $month['YELLOW']),
						  		 $color[12], "class=blacksmall align=center"),
					 		 "", ""),
				  		 $color[10], "width=100% cellspacing=1 cellpadding=1");

		// Formatting Up/Down Averages
		$day = buildDayAvgGraph($HID, $TID, $CID);
		$week = buildWeekAvgGraph($HID, $TID, $CID);
		$month = buildMonthAvgGraph($HID, $TID, $CID);

		$statusAverage = html_tag("TABLE",
					  		 html_tag("TR",
					      		 html_tag("TD", "<b>Event Status Averages</b>", $color[0], "colspan=3 class=blacksmall align=center"),
					  		 "", "") .
		              		 html_tag("TR",
		                  		 html_tag("TD", "<b>Last 24 Hours</b>\n", $color[12], "class=blacksmall align=center"),
							 "", "") .
							 html_tag("TR",
							     html_tag("TD", $day, $color[3], "align=center"),
							 "", "") .
							 html_tag("TR",
		                  		 html_tag("TD", "<b>Last 7 Days</b>\n", $color[12], "class=blacksmall align=center"),
							 "", "") .
							 html_tag("TR",
							     html_tag("TD", $week, $color[3], "align=center"),
							 "", "") .
							 html_tag("TR",
		                  		 html_tag("TD", "<b>Last 3 Months</b>\n", $color[12], "class=blacksmall align=center"),
					  		 "", "") .
		              		 html_tag("TR",
							     html_tag("TD", $month, $color[12], "align=center"),
							 "", ""),
				  		 $color[10], "width=100% cellspacing=1 cellpadding=1");

		@set_time_limit(45);
		$statusReturn = $statusPercent . "<br>\n" . $statusAverage;
		$link = sprintf("<A HREF='%s'>Hide</A>\n", buildURL(_DOC_ROOT . "/view_host.php", array_merge($args, Array("showStats" => "NO"))));
	} else {
		$statusReturn = null;
		$link = sprintf("<A HREF='%s'>Show</A>\n", buildURL(_DOC_ROOT . "/view_host.php", array_merge($args, Array("showStats" => "YES"))));
	}
	
	return Array('link' => $link, 'output' => $statusReturn);
}
?>
