<?
/********************************************************************
Copyright (c) 2003 Jason Sessler

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
********************************************************************/

/********************************************************************
	Changelog:
	11/27/2003  -   Verify a host is not a tester for another host
	                before deleting it.

********************************************************************/

@include _ABS_ROOT . "/modules/hostconfig/host.inc.php";

$db = new conn_mySQL($credentials);
$db->db_new_conn();
	
if($LOC == "groups") {
	if($action == "edit") {
		$db->add_table(_TABLE_HOST_GROUPS);
		$db->clause = "where GID='$GID'";
		$ret = $db->compile_query("SELECT");
		if($ret['return']) {
			$db->run_query();
			$db->step();
			edit_group($db->res);
        } else {
			$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
		}
		$db->clear_res();
	} else if($action == "Save" && $session->checkAccessLevel(_GROUP_WRITE)) {
		$values = Array("Name" => $Name, "Descr" => $Descr);
		$a_required = buildRequiredList($required, $req_title);
		$msg = check_required($a_required, $values);
		if($msg['return']) {
			if($GID) {
				$db->add_table(_TABLE_HOST_GROUPS);
				$db->add_data("Name", $Name);
				$db->add_data("Descr", $Descr);
				$db->clause = "where GID='$GID'";
				$ret = $db->compile_query("UPDATE");
				if($ret['return']) {
					$db->run_query();
					$info = sprintf("Update Successful (<i>%s</i>)\n", $Name);
				} else {
					$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
				}
			} else {
				$db->add_table(_TABLE_HOST_GROUPS);
				$db->add_data("GID", null);
				$db->add_data("Name", $Name);
				$db->add_data("Descr", $Descr);
				$ret = $db->compile_query("INSERT");
				if($ret['return']) {
					$db->run_query();
					$info = sprintf("Add Successful (%s)\n", $Name);
				} else {
					$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
				}
			}
			$db->clear_res();
		} else {
			edit_group($values, $msg['msg']);
		}
	} else if($action == "delete" && $session->checkAccessLevel(_GROUP_WRITE)) {
		if($confirm == "Yes") {
			$db->run_query(sprintf("SELECT count(GID) as num FROM %s where GID='$GID'", _TABLE_HOSTS));
			$db->step();
			if($db->res['num'] > 0) {
				$info = sprintf("<SPAN class='errmsg'>ERROR: Group not empty, cannot delete (<i>%s</i>)</SPAN> <br>\n", $Name);
			} else {
				$db->clear_res();
				$db->add_table(_TABLE_HOST_GROUPS);
				$db->clause = "where GID='$GID'";
				$ret = $db->compile_query("DELETE");
				if($ret['return']) {
					$db->run_query();
					$info = sprintf("Group Deleted Successfully (<i>%s</i>)\n", $Name);
				} else {
					$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
				}
			}
		} else if ($confirm == "No") {
			$info = sprintf("<SPAN class='errmsg'>Deletion Aborted</SPAN> (<i>%s</i>)\n", $Name);
		} else {
			$db->add_table(_TABLE_HOST_GROUPS);
			$db->add_select_item(Array("Name", "Descr"));
			$db->clause = "where GID='$GID'";
			$ret = $db->compile_query("SELECT");
			if($ret['return']) {
				$db->run_query();
				$db->step();
				printf("<FORM name=delete_GID method=post action=configure.php>\n");
				printf(" <input type=hidden name=LOC value='%s'>\n", $LOC);
				printf(" <input type=hidden name=action value='%s'>\n", $action);
				printf(" <input type=hidden name=GID value='%s'>\n", $GID);
				printf(" <input type=hidden name=Name value='%s'>\n", $db->res['Name']);
				echo html_tag("TABLE",
						    html_tag("TR",
						        html_tag("TD", "Delete Group Confirmation\n", $color[0], "colspan=2 class='blackmid' align=center valign=top"),
							"", "") .
							html_tag("TR",
							    html_tag("TD", "<A HREF='configure.php?LOC=groups'>[back]</A>\n", $color[4], "colspan=2 class='bodysmall' align='center' valign='top'"),
							"", "") .
							html_tag("TR",
							    html_tag("TD", "Name\n", $color[5], "class='bodysmall' align='left' valign='top'") .
							    html_tag("TD", "Description\n", $color[5], "class='bodysmall' align='left' valign='top'"),
							"", "") .
							html_tag("TR",
							    html_tag("TD", $db->res['Name'], $color[4], "class='blacksmall' align='center' valign='top'") .
							    html_tag("TD", $db->res['Descr'], $color[4], "class='blacksmall' align='left' valign='top'"),
							"", "") .
							html_tag("TR",
						        html_tag("TD", "<input type=submit name=confirm value=Yes>&nbsp;&nbsp;&nbsp;<input type=submit name=confirm value=No>\n", $color[4], "colspan=2 class='blackmid' align=center valign=top"),
							"", ""),
						$color[10], "width=70% cellspacing=2 cellpadding=3 align=center");
				printf("</FORM>\n");
				exit;
			} else {
				$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
			}
		}
		$db->clear_res();
	} else if($action == "add") {
		edit_group(null);
	}
	$db->add_table(_TABLE_HOST_GROUPS);
	$db->add_select_item("GID");
	$db->add_select_item("Name");
	$db->add_select_item("Descr");
	$db->add_extra("ORDER by Name");
	$ret = $db->compile_query("SELECT");
	if($ret['return']) {
		$db->run_query();
	}
	$list = null;
	for($x=0;$x<$db->rows;$x++) {
		$db->step();
		$list .= html_tag("TR",
			     	 html_tag("TD", sprintf("%s\n", $db->res['Name']), $color[4], "class='blacksmall' align='left' valign='top'") .
			     	 html_tag("TD", sprintf("%s\n", $db->res['Descr']), $color[4], "class='blacksmall' align='left' valign='top'") .
			     	 html_tag("TD", sprintf("<A HREF='configure.php?LOC=groups&action=edit&GID=%s'>[edit]</A>&nbsp;&nbsp;&nbsp;<A HREF='configure.php?LOC=groups&action=delete&GID=%s'>[delete]</A>\n", $db->res['GID'], $db->res['GID']),
					  	 $color[4], "class='blacksmall' align='center' valign='top'"),
			 	 "", "");
	}

	echo html_tag("TABLE",
		     html_tag("TR",
		         html_tag("TD", "Group Configuration\n", $color[0], "colspan=3 class='blackmid' align=center valign=top"),
			 "", "") . (($info) ?
			 html_tag("TR",
				 html_tag("TD", "$info\n", $color[4], "colspan=3 class='bodysmall' align='center' valign='top'"),
			 "", "") : "") .
			 html_tag("TR",
				 html_tag("TD", "<A HREF='configure.php?LOC=groups&action=add'>[Add a Group]</A>&nbsp;&nbsp;&nbsp;<A HREF='configure.php'>[back]</A>\n", $color[4], "colspan=3 class='bodysmall' align='center' valign='top'"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD", "Group Name\n", $color[5], "class='bodysmall' align='left' valign='top'") .
			     html_tag("TD", "Description\n", $color[5], "class='bodysmall' align='left' valign='top'") .
			     html_tag("TD", "Action\n", $color[5], "class='bodysmall' align='left' valign='top'"),
			 "", "") . $list,
		 $color[10], "width=70% cellspacing=2 cellpadding=3 align=center");
	$db->clear_res();
	$db->db_close();
	$db = NULL;
} else if($LOC == "hosts") {
	if($action == "edit") {
		$db->add_table(_TABLE_HOSTS);
		$db->clause = "where HID='$HID'";
		$ret = $db->compile_query("SELECT");
		if($ret['return']) {
			$db->run_query();
			$db->step();
			edit_host($db->res);
        } else {
			$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
		}
		$db->clear_res();
	} else if($action == "Save" && $session->checkAccessLevel(_GROUP_WRITE)) {
		$viewChecks = 1;
		if(isset($HID) && !isset($CID)) {
			$info =   Array("HID" => $HID,
							"GID" => $GID,
							"HostName" => $HostName,
							"IPAddr" => $IPAddr,
							"IsSniffer" => $IsSniffer,
							"AGID" => $AGID,
							"Descr" => $Descr);

			$a_required = buildRequiredList($required, $req_title);
			$msg = check_required($a_required, $info);
			if($msg['return']) {
				if($HID != "") {
					$db->add_table(_TABLE_HOSTS);
					$db->add_data("GID", $GID);
					$db->add_data("HostName", $HostName);
					$db->add_data("IPAddr", $IPAddr);
					$db->add_data("IsSniffer", $IsSniffer);
					$db->add_data("AGID", $AGID);
					$db->add_data("Descr", $Descr);
					$db->clause = "where HID='$HID'";
					$ret = $db->compile_query("UPDATE");
					if($ret['return']) {
						$db->run_query();
						$msg = sprintf("Update Successful (<i>%s</i>)\n", $HostName);
					} else {
						$msg = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
					}
				} else {
					$db->add_table(_TABLE_HOSTS);
					$db->add_data("HID", null);
					$db->add_data("GID", $GID);
					$db->add_data("HostName", $HostName);
					$db->add_data("IPAddr", $IPAddr);
					$db->add_data("IsSniffer", $IsSniffer);
					$db->add_data("AGID", $AGID);
					$db->add_data("Descr", $Descr);
					$db->clause = "where HID='$HID'";
					$ret = $db->compile_query("INSERT");
					if($ret['return']) {
						$db->run_query();
						$msg = sprintf("Add Successful (<i>%s</i>)\n", $HostName);
						
						$db->clear_res();
						$db->add_table(_TABLE_HOSTS);
						$db->add_select_item("HID");
						$db->clause = "where HostName='$HostName' AND IPAddr='$IPAddr'";
						$ret = $db->compile_query("SELECT");
						if($ret['return']) {
							$db->run_query();
							$db->step();
							$info['HID'] = $db->res['HID'];
						} else {
							$msg = "<SPAN class='errmsg'>Host added, but unable to retrieve HID</SPAN>\n";
						}
					} else {
						$msg = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
					}
				}
				$db->clear_res();
			} else {
				edit_host($info, $msg['msg']);
			}
			edit_host($info, $msg);
		} else if(isset($HID) && isset($CID)) {
			if($useDefaults) {
				$db->add_table(_TABLE_CHECKS);
				$db->add_select_item("Options");
				$db->clause = "where CID='$CID'";
				$ret = $db->compile_query("SELECT");
				if($ret['return']) {
					$db->run_query();
					$db->step();
					$Options = $db->res['Options'];
				}
				$db->clear_res();
			}

			$db->run_query(sprintf("SELECT count(HID) as num FROM %s where HID='%s' AND CID='%s' AND TID='%s'", _TABLE_HOST_CHECKS, $HID, $CID, $TID));
			$db->step();
			if($db->res['num'] == 0) {
				$SQLAction = "INSERT";
				$db->add_data("CurFail", 0);
				$db->add_data("TotFail", 0);
				$db->add_data("Enabled", 1);
			} else {
				$SQLAction = "UPDATE";
				$db->add_data("TotFail", $TotFail);
				$db->clause = "where HID='$HID' AND CID='$CID' AND TID='$TID'";
			}

			$db->add_table(_TABLE_HOST_CHECKS);
			$db->add_data("HID", $HID);
			$db->add_data("CID", $CID);
			$db->add_data("TID", $TID);
			$db->add_data("MinFail", $MinFail);
			$db->add_data("DoAlert", $DoAlert);
			$db->add_data("Options", $Options);
			$ret = $db->compile_query($SQLAction);
			if($ret['return']) {
				$db->run_query();
			} else {
				$msg = "<SPAN class='errmsg'>ERROR: Problems modifing current host checks.</SPAN>\n";
			}
			$db->clear_res();
			
			$db->add_table(_TABLE_HOSTS);
			$db->clause = "where HID='$HID'";
			$ret = $db->compile_query("SELECT");
			if($ret['return']) {
				$db->run_query();
				$db->step();
				$info = $db->res;
			} else {
				$msg .= "<SPAN class='errmsg'>ERROR: cannot display Host Information</SPAN>\n";
			}
			$db->clear_res();
			
			edit_host($info, $msg);
		}
	} else if($action == "delete" && $session->checkAccessLevel(_GROUP_WRITE)) {
		if(isset($HID) && !isset($CID)) {
			if($confirm == "Yes") {
				$db->run_query(sprintf("SELECT count(TID) as num FROM %s where TID='$HID' AND HID!='$HID'", _TABLE_HOST_CHECKS));
				$db->step();
				if($db->res['num'] > 0) {
					$info = sprintf("<SPAN class='errmsg'>ERROR: Host is an active Tester, cannot delete (<i>%s</i>)</SPAN> <br>\n", $HostName);
				} else {
					$db->clear_res();
					if(@function_exists(delete_graph_stats)) {
						$stats['Type'] = "CHECK";
						$stats['ID1'] = $HID;
						delete_graph_stats($stats);
					}

					$tables = Array(_TABLE_SNORT_CONF, _TABLE_SNORT_RULES, _TABLE_IDS_EVENTS,
									_TABLE_NETMON_PORTS, _TABLE_CHECK_EVENTS, _TABLE_CHECK_CURRENT,
									_TABLE_HOST_CHECKS, _TABLE_HOSTS);

					$clause = "where HID='$HID'";
					$delete_error = FALSE;
					foreach($tables as $table) {
						$db->add_table($table);
						$db->clause = $clause;
						$ret = $db->compile_query("DELETE");
						if($ret['return']) {
							$db->run_query();
						} else {
							$delete_error = TRUE;
							break;
						}
						$db->clear_res();
					}

					if(!$delete_error) {
						$info = sprintf("Host Deleted Successfully (<i>%s</i>)\n", $HostName);
					} else {
						$info = sprintf("<SPAN class='errmsg'>ERROR: %s [%s]</SPAN>\n", $ret['errmsg'], $table);
					}
				}
			} else if ($confirm == "No") {
				$info = sprintf("<SPAN class='errmsg'>Deletion Aborted</SPAN> (<i>%s</i>)\n", $HostName);
			} else {
				$db->add_table(_TABLE_HOSTS);
				$db->add_select_item(Array("HostName", "IPAddr", "Descr"));
				$db->clause = "where HID='$HID'";
				$ret = $db->compile_query("SELECT");
				if($ret['return']) {
					$db->run_query();
					$db->step();
					printf("<FORM name=delete_HID method=post action=configure.php>\n");
					printf(" <input type=hidden name=LOC value='%s'>\n", $LOC);
					printf(" <input type=hidden name=action value='%s'>\n", $action);
					printf(" <input type=hidden name=HID value='%s'>\n", $HID);
					printf(" <input type=hidden name=HostName value='%s'>\n", $db->res['HostName']);
					printf(" <input type=hidden name=IPAddr value='%s'>\n", $db->res['IPAddr']);
					echo html_tag("TABLE",
							    html_tag("TR",
							        html_tag("TD", "Delete Host Confirmation\n", $color[0], "colspan=2 class='blackmid' align=center valign=top"),
								"", "") .
								html_tag("TR",
								    html_tag("TD", "<A HREF='configure.php?LOC=hosts'>[back]</A>\n", $color[4], "colspan=2 class='bodysmall' align='center' valign='top'"),
								"", "") .
								html_tag("TR",
								    html_tag("TD", "HostName (<i>IPAddr</i>)\n", $color[5], "class='bodysmall' align='left' valign='top'") .
								    html_tag("TD", "Description\n", $color[5], "class='bodysmall' align='left' valign='top'"),
								"", "") .
								html_tag("TR",
								    html_tag("TD", sprintf("%s&nbsp;&nbsp;&nbsp;(<i>%s</i>)\n", $db->res['HostName'], $db->res['IPAddr']), $color[4], "class='blacksmall' align='center' valign='top'") .
								    html_tag("TD", $db->res['Descr'], $color[4], "class='blacksmall' align='left' valign='top'"),
								"", "") .
								html_tag("TR",
							        html_tag("TD", "<input type=submit name=confirm value=Yes>&nbsp;&nbsp;&nbsp;<input type=submit name=confirm value=No>\n", $color[4], "colspan=2 class='blackmid' align=center valign=top"),
								"", ""),
							$color[10], "width=70% cellspacing=2 cellpadding=3 align=center");
					printf("</FORM>\n");
					exit;
				} else {
					$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
				}
			}
			$db->clear_res();
		} else if (isset($HID) && isset($CID)) {
			if($confirm == "Yes") {
				$db->add_table(_TABLE_HOST_CHECKS);
				$db->clause = "where HID='$HID' AND CID='$CID' AND TID='$TID'";
				$ret = $db->compile_query("DELETE");
				if($ret['return']) {
					$db->run_query();
					$db->clear_res();
					$db->add_table(_TABLE_CHECK_CURRENT);
					$db->clause = "where HID='$HID' AND CID='$CID' AND TID='$TID'";
					$ret = $db->compile_query("DELETE");
					if($ret['return']) {
						$db->run_query();
						if(@function_exists(delete_graph_stats)) {
							$stats['Type'] = "CHECK";
							$stats['ID1'] = $HID;
							$stats['ID2'] = sprintf("%s_%s", $CID, $TID);
							if(delete_graph_stats($stats)) {
								$info = sprintf("Host Check Deleted Successfully (<i>%s</i>)\n", $Name);
							} else {
								$info = sprintf("<SPAN class='errmsg'>WARNING: Host Check Deleted Successfully (<i>%s</i>), but graph stats where not deleted.</SPAN>\n", $Name);
							}
						} else {
							$info = sprintf("Host Check Deleted Successfully (<i>%s</i>)\n", $Name);
						}
					} else {
						$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
					}
				} else {
					$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
				}
			} else if ($confirm == "No") {
				$info = sprintf("<SPAN class='errmsg'>Deletion Aborted</SPAN> (<i>%s</i>)\n", $Name);
			} else {
				$db->add_table(_TABLE_CHECKS);
				$db->add_select_item(Array("Name", "Descr"));
				$db->clause = "where CID='$CID'";
				$ret = $db->compile_query("SELECT");
				if($ret['return']) {
					$db->run_query();
					$db->step();
					printf("<FORM name=delete_HID_CID method=post action=configure.php>\n");
					printf(" <input type=hidden name=LOC value='%s'>\n", $LOC);
					printf(" <input type=hidden name=action value='%s'>\n", $action);
					printf(" <input type=hidden name=HID value='%s'>\n", $HID);
					printf(" <input type=hidden name=Name value='%s'>\n", $db->res['Name']);
					printf(" <input type=hidden name=CID value='%s'>\n", $CID);
					printf(" <input type=hidden name=TID value='%s'>\n", $TID);

					$db2 = new conn_mySQL();
					$db2->db_use_conn($db->dbc, $db->db);
					$db2->add_table(_TABLE_HOSTS);
					$db2->add_select_item("HostName");
					$db2->clause = "where HID='$TID'";
					$ret = $db2->compile_query("SELECT");
					if($ret['return']) {
						$db2->run_query();
						$db2->step();
						$tName = $db2->res['HostName'];
					} else {
						$tName = "<i>unknown ($TID)</i>";
					}
					$db2->clear_res();
					$db2 = null;
					
					echo html_tag("TABLE",
							    html_tag("TR",
							        html_tag("TD", "Delete Host Check Confirmation\n", $color[0], "colspan=3 class='blackmid' align=center valign=top"),
								"", "") .
								html_tag("TR",
								    html_tag("TD", sprintf("<A HREF='configure.php?LOC=hosts&action=edit&HID=%s&CID=%s&viewChecks=1'>[back]</A>\n", $HID, $CID), $color[4], "colspan=3 class='bodysmall' align='center' valign='top'"),
								"", "") .
								html_tag("TR",
								    html_tag("TD", "Check Name\n", $color[5], "class='bodysmall' align='left' valign='top'") .
								    html_tag("TD", "Tester\n", $color[5], "class='bodysmall' align='left' valign='top'") .
								    html_tag("TD", "Description\n", $color[5], "class='bodysmall' align='left' valign='top'"),
								"", "") .
								html_tag("TR",
								    html_tag("TD", sprintf("%s\n", $db->res['Name']), $color[4], "class='blacksmall' align='center' valign='top'") .
								    html_tag("TD", sprintf("%s\n", $tName), $color[4], "class='blacksmall' align='center' valign='top'") .
								    html_tag("TD", $db->res['Descr'], $color[4], "class='blacksmall' align='left' valign='top'"),
								"", "") .
								html_tag("TR",
							        html_tag("TD", "<input type=submit name=confirm value=Yes>&nbsp;&nbsp;&nbsp;<input type=submit name=confirm value=No>\n", $color[4], "colspan=3 class='blackmid' align=center valign=top"),
								"", ""),
							$color[10], "width=70% cellspacing=2 cellpadding=3 align=center");
					printf("</FORM>\n");
					exit;
				} else {
					$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
				}
			}
			$db->clear_res();
			
			$db->add_table(_TABLE_HOSTS);
			$db->clause = "where HID='$HID'";
			$ret = $db->compile_query("SELECT");
			if($ret['return']) {
				$db->run_query();
				$db->step();
				
				$viewChecks = 1;
				edit_host($db->res, $info);
	        } else {
				$info .= sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
			}
			$db->clear_res();
		}
	} else if($action == "add") {
		edit_host("");
	}

	if(!$group) {
		$db->add_table(_TABLE_HOST_GROUPS);
		$db->add_select_item("GID");
		$db->add_select_item("Name");
		$ret = $db->compile_query("SELECT");
		if($ret['return']) {
			$db->run_query();
			for($x=0;$x<$db->rows;$x++) {
				$db->step();
				$group[$db->res['GID']] = $db->res['Name'];
			}
		} else {
			$group[$x] = $ret['errmsg'];
		}
		$db->clear_res();
	}
	
	$groupSelect = "<select name='GID' size=1 onChange='submit();'><option value=''>Show All Groups</option>\n";
	@reset($group);
	while($key = @key($group)) {
		if($GID == $key) {
			$groupSelect .=	sprintf("<option value='%s' selected>%s</option>\n", $key, $group[$key]);
		} else {
		    $groupSelect .= sprintf("<option value='%s'>%s</option>\n", $key, $group[$key]);
		}
		@next($group);
	}
	$groupSelect .= "</select>\n";

	$db->add_table(_TABLE_HOSTS);
	$db->add_select_item(Array(_TABLE_HOSTS => "HID"));
	$db->add_select_item(Array(_TABLE_HOSTS => "HostName"));
	$db->add_select_item(Array(_TABLE_HOSTS => "IPAddr"));
	$db->add_select_item(Array(_TABLE_HOSTS => "Descr"));
	$db->add_select_item(Array(_TABLE_HOST_GROUPS => "Name"));
	$db->clause = sprintf("LEFT JOIN %s on (%s.GID=%s.GID)", _TABLE_HOST_GROUPS, _TABLE_HOSTS, _TABLE_HOST_GROUPS);
	
	if($GID) {
		$db->clause .= sprintf(" where %s.GID='$GID'", _TABLE_HOST_GROUPS);
	}

    $db->add_extra("ORDER by HostName");

	$ret = $db->compile_query("SELECT");
	if($ret['return']) {
		$db->run_query();
	}
	$list = null;
	for($x=0;$x<$db->rows;$x++) {
		$db->step();
		$list .= html_tag("TR",
			     	 html_tag("TD", sprintf("%s&nbsp;&nbsp;&nbsp;(<i>%s</i>)\n", $db->res['HostName'], $db->res['IPAddr']), $color[4], "class='blacksmall' align='left' valign='top'") .
			     	 html_tag("TD", sprintf("%s\n", $db->res['Name']), $color[4], "align='left' valign='top'") .
			     	 html_tag("TD", sprintf("<A HREF='configure.php?LOC=hosts&action=edit&HID=%s'>[edit]</A>&nbsp;&nbsp;&nbsp;<A HREF='configure.php?LOC=hosts&action=delete&HID=%s'>[delete]</A>\n", $db->res['HID'], $db->res['HID']),
					  	 $color[4], "class='blacksmall' align='center' valign='top'"),
			 	 "", "");
	}

	printf("<FORM name=listHosts action='configure.php'>\n");
	printf(" <input type=hidden name=LOC value='%s'>\n", $LOC);
	
	echo html_tag("TABLE",
		     html_tag("TR",
		         html_tag("TD", "Host Configuration\n", $color[0], "colspan=3 class='blackmid' align=center valign=top"),
			 "", "") .
		     html_tag("TR",
		         html_tag("TD", sprintf("List Group: %s\n&nbsp;&nbsp;&nbsp;<input type=submit value=Go>\n", $groupSelect), $color[5], "colspan=3 class='blackmid' align=center valign=top"),
			 "", "") . (($info) ?
			 html_tag("TR",
				 html_tag("TD", "$info\n", $color[4], "colspan=3 class='bodysmall' align='center' valign='top'"),
			 "", "") : "") .
			 html_tag("TR",
				 html_tag("TD", "<A HREF='configure.php?LOC=hosts&action=add'>[Add a Host]</A>&nbsp;&nbsp;&nbsp;<A HREF='configure.php'>[back]</A>\n", $color[4], "colspan=3 class='bodysmall' align='center' valign='top'"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD", "HostName (<i>IPAddr</i>)\n", $color[5], "class='bodysmall' align='left' valign='top'") .
			     html_tag("TD", "Group Name\n", $color[5], "class='bodysmall' align='left' valign='top'") .
			     html_tag("TD", "Action\n", $color[5], "class='bodysmall' align='left' valign='top'"),
			 "", "") . $list,
		 $color[10], "width=70% cellspacing=2 cellpadding=3 align=center");
	printf("</FORM>\n");

	$db->clear_res();
	$db->db_close();
	$db = NULL;
} else if($LOC == "checks") {
	if($action == "edit") {
		$db->add_table(_TABLE_CHECKS);
		$db->clause = "where CID='$CID'";
		$ret = $db->compile_query("SELECT");
		if($ret['return']) {
			$db->run_query();
			$db->step();
			edit_check($db->res);
        } else {
			$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
		}
		$db->clear_res();
	} else if($action == "Save" && $session->checkAccessLevel(_GROUP_WRITE)) {
		$values = Array("Name" => $Name,
						"Descr" => $Descr,
						"Type" => $Type,
						"Port" => $Port,
						"ConnectOnly" => $ConnectOnly,
						"Options" => $Options,
						"AlertOnRed" => $AlertOnRed);
		$a_required = buildRequiredList($required, $req_title);
		$msg = check_required($a_required, $values);
		if($msg['return']) {
			if($CID) {
				$db->add_table(_TABLE_CHECKS);
				$db->add_data("Name", $Name);
				$db->add_data("Descr", $Descr);
				$db->add_data("Type", $Type);
				$db->add_data("Port", $Port);
				$db->add_data("ConnectOnly", $ConnectOnly);
				$db->add_data("Options", $Options);
				$db->add_data("AlertOnRed", $AlertOnRed);
				$db->clause = "where CID='$CID'";
				$ret = $db->compile_query("UPDATE");
				if($ret['return']) {
					$db->run_query();
					$info = sprintf("Update Successful (<i>%s</i>)\n", $Name);
				} else {
					$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
				}
			} else {
				$db->add_table(_TABLE_CHECKS);
				$db->add_data("CID", null);
				$db->add_data("Name", $Name);
				$db->add_data("Descr", $Descr);
				$db->add_data("Type", $Type);
				$db->add_data("Port", $Port);
				$db->add_data("ConnectOnly", $ConnectOnly);
				$db->add_data("Options", $Options);
				$ret = $db->compile_query("INSERT");
				if($ret['return']) {
					$db->run_query();
					$info = sprintf("Add Successful (%s)\n", $Name);
				} else {
					$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
				}
			}
			$db->clear_res();
		} else {
			edit_check($values, $msg['msg']);
		}
	} else if($action == "delete" && $session->checkAccessLevel(_GROUP_WRITE)) {
		if($confirm == "Yes") {
			$db->run_query(sprintf("SELECT count(CID) as num FROM %s where CID='$CID'", _TABLE_HOST_CHECKS));
			$db->step();
			if($db->res['num'] > 0) {
				$info = sprintf("<SPAN class='errmsg'>ERROR: Check is in use by host(s), cannot delete (<i>%s</i>)</SPAN> <br>\n", $Name);
			} else {
				$db->clear_res();
				$db->add_table(_TABLE_CHECKS);
				$db->clause = "where CID='$CID'";
				$ret = $db->compile_query("DELETE");
				if($ret['return']) {
					$db->run_query();
					$info = sprintf("Check Deleted Successfully (<i>%s</i>)\n", $Name);
				} else {
					$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
				}
			}
		} else if ($confirm == "No") {
			$info = sprintf("<SPAN class='errmsg'>Deletion Aborted</SPAN> (<i>%s</i>)\n", $Name);
		} else {
			$db->add_table(_TABLE_CHECKS);
			$db->add_select_item(Array("Name", "Descr"));
			$db->clause = "where CID='$CID'";
			$ret = $db->compile_query("SELECT");
			if($ret['return']) {
				$db->run_query();
				$db->step();
				printf("<FORM name=delete_CID method=post action=configure.php>\n");
				printf(" <input type=hidden name=LOC value='%s'>\n", $LOC);
				printf(" <input type=hidden name=action value='%s'>\n", $action);
				printf(" <input type=hidden name=CID value='%s'>\n", $CID);
				printf(" <input type=hidden name=Name value='%s'>\n", $db->res['Name']);
				echo html_tag("TABLE",
						    html_tag("TR",
						        html_tag("TD", "Delete Check Confirmation\n", $color[0], "colspan=2 class='blackmid' align=center valign=top"),
							"", "") .
							html_tag("TR",
							    html_tag("TD", "<A HREF='configure.php?LOC=checks'>[back]</A>\n", $color[4], "colspan=2 class='bodysmall' align='center' valign='top'"),
							"", "") .
							html_tag("TR",
							    html_tag("TD", "Name\n", $color[5], "class='bodysmall' align='left' valign='top'") .
							    html_tag("TD", "Description\n", $color[5], "class='bodysmall' align='left' valign='top'"),
							"", "") .
							html_tag("TR",
							    html_tag("TD", $db->res['Name'], $color[4], "class='blacksmall' align='center' valign='top'") .
							    html_tag("TD", $db->res['Descr'], $color[4], "class='blacksmall' align='left' valign='top'"),
							"", "") .
							html_tag("TR",
						        html_tag("TD", "<input type=submit name=confirm value=Yes>&nbsp;&nbsp;&nbsp;<input type=submit name=confirm value=No>\n", $color[4], "colspan=2 class='blackmid' align=center valign=top"),
							"", ""),
						$color[10], "width=70% cellspacing=2 cellpadding=3 align=center");
				printf("</FORM>\n");
				exit;
			} else {
				$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
			}
		}
		$db->clear_res();
	} else if($action == "add") {
		edit_check("");
	}

	$db->add_table(_TABLE_CHECK_TYPES);
	$db->add_select_item("CheckType");
	$db->add_select_item("Name");
	$ret = $db->compile_query("SELECT");
	if($ret['return']) {
		$db->run_query();
		for($x=0;$x<$db->rows;$x++) {
			$db->step();
			$checkType[$db->res['CheckType']] = $db->res['Name'];
		}
	} else {
		$checkType[$x] = $ret['errmsg'];
	}
	$db->clear_res();

	$checkTypeSelect = "<select name='Type' size=1 onChange='submit();'><option value=''>Show All Types</option>\n";
	@reset($checkType);
	while($key = @key($checkType)) {
		if($Type == $key) {
			$checkTypeSelect .=	sprintf("<option value='%s' selected>%s</option>\n", $key, $checkType[$key]);
		} else {
		    $checkTypeSelect .= sprintf("<option value='%s'>%s</option>\n", $key, $checkType[$key]);
		}
		@next($checkType);
	}
	$checkTypeSelect .= "</select>\n";

	$db->add_table(_TABLE_CHECKS);
	$db->add_select_item("CID");
	$db->add_select_item("Name");
	$db->add_select_item("Descr");
	$db->add_select_item("Type");
	$db->add_extra("ORDER by Name");

	if($Type) {
		$db->clause .= sprintf(" where %s.Type='$Type'", _TABLE_CHECKS);
	}

	$ret = $db->compile_query("SELECT");
	if($ret['return']) {
		$db->run_query();
	}
	$list = null;
	for($x=0;$x<$db->rows;$x++) {
		$db->step();
		$list .= html_tag("TR",
			     	 html_tag("TD", sprintf("%s\n", $db->res['Name']), $color[4], "class='blacksmall' align='left' valign='top'") .
			     	 html_tag("TD", sprintf("%s\n", $db->res['Descr']), $color[4], "class='blacksmall' align='left' valign='top'") .
			     	 html_tag("TD", sprintf("%s\n", $checkType[$db->res['Type']]), $color[4], "class='blacksmall' align='left' valign='top'") .
			     	 html_tag("TD", sprintf("<A HREF='configure.php?LOC=checks&action=edit&CID=%s'>[edit]</A>&nbsp;&nbsp;&nbsp;<A HREF='configure.php?LOC=checks&action=delete&CID=%s'>[delete]</A>\n", $db->res['CID'], $db->res['CID']),
					  	 $color[4], "class='blacksmall' align='center' valign='top'"),
			 	 "", "");
	}

	echo html_tag("TABLE",
		     html_tag("TR",
		         html_tag("TD", "Checks Configuration\n", $color[0], "colspan=4 class='blackmid' align=center valign=top"),
			 "", "") .
			 sprintf("<FORM name=listCheckTypes action='configure.php'>\n") .
			 sprintf(" <input type=hidden name=LOC value='%s'>\n", $LOC) .
		     html_tag("TR",
		         html_tag("TD", sprintf("List Type: %s\n&nbsp;&nbsp;&nbsp;<input type=submit value=Go>\n", $checkTypeSelect), $color[5], "colspan=4 class='blackmid' align=center valign=top"),
			 "", "") . "</FORM>\n" . (($info) ?
			 html_tag("TR",
				 html_tag("TD", "$info\n", $color[4], "colspan=4 class='bodysmall' align='center' valign='top'"),
			 "", "") : "") .
			 html_tag("TR",
				 html_tag("TD", "<A HREF='configure.php?LOC=checks&action=add'>[Add a Check]</A>&nbsp;&nbsp;&nbsp;<A HREF='configure.php'>[back]</A>\n", $color[4], "colspan=4 class='bodysmall' align='center' valign='top'"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD", "Check Name\n", $color[5], "class='bodysmall' align='left' valign='top'") .
			     html_tag("TD", "Description\n", $color[5], "class='bodysmall' align='left' valign='top'") .
			     html_tag("TD", "Type\n", $color[5], "class='bodysmall' align='left' valign='top'") .
			     html_tag("TD", "Action\n", $color[5], "class='bodysmall' align='left' valign='top'"),
			 "", "") . $list,
		 $color[10], "width=70% cellspacing=2 cellpadding=3 align=center");
	$db->clear_res();
	$db->db_close();
	$db = NULL;
}

?>
