<?
/********************************************************************
Copyright (c) 2003 Jason Sessler

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
********************************************************************/

function edit_group($info, $msg = FALSE)
{
	global $LOC, $GID, $color;

	printf("<FORM name=mod_GID method=post action=configure.php>\n");
	printf(" <input type=hidden name=LOC value='%s'>\n", $LOC);
	printf(" <input type=hidden name=GID value='%s'>\n", $GID);
	printf(" <input type=hidden name=required value='Name'>\n");
	printf(" <input type=hidden name=req_title value='Group Name'>\n");

	echo html_tag("TABLE",
			 html_tag("TR",
			     html_tag("TD", "Group Configuration\n", $color[0], "colspan=3 class='blackmid' align=center valign=top"),
			 "", "") . (($msg) ?
		 	 html_tag("TR",
			 	 html_tag("TD", "$msg\n", $color[4], "colspan=3 class='bodysmall' align='center' valign='top'"),
		 	 "", "") : "") .
			 html_tag("TR",
			     html_tag("TD", "<A HREF='configure.php?LOC=groups'>[back]</A>\n", $color[4], "colspan=3 class='bodysmall' align='center' valign='top'"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD", "Name\n", $color[5], "class='blacksmall' align='left' valign='top'") .
			     html_tag("TD", "Description\n", $color[5], "class='blacksmall' align='left' valign='top'") .
			     html_tag("TD", "&nbsp;\n", $color[5], "class='blacksmall' align='left' valign='top'"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD", sprintf("<input type=textbox name=Name value='%s'>\n", $info['Name']), $color[12], "class='blacksmall' align='center' valign='top'") .
			     html_tag("TD", sprintf("<input type=textbox name='Descr' size=50 value='%s'>\n", $info['Descr']), $color[12], "class='blacksmall' align='center' valign='top'") .
				 html_tag("TD", "<input type=submit name=action value=Save>\n", $color[12], "class='blackmid' align=center valign=top"),
			 "", ""),
		 $color[10], "width=70% cellspacing=2 cellpadding=3 align=center");
	printf("</FORM>\n");
	exit;
}

function edit_host($info, $msg = FALSE)
{
	global $db, $LOC, $HID, $CID, $TID, $color, $action, $viewChecks, $addCheck;
	
	if(!$HID && $info['HID']) {
		$HID = $info['HID'];
	}

	$db->clear_res();

	// Building Group List
	$db->add_table(_TABLE_HOST_GROUPS);
	$db->add_select_item("GID");
	$db->add_select_item("Name");
	$db->add_extra("ORDER by Name");
	$ret = $db->compile_query("SELECT");
	if($ret['return']) {
		$db->run_query();
		for($x=0;$x<$db->rows;$x++) {
			$db->step();
			$group[$db->res['GID']] = $db->res['Name'];
		}
	} else {
		$group[$x] = $ret['errmsg'];
	}
	$db->clear_res();

	$groupSelect = build_select("GID", $group, $info['GID'], "Select Host Group");

	//Building Alert Groups List
	$db->add_table(_TABLE_ALERT_GROUPS);
	$db->add_select_item("AGID");
	$db->add_select_item("Name");
	$db->add_extra("ORDER by Name");
	$ret = $db->compile_query("SELECT");
	if($ret['return']) {
		$db->run_query();
		for($x=0;$x<$db->rows;$x++) {
			$db->step();
			$alert[$db->res['AGID']] = $db->res['Name'];
		}
	} else {
		$alert[$x] = $ret['errmsg'];
	}
	$db->clear_res();
	$alertSelect = build_select("AGID", $alert, $info['AGID'], "None");
	
	if($viewChecks) {
		$db->add_table(_TABLE_HOST_CHECKS);
		$db->add_select_item(Array(_TABLE_HOST_CHECKS => "*", _TABLE_CHECKS => "Name", _TABLE_HOSTS => "HostName AS TesterName"));
		$db->clause = sprintf("LEFT JOIN %s on (%s.CID=%s.CID) LEFT JOIN %s on (%s.TID=%s.HID) where %s.HID='$HID'",
			_TABLE_CHECKS, _TABLE_HOST_CHECKS, _TABLE_CHECKS, _TABLE_HOSTS, _TABLE_HOST_CHECKS, _TABLE_HOSTS, _TABLE_HOST_CHECKS);
		$ret = $db->compile_query("SELECT");
		if($ret['return']) {
			$db->run_query();
			$checksTable = null;
			for($x=0;$x<$db->rows;$x++) {
				$db->step();
				if(($CID == $db->res['CID'] && $TID == $db->res['TID']) && $action != "delete") {
					$db2 = new conn_mySQL();
					$db2->db_use_conn($db->dbc, $db->db);
					$db2->add_table(_TABLE_HOSTS);
					$db2->add_select_item(Array("HID", "HostName"));
					$db2->add_extra("Order by HostName");
					$ret = $db2->compile_query("SELECT");
					if($ret['return']) {
						$db2->run_query();
						for($y=0;$y<$db2->rows;$y++) {
							$db2->step();
							$testers[$db2->res['HID']] = $db2->res['HostName'];
						}
					} else {
						$testers[] = "Unable to display testers";
					}
					$db2->clear_res();
					$db2 = null;

                    $checksTable .= html_tag("TR",
										"<FORM name=edit_CID method=post action=configure.php>\n" .
										sprintf(" <input type=hidden name=LOC value='%s'>\n", $LOC) .
										sprintf(" <input type=hidden name=HID value='%s'>\n", $HID) .
										sprintf(" <input type=hidden name=CID value='%s'>\n", $CID) .
										html_tag("TD", $db->res['Name'], $color[12], "class='blacksmall' align=left") .
										html_tag("TD", build_select("TID", $testers, $db->res['TID'], "Select Tester"), $color[12], "class='blacksmall' align=left") .
										html_tag("TD", sprintf("<input type=textbox name='MinFail' size=2 value='%s'>\n", $db->res['MinFail']), $color[12], "class='blacksmall' align=center") .
										html_tag("TD", sprintf("<input type=checkbox name='DoAlert' value=1 %s>\n", ($db->res['DoAlert']) ? "checked" : "unchecked"), $color[12], "class='blacksmall' align=center") .
										html_tag("TD", sprintf("<input type=textbox name='TotFail' size=3 value='%s'>\n", $db->res['TotFail']), $color[12], "class='errmsg' align=center") .
										html_tag("TD", sprintf("<input type=submit name=action value='Save'>&nbsp;&nbsp;&nbsp;<A HREF='configure.php?LOC=%s&action=delete&HID=%s&CID=%s&TID=%s'>[delete]</A>\n",
                                            $LOC, $db->res['HID'], $db->res['CID'], $db->res['TID']),
									    $color[12], "class='blacksmall' align=center"),
									"", "") .
									html_tag("TR",
										html_tag("TD", "Check Options", $color[5], "colspan=6 class='blacksmall' align=center"),
									"", "") .
									html_tag("TR",
									    html_tag("TD", sprintf("<TEXTAREA name='Options' rows=5 cols=40>%s</TEXTAREA>\n<br><b>Use Default Options</b> <input type=checkbox name='useDefaults' value='1'>\n", $db->res['Options']), $color[12], "colspan=6 align=center"),
									"", "") . "</FORM>\n";
				} else {
					$checksTable .= html_tag("TR",
										html_tag("TD", $db->res['Name'], $color[12], "class='blacksmall' align=left") .
										html_tag("TD", $db->res['TesterName'], $color[12], "class='blacksmall' align=left") .
										html_tag("TD", $db->res['MinFail'], $color[12], "class='blacksmall' align=center") .
										html_tag("TD", ($db->res['DoAlert']) ? "Yes\n" : "No\n", $color[12], "class='blacksmall' align=center") .
										html_tag("TD", $db->res['TotFail'], $color[12], "class='errmsg' align=center") .
										html_tag("TD", sprintf("<A HREF='configure.php?LOC=%s&action=edit&HID=%s&viewChecks=1&CID=%s&TID=%s'>[edit]</A>&nbsp;&nbsp;&nbsp;<A HREF='configure.php?LOC=%s&action=delete&HID=%s&CID=%s&TID=%s'>[delete]</A>\n",
					                                        $LOC, $db->res['HID'], $db->res['CID'], $db->res['TID'], $LOC, $db->res['HID'], $db->res['CID'], $db->res['TID']), $color[12], "class='blacksmall' align=center"),
									"", "");
				}
			}
		} else {
			$checksTable = html_tag("TD", "ERROR: Unable to display Host Checks\n", $color[12], "colspan=6 class='errmsg' align=center");
		}
		
		if($addCheck) {
			// Building Host Checks List
			$db->clear_res();
			$db->add_table(_TABLE_CHECKS);
			$db->add_select_item(Array("CID", "Name"));
        	$db->add_extra("ORDER by Name");
			$ret = $db->compile_query("SELECT");
			if($ret['return']) {
				$db->run_query();
				for($x=0;$x<$db->rows;$x++) {
					$db->step();
					$checks[$db->res['CID']] = $db->res['Name'];
				}
			} else {
				$checks[] = "Unable to display Checks";
			}
			$db->clear_res();
			
			// Building Tester List
			$db->add_table(_TABLE_HOSTS);
			$db->add_select_item(Array("HID", "HostName"));
			$db->add_extra("Order by HostName");
			$ret = $db->compile_query("SELECT");
			if($ret['return']) {
				$db->run_query();
				for($x=0;$x<$db->rows;$x++) {
					$db->step();
					$testers[$db->res['HID']] = $db->res['HostName'];
				}
			} else {
				$testers[] = "Unable to display testers";
			}
			$db->clear_res();
			
            $checksTable .= html_tag("TR",
								"<FORM name=new_CID method=post action=configure.php>\n" .
								sprintf(" <input type=hidden name=LOC value='%s'>\n", $LOC) .
								sprintf(" <input type=hidden name=HID value='%s'>\n", $HID) .
								" <input type=hidden name=CID value=''>\n" .
								html_tag("TD", build_select("CID", $checks, "", "Select Check"), $color[12], "class='blacksmall' align=left") .
								html_tag("TD", build_select("TID", $testers, $HID, "Select Tester"), $color[12], "class='blacksmall' align=left") .
								html_tag("TD", "<input type=textbox name='MinFail' size=2>\n", $color[12], "class='blacksmall' align=center") .
								html_tag("TD", "<input type=checkbox name='DoAlert' value=1>\n", $color[12], "class='blacksmall' align=center") .
								html_tag("TD", "", $color[12], "class='errmsg' align=center") .
								html_tag("TD", "<input type=submit name=action value='Save'>\n", $color[12], "class='blacksmall' align=center"),
							"", "") .
							html_tag("TR",
								html_tag("TD", "Check Options", $color[5], "colspan=6 class='blacksmall' align=center"),
							"", "") .
							html_tag("TR",
							    html_tag("TD", "<TEXTAREA name='Options' rows=5 cols=40></TEXTAREA>\n<br><b>Use Default Options</b> <input type=checkbox name='useDefaults' value='1' checked>\n", $color[12], "colspan=6 align=center"),
							"", "") . "</FORM>\n";
		}
	}

	echo html_tag("TABLE",
			 "<FORM name=mod_HID method=post action=configure.php>\n" .
			 sprintf(" <input type=hidden name=LOC value='%s'>\n", $LOC) .
			 sprintf(" <input type=hidden name=HID value='%s'>\n", $HID) .
			 " <input type=hidden name=required value='GID:HostName:IPAddr'>\n" .
			 " <input type=hidden name=req_title value='Group Name:Host Name:IP Address'>\n" .
			 html_tag("TR",
			     html_tag("TD", "Host Configuration\n", $color[0], "colspan=2 class='blackmid' align=center valign=top"),
			 "", "") . (($msg) ?
		 	 html_tag("TR",
			 	 html_tag("TD", "$msg\n", $color[4], "colspan=2 class='bodysmall' align='center' valign='top'"),
		 	 "", "") : "") .
			 html_tag("TR",
			     html_tag("TD", "<A HREF='configure.php?LOC=hosts'>[back]</A>\n", $color[4], "colspan=2 class='bodysmall' align='center' valign='top'"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD",
			         html_tag("TABLE",
			             html_tag("TR",
			                 html_tag("TD", $info['HostName'], $color[5], "class='blackmid' colspan=7 align=left"),
				   		 "", "") .
				   		 html_tag("TR",
				   		     html_tag("TD", "HID\n", $color[5], "class='blacksmall' align=left") .
				   		     html_tag("TD", "Group\n", $color[5], "class='blacksmall' align=left") .
				   		     html_tag("TD", "Host Name\n", $color[5], "class='blacksmall' align=left") .
				   		     html_tag("TD", "IP Address\n", $color[5], "class='blacksmall' align=left") .
				   		     html_tag("TD", "Sniffer Host\n", $color[5], "class='blacksmall' align=left") .
				   		     html_tag("TD", "Alert Group\n", $color[5], "class='blacksmall' align=left") .
				   		     html_tag("TD", "&nbsp;\n", $color[5], "class='blacksmall' align=left"),
			 			 "", "") .
			 			 html_tag("TR",
							 html_tag("TD", ($info['HID']) ? $info['HID'] : "New", $color[12], "align=center") .
			 			     html_tag("TD", $groupSelect, $color[12], "align=left") .
			 			     html_tag("TD", sprintf("<input type=textbox name='HostName' size=20 value='%s'>\n", $info['HostName']),
			 			         $color[12], "align=left") .
							 html_tag("TD", sprintf("<input type=textbox name='IPAddr' size=15 value='%s'>\n", $info['IPAddr']),
							     $color[12], "align=left") .
							 html_tag("TD", sprintf("<input type=checkbox name='IsSniffer' value='1' %s>\n", ($info['IsSniffer']) ? "checked" : "unchecked"),
							     $color[12], "align=center") .
							 html_tag("TD", $alertSelect, $color[12], "align=left") .
							 html_tag("TD", "<input type=submit name=action value='Save'>\n", $color[12], "align=center"),
						 "", ""),
					 $color[10], "width=100% cellspacing=1 cellpadding=2"),
				 $color[4], "align=left"),
			 "", "") . 
			 html_tag("TR",
			     html_tag("TD", "Host Description", $color[5], "class='blackmid' align=center"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD", sprintf("<TEXTAREA name=Descr rows=3 cols=40>%s</TEXTAREA>\n", $info['Descr']),
			         $color[12], "align=center"),
			 "", "") .
			 "</FORM>\n" .
			 (($info['HID']) ? ((!$viewChecks) ?
			 html_tag("TR",
			     html_tag("TD", sprintf("<A HREF=configure.php?LOC=%s&action=edit&HID=%s&viewChecks=1>[view checks]</A>\n", $LOC, $HID), $color[12], "class='blacksmall' align=center"),
			 "", "") :  
			 html_tag("TR",
			     html_tag("TD", sprintf("<A HREF=configure.php?LOC=%s&action=edit&HID=%s>[hide checks]</A>&nbsp;&nbsp;&nbsp;<A HREF=configure.php?LOC=%s&action=edit&HID=%s&addCheck=1&viewChecks=1>[add new check]</A>\n", $LOC, $HID, $LOC, $HID), $color[12], "class='blacksmall' align=center"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD",
					 html_tag("TABLE",
					     html_tag("TR",
					         html_tag("TD", "Host Checks", $color[0], "colspan=6 class='blackmid' align=center"),
			 			 "", "") .
			 			 html_tag("TR",
			 			     html_tag("TD", "Check Name\n", $color[5], "class='blacksmall' align=left") .
			 			     html_tag("TD", "Tester Name\n", $color[5], "class='blacksmall' align=left") .
			 			     html_tag("TD", "Min # of Failures\n", $color[5], "class='blacksmall' align=left") .
			 			     html_tag("TD", "Alerting Enabled\n", $color[5], "class='blacksmall' align=left") .
			 			     html_tag("TD", "Total # of Failures\n", $color[5], "class='blacksmall' align=left") .
			 			     html_tag("TD", "&nbsp;\n", $color[5], "class='blacksmall' align=left"),
						 "", "") . $checksTable,
					 $color[10], "width=100% cellspacing=1 cellpadding=2 border=0"),
				 $color[4], "align=left"),
			 "", "")) : ""),
		 $color[10], "cellspacing=2 cellpadding=3 align=center");

	exit;
}

function edit_check($info, $msg = FALSE)
{
	global $db, $LOC, $color;

	// Building Host Checks List
	$db->clear_res();
	$db->add_table(_TABLE_CHECK_TYPES);
	$db->add_select_item(Array("CheckType", "Name"));
    $db->add_extra("ORDER by Name");
	$ret = $db->compile_query("SELECT");
	if($ret['return']) {
		$db->run_query();
		for($x=0;$x<$db->rows;$x++) {
			$db->step();
			$checktypes[$db->res['CheckType']] = $db->res['Name'];
		}
	} else {
		$checktypes[] = "Unable to display Checks";
	}
	$db->clear_res();
			
	echo html_tag("TABLE",
			 html_tag("TR",
			     html_tag("TD", "Checks Configuration\n", $color[0], "colspan=6 class='blackmid' align=center valign=top"),
			 "", "") . (($msg) ?
		 	 html_tag("TR",
			 	 html_tag("TD", "$msg\n", $color[4], "colspan=6 class='bodysmall' align='center' valign='top'"),
		 	 "", "") : "") .
			 html_tag("TR",
			     html_tag("TD", "<A HREF='configure.php?LOC=checks'>[back]</A>\n", $color[4], "colspan=6 class='bodysmall' align='center' valign='top'"),
			 "", "") .
			 html_tag("TR",
				 html_tag("TD", "Check Name\n", $color[5], "class='blacksmall' align=left") .
				 html_tag("TD", "Description\n", $color[5], "class='blacksmall' align=left") .
				 html_tag("TD", "Type\n", $color[5], "class='blacksmall' align=left") .
	  		     html_tag("TD", "Port\n", $color[5], "class='blacksmall' align=left") .
				 html_tag("TD", "Connect Only?\n", $color[5], "class='blacksmall' align=left") .
				 html_tag("TD", "&nbsp;\n", $color[5], "class='blacksmall' align=left"),
			 "", "") .
             html_tag("TR",
				 "<FORM name=new_CID method=post action=configure.php>\n" .
				 sprintf(" <input type=hidden name=LOC value='%s'>\n", $LOC) .
				 sprintf(" <input type=hidden name=CID value='%s'>\n", $info['CID']) .
				 sprintf(" <input type=hidden name=required value='Name:Type'>\n") .
				 sprintf(" <input type=hidden name=req_title value='Check Name:Check Type'>\n") .
				 html_tag("TD", sprintf("<input type=textbox name='Name' value='%s'>\n", $info['Name']), $color[12], "class='blacksmall' align=left") .
				 html_tag("TD", sprintf("<input type=textbox name='Descr' value='%s'>\n", $info['Descr']), $color[12], "class='blacksmall' align=left") .
				 html_tag("TD", build_select("Type", $checktypes, $info['Type'], "Select Check Type"), $color[12], "class='blacksmall' align=center") .
				 html_tag("TD", sprintf("<input type=textbox name='Port' size=3 value='%s'>\n", $info['Port']), $color[12], "class='blacksmall' align=center") .
				 html_tag("TD", sprintf("<input type=checkbox name='ConnectOnly' value=1 %s>\n", ($info['ConnectOnly']) ? "checked" : "unchecked"), $color[12], "class='errmsg' align=center") .
				 html_tag("TD", "<input type=submit name=action value='Save'>\n", $color[12], "class='blacksmall' align=center"),
			 "", "") .
			 html_tag("TR",
				 html_tag("TD", "Check Options", $color[5], "colspan=6 class='blacksmall' align=center"),
			 "", "") .
			 html_tag("TR",
				 html_tag("TD", sprintf("<TEXTAREA name='Options' rows=5 cols=40>%s</TEXTAREA> <br>Treat ALL Red Status Events as new Event: <input type=checkbox name=AlertOnRed value=1 %s>\n", $info['Options'], ($info['AlertOnRed']) ? "checked" : ""),
				 	 $color[12], "colspan=6 align=center"),
			 "", "") . "</FORM>\n",
		 $color[10], "align=center cellspacing=2 cellpadding=3 border=0");

	exit;
}

?>
