<?
/********************************************************************
Copyright (c) 2003 Jason Sessler

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
********************************************************************/

/********************************************************************
	Changelog:
	11/30/2003  -   require_once was pointing to idsview module.

********************************************************************/

@require_once _ABS_ROOT . "/modules/idsconfig/ids.inc.php";

$db = new conn_mySQL($credentials);
$db->db_new_conn();
	
if($LOC == "IDS") {
	if($type == "rules") {
		if($action == "default") {
			$db->add_table(_TABLE_SNORT_RULES);
			$db->clause = "where HID='$HID'";
			if($RuleSetName)
			    $db->clause .= " AND RuleSetName='$RuleSetName'";
			$ret = $db->compile_query("DELETE");
			if($ret['return']) {
				$db->run_query();
				$db->clear_res();

				$db->add_table(_TABLE_SNORT_RULES);
				$db->clause = "where HID='0'";
				if($RuleSetName)
				    $db->clause .= " AND RuleSetName='$RuleSetName'";
				$ret = $db->compile_query("SELECT");
				if($ret['return']) {
					$db->run_query();
					$db2 = new conn_mySQL();
					$db2->db_use_conn($db->dbc, $db->db);
					for($x=0;$x<$db->rows;$x++) {
						$db->step();
						$db2->add_table(_TABLE_SNORT_RULES);
						$db2->add_data("HID", $HID);
						$db2->add_data("RuleSetName", $db->res['RuleSetName']);
						$db2->add_data("RuleSet", $db->res['RuleSet']);
						$db2->add_data("ClientNSynch", 0);
						$db2->add_data("TimeStamp", "NOW()");
						$ret = $db2->compile_query("INSERT");
						if($ret['return']) {
							$db2->run_query();
						} else {
							$msg .= sprintf("<SPAN class='errmsg'>ERROR: %s (<i>%s</i>)</SPAN> <br>\n", $ret['errmsg'], $db->res['RuleSetName']);
						}
						$db2->clear_res();
					}
					$db2 = null;
				}
				$msg .= sprintf("Restore to Defaults Finished\n");
			} else {
				$msg = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
			}
			
			if($RuleSetName) {
			    $action = "edit";
			}
			$db->clear_res();
		}

		if($action == "edit") {
			$db->add_table(_TABLE_SNORT_RULES);
			$db->add_select_item(Array(_TABLE_SNORT_RULES => Array("RuleSetName", "RuleSet"), _TABLE_HOSTS => "HostName"));
			$db->clause  = sprintf("LEFT JOIN %s on (%s.HID=%s.HID) ", _TABLE_HOSTS, _TABLE_SNORT_RULES, _TABLE_HOSTS);
			$db->clause .= sprintf("where %s.HID='$HID' AND RuleSetName='$RuleSetName'", _TABLE_SNORT_RULES);
			$ret = $db->compile_query("SELECT");
			if($ret['return']) {
				$db->run_query();
				$db->step();
				edit_ids_rules($db->res);
	        } else {
				$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
			}
			$db->clear_res();
		} else if($action == "Save" && $session->checkAccessLevel(_GROUP_WRITE)) {
			$values = Array("RuleSetName" => $RuleSetName, "RuleSet" => $RuleSet, "HID" => $HID, "HostName" => $HostName);
			$a_required = buildRequiredList($required, $req_title);
			$check = check_required($a_required, $values);
			if($check['return']) {
				$db->add_table(_TABLE_SNORT_RULES);
				$db->add_select_item("count(HID) as num");
				$db->clause = "where HID='$HID' AND RuleSetName='$RuleSetName'";
				$ret = $db->compile_query("SELECT");
				if($ret['return']) {
					$db->run_query();
					$db->step();
					if($db->res['num'] > 0) {
						$SQLAction = "UPDATE";
					} else {
						$SQLAction = "INSERT";
					}
					$db->clear_res();

					$db->add_table(_TABLE_SNORT_RULES);
					$db->add_data("HID", $HID);
					$db->add_data("RuleSetName", $RuleSetName);
					$db->add_data("RuleSet", $RuleSet);
					if($HID != 0)
					    $db->add_data("ClientNSynch", 0);
					$db->add_data("TimeStamp", date("Y-n-j g:i:s"));
					if($SQLAction == "UPDATE")
					    $db->clause = "where HID='$HID' and RuleSetName='$RuleSetName'";
					$ret = $db->compile_query($SQLAction);
					if($ret['return']) {
						$db->run_query();
						$msg = sprintf("Update Successful\n");
					} else {
					    $msg = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
					}
				} else {
					$msg = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
				}

				$db->clear_res();
			} else {
				$msg = $check['msg'];
			}
			edit_ids_rules($values, $msg);
		} else if($action == "delete" && $session->checkAccessLevel(_GROUP_WRITE)) {
			if($confirm == "Yes") {
				$db->add_table(_TABLE_SNORT_RULES);
				$db->clause = "where HID='$HID' AND RuleSetName='$RuleSetName'";
				$ret = $db->compile_query("DELETE");
				if($ret['return']) {
					$db->run_query();
					$info = sprintf("Rule Set Deleted Successfully (<i>%s</i>)\n", $RuleSetName);
				} else {
					$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
				}
			} else if ($confirm == "No") {
				$info = sprintf("<SPAN class='errmsg'>Deletion Aborted</SPAN> (<i>%s</i>)\n", $RuleSetName);
			} else {
				$db->add_table(_TABLE_SNORT_RULES);
				$db->add_select_item(Array(_TABLE_SNORT_RULES => "RuleSetName", _TABLE_HOSTS => "HostName"));
				$db->clause  = sprintf("LEFT JOIN %s on (%s.HID=%s.HID) ", _TABLE_HOSTS, _TABLE_SNORT_RULES, _TABLE_HOSTS);
				$db->clause .= sprintf("where %s.HID='$HID' AND RuleSetName='$RuleSetName'", _TABLE_SNORT_RULES);
				$ret = $db->compile_query("SELECT");
				if($ret['return']) {
					$db->run_query();
					$db->step();
					printf("<FORM name=delete_RuleSet method=post action=configure.php>\n");
					printf(" <input type=hidden name=LOC value='%s'>\n", $LOC);
					printf(" <input type=hidden name=action value='%s'>\n", $action);
					printf(" <input type=hidden name=type value='%s'>\n", $type);
					printf(" <input type=hidden name=HID value='%s'>\n", $HID);
					printf(" <input type=hidden name=RuleSetName value='%s'>\n", $db->res['RuleSetName']);
					echo html_tag("TABLE",
							    html_tag("TR",
							        html_tag("TD", "RuleSet Confirmation\n", $color[0], "colspan=2 class='blackmid' align=center valign=top"),
								"", "") .
								html_tag("TR",
								    html_tag("TD", sprintf("<A HREF='configure.php?LOC=IDS&type=rules&HID=%s'>[back]</A>\n", $HID), $color[4], "colspan=2 class='bodysmall' align='center' valign='top'"),
								"", "") .
								html_tag("TR",
								    html_tag("TD", "HostName\n", $color[5], "class='bodysmall' align='left' valign='top'") .
								    html_tag("TD", "RuleSetName\n", $color[5], "class='bodysmall' align='left' valign='top'"),
								"", "") .
								html_tag("TR",
								    html_tag("TD", $db->res['HostName'], $color[4], "class='blacksmall' align='center' valign='top'") .
								    html_tag("TD", $db->res['RuleSetName'], $color[4], "class='blacksmall' align='left' valign='top'"),
								"", "") .
								html_tag("TR",
							        html_tag("TD", "<input type=submit name=confirm value=Yes>&nbsp;&nbsp;&nbsp;<input type=submit name=confirm value=No>\n", $color[4], "colspan=2 class='blackmid' align=center valign=top"),
								"", ""),
							$color[10], "width=70% cellspacing=2 cellpadding=3 align=center");
					printf("</FORM>\n");
					exit;
				} else {
					$info = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
				}
			}
			$db->clear_res();
		} else if($action == "add") {
			$db->add_table(_TABLE_HOSTS);
			$db->add_select_item("HostName");
			$db->clause = "where HID='$HID'";
			$ret = $db->compile_query("SELECT");
			if($ret['return']) {
				$db->run_query();
				$db->step();
				$info = $db->res;
			} else {
				$msg = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
			}
			$db->clear_res();
			edit_ids_rules($info,$msg);
		}

		$db->add_table(_TABLE_SNORT_RULES);
		$db->add_select_item(Array("RuleSetName", "TimeStamp", "ClientNSynch"));
		$db->clause = "where HID='$HID'";
		$db->add_extra("ORDER by RuleSetName");
		$ret = $db->compile_query("SELECT");
		if($ret['return']) {
			$db->run_query();
			$list = null;
			for($x=0;$x<$db->rows;$x++) {
				$db->step();
				$list .= html_tag("TR",
					     	 html_tag("TD", sprintf("%s</A>\n", $db->res['RuleSetName']), $color[4], "class='blacksmall' align='left' valign='top'") .
					     	 html_tag("TD", sprintf("%s\n", $db->res['TimeStamp']), $color[4], "align='center' valign='top'") .
					     	 html_tag("TD", sprintf("%s\n", ($db->res['ClientNSynch']) ? "Yes" : "No"), $color[4], "align='center' valign='top'") .
					     	 html_tag("TD", sprintf("<A HREF='configure.php?LOC=IDS&action=edit&HID=%s&RuleSetName=%s&type=rules'>[edit]</A>&nbsp;&nbsp;<A HREF='configure.php?LOC=IDS&action=delete&HID=%s&RuleSetName=%s&type=rules'>[delete]</A>\n", $HID, $db->res['RuleSetName'], $HID, $db->res['RuleSetName']), $color[4], "align='center' valign='top'"),
					 	 "", "");
			}
		}

		$db->clear_res();

		if($HID != 0) {
			$db->add_table(_TABLE_HOSTS);
			$db->add_select_item("HostName");
			$db->clause = "where HID='$HID'";
			$ret = $db->compile_query("SELECT");
			if($ret['return']) {
				$db->run_query();
				$db->step();
				$hostName = $db->res['HostName'];
			} else {
				$hostName = "unknown";
			}
			$links = sprintf("<A HREF='configure.php?LOC=IDS&action=default&HID=%s&type=rules'>[Restore Default Rules]</A>&nbsp;&nbsp;&nbsp;<A HREF='configure.php?LOC=IDS&action=add&HID=%s&type=rules'>[Add Rule Set]</A>&nbsp;&nbsp;&nbsp;&nbsp;<A HREF='configure.php?LOC=IDS'>[back]</A>\n", $HID, $HID);
		} else {
			$hostName = "Default Settings";
			$links = sprintf("<A HREF='configure.php?LOC=IDS&action=add&HID=%s&type=rules'>[Add Rule Set]</A>&nbsp;&nbsp;&nbsp;&nbsp;<A HREF='configure.php?LOC=IDS'>[back]</A>\n", $HID);
		}

		echo html_tag("TABLE",
			     html_tag("TR",
			         html_tag("TD", "Snort Rules Set for: $hostName\n", $color[0], "colspan=4 class='blackmid' align=center valign=top"),
				 "", "") . (($msg) ?
				 html_tag("TR",
					 html_tag("TD", "$msg\n", $color[4], "colspan=4 class='bodysmall' align='center' valign='top'"),
				 "", "") : "") .
				 html_tag("TR",
					 html_tag("TD", $links, $color[4], "colspan=4 class='bodysmall' align='center' valign='top'"),
				 "", "") .
				 html_tag("TR",
				     html_tag("TD", "Rule Set\n", $color[5], "class='bodysmall' align='center' valign='top'") .
				     html_tag("TD", "Last Updated\n", $color[5], "class='bodysmall' align='center' valign='top'") .
				     html_tag("TD", "Client In Synch\n", $color[5], "class='bodysmall' align='center' valign='top'") .
				     html_tag("TD", "&nbsp;\n", $color[5], "class='bodysmall' align='center' valign='top'"),
				 "", "") . $list,
			 $color[10], "width=70% cellspacing=2 cellpadding=3 align=center");
	} else if($type == "config") {
		if($action == "Restore Defaults") {
			$db->add_table(_TABLE_SNORT_CONF);
			$db->add_select_item("Config");
			$db->clause = "where HID='0'";
			$ret = $db->compile_query("SELECT");
			if($ret['return']) {
				$db->run_query();
				$db->step();
				$Config = $db->res['Config'];
				$action = "Save";
			} else {
				$msg = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
			}
			$db->clear_res();
		}

		if($action == "edit") {
			$db->add_table(_TABLE_SNORT_CONF);
			$db->add_select_item(Array(_TABLE_SNORT_CONF => "Config", _TABLE_HOSTS => "HostName"));
			$db->clause  = sprintf("LEFT JOIN %s on (%s.HID=%s.HID) ", _TABLE_HOSTS, _TABLE_SNORT_CONF, _TABLE_HOSTS);
			$db->clause .= sprintf("where %s.HID='$HID'", _TABLE_SNORT_CONF);
			$ret = $db->compile_query("SELECT");
			if($ret['return']) {
				$db->run_query();
				$db->step();
				edit_ids_config($db->res);
	        } else {
				$msg = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
			}
			$db->clear_res();
		} else if($action == "Save" && $session->checkAccessLevel(_GROUP_WRITE)) {
			$values = Array("Config" => $Config, "HID" => $HID, "HostName" => $HostName);
			$a_required = buildRequiredList($required, $req_title);
			$check = check_required($a_required, $values);
			if($check['return']) {
				$db->add_table(_TABLE_SNORT_CONF);
				$db->add_select_item("count(HID) as num");
				$db->clause = "where HID='$HID'";
				$ret = $db->compile_query("SELECT");
				if($ret['return']) {
					$db->run_query();
					$db->step();
					if($db->res['num'] > 0) {
						$SQLAction = "UPDATE";
					} else {
						$SQLAction = "INSERT";
					}
					$db->clear_res();
					
					$db->add_table(_TABLE_SNORT_CONF);
					$db->add_data("HID", $HID);
					$db->add_data("Config", $Config);
					$db->add_data("TimeStamp", date("Y-n-j g:i:s"));
					if($SQLAction == "UPDATE")
					    $db->clause = "where HID='$HID'";
					$ret = $db->compile_query($SQLAction);
					if($ret['return']) {
						$db->run_query();
						$msg = sprintf("Update Successful\n");
					} else {
					    $msg = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
					}
				} else {
					$msg = sprintf("<SPAN class='errmsg'>ERROR: %s</SPAN> <br>\n", $ret['errmsg']);
				}

				$db->clear_res();
			} else {
				$msg = $check['msg'];
			}
			edit_ids_config($values, $msg);
		}
	} else {
		$db->add_table(_TABLE_HOSTS);
		$db->add_select_item(Array("HID", "HostName", "IPAddr"));
		$db->clause = "where IsSniffer='1'";
		$db->add_extra("ORDER by HostName");
		$ret = $db->compile_query("SELECT");
		if($ret['return']) {
			$db->run_query();
			$list = null;
			for($x=0;$x<$db->rows;$x++) {
				$db->step();
				$list .= html_tag("TR",
					     	 html_tag("TD", sprintf("%s (<i>%s</i>)\n", $db->res['HostName'], $db->res['IPAddr']), $color[4], "class='blacksmall' align='left' valign='top'") .
					     	 html_tag("TD", sprintf("<A HREF='configure.php?LOC=IDS&HID=%s&type=rules'>[view]</A>\n", $db->res['HID']), $color[4], "align='center' valign='top'") .
					     	 html_tag("TD", sprintf("<A HREF='configure.php?LOC=IDS&action=edit&HID=%s&type=config'>[edit]</A>\n", $db->res['HID']), $color[4], "align='center' valign='top'"),
					 	 "", "");
			}
		}

		echo html_tag("TABLE",
			     html_tag("TR",
			         html_tag("TD", "Snort Sensor Hosts\n", $color[0], "colspan=3 class='blackmid' align=center valign=top"),
				 "", "") . (($info) ?
				 html_tag("TR",
					 html_tag("TD", "$info\n", $color[4], "colspan=3 class='bodysmall' align='center' valign='top'"),
				 "", "") : "") .
				 html_tag("TR",
					 html_tag("TD", "<A HREF='configure.php?LOC=IDS&HID=0&type=rules'>[Edit Default Rules]</A>&nbsp;&nbsp;&nbsp;<A HREF='configure.php?LOC=IDS&action=edit&HID=0&type=config'>[Edit Default Config]</A>&nbsp;&nbsp;&nbsp;&nbsp;<A HREF='configure.php'>[back]</A>\n",
					 	 $color[4], "colspan=3 class='bodysmall' align='center' valign='top'"),
				 "", "") .
				 html_tag("TR",
				     html_tag("TD", "HostName (<i>IP Address</i>)\n", $color[5], "class='bodysmall' align='left' valign='top'") .
				     html_tag("TD", "Rule Set\n", $color[5], "class='bodysmall' align='center' valign='top'") .
				     html_tag("TD", "Configuration\n", $color[5], "class='bodysmall' align='center' valign='top'"),
				 "", "") . $list,
			 $color[10], "width=70% cellspacing=2 cellpadding=3 align=center");
	}
} else if($LOC == "UpdateSnort") {
	if($action == "") {
		printf("<FORM name=update_IDS method=post action=configure.php>\n");
		printf(" <input type=hidden name=LOC value='%s'>\n", $LOC);
		echo html_tag("TABLE",
			     html_tag("TR",
			         html_tag("TD", "Update Snort Default Config/Rules\n", $color[0], "colspan=2 class='blackmid' align=center valign=top"),
				 "", "") .
				 html_tag("TR",
					 html_tag("TD", "<A HREF='configure.php'>[back]</A>\n", $color[4], "colspan=2 class='bodysmall' align='center' valign='top'"),
				 "", "") .
				 html_tag("TR",
				     html_tag("TD", "SNORT URL\n", $color[9], "class='bodysmall' align='left'") .
				     html_tag("TD", "<input type=textbox name=SNORTURL size=50 value='http://www.snort.org/dl/rules/snortrules-stable.tar.gz'>", $color[12], "class='bodysmall' align='left' valign='top'"),
				 "", "") .
				 html_tag("TR",
				     html_tag("TD", "TAR\n", $color[9], "class='bodysmall' align='left'") .
				     html_tag("TD", "<input type=textbox name=TARCMD size=25 value='/bin/tar'>", $color[12], "class='bodysmall' align='left' valign='top'"),
				 "", "") .
				 html_tag("TR",
				     html_tag("TD", "<input type=submit name=action value=Update>\n", $color[12], "colspan=2 class='bodysmall' align='center' valign='top'"),
				 "", ""),
			 $color[10], "width=70% cellspacing=2 cellpadding=3 align=center");
		printf("</FORM>\n");
	} else if($action == "Update") {
		@require_once _ABS_ROOT . "/modules/idsview/update-snort.php";
        $info = UpdateSnortRules($SNORTURL, $TARCMD);
		echo html_tag("TABLE",
			     html_tag("TR",
			         html_tag("TD", "Update Snort Default Config/Rules\n", $color[0], "class='blackmid' align=center valign=top"),
				 "", "") .
				 html_tag("TR",
					 html_tag("TD", "<A HREF='configure.php?LOC=UpdateSnort'>[back]</A>\n", $color[4], "colspan=2 class='bodysmall' align='center' valign='top'"),
				 "", "") .
				 html_tag("TR",
				     html_tag("TD", $info, $color[3], "align=center"),
				 "", ""),
			 $color[10], "width=70% cellspacing=2 cellpadding=3 align=center");
	}
}

$db->clear_res();
$db->db_close();
$db = NULL;
?>
