<?
/********************************************************************
Copyright (c) 2003 Jason Sessler

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
********************************************************************/

/********************************************************************
	Changelog:
	11/30/2003  -   Cleaned up duplicate functions found in the
					idsview module and this module. Originally
					there was to be just one module.

********************************************************************/

function edit_ids_rules($info, $msg = FALSE)
{
	global $LOC, $type, $HID, $color;

	if($HID == 0) {
		$info['HostName'] = "Default Settings";
		$links = sprintf("<A HREF='configure.php?LOC=IDS&type=rules&HID=%s'>[back]</A>\n", $HID);
	} else {
		$links = sprintf("<A HREF='configure.php?LOC=IDS&action=default&type=rules&HID=%s&RuleSetName=%s'>[restore to defaults]</A>&nbsp;&nbsp;&nbsp;<A HREF='configure.php?LOC=IDS&type=rules&HID=%s'>[back]</A>\n", $HID, $info['RuleSetName'], $HID);
	}

	printf("<FORM name=mod_IDS method=post action=configure.php>\n");
	printf(" <input type=hidden name=LOC value='%s'>\n", $LOC);
	printf(" <input type=hidden name=type value='%s'>\n", $type);
	printf(" <input type=hidden name=HID value='%s'>\n", $HID);
	printf(" <input type=hidden name=HostName value='%s'>\n", $info['HostName']);
	printf(" <input type=hidden name=required value='RuleSetName'>\n");
	printf(" <input type=hidden name=req_title value='IDS RuleSet Name'>\n");

	echo html_tag("TABLE",
	         html_tag("TR",
	             html_tag("TD", sprintf("IDS RuleSet Configuration: %s\n", $info['HostName']), $color[0], "colspan=3 class='blackmid' align=center valign=top"),
			 "", "") . (($msg) ?
		 	 html_tag("TR",
			 	 html_tag("TD", "$msg\n", $color[4], "colspan=3 class='bodysmall' align='center' valign='top'"),
		 	 "", "") : "") .
			 html_tag("TR",
			     html_tag("TD", $links, $color[4], "colspan=3 class='bodysmall' align='center' valign='top'"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD", "<b>RuleSetName:</b>\n", $color[5], "class='blacksmall' align='left'") .
			     html_tag("TD", sprintf("<input type=textbox name=RuleSetName size=25 value='%s'>\n", $info['RuleSetName']), $color[12], "class='blacksmall' align='left'") .
			     html_tag("TD", "<input type=submit name=action value=Save>\n", $color[12], "class='blacksmall' align='center'"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD", "<b>Rules</b>\n", $color[0], "colspan=3 class=blacksmall align=center"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD", sprintf("<TEXTAREA rows=15 cols=70 name=RuleSet wrap=off>%s</TEXTAREA>\n", $info['RuleSet']), $color[12], "colspan=3 align=center"),
			 "", ""),
		 $color[10], "width=70% align=center cellspacing=1 cellpadding=1");
	printf("</FORM>\n");
	exit;
}

function edit_ids_config($info, $msg = FALSE)
{
	global $LOC, $type, $HID, $color;

	if($HID == 0) {
		$info['HostName'] = "Default Settings";
		$links = "<input type=submit name=action value=Save>\n";
	} else {
		$links = "<input type=submit name=action value='Restore Defaults'>&nbsp;&nbsp;&nbsp;<input type=submit name=action value=Save>\n";
	}

	printf("<FORM name=mod_Config method=post action=configure.php>\n");
	printf(" <input type=hidden name=LOC value='%s'>\n", $LOC);
	printf(" <input type=hidden name=type value='%s'>\n", $type);
	printf(" <input type=hidden name=HID value='%s'>\n", $HID);
	printf(" <input type=hidden name=HostName value='%s'>\n", $info['HostName']);

	echo html_tag("TABLE",
	         html_tag("TR",
	             html_tag("TD", sprintf("IDS Configuration: %s\n", $info['HostName']), $color[0], "class='blackmid' align=center valign=top"),
			 "", "") . (($msg) ?
		 	 html_tag("TR",
			 	 html_tag("TD", "$msg\n", $color[4], "class='bodysmall' align='center' valign='top'"),
		 	 "", "") : "") .
			 html_tag("TR",
			     html_tag("TD", "<A HREF='configure.php?LOC=IDS'>[back]</A>\n", $color[4], "class='bodysmall' align='center' valign='top'"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD", "<b>Configuration</b>\n", $color[0], "class=blacksmall align=center"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD", sprintf("<TEXTAREA rows=15 cols=70 name=Config wrap=off>%s</TEXTAREA>\n", $info['Config']), $color[12], "align=center"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD", $links, $color[12], "class='blacksmall' align='center'"),
			 "", ""),
		 $color[10], "width=70% align=center cellspacing=1 cellpadding=1");
	printf("</FORM>\n");
	exit;
}

?>
