<?
/********************************************************************
Copyright (c) 2003 Jason Sessler

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
********************************************************************/

/********************************************************************
	Changelog:
	11/30/2003  -   require_once was pointing to idsview module.
	            -   Changed module labels in all of the registration
	                functions.

	11/27/2003  -   Registered the wrong configure.php script in
	                register_config().

********************************************************************/

@require_once _ABS_ROOT . "/modules/idsconfig/ids.inc.php";

function load_ids_config()
{
	if(@function_exists("add_MenuItem")) {
		add_MenuItem("Intrusion Detection", "main.location.href='modules/webconfig/configure.php?LOC=IDS'", "ROOT/Config", TRUE, _ADMIN);
		add_MenuItem("Update IDS", "main.location.href='modules/webconfig/configure.php?LOC=UpdateSnort'", "ROOT/Config", FALSE, _ADMIN);
	}

	if(@function_exists("add_QVLink")) {
		add_QVLink("WC_IDS", "Intrusion Detection", "modules/webconfig/configure.php?LOC=IDS", FALSE, "IDS Rules Configuration", _ADMIN, "ROOT/WC");
		add_QVLink("WC_UpS", "Update IDS", "modules/webconfig/configure.php?LOC=UpdateSnort", FALSE, "Update Default Snort Rules", _ADMIN, "ROOT/WC");
	}

	if(@function_exists("register_config")) {
		register_config("Intrusion Detection", "idsconfig/configure.php", "IDS", "Configure the SNORT IDS rule sets and the Snort configurations for your SNORT sensors.", _ADMIN);
		register_config("Update IDS", "idsconfig/configure.php", "UpdateSnort", "Download and update default Snort rules with most current.", _ADMIN);
	}

	return TRUE;
}

?>
