<?
/********************************************************************
Copyright (c) 2003 Jason Sessler

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
********************************************************************/

function UpdateSnortRules($SNORTURL, $TARCMD)
{
	global $db, $color;

	if($db->dbc) {
		$ids = new conn_mySQL();
		$ids->db_use_conn($db->dbc, $db->db);
		$closeit = FALSE;
	} else {
		global $credentials;
		$ids = new conn_mySQL($credentials);
		$ids->db_new_conn();
		$closeit = TRUE;
	}

	if($SNORTURL && $TARCMD) {
		$tableItems = html_tag("TR",
		                  html_tag("TD", "<b>Updating default Snort Config/Rules</b>", $color[0], "colspan=2 class=blacksmall align=center"),
					  "", "");

		if(!($dl = @fopen($SNORTURL, "r")) || !($fp = @fopen("/tmp/TempRules.tgz", "w"))) {
			$tableItems .= html_tag("TR",
							   html_tag("TD", "Downloading $SNORTURL", $color[12], "class=blacksmall align=left") .
							   html_tag("TD", "FAILED", $color[2], "class=blacksmall align=center"),
						   "", "");
			@fclose($dl);
			@fclose($fp);
		} else {
			while(!feof($dl)) {
				$line = @fread($dl, 4096);
				@fwrite($fp, $line, 4096);
			}
            $tableItems .= html_tag("TR",
							   html_tag("TD", "Downloading $SNORTURL", $color[12], "class=blacksmall align=left") .
							   html_tag("TD", "SUCCESSFUL", $color[12], "class=blacksmall align=center"),
						   "", "");
			@fclose($dl);
			@fclose($fp);
			chdir("/tmp");

			if(@system("$TARCMD -xvzf /tmp/TempRules.tgz 1> /dev/null 2> /dev/null") === FALSE) {
				$tableItems .= html_tag("TR",
				                   html_tag("TD", "Untaring Snort Rules", $color[12], "class=blacksmall align=left") .
				                   html_tag("TD", "FAILED", $color[2], "class=blacksmall align=center"),
							   "", "");
			} else {
				$tableItems .= html_tag("TR",
				                   html_tag("TD", "Untaring Snort Rules", $color[12], "class=blacksmall align=left") .
				                   html_tag("TD", "SUCCESSFUL", $color[12], "class=blacksmall align=center"),
							   "", "");
				if(@is_file("/tmp/rules/snort.conf")) {
					$tableItems .= html_tag("TR",
					                   html_tag("TD", "<b>Updating SQL Tables</b>\n", $color[0], "colspan=2 cellspacing=blacksmall align=center"),
								   "", "");
					$ids->add_table(_TABLE_SNORT_CONF);
					$ids->clause = "where HID=0";
					$ret = $ids->compile_query("DELETE");
					if($ret['return']) {
						$ids->run_query();
						$tableItems .= html_tag("TR",
						                   html_tag("TD", "Removing Current Default Config", $color[12], "class=blacksmall align=left") .
						                   html_tag("TD", "SUCCESSFUL", $color[12], "class=blacksmall align=center"),
									   "", "");
					} else {
						$tableItems .= html_tag("TR",
						                   html_tag("TD", "Removing Current Default Config", $color[12], "class=blacksmall align=left") .
						                   html_tag("TD", "FAILED", $color[2], "class=blacksmall align=center"),
									   "", "");
					}
					$ids->clear_res();

					$ids->add_table(_TABLE_SNORT_RULES);
					$ids->clause = "where HID=0";
					$ret = $ids->compile_query("DELETE");
					if($ret['return']) {
						$ids->run_query();
						$tableItems .= html_tag("TR",
						                   html_tag("TD", "Removing Current Default Rules", $color[12], "class=blacksmall align=left") .
						                   html_tag("TD", "SUCCESSFUL", $color[12], "class=blacksmall align=center"),
									   "", "");
					} else {
						$tableItems .= html_tag("TR",
						                   html_tag("TD", "Removing Current Default Rules", $color[12], "class=blacksmall align=left") .
						                   html_tag("TD", "FAILED", $color[2], "class=blacksmall align=center"),
									   "", "");
					}
					$ids->clear_res();

					if($dp = opendir("/tmp/rules/")) {
						while($file = readdir($dp)) {
							$tBITS = explode(".", $file);
							if($tBITS[0] != "deleted") {
								if(substr($tBITS[1], 0, 4) == "conf") {
									if($tfp = @fopen("/tmp/rules/$file", "r")) {
										$CONF .= fread($tfp, filesize("/tmp/rules/$file"));
										$tableItems .= html_tag("TR",
										                   html_tag("TD", $file, $color[12], "class=blacksmall align=left") .
										                   html_tag("TD", "LOADED", $color[12], "class=blacksmall align=center"),
													   "", "");
									} else {
										$tableItems .= html_tag("TR",
										                   html_tag("TD", $file, $color[12], "class=blacksmall align=left") .
										                   html_tag("TD", "FAILED", $color[2], "class=blacksmall align=center"),
													   "", "");
									}
								} else if(substr($tBITS[1], 0, 5) == "rules") {
									if($tfp = @fopen("/tmp/rules/$file", "r")) {
										$RULES = fread($tfp, filesize("/tmp/rules/$file"));
          								$ids->add_table(_TABLE_SNORT_RULES);
										$ids->add_data("HID", 0);
										$ids->add_data("RuleSetName", $file);
										$ids->add_data("RuleSet", $RULES);
										$ids->add_data("TimeStamp", "NOW()");
										$ids->add_data("ClientNSynch", 1);
										$ids->add_data("AutoUpdate", 0);
										$ret = $ids->compile_query("INSERT");
										if($ret['return']) {
											$ids->run_query();
											$tableItems .= html_tag("TR",
										                   	   html_tag("TD", $file, $color[12], "class=blacksmall align=left") .
										                       html_tag("TD", "INSERTED", $color[12], "class=blacksmall align=center"),
													       "", "");
										} else {
											$tableItems .= html_tag("TR",
										                       html_tag("TD", $file, $color[12], "class=blacksmall align=left") .
										                       html_tag("TD", "FAILED", $color[2], "class=blacksmall align=center"),
													       "", "");
										}
										$ids->clear_res();
									} else {
										$tableItems .= html_tag("TR",
										                   html_tag("TD", $file, $color[12], "class=blacksmall align=left") .
										                   html_tag("TD", "FAILED", $color[2], "class=blacksmall align=center"),
													   "", "");
									}
								}
								if(@!is_dir("/tmp/rules/$file")) {
									@unlink("/tmp/rules/$file");
								}
							} else {
								@unlink("/tmp/rules/$file");
							}
						}
						$ids->add_table(_TABLE_SNORT_CONF);
						$ids->add_data("HID", 0);
						$ids->add_data("Config", str_replace("\ninclude", "\n#include", $CONF));
						$ids->add_data("TimeStamp", "NOW()");
						$ret = $ids->compile_query("INSERT");
						if($ret['return']) {
							$ids->run_query();
							$tableItems .= html_tag("TR",
						                   	   html_tag("TD", "Configuration", $color[12], "class=blacksmall align=left") .
						                       html_tag("TD", "INSERTED", $color[12], "class=blacksmall align=center"),
									       "", "");
						} else {
							$tableItems .= html_tag("TR",
						                       html_tag("TD", "Configuration", $color[12], "class=blacksmall align=left") .
						                       html_tag("TD", "FAILED", $color[2], "class=blacksmall align=center"),
									       "", "");
						}
						$ids->clear_res();
					} else {
						$tableItems .= html_tag("TR",
					                   	   html_tag("TD", "No Rules Found\n", $color[2], "colspan=2 cellspacing=blacksmall align=center"),
								       "", "");
					}
					@closedir($dp);
    			} else {
	    			$tableItems .= html_tag("TR",
	    		   	                   html_tag("TD", "snort.conf Not Found\n", $color[2], "colspan=2 cellspacing=blacksmall align=center"),
							       "", "");
				}
			}
    	}
    } else {
    	$tableItems = html_tag("TR",
		                  html_tag("TD", "<b>Snort URL and/or Path to tar is required</b>", $color[2], "colspan=2 class=blacksmall align=center"),
					  "", "");
	}
	if($closeit) {
		$ids->clear_res();
		$ids->db_close();
		$ids = null;
	}

	@rmdir("/tmp/rules");
	@unlink("/tmp/TempRules.tgz");

	$table = html_tag("TABLE", $tableItems, $color[10], "width=100% cellspacing=1 cellpadding=1");
	return($table);
}

?>
