<?
/********************************************************************
Copyright (c) 2003 Jason Sessler

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
********************************************************************/

/********************************************************************
	Changelog:
	11/27/2003  -   Forgot to add the MIT License header.

********************************************************************/

include "../../inc/common.php";
include _ABS_ROOT . "/lib/mysql.inc.php";
include _ABS_ROOT . "/lib/authentication.inc.php";
include _ABS_ROOT . "/inc/check_auth.php";

include _ABS_ROOT . "/lib/html.inc.php";
include _ABS_ROOT . "/themes/plain_blue.php";

@require_once "ids.inc.php";

printf("<HTML>\n");
printf("<HEAD>\n");
printf("<TITLE>%s</TITLE>\n", _APPNAME);
printf("</HEAD>\n");
printf("<LINK rel=stylesheet href=%s type=text/css>\n", $color['css']);

ids_css();

if($LOC == "view") {
	$ids = new conn_mySQL($credentials);
	$ids->db_new_conn();

	$ids->add_table(_TABLE_IDS_EVENTS);
	$ids->clause = "where EID='$EID'";
	$ret = $ids->compile_query("SELECT");
	if($ret['return']) {
		$ids->run_query();
		$ids->step();
	} else {
		$ids->res['EID'] = "Unknown";
		$ids->res['PayLoad'] = sprintf("Unable to retrieve Event: [%s]", $ret['errmsg']);
	}
	
	echo html_tag("TABLE",
	         html_tag("TR",
	             html_tag("TD", sprintf("<b>IDS Event: #%s</b>", $ids->res['EID']), $color[0], "class=blacksmall align=center"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD",
			         html_tag("TABLE",
			             html_tag("TR",
			                 html_tag("TD", "<b>Basic Information</b>", $color[9], "colspan=4 class=blacksmall"),
						 "", "") .
			             html_tag("TR",
			                 html_tag("TD", "<b>&nbsp;Signature</b>", $color[0], "class=blacksmall") .
			                 html_tag("TD", "<b>&nbsp;Source IP</b>", $color[0], "class=blacksmall") .
			                 html_tag("TD", "<b>&nbsp;Destination IP</b>", $color[0], "class=blacksmall") .
			                 html_tag("TD", "<b>&nbsp;Date/Time</b>", $color[0], "class=blacksmall"),
						 "", "") .
						 html_tag("TR",
						     html_tag("TD", sprintf("&nbsp;%s", $ids->res['Descr']), $color[12], "valign=top class=blacksmall") .
						     html_tag("TD", sprintf("&nbsp;%s&nbsp;&nbsp;[<A class='ids' onClick=\"javascript:void window.open('','SIP','width=600,height=400,scrollbars,resizable');\" target='SIP' HREF='ids.php?LOC=expand&HOST=%s'>expand</A>]",
							 	 $ids->res['SIP'], $ids->res['SIP']),
							 $color[12], "valign=top class=blacksmall") .
						     html_tag("TD", sprintf("&nbsp;%s&nbsp;&nbsp;[<A class='ids' onClick=\"javascript:void window.open('','DIP','width=600,height=400,scrollbars,resizable');\" target='DIP' HREF='ids.php?LOC=expand&HOST=%s'>expand</A>]",
							 	 $ids->res['DIP'], $ids->res['DIP']),
							 $color[12], "valign=top class=blacksmall") .
						     html_tag("TD", sprintf("&nbsp;%s", $ids->res['TimeStamp']), $color[12], "valign=top class=blacksmall"),
						 "", ""),
					 $color[10], "width=100% cellspacing=1 cellpadding=1") .
					 "<br>" .
					 html_tag("TABLE",
					     html_tag("TR",
					         html_tag("TD", sprintf("<b>%s Header Information</b>", $ids->res['Protocol']), $color[0], "colspan=3 class=blacksmall"),
						 "", "") .
			             html_tag("TR",
			                 html_tag("TD", "<b>&nbsp;Source Port</b>", $color[0], "class=blacksmall") .
			                 html_tag("TD", "<b>&nbsp;Destination Port</b>", $color[0], "class=blacksmall") .
			                 html_tag("TD", "<b>&nbsp;Sequence #</b>", $color[0], "class=blacksmall"),
						 "", "") .
						 html_tag("TR",
						     html_tag("TD", sprintf("&nbsp;%s", $ids->res['SPort']), $color[12], "class=blacksmall") .
						     html_tag("TD", sprintf("&nbsp;%s", $ids->res['DPort']), $color[12], "class=blacksmall") .
						     html_tag("TD", sprintf("&nbsp;%s", $ids->res['Seq']), $color[12], "class=blacksmall"),
						 "", ""),
					 $color[10], "width=100% cellspacing=1 cellpadding=1") .
					 "<br>" .
					 html_tag("TABLE",
					     html_tag("TR",
					         html_tag("TD", "<b>Payload</b>", $color[9], "class=blacksmall align=center"),
						 "", "") .
					     html_tag("TR",
					         html_tag("TD", sprintf("<pre>%s</pre>", $ids->res['Payload']), $color[12], "class=blacksmall align=left"),
						 "", ""),
					 $color[10], "width=100% cellspacing=1 cellpadding=1"),
				 $color[3], "align=center"),
			 "", "") .
	         html_tag("TR",
	             html_tag("TD", "<A class='ids' HREF='javascript:window.history.back(1);'>Back</A>", $color[3], "class=blacksmall align=center"),
			 "", ""),
		 $color[10], "width=90% cellspacing=1 cellpadding=1 align=center");
} else if($LOC == "search") {

	if($Descr)
	    $where[sizeof($where)] = sprintf("%s.Descr='%s'", _TABLE_IDS_EVENTS, $Descr);
	if($Protocol)
	    $where[sizeof($where)] = sprintf("%s.Protocol='%s'", _TABLE_IDS_EVENTS, $Protocol);
	if($SIP)
	    $where[sizeof($where)] = sprintf("%s.SIP='%s'", _TABLE_IDS_EVENTS, $SIP);
	if($SPort)
	    $where[sizeof($where)] = sprintf("%s.SPort='%s'", _TABLE_IDS_EVENTS, $SPort);
	if($DIP)
	    $where[sizeof($where)] = sprintf("%s.DIP='%s'", _TABLE_IDS_EVENTS, $DIP);
	if($DPort)
	    $where[sizeof($where)] = sprintf("%s.DPort='%s'", _TABLE_IDS_EVENTS, $DPort);
	if($HID)
	    $where[sizeof($where)] = sprintf("%s.HID='%s'", _TABLE_IDS_EVENTS, $HID);

	if(!is_null($glue) || !isset($glue))
	    $glue = "AND";

	// By default, if $idsShow is not set, we will set it to 20 since this will be
	// the only thing on the screen
	if(!isset($idsShow))
	    $idsShow = 20;

	echo ids_build("100%", @implode(" " . $glue . " ", $where));
} else if($LOC == "searchTable") {
	$ids = new conn_mySQL($credentials);
	$ids->db_new_conn();
	
	$table = html_tag("TR",
	             html_tag("TD", "<b>&nbsp;Search Type</b>\n", $color[0], "class=blacksmall align=left") .
	             html_tag("TD", sprintf("&nbsp;%s", build_select("glue",Array("AND" => "Match All Fields", "OR" => "Match Any Fields"),NULL)),
	                 $color[12], "align=left"),
			 "", "");

	// Grabbing protocols
	$ids->add_table(_TABLE_IDS_EVENTS);
	$ids->add_select_item(Array("DISTINCT(Protocol)", "Protocol"));
	$ids->add_extra("ORDER by Protocol");
	$ret = $ids->compile_query("SELECT");
	if($ret['return']) {
		$ids->run_query();
		for($x=0;$x<$ids->rows;$x++) {
			$ids->step();
			$protocols[$ids->res['Protocol']] = $ids->res['Protocol'];
		}
	} else {
		$protocols['NULL'] = "Unable to retrieve data";
	}
	
	$ids->clear_res();
	
	$table .= html_tag("TR",
	              html_tag("TD", "<b>&nbsp;Protocol Type</b>\n", $color[0], "class=blacksmall align=left") .
              html_tag("TD", sprintf("&nbsp;%s", build_select("Protocol",$protocols,NULL, "---Any Protocol---")),
	                  $color[12], "align=left"),
			  "", "");

	// Grabbing Source IPs
	$ids->add_table(_TABLE_IDS_EVENTS);
	$ids->add_select_item(Array("DISTINCT(SIP)", "SIP"));
	$ids->add_extra("ORDER by SIP");
	$ret = $ids->compile_query("SELECT");
	if($ret['return']) {
		$ids->run_query();
		for($x=0;$x<$ids->rows;$x++) {
			$ids->step();
			$SIP[$ids->res['SIP']] = $ids->res['SIP'];
		}
	} else {
		$SIP['NULL'] = "Unable to retrieve data";
	}

	$ids->clear_res();

	$table .= html_tag("TR",
	              html_tag("TD", "<b>&nbsp;Source IP</b>\n", $color[0], "class=blacksmall align=left") .
              html_tag("TD", sprintf("&nbsp;%s", build_select("SIP",$SIP,NULL, "---Any Source IP---")),
	                  $color[12], "align=left"),
			  "", "");

	// Grabbing Destination IPs
	$ids->add_table(_TABLE_IDS_EVENTS);
	$ids->add_select_item(Array("DISTINCT(DIP)", "DIP"));
	$ids->add_extra("ORDER by DIP");
	$ret = $ids->compile_query("SELECT");
	if($ret['return']) {
		$ids->run_query();
		for($x=0;$x<$ids->rows;$x++) {
			$ids->step();
			$DIP[$ids->res['DIP']] = $ids->res['DIP'];
		}
	} else {
		$DIP['NULL'] = "Unable to retrieve data";
	}

	$ids->clear_res();

	$table .= html_tag("TR",
	              html_tag("TD", "<b>&nbsp;Destination IP</b>\n", $color[0], "class=blacksmall align=left") .
              html_tag("TD", sprintf("&nbsp;%s", build_select("DIP",$DIP,NULL, "---Any Destination IP---")),
	                  $color[12], "align=left"),
			  "", "");
			  
	// Grabbing Sensors
	$ids->add_table(_TABLE_IDS_EVENTS);
	$ids->add_select_item(Array(sprintf("DISTINCT(%s.HID)", _TABLE_IDS_EVENTS), _TABLE_IDS_EVENTS => "HID", _TABLE_HOSTS => "HostName"));
	$ids->clause = sprintf("LEFT JOIN %s on (%s.HID=%s.HID)", _TABLE_HOSTS, _TABLE_IDS_EVENTS, _TABLE_HOSTS);
	$ids->add_extra("ORDER by HostName");
	$ret = $ids->compile_query("SELECT");
	if($ret['return']) {
		$ids->run_query();
		for($x=0;$x<$ids->rows;$x++) {
			$ids->step();
			$HID[$ids->res['HID']] = $ids->res['HostName'];
		}
	} else {
		$HID['NULL'] = "Unable to retrieve data";
	}

	$ids->clear_res();

	$table .= html_tag("TR",
	              html_tag("TD", "<b>&nbsp;Sensor</b>\n", $color[0], "class=blacksmall align=left") .
              html_tag("TD", sprintf("&nbsp;%s", build_select("HID",$HID,NULL, "---Any Sensor---")),
	                  $color[12], "align=left"),
			  "", "");

	// Grabbing Descr
	$ids->add_table(_TABLE_IDS_EVENTS);
	$ids->add_select_item(Array("DISTINCT(Descr)", "Descr"));
	$ids->add_extra("ORDER by Descr");
	$ret = $ids->compile_query("SELECT");
	if($ret['return']) {
		$ids->run_query();
		for($x=0;$x<$ids->rows;$x++) {
			$ids->step();
			$Descr[$ids->res['Descr']] = $ids->res['Descr'];
		}
	} else {
		$Descr['NULL'] = "Unable to retrieve data";
	}

	$ids->clear_res();

	$table .= html_tag("TR",
	              html_tag("TD", "<b>&nbsp;Signature</b>\n", $color[0], "class=blacksmall align=left") .
              html_tag("TD", sprintf("&nbsp;%s", build_select("Descr",$Descr,NULL, "---Any Signature---")),
	                  $color[12], "align=left"),
			  "", "");

	// Building Table
	printf("<FORM method=post action='%s/modules/idsview/ids.php'>\n", _DOC_ROOT);
	printf(" <input type=hidden name=LOC value=search>\n");
	echo html_tag("TABLE",
	         html_tag("TR",
	             html_tag("TD", "<b>IDS Event Search</b>\n", $color[0], "class=blacksmall align=center"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD",
			         html_tag("TABLE",
					 	 $table .
					 	 html_tag("TR",
					 	     html_tag("TD", "<input type=submit value=Search>\n", $color[12], "colspan=2 align=center"),
						 "", ""),
					 $color[10], "width=100% align=center cellspacing=1 cellpadding=1"),
				 $color[3], "align=center"),
			 "", ""),
		 $color[10], "width=75% align=center cellspacing=1 cellpadding=1");
	printf("</FORM>\n");
	
	$ids->clear_res();
	$ids->db_close();
	$ids = null;
} else if($LOC == "expand") {
	if(!$HOST) {
		printf("<SPAN class='errmsg'><b>ERROR:</b> Unable to perform desired action. [No Host to expand on]</SPAN>\n");
		exit;
	}
	// Getting Host by address
	$hostName = gethostbyaddr($HOST);

	// Getting WHOIS on $hostName
	// Default whois Server Listing
	$whoisSrvList = "whois.internic.net,whois.opensrs.net,whois.networksolutions.net";

	$list = explode(",", $whoisSrvList);
	
	// Getting WHOIS on IPAddress
	$whoisDataIP = php_whois($HOST, "whois.arin.net");

	// Connecting to first available whois server
	$whoisDataName = php_whois($hostName, $whoisSrvList);

	// Formatting and Building expanded view table
	echo html_tag("TABLE",
	         html_tag("TR",
	             html_tag("TD", sprintf("<b>IDS Expanded View: [%s]</b>\n", $HOST), $color[0], "class=blacksmall align=center"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD",
			         html_tag("TABLE",
					 	 html_tag("TR",
					 	     html_tag("TD", "<b>&nbsp;HostName</b>", $color[9], "class=blacksmall align=left") .
					 	     html_tag("TD", sprintf("&nbsp;%s\n", $hostName), $color[12], "class=blacksmall align=center"),
						 "", ""),
					 $color[10], "width=100% align=center cellspacing=1 cellpadding=1") .
					 "<br>" .
			         html_tag("TABLE",
					 	 html_tag("TR",
					 	     html_tag("TD", sprintf("<b>WHOIS Server [%s]</b>", $whoisDataIP['SERVER']), $color[9], "class=blacksmall align=center"),
						 "", "") .
						 html_tag("TR",
						     html_tag("TD",
						         html_tag("TABLE",
						             html_tag("TR",
						                 html_tag("TD", "<b>WHOIS [$HOST]</b>", $color[0], "class=blacksmall align=center"),
									 "", "") .
									 html_tag("TR",
									     html_tag("TD", sprintf("<pre>%s</pre>\n", $whoisDataIP['DATA']), $color[3], ""),
									 "", ""),
								 $color[10], "width=100% align=center cellspacing=1 cellpadding=1"),
							 $color[12], "align=center"),
						 "", "") .
					 	 html_tag("TR",
					 	     html_tag("TD", sprintf("<b>WHOIS Server [%s]</b>", $whoisDataName['SERVER']), $color[9], "class=blacksmall align=center"),
						 "", "") .
						 html_tag("TR",
						     html_tag("TD",
						         html_tag("TABLE",
						             html_tag("TR",
						                 html_tag("TD", "<b>WHOIS [$hostName]</b>", $color[0], "class=blacksmall align=center"),
									 "", "") .
									 html_tag("TR",
									     html_tag("TD", sprintf("<pre>%s</pre>\n", $whoisDataName['DATA']), $color[3], ""),
									 "", ""),
								 $color[10], "width=100% align=center cellspacing=1 cellpadding=1"),
							 $color[12], "align=center"),
						 "", ""),
					 $color[10], "width=100% align=center cellspacing=1 cellpadding=1"),
				 $color[3], "align=center"),
			 "", ""),
		 $color[10], "width=95% align=center cellspacing=1 cellpadding=1");
	printf("<br><center><A HREF='javascript:window.close()'>Close Window</A></center>\n");
}

printf("</BODY>\n");
printf("</HTML>\n");
?>
