<?
/********************************************************************
Copyright (c) 2003 Jason Sessler

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
********************************************************************/

/********************************************************************
	Changelog:
	11/27/2003  -   Forgot to add the MIT License header.

********************************************************************/

@require_once "ids.inc.php";

function load_ids_view()
{
	if(@function_exists("addModuleAction")) {
		addModuleAction(_SUMMARY_PRE_BODY, "IDS View", "ids_css");
		addModuleAction(_VIEWHOST_PRE_BODY, "IDS View", "ids_css");
		addModuleAction(_SUMMARY_BODY_LOWER, "IDS View", "ids_summary");
		addModuleAction(_VIEWHOST_MODULES, "IDS View", "ids_module");
	}

	if(@function_exists("add_MenuItem")) {
		add_MenuItem("IDS Events", "main.location.href='modules/idsview/ids.php?LOC=search'", "ROOT/Go", FALSE, _USER);
		add_MenuItem("IDS Events", "main.location.href='modules/idsview/ids.php?LOC=searchTable'", "ROOT/Search", FALSE, _USER);
	}

	return TRUE;
}

function ids_summary()
{
	echo "<br>\n" . ids_build("95%");
	return TRUE;
}

function ids_module()
{
	global $showIDSView, $args, $_SERVER;
	if($showIDSView && $args['LOC'] != "viewCheck") {
		return Array('link' => sprintf("<A HREF='%s'>Hide</A>\n",
					 	buildURL($_SERVER['PHP_SELF'], array_merge($args, Array("showIDSView" => null, "idsgraph" => null)))),
 		 			 'output' => ids_build("100%"));
	} else if($args['LOC'] != "viewCheck") {
		return Array('link' => sprintf("<A HREF='%s'>Show</A>\n",
						buildURL($_SERVER['PHP_SELF'], array_merge($args, Array("showIDSView" => 1)))));
	} else {
		return Array('link' => null);
	}
}



?>
