<?
/********************************************************************
Copyright (c) 2003 Jason Sessler

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
********************************************************************/

/********************************************************************
	Changelog:
	11/30/2003  -   Added ORDER by ID2 to keep the NetMon View list
					consistent in look.


********************************************************************/

function load_netmon_view()
{
	if(@function_exists("addModuleAction")) {
		addModuleAction(_VIEWHOST_MODULES, "Network Monitor", "netmon_module");
	}

	return TRUE;
}

function netmon_module()
{
	global $showNetMon, $args, $_SERVER, $HID, $netgraph;
	if($args['LOC'] != "viewCheck" && function_exists(graphing)) {
		$links = null;
		if($graphs = get_netmon_graphs($HID)) {
			while(!is_null($key = @key($graphs))) {
				switch($key) {
					case "BASE":
					    $item = sizeof($links);
					    $links[$item] = sprintf("<b>Totals</b>:");
					    while(!is_null($TYPE = @key($graphs['BASE']))) {
					    	if($TYPE == $showNetMon) {
						    	$links[$item] .= sprintf("&nbsp;<A HREF='%s'>Hide</A>",
						    	    buildURL($_SERVER['PHP_SELF'], array_merge($args, Array("showNetMon" => null, "netgraph" => null))));
						    } else {
						    	$links[$item] .= sprintf("&nbsp;<A HREF='%s'>%s</A>",
					    	    	buildURL($_SERVER['PHP_SELF'], array_merge($args, Array("showNetMon" => $TYPE, "netgraph" => "day"))), $TYPE);
					    	}
					    	@next($graphs['BASE']);
					    }
					    break;
					case "BYTES":
					    if($key == $showNetMon) {
					    	$links[sizeof($links)] = sprintf("<b>Bytes</b>: <A HREF='%s'>Hide</A>\n",
					    	    buildURL($_SERVER['PHP_SELF'], array_merge($args, Array("showNetMon" => null, "netgraph" => null))));
						} else {
							$links[sizeof($links)] = sprintf("<b>Bytes</b>: <A HREF='%s'>Show</A>\n",
					    	    buildURL($_SERVER['PHP_SELF'], array_merge($args, Array("showNetMon" => $key, "netgraph" => "day"))));
					    }
						break;
					case "COUNT":
					    if($key == $showNetMon) {
					    	$links[sizeof($links)] = sprintf("<b>Count</b>: <A HREF='%s'>Hide</A>\n",
					    	    buildURL($_SERVER['PHP_SELF'], array_merge($args, Array("showNetMon" => null, "netgraph" => null))));
						} else {
							$links[sizeof($links)] = sprintf("<b>Count:</b> <A HREF='%s'>Show</A>\n",
					    	    buildURL($_SERVER['PHP_SELF'], array_merge($args, Array("showNetMon" => $key, "netgraph" => "day"))));
					    }
						break;
					case "PORT":
					    while(!is_null($PROTO = @key($graphs[$key]))) {
					    	$item = sizeof($links);
					    	$links[$item] = sprintf("<b>%s</b>:", $PROTO);
					    	while(!is_null($PORT = @key($graphs[$key][$PROTO]))) {
					    		$links[$item] .= sprintf("&nbsp;[ %s ]", $PORT);
					    		while(!is_null($TYPE = @key($graphs[$key][$PROTO][$PORT]))) {
					    			$image = sprintf("%s_%s_%s_%s", $key, $TYPE, $PROTO, $PORT);
					    			if($image == $showNetMon) {
										$links[$item] .= sprintf("&nbsp;&nbsp;<A HREF='%s'>Hide</A>",
											buildURL($_SERVER['PHP_SELF'], array_merge($args, Array("showNetMon" => null, "netgraph" => null))), $TYPE);
									} else {
										$links[$item] .= sprintf("&nbsp;&nbsp;<A HREF='%s'>%s</A>",
											buildURL($_SERVER['PHP_SELF'], array_merge($args, Array("showNetMon" => $image, "netgraph" => "day"))), $TYPE);
									}
									@next($graphs[$key][$PROTO][$PORT]);
								}
								//$links[$item] .= "<br>\n";
								@next($graphs[$key][$PROTO]);
							}
							@next($graphs[$key]);
						}
						break;
				}
				@next($graphs);
			}
		} else {
			$links = Array("<b>No Graphs Found</b>");
		}

		if($showNetMon) {
			$output = graphing(Array("type" => "NETMON", "HID" => $HID, "ITEM" => $showNetMon, "graphType" => "netgraph"), $netgraph);
		}
	} else {
		$links = Array();
	}

	return Array('link' => implode("<br>&nbsp;", $links), 'output' => $output);
}

function get_netmon_graphs($HID)
{
	global $db;

	if($db->dbc) {
		$net = new conn_mySQL();
		$net->db_use_conn($db->dbc, $db->db);
		$closeit = FALSE;
	} else {
		global $credentials;
		$net = new conn_mySQL($credentials);
		$net->db_new_conn();
		$closeit = TRUE;
	}
	$net->add_table(_TABLE_RRD_MIDAS_ID);
	$net->add_select_item(Array("DISTINCT(ID2)", "ID2"));
	$net->clause = "where Type='NETMON' AND ID1='$HID'";
	$net->add_extra("ORDER by ID2");

	$imgs = FALSE;

	$ret = $net->compile_query("SELECT");
	if($ret['return']) {
		$net->run_query();
		for($x=0;$x<$net->rows;$x++) {
			$net->step();
			$type = explode("_", $net->res['ID2']);
			switch($type[0]) {
				case "BYTES":
				    $imgs['BASE']['BYTES'] = TRUE;
				    break;
				case "COUNT":
				    $imgs['BASE']['COUNT'] = TRUE;
					break;
				case "PORT":
				    $imgs['PORT'][$type[2]][$type[3]][$type[1]] = TRUE;
				    break;
			}
		}
	}

	if($closeit)
	    $net->db_close();

	$net = null;

	return $imgs;
}

?>
