<?
/********************************************************************
Copyright (c) 2003 Jason Sessler

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
********************************************************************/

@require_once _ABS_ROOT . "/modules/idsview/ids.inc.php";

$db = new conn_mySQL($credentials);
$db->db_new_conn();
	
if($LOC == "purgedb") {
	if($action == "Purge") {
		$purgeAfter = date("Y-m-d H:i:s", time() - ($days * (24 * 3600)));
		
		$info = "Purged Events Over $days Day(s) Old: <br>\n";
		foreach($purge as $type => $value) {
			$db->add_table($type);
			$db->clause = "where TimeStamp<='$purgeAfter'";
			$ret = $db->compile_query("DELETE");
			if($ret['return']) {
				$db->run_query();
				$info .= " [<i>$type</i>]";
			} else {
				$info = sprintf("<SPAN class=errmsg>ERROR: %s</SPAN>\n", $ret['errmsg']);
				break;
			}
			$db->clear_res();
			$db->run_query("OPTIMIZE TABLE $type");
		}
		
		$db->clear_res();
	}

	$thirtyDay    = date("Y-m-d H:i:s", time() - (30 * (24 * 3600)));
	$sixtyDay     = date("Y-m-d H:i:s", time() - (60 * (24 * 3600)));
	$oneTwentyDay = date("Y-m-d H:i:s", time() - (120 * (24 * 3600)));

	$db->add_table(_TABLE_IDS_EVENTS);

	$db->add_select_item("count(IF(TimeStamp<'$oneTwentyDay',TimeStamp,NULL)) as oneTwenty");
	$db->add_select_item("count(IF(TimeStamp>='$sixty' AND TimeStamp<'$thirtyDay',TimeStamp,NULL)) as thirty2sixty");
	$db->add_select_item("count(IF(TimeStamp<='$oneTwentyDay' AND TimeStamp>'$sixtyDay',TimeStamp,NULL)) as sixty2oneTwenty");
	$db->add_select_item("count(IF(TimeStamp>='$thirtyDay',TimeStamp,NULL)) as thirty");

	$db->add_select_item("count(TimeStamp) as total");

	$ret = $db->compile_query("SELECT");
	if($ret['return']) {
		$db->run_query();
		$db->step();
		$IDS30 = $db->res['thirty'];
		$IDS60  = $db->res['thirty2sixty'];
		$IDS120  = $db->res['sixty2oneTwenty'];
		$IDS120Plus = $db->res['oneTwenty'];
		$IDStotal = $db->res['total'];
	}

	$db->clear_res();

	$db->add_table(_TABLE_CHECK_EVENTS);

	$db->add_select_item("count(IF(TimeStamp<'$oneTwentyDay',TimeStamp,NULL)) as oneTwenty");
	$db->add_select_item("count(IF(TimeStamp>='$sixty' AND TimeStamp<'$thirtyDay',TimeStamp,NULL)) as thirty2sixty");
	$db->add_select_item("count(IF(TimeStamp<='$oneTwentyDay' AND TimeStamp>'$sixtyDay',TimeStamp,NULL)) as sixty2oneTwenty");
	$db->add_select_item("count(IF(TimeStamp>='$thirtyDay',TimeStamp,NULL)) as thirty");

	$db->add_select_item("count(TimeStamp) as total");

	$ret = $db->compile_query("SELECT");
	if($ret['return']) {
		$db->run_query();
		$db->step();
		$CHK30 = $db->res['thirty'];
		$CHK60  = $db->res['thirty2sixty'];
		$CHK120  = $db->res['sixty2oneTwenty'];
		$CHK120Plus = $db->res['oneTwenty'];
		$CHKtotal = $db->res['total'];
	}

	printf("<FORM name=purge_db method=post action='configure.php'>\n");
	printf(" <input type=hidden name=LOC value='%s'>\n", $LOC);
	
	echo html_tag("TABLE",
	         html_tag("TR",
	             html_tag("TD", "<b>Purge Event Data</b>", $color[0], "colspan=3 class=blackmid align=center"),
			 "", "") . (($info) ?
			 html_tag("TR",
				 html_tag("TD", "$info\n", $color[4], "colspan=3 class=bodysmall align=center"),
			 "", "") : "") .
			 html_tag("TR",
				 html_tag("TD", "<A HREF='configure.php'>[back]</A>\n", $color[4], "colspan=6 class='bodysmall' align='center' valign='top'"),
			 "", "") .
			 html_tag("TR",
			     html_tag("TD", "&nbsp;", $color[0], "") .
			     html_tag("TD", "<b>Host Check Events</b>", $color[12], "class=blacksmall align=center") .
			     html_tag("TD", "<b>IDS Events</b>", $color[12], "class=blacksmall align=center"),
	   		 "", "") .
	   		 html_tag("TR",
	   		     html_tag("TD", "&nbsp;0 - 30 days", $color[0], "class=blackmid") .
	   		     html_tag("TD", $CHK30, $color[12], "class=blacksmall align=center") .
	   		     html_tag("TD", $IDS30, $color[12], "class=blacksmall align=center"),
	   		 "", "") .
	   		 html_tag("TR",
	   		     html_tag("TD", "&nbsp;31 - 60 days", $color[0], "class=blackmid") .
	   		     html_tag("TD", $CHK60, $color[12], "class=blacksmall align=center") .
	   		     html_tag("TD", $IDS60, $color[12], "class=blacksmall align=center"),
	   		 "", "") .
	   		 html_tag("TR",
	   		     html_tag("TD", "&nbsp;61 - 120 days", $color[0], "class=blackmid") .
	   		     html_tag("TD", $CHK120, $color[12], "class=blacksmall align=center") .
	   		     html_tag("TD", $IDS120, $color[12], "class=blacksmall align=center"),
	   		 "", "") .
	   		 html_tag("TR",
	   		     html_tag("TD", "&nbsp;121+ days", $color[0], "class=blackmid") .
	   		     html_tag("TD", $CHK120Plus, $color[12], "class=blacksmall align=center") .
	   		     html_tag("TD", $IDS120Plus, $color[12], "class=blacksmall align=center"),
	   		 "", "") .
	   		 html_tag("TR",
	   		     html_tag("TD", "&nbsp;Total Events", $color[0], "class=blackmid") .
	   		     html_tag("TD", $CHKtotal, $color[12], "class=blacksmall align=center") .
	   		     html_tag("TD", $IDStotal, $color[12], "class=blacksmall align=center"),
	   		 "", "") .
	   		 html_tag("TR",
	   		     html_tag("TD", "&nbsp;Purge Events", $color[0], "class=blackmid") .
	   		     html_tag("TD", sprintf("<input type=checkbox name='purge[%s]' value='1'>", _TABLE_CHECK_EVENTS), $color[0], "align=center") .
	   		     html_tag("TD", sprintf("<input type=checkbox name='purge[%s]' value='1'>", _TABLE_IDS_EVENTS), $color[0], "align=center"),
	   		 "", "") .
			 html_tag("TR",
			     html_tag("TD", "&nbsp;Purge Events Older Than", $color[0], "class=blackmid") .
			     html_tag("TD", "<input type=textbox name=days value=30 size=3> Days", $color[12], "colspan=2 align=center class=blacksmall"),
	   		 "", "") .
			 html_tag("TR",
			     html_tag("TD", "<input type=submit name=action value=Purge>", $color[4], "colspan=3 align=center"),
	   		 "", ""),
		 $color[10], "width=70% align=center cellspacing=1 cellpadding=1 border=0");

	printf("</FORM>\n");
}

$db->clear_res();
$db->db_close();
$db = NULL;
?>
