<?
/********************************************************************
Copyright (c) 2003 Jason Sessler

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
********************************************************************/

include "inc/common.php";
include _ABS_ROOT . "/lib/mysql.inc.php";
include _ABS_ROOT . "/lib/authentication.inc.php";
include _ABS_ROOT . "/inc/check_auth.php";

include _ABS_ROOT . "/lib/html.inc.php";
include _ABS_ROOT . "/themes/plain_blue.php";
include _ABS_ROOT . "/lib/module.inc.php";
include _ABS_ROOT . "/inc/midas.inc.php";

printf("<HTML>\n");
printf("<HEAD>\n");
printf("<META HTTP-EQUIV='CACHE-CONTROL' CONTENT='NO-CACHE'>\n");
printf("<META HTTP-EQUIV='PRAGMAS' CONTENT='NO-CACHE'>\n");
printf("<TITLE>%s</TITLE>\n", _APPNAME);
printf("</HEAD>\n");
printf("<LINK rel=stylesheet href=%s type=text/css>\n", $color['css']);

// Pre-Body module call
checkForModuleAction(_VIEWHOST_PRE_BODY);

printf("<BODY topmargin=10 leftmargin=10 bgcolor='%s'>\n", $color[4]);

// Upper-Body module call
checkForModuleAction(_VIEWHOST_POST_BODY);

$db = new conn_mySQL($credentials);
$db->db_new_conn();

// Starting hostview build. Getting basic Host information. Required for all views
$db->add_table(_TABLE_HOSTS);
$db->add_select_item(Array("HID", "HostName", "IPAddr", "Descr"));
$db->clause = "where HID='$HID'";
$ret = $db->compile_query("SELECT");
if($ret['return']) {
	$db->run_query();
	if($db->rows > 0) {
		$db->step();
		$hostInfo = $db->res;
	} else {
		$hostInfo['HID']      = null;
		$hostInfo['HostName'] = "Host Not Found ($HID)";
		$hostInfo['IPAddr']   = "0.0.0.0";
		$hostInfo['Descr']    = "Unable to retrieve host information. No matches found";
	}
} else {
	$hostInfo['HID']      = null;
	$hostInfo['HostName'] = "Host Not Found ($HID)";
	$hostInfo['IPAddr']   = "0.0.0.0";
	$hostInfo['Descr']    = $ret['errmsg'];
}
$db->clear_res();

// Retrieving host check information.
$db->add_table(_TABLE_HOST_CHECKS);
$db->add_select_item(Array(_TABLE_HOST_CHECKS   => Array("CID", "TID", "MinFail", "CurFail", "TotFail", "DoAlert"),
						   _TABLE_CHECKS        => "Name AS cName",
						   _TABLE_HOSTS         => "HostName AS Tester",
						   _TABLE_CHECK_CURRENT => Array("Status", "LastCheck")));

$db->clause  = sprintf("LEFT JOIN %s on (%s.CID=%s.CID) ", _TABLE_CHECKS, _TABLE_HOST_CHECKS, _TABLE_CHECKS);
$db->clause .= sprintf("LEFT JOIN %s on (%s.TID=%s.HID) ", _TABLE_HOSTS, _TABLE_HOST_CHECKS, _TABLE_HOSTS);
$db->clause .= sprintf("LEFT JOIN %s on (%s.HID=%s.HID AND %s.TID=%s.TID AND %s.CID=%s.CID) ",
				_TABLE_CHECK_CURRENT, _TABLE_HOST_CHECKS, _TABLE_CHECK_CURRENT, _TABLE_HOST_CHECKS, _TABLE_CHECK_CURRENT,
				_TABLE_HOST_CHECKS, _TABLE_CHECK_CURRENT);

$db->clause .= sprintf("where %s.HID='%s'", _TABLE_HOST_CHECKS, $HID);
$db->add_extra("ORDER by cName, Tester");

// If we are viewing the check, get the Check Responses
if($LOC == "viewCheck")
	$db->add_select_item(Array(_TABLE_CHECK_CURRENT => "Response"));

$ret = $db->compile_query("SELECT");
if($ret['return']) {
	$db->run_query();
	for($x=0;$x<$db->rows;$x++) {
		$db->step();
		$checksInfo[$x] = $db->res;
	}
}

$checkTable = null;

// Formatting Host Check Table and Check Responses if TID and CID match
if(is_array($checksInfo)) {
	foreach($checksInfo as $checksValue) {
		if($checksValue['TID'] == $TID && $checksValue['CID'] == $CID) {
			$checksTable .= html_tag("TR",
			                    html_tag("TD", sprintf("<nobr>&nbsp;<A HREF='view_host.php?LOC=viewCheck&HID=%s&TID=%s&CID=%s'>%s</A></nobr>\n",
									$HID, $checksValue['TID'], $checksValue['CID'], $checksValue['cName']),
									$color[9], "class=blacksmall align=left") .
								html_tag("TD", sprintf("<nobr>&nbsp;<b>%s</b></nobr>\n", $checksValue['Tester']), $color[9], "class=blacksmall align=left") .
								html_tag("TD", $checkStatus[$checksValue['Status']], $color[9], "class=blacksmall align=center") .
								html_tag("TD", sprintf("<nobr>&nbsp;<b>%s</b></nobr>\n", $checksValue['LastCheck']), $color[9], "class=blacksmall align=center"),
							"", "");

			$checkResponse .= html_tag("TR",
								  html_tag("TD", $checkStatus[$checksValue['Status']], $color[12], "width=10% align=center valign=top") .
							      html_tag("TD", str_replace(Array("\r", "\n"), Array("", "<br>\n"), $checksValue['Response']),
								  	  $color[12], "width=90% class=blacksmall align=left"),
							  "", "");

			if(!$graphType)
			    $graphType = "day";

			if(function_exists(graphing)) {
				$graph = graphing(Array("type" => "CHECK", "HID" => $HID, "CID" => $CID, "TID" => $TID, "graphType" => "checkgraph"), $checkgraph);
			} else {
				$graph = FALSE;
			}

			$checkResponse = html_tag("TR",
			                     html_tag("TD",
			                         html_tag("TABLE",
									     html_tag("TR",
									         html_tag("TD",
									             html_tag("TABLE",
									 	 			 html_tag("TR",
										  				 html_tag("TD", "<b>Current Host Check Response</b>\n", $color[0], "colspan=2 class=blacksmall align=center"),
													 "", "") .
													 $checkResponse,
												 $color[10], "width=100% cellspacing=1 cellpadding=1"),
											 $color[3], ""),
										 "", "") .
										 (($graph) ? $graph : ""),
									 $color[3], "width=100%, cellspacing=1 cellpadding=0"),
								 $color[3], ""),
							 "", "");
		} else {
			$checksTable .= html_tag("TR",
			                    html_tag("TD", sprintf("<nobr>&nbsp;<A HREF='view_host.php?LOC=viewCheck&HID=%s&TID=%s&CID=%s'>%s</A></nobr>\n",
									$HID, $checksValue['TID'], $checksValue['CID'], $checksValue['cName']),
									$color[12], "class=blacksmall align=left") .
								html_tag("TD", sprintf("<nobr>&nbsp;%s</nobr>\n", $checksValue['Tester']), $color[12], "class=blacksmall align=left") .
								html_tag("TD", $checkStatus[$checksValue['Status']], $color[12], "class=blacksmall align=center") .
								html_tag("TD", sprintf("<nobr>&nbsp;%s</nobr>\n", $checksValue['LastCheck']), $color[12], "class=blacksmall align=center"),
							"", "");
		}
	}
}

// Determining Host Modules
$module_return = checkForModuleAction(_VIEWHOST_MODULES);

$modules = html_tag("TR",
			   html_tag("TD", "<nobr><b>Host Modules</b></nobr>\n", $color[0], "colspan=2 class=blacksmall align=center"),
		   "", "");
		   
if(is_array($module_return)) {
	foreach($module_return as $module_name => $module_value) {
		$modules .= html_tag("TR",
		                html_tag("TD", sprintf("<nobr>&nbsp;<b>%s</b></nobr>\n", $module_name), $color[9], "width=50% class=blacksmall align=left valign=top") .
		                html_tag("TD", sprintf("<nobr>&nbsp;%s</nobr>\n", $module_value['link']), $color[12], "width=50% class=blacksmall align=left"),
					"", "");

		if(!is_null($module_value['output'])) {
			$moduleTables .= html_tag("TR",
		     					 html_tag("TD",
			 						 html_tag("TABLE",
				  						 html_tag("TR",
					   						 html_tag("TD", $module_value['output'], $color[3], "align=center valign=top"),
										 "", ""),
									 $color[3], "width=100% cellspacing=1 cellpadding=0"),
								 $color[3], "align=center"),
							 "", "");
		}
	}
} else {
	$modules .= html_tag("TR",
	                html_tag("TD", "<nobr><i>No Modules Installed</i></nobr>\n", $color[12], "colspan=2 class=blacksmall align=center"),
			    "", "");
}

// Fomatting and Building Host View Table
echo html_tag("TABLE",
		 html_tag("TR",
		     html_tag("TD", "<b>Host Information</b>\n", $color[9], "class=blacksmall align=center"),
	     "", "") .
	     html_tag("TR",
	         html_tag("TD",
	             html_tag("TABLE",
	                 html_tag("TR",
						 html_tag("TD",
						     html_tag("TABLE",
						         html_tag("TR",
				                     html_tag("TD", "<nobr>HostName</nobr>\n", $color[0], "class=blacksmall align=center") .
				                     html_tag("TD", "<nobr>IP Address</nobr>\n", $color[0], "class=blacksmall align=center"),
								 "", "") .
								 html_tag("TR",
								     html_tag("TD", sprintf("<nobr>&nbsp;<A HREF='view_host.php?HID=%s'>%s</A></nobr>\n", $hostInfo['HID'], $hostInfo['HostName']), $color[12], "class=blacksmall align=left") .
									 html_tag("TD", sprintf("<nobr>&nbsp;%s</nobr>\n", $hostInfo['IPAddr']), $color[12], "class=blacksmall align=left"),
								 "", ""),
							 $color[10], "width=100% cellspacing=1 cellpadding=2") . "<br>" .
							 html_tag("TABLE",
								 html_tag("TR",
								     html_tag("TD", "<b>Description</b>\n", $color[0], "colspan=2 class=blacksmall align=center"),
								 "", "") .
								 html_tag("TR",
								     html_tag("TD", $hostInfo['Descr'], $color[12], "colspan=2 class=blacksmall align=center"),
								 "", ""),
							 $color[10], "width=100% cellspacing=1 cellpadding=2") . "<br>" .
							 html_tag("TABLE", $modules, $color[10], "width=100% cellspacing=1 cellpadding=2"),
						 $color[3], "width=50% valign=top") .
						 html_tag("TD",
						     html_tag("TABLE",
						         html_tag("TR",
				                     html_tag("TD", "<nobr>Service</nobr>\n", $color[0], "class=blacksmall align=center") .
				                     html_tag("TD", "<nobr>Tester</nobr>\n", $color[0], "class=blacksmall align=center") .
				                     html_tag("TD", "<nobr>Status</nobr>\n", $color[0], "class=blacksmall align=center") .
				                     html_tag("TD", "<nobr>Last Check</nobr>\n", $color[0], "class=blacksmall align=center"),
								 "", "") .
								 $checksTable,
							 $color[10], "width=100% cellspacing=1 cellpadding=2"),
						 $color[3], "width=50% valign=top"),
					 "", ""),
				 $color[3], "width=100% cellspacing=1 cellpadding=0"),
			 $color[3], "align=center"),
		 "", "") .
		 (($checkResponse) ? $checkResponse : "") .
		 (($moduleTables) ? $moduleTables : ""),
	 $color[10], "width=95% align=center cellspacing=1 cellpadding=1");


// Lower-Body module call
checkForModuleAction(_VIEWHOST_BODY_LOWER);

printf("</BODY>\n");
printf("</HTML>\n");

?>
